About Advanced Revenue & Expense Deferrals

With Advanced Revenue & Expense Deferrals (ARED), you can efficiently process deferral journal entries originating from the Sales and Purchasing modules in Microsoft Dynamics GP:

  • Amounts are deferred and amortized using journal entries to the General Ledger.
  • Recognition is driven by recognition schedules that are associated with individual document lines.

Developed primarily for service-oriented companies, such as software development companies, subscription services, and hosting companies, ARED uses the balance sheet method for journal entry processing and lets you to assign a deferral account and a recognition account for each item or customer, enabling deferrals at the line item level. You can process journal entries when you want or have them automatically posted to future periods.

In addition, you can define revenue and expense options at the line item level and exercise precise control over revenue and expense recognition and adjustments.

For the latest documentation, visit the Binary Stream Portal (https://portal.binarystream.com/) External link.

From version 1.50.0.0 onwards, PLM supports New Zealand and GB/United Kingdom localization.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.
The topic is incomplete.
Could not find the right topic.

Send us your suggestions on how to improve this article.

C H M Footer Table
Binary Stream Portal Copyright © 2025 Binary Stream Software Inc.


What's New or Changed

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

ARED for Microsoft Dynamics GP 18.8

ARED for Microsoft Dynamics GP 18.7

ARED for Microsoft Dynamics GP 18.6

ARED for Microsoft Dynamics GP 18.5

ARED for Microsoft Dynamics GP 18.4

ARED for Microsoft Dynamics GP 18.3

ARED for Microsoft Dynamics GP 18.2

ARED for Microsoft Dynamics GP 2018

ARED for Microsoft Dynamics GP 2016

ARED for Microsoft Dynamics GP 2015

ARED for Microsoft Dynamics GP 2013

Known Issues and Limitations

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED for Microsoft Dynamics GP 18.8

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 1401 - October 2025
Release Notes Table - Build 1401
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1401 | Upgrade | Upgraded ARED from GP2018.7 to GP2018.8 | N/A | N/A | N/A

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED for Microsoft Dynamics GP 18.7

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 1301 - October 2024
Release Notes Table - Build 1301
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1301 | Upgrade | Upgrade from GP 18.6 to GP 18.7. | N/A | N/A | N/A

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED for Microsoft Dynamics GP 18.6

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 1203 - May 2024
Release Notes Table - Build 1203
Build Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
1203 Issue

Fixed an issue for environments where MEM is installed and turned on with Auto Post Journal Entries turned on in the ARED Setup.

When processing an ARED schedule period using the Journal Entry Processing window, you would need a batch created before processing. But that batch was empty since ARED creates a new batch when processing journal entries with the MEM Entity ID in the name of the batch.

To fix this issue the original batch with no transaction created before processing is now removed by the same process of creating a journal entry for ARED schedule lines.

 Transactions > Adv Revenue & Expense Deferrals > Journal Entry Processing
Closed Build 1202 - January 2024
Release Notes Table - Build 1202
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1202 | Issue | Fixed Issue: The Deferral Balance Inquiry window displayed a primary key error while showing the data of a Journal Type ARED schedule and where the journal entry was used in a recurring batch. | Inquiries > Adv Rev. & Expense Deferrals > Deferral Revenue/Recognition Inquiry |  | Added new User defined functions BSSI_GetDistRef and BSSI_GetDistRefARCB.
Closed Build 1201 - October 2023
Release Notes Table - Build 1201
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1201 | Upgrade | Upgrade from GP 18.5 to GP 18.6. | N/A | N/A | N/A

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED for Microsoft Dynamics GP 18.5

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 1106 - January 2024
Release Notes Table - Build 1106
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1106 | Issue | Fixed Issue: The Deferral Balance Inquiry window displayed a primary key error while showing the data of a Journal Type ARED schedule and where the journal entry was used in a recurring batch. | Inquiries > Adv Rev. & Expense Deferrals > Deferral Revenue/Recognition Inquiry |  | Added new User defined functions BSSI_GetDistRef and BSSI_GetDistRefARCB.
Closed Build 1105 - September 2023
Release Notes Table - Build 1105
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1105 | Issue | Fixed Issue: Incorrect zoom window was showing from "Applied from Credits" when user was clicking on document number and origin of ARED schedule was "Accounts Payables". | Transactions > Adv Revenue & Expense Deferrals > Journal Entry Processing |  |
Closed Build 1104 - August 2023
Release Notes Table - Build 1104
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1104 | Issue | Fixed Issue: Incorrect zoom window was showing from "Applied from Credits" when user was clicking on document number and origin of ARED schedule was "Accounts Payables". | Transactions> Adv Revenue & Expense Deferrals> Recognition Schedule> Applied from Credits |  |
1104 | Issue | Fixed Issue : On Journal Entry Processing window Recognition Amount is showing Positive in case when user Import ARED Schedule with IsCredit = 0. It should show the Recognition Amount as Negative. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry Processing |  | Created new Stored Procedure "BSSI_ARED_NegativeAmountCalc_NewCalc".
Closed Build 1103 - February, 2023
Release Notes Table - Build 1103
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1103 | Issue | Fixed Issue : The Batch created for Cancellation Journal Entry through Mass Schedule Processing was going unlocatable because it was not showing with Facility ID. | Transactions> Adv Revenue & Expense Deferrals > Mass Schedule Processing |  |
1103 | Issue | Fixed Issue : Deferral Information was not passing to Invoice when invoiced was coverted from the Sales Order. | Transactions> Sales > Sales Transaction Entry |  |
1103 | Issue | Fixed Issue : The SOP Number in Audit Trail Log table was updating wrong for some ARED Schedules periods when they were processed altogether with periods of other schedules in a Summarized Journal Entry. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry Processing |  |
1103 | Issue | Issue Fix : System was crashing while exporting the data to Excel from Revenue Waterfall and Declining report when there was huge data to be exported. Code optimzation to Improve the performance. | Inquiries > Adv Rev. & Expense Deferrals > Deferral Revenue/Recognition Inquiry |  |
1103 | Issue | Issue Fix : Usr was facing error of duplicate Primary Key of table Audit Trial log during post of multiple batches simultaneously from multiple instances of GP. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry Processing |  | Added User ID field to Primary Key of Table BSSI_Audit_Trail_Log_HIST (B7190200) and Table BSSI_Audit_Trail_Log_WORK (B7190100).
1103 | Issue | Issue Fix : Posting GL batches with over 10k transactions were giving run time error during posting. | Transactions > Financial > Batches |  |
Closed Build 1102 - January 2023
Release Notes Table - Build 1102
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1102 | Issue | Issue Fix: Recognition Schedules were creating with wrong deferral dates when origin SOP document were converted from Quote to Invoice. | Transaction>Sales>Sales Transaction Entry |  |
Closed Build 1101 - November 04, 2022
Release Notes Table - Build 1101
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
1101 | Upgrade | Upgrade to GP2018.5 |  |  |
1007 | Upgrade | Upgrade to GP2018.5 |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED for Microsoft Dynamics GP 18.4

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 1010 - January, 2024
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue: The Deferral Balance Inquiry window displayed a primary key error while showing the data of a Journal Type ARED schedule and where the journal entry was used in a recurring batch. | Inquiries > Adv Rev. & Expense Deferrals > Deferral Revenue/Recognition Inquiry |  | Added new User defined functions BSSI_GetDistRef and BSSI_GetDistRefARCB.
Issue | Fixed Issue: When you processed the Summarized Journal Entry, the document date was not saved correctly for the Audit Log Table. Now, the document date will be picked from the Journal Entry Processing window. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry Processing |  |
Closed Build 1009 - February, 2023
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix : System got crashed while exporting data to Excel from Revenue Waterfall and Declining Report when there is huge data to be exported. Code optimization to improve the performance. | Inquiries > Adv Rev. & Expense Deferrals > Deferral Revenue/Recognition Inquiry |  |
Issue | Issue Fix : Duplicate Primary Key Error of table Audit Trial was showing when multiple users create Journal Entry simultaneously from multiple instances of GP. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry Processing |  | Added User ID field to Primary Key of Table BSSI_Audit_Trail_Log_HIST (B7190200) and Table BSSI_Audit_Trail_Log_WORK (B7190100).
Closed Build 1008 - January, 2023
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix: Recognition Schedules were creating with wrong deferral dates when origin SOP document were converted from Quote to Invoice. | Transaction>Sales>Sales Transaction Entry |  |
Closed Build 1007 - August 08, 2022
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgrade to GP2018.4.1461. |  |  |
Upgrade | Fixed Issue: on SOP void operation, the Batch of Cancellation Journal entries of recognized periods was not creating with Facility ID which was resulting into Batch going unlocatable. | Transactions > Sales > Posted Transactions |  |
Issue | Issue fix : SOP Post operation was accepting Deferral Start Date greater than Deferral End Date which was not correct | Transactions > Sales > Sales Transaction Entry |  |
Issue | Issue fix: The ARED Schedules of origin Payable Transactions were not showing up on Archives Schedule window once original document is paid in GP | Utilities > Adv Rev. & Expense Deferrals > Archive Schedule |  |
Issue | Issue Fix : On creating the Journal Entry with MEM and Workflow Approvals; a new Batch is created by ARED with Workflow Status Not Activated (0) which should be set to Not Submitted (1) | Transactions> Adv Revenue & Expense Deferrals > Journal Entry Processing |  |
Closed Build 1004 - May 10, 2022
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Issue Fix: The distribution reference were not showing on Recognition Schedule Inquiry and other inquiry windows when source GL transaction is moved to closed year

Inquiry > Adv Revenue and Expense Deferrals> Deferral Revenue/Recognition Inquiry Inquiry > Adv Revenue and Expense Deferrals > Recognition Schedule Inquiry

Inquiry > Adv Revenue and Expense Deferrals > Recognition Analysis Inquiry Inquiry > Adv Revenue and Expense Deferrals> Recognition Audit Inquiry

BSSI_ARED_View_ScheduleCommon
Issue Issue Fix: All the records are being deleted from GL Transaction Lines table when user performs some random opertions on GL Transaction window

Transactions > Financial > General
Closed Build 1003 - February 2022
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue: Change Start Date Utility supports AP, AR and GL schedules, but the window only opens when the SOP or POP module is enabled in ARED Setup. | Utilities > Adv Rev. & Expense Deferrals > Change Start Date Utility |  |
Enhancement | Added the functionality to save the Contract ID field of Recognition Schedule window to User defined Field 1 of Journal Entry window. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry Processing Transactions> Adv Revenue & Expense Deferrals > Mass Schedule Processing |  |
Closed Build 1002 - December 28, 2021
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Fixed the issue in which in which the Export to Excel button for the revenue waterfall and declining balance reports was not working for a non‑SA user. Also, the data was mismatched in columns inside the exported Excel file for General Entry Schedules. Inquiry > Adv Revenue and Expense Deferrals> Deferral Revenue/Recognition Inquiry

Created new tables :

  • BSSI_DecliningBalance_Inquiry_BeforePivot (B7190120)
  • BSSI_RevenueWaterfall_Inqiry_BeforePivot(B7190110)
  • BSSI_RevWaterfall_Columns (B7190111)
Closed Build 1001 - November 10, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgrade from GP 2018.3 Build 907 to GP 2018.4. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED for Microsoft Dynamics GP 18.3

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 912 - February 24, 2023
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
912 | Issue | Fixed Issue : The SOP Number in Audit Trail Log table was updating wrong for some ARED Schedules periods when they were processed altogether with periods of other schedules in a Summarized Journal Entry. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry Processing |  |
Closed Build 911 - August 31, 2022
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
Closed Build 911 - August 31, 2022
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
911 | Issue | Fixed Issue: on SOP void operation, the Batch of Cancellation Journal entries of recognized periods was not creating with Facility ID which was resulting into Batch going unlocatable. | Transactions > Sales > Posted Transactions |  |
Closed Build 910 - May 10, 2022
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
Closed Build 910 - May 10, 2022
Build | Type | Description | Navigation Path | New Form/Report | Database Changes
 |  | GP Series: Project
910 | Issue | Fixed Issue: Reverse batch entry will be created with Facility ID on voiding the SOP Posted transactions. | Transactions > Sales > Posted Transactions |  |
910 | Issue | Issue Fix: The distribution reference were not showing on Recognition Schedule Inquiry and other inquiry windows when source GL transaction is moved to closed year. | "Inquiry > Adv Revenue and Expense Deferrals> Deferral Revenue/Recognition Inquiry Inquiry > Adv Revenue and Expense Deferrals > Recognition Schedule Inquiry Inquiry > Adv Revenue and Expense Deferrals > Recognition Analysis Inquiry Inquiry > Adv Revenue and Expense Deferrals> Recognition Audit Inquiry " |  | BSSI_ARED_View_ScheduleCommon
Closed Build 909 - February 2022
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue: Change Start Date Utility supports AP, AR and GL schedules, but the window only opens when the SOP or POP module is enabled in ARED Setup. | Utilities > Adv Rev. & Expense Deferrals > Change Start Date Utility |  |
Enhancement | Added the functionality to save the Contract ID field of Recognition Schedule window to User defined Field 1 of Journal Entry window. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry Processing Transactions> Adv Revenue & Expense Deferrals > Mass Schedule Processing |  |
Closed Build 908 - December 10, 2021
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Fixed the issue in which in which the Export to Excel button for the revenue waterfall and declining balance reports was not working for a non‑SA user. Also, the data was mismatched in columns inside the exported Excel file for General Entry Schedules. Inquiry > Adv Revenue and Expense Deferrals> Deferral Revenue/Recognition Inquiry

Created new tables :

  • BSSI_DecliningBalance_Inquiry_BeforePivot (B7190120)
  • BSSI_RevenueWaterfall_Inqiry_BeforePivot(B7190110)
  • BSSI_RevWaterfall_Columns (B7190111)
Closed Build 907 - August 31, 2021
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue

Issue Fix : When deleting an unbalanced journal entry from the Transaction Entry window, all records were removed from the GL line table.

This issue is fixed so that only the data of that specific journal entry is removed from the table.

Transactions > Financial > General
Enhancement

Previously, data up to 24 periods could be exported from the Deferral Revenue/Recognition Inquiry window. This enhancement affects the Revenue Waterfall and the Declining Balance reports.

As a result, more than 24 periods (without any restrictions) can be exported to Microsoft Excel. However, the list view of the inquiry window only shows data up to 24 periods.

Inquiry > Adv Revenue and Expense Deferrals> Deferral Revenue/Recognition Inquiry Created new Separate Stored Procedure named "BSSI_RevenueWaterfallReport_Excel", "BSSI_RevenueWaterfallReport_UpdateNegativeAmount_Excel", "BSSI_RevenueWaterfallReport_UpdateNegativeAmountSub_Excel", "BSSI_DecliningBalanceReport_Excel", "BSSI_DecliningBalanceReport_UpdateNegativeAmount_Excel"
Issue

Fixed issue so that when selecting the ARCB Schedule zoom button on the ARED Recognition Schedule window, the Billing Schedule Zoom window opens instead of the Billing Schedule Card window.

This fix also prevents the billing schedule document number from increasing when selecting the ARCB Schedule zoom button on ARED's Recognition Schedule window.

 Transactions > Adv Revenue and Expense Deferrals> Recognition Schedule
Closed Build 906 - July 10, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix : Corrected the deferral start and end dates for the lines of a billing schedule when credits are unapplied on the ARED Mass Unapply from Credits window. | Transactions > Adv Revenue and Expense Deferrals> Mass Unapply from Credits |  |
Closed Build 905 - June 18, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix : The deferral schedule of origin for the accounts receivables disappear when the source receivable transactions are moved to the history. |  |  |
Closed Build 904 - May 25, 2021
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue

Fixed Issue: When unapplying credits for a billing schedule on the Mass Unapply From Credits window, the following occur:

  • Billing schedule lines of the affected billing schedule are updated with the deferral start and end dates.
  • The date of the reversed journal entry of the unbilled revenue entry from the system date to the transaction date available on the Mass Unapply From Credits window (Transaction Date).
Transactions > Adv Revenue and Expense Deferrals> Mass Unapply from Credits
Closed Build 903 - April 08, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue: The Recognition Schdules saved with MEM Entities were being disappeared from ARED after year end closing. | Transaction > Adv Revenue and Expense Deferrals> Recognition Schedule |  |
Issue | Fixed Issue : A weird string of special characters and characters are showing in Distribution Reference column. This weird string also gets exported to an Excel file when user export data to Excel. | Inquiry > Adv Revenue and Expense Deferrals > Recognition Schedule Inquiry Inquiry > Adv Revenue and Expense Deferrals > Recognition Analysis Inquiry |  |
Issue | Fixed Issue : A NON-ARED Company shows table error on change of Transaction Date field of Sales Transaction Entry. | Transaction > Sales > Sales Transaction Entry |  |
Issue | Fixed Issue : ARED reversals of GL Schedules created wrong GL entries on changing the Deferral End Date from Recognition Schedule Entry. | Transactions> Adv Revenue & Expense Deferrals > Recognition Schedule Entry |  |
Closed Build 902 - February 11, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Issue Fix : Restore the Schedule lines, periods, Deferral End Date and Balances of Recognition Schedule after processing the Mass Unapply from Credits window. | Transactions> Adv Revenue & Expense Deferrals> Mass Unapply From Credits |  |
Issue Fixed | Fixed Issue: The Import Amount utility was not working on Web Client as it was showing error in reading the CSV file. | Tools > Utilities > Adv Revenue & Expense Deferrals > Import Recognition Amount Utility |  |
Enhancement | Change Start Date Utility : Support for RM, PM and GL Transactions. | Tools > Utilities > Adv Revenue & Expense Deferrals > Change Start Date Utility |  |
Closed Build 901 - December 08, 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgraded from Microsoft Dynamics GP 2018.2 (Build 810) to Microsoft Dynamics GP 18.3. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED for Microsoft Dynamics GP 18.2

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

Closed Build 819 - December 28, 2021
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue Fixed the issue in which in which the Export to Excel button for the revenue waterfall and declining balance reports was not working for a non‑SA user. Also, the data was mismatched in columns inside the exported Excel file for General Entry Schedules. Inquiry > Adv Revenue and Expense Deferrals> Deferral Revenue/Recognition Inquiry

Created new tables :

  • BSSI_DecliningBalance_Inquiry_BeforePivot (B7190120)
  • BSSI_RevenueWaterfall_Inqiry_BeforePivot(B7190110)
  • BSSI_RevWaterfall_Columns (B7190111)
Closed Build 818 - August 31, 2021
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Enhancement

Previously, data up to 24 periods could be exported from the Deferral Revenue/Recognition Inquiry window. This enhancement affects the Revenue Waterfall and the Declining Balance reports.

As a result, more than 24 periods (without any restrictions) can be exported to Microsoft Excel. However, the list view of the inquiry window only shows data up to 24 periods.

Inquiry > Adv Revenue and Expense Deferrals> Deferral Revenue/Recognition Inquiry Created new Separate Stored Procedure named "BSSI_RevenueWaterfallReport_Excel", "BSSI_RevenueWaterfallReport_UpdateNegativeAmount_Excel", "BSSI_RevenueWaterfallReport_UpdateNegativeAmountSub_Excel", "BSSI_DecliningBalanceReport_Excel", "BSSI_DecliningBalanceReport_UpdateNegativeAmount_Excel"
Issue

Fixed issue so that when selecting the ARCB Schedule zoom button on the ARED Recognition Schedule window, the Billing Schedule Zoom window opens instead of the Billing Schedule Card window.

This fix also prevents the billing schedule document number from increasing when selecting the ARCB Schedule zoom button on ARED's Recognition Schedule window.

 Transactions > Adv Revenue and Expense Deferrals> Recognition Schedule
Closed Build 817 - June 18, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Issue Fix : Corrected the deferral start and end dates for the lines of a billing schedule when credits are unapplied on the ARED Mass Unapply from Credits window. | Transactions > Adv Revenue and Expense Deferrals> Mass Unapply from Credits |  |
Issue | Issue Fix : The deferral schedule of origin for the accounts receivables disappear when the source receivable transactions are moved to the history table. |  |  |
Closed Build 816 - May 21, 2021
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Issue

Fixed Issue: When unapplying credits for a billing schedule on the Mass Unapply From Credits window, the following occur:

  • Billing schedule lines of the affected billing schedule are updated with the deferral start and end dates.
  • The date of the reversed journal entry of the unbilled revenue entry from the system date to the transaction date available on the Mass Unapply From Credits window.
Transactions > Adv Revenue and Expense Deferrals> Mass Unapply from Credits
Closed Build 815 - April 27, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue : A weird string of special characters and characters are showing in Distribution Reference column. This weird string also gets exported to an Excel file when user export data to Excel. | Inquiry > Adv Revenue and Expense Deferrals > Recognition Schedule Inquiry Inquiry > Adv Revenue and Expense Deferrals > Recognition Analysis Inquiry |  |
Issue | Fixed Issue : A NON-ARED Company shows table error on change of Transaction Date field of Sales Transaction Entry. | Transaction > Sales > Sales Transaction Entry |  |
Issue | Fixed Issue : ARED reversals of GL Schedules created wrong GL entries on changing the Deferral End Date from Recognition Schedule Entry. | Transactions> Adv Revenue & Expense Deferrals > Recognition Schedule Entry |  |
Issue fixed | Fixed Issue : Schedule created with MEM Entities are missing from Archive Schedule Utility and Revenue Waterfall Inquiry window. | Utilities > Adv Revenue & Expense Deferrals > Archive Schedules |  |
Closed Build 814 - March 25, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue : Reversed the Unbilled Revenue JE and changed the Deferral End Date of ARCB Billing Schedule window when user unapply the credits from Mass Unapply from Credits Window. | Transactions > Adv Revenue and Expense Deferrals> Mass Unapply from Credits |  |
Closed Build 813 - March 04, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue: The Recognition Schdules saved with MEM Entities were being disappeared from ARED after year end closing. | Transaction > Adv Revenue and Expense Deferrals> Recognition Schedule |  |
Closed Build 812 - January 26, 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed Issue : Changed the warning message to a confirmation message on voiding the posted SOP Return. | Transaction > Sales > Posted Transactions |  |
Enhancement | Change Start Date Utility : Support for RM, PM and GL Transactions. | Tools > Utilities > Adv Revenue & Expense Deferrals > Change Start Date Utility |  |
Issue Fixed | Fixed Issue: The Import Amount utility was not working on Web Client as it was showing error in reading the CSV file. | Tools > Utilities > Adv Revenue & Expense Deferrals > Import Recognition Amount Utility |  |
Closed Build 811 - December 15, 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue: In which Deferral End Date and Schedule Lines were not setting back to their previous state when un-applying an ARED Schedule from Mass Unapply window. | Transactions > Adv Revenue and Expense Deferrals> Mass Unapply from Credits |  |
Closed Build 810 - December 07, 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed Issue: In which Amount was showing incorrect sign when two RED Schedules of different origin had same schedule number. | Inquiry > Adv Revenue and Expense Deferrals> Deferral Revenue/Recognition Inquiry |  |
Issue Fixed | Fixed Issue: In which ARED Extra window was not opening when using the MEM alternate of the Journal Entry window. | Transaction > Financials > Journal Entry |  |
Issue Fixed | Fixed Issue: In which status of only ARED Schedule was changing to Available from Preliminary as only schedules from one batch were updated at a time when multiple batches were posted in Series Posting. | Transaction > Financials > Series Post |  |
Closed Build 809 - October 29, 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue: Log report was showing a user access error for an entity. This issue occurred because ARED was referencing the entity from the parallel MEM table instead of the parallel ARED table. This issue occurred for imported deferral schedules as well. | Tools > Utilities> & Adv Revenue & Expense Deferrals > Change End Date Utility |  |
Issue | Fixed Issue: In which ARED Importer was not opening. An authorization message appeared for all users, including the SA user. | Tools > Utilities> & Adv Revenue & Expense Deferrals > Importer |  |
Closed Build 808 - October 19, 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Issue | Issue Fix: The Journal Entry Processing window is taking too much time during display and process operations when there are too many schedules in customer's database so we optimized a script to improve the performance. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry Processing
Enhancement

Added the ability to unapply the credit from several billing schedules.

  • Mass Unapply From Credits (new window)
  • Unapply Credit (new task)
 Transactions > Advanced Rev. & Exp. Deferrals > Mass Unapply from Credits Mass Unapply from Credits
Closed Build 807 - August 13, 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgraded ARED from Microsoft Dynamics GP 2018.2.1013 to Microsoft Dynamics GP 2018.2.1100. |  |  |
Closed Build 806 - July 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed issue: A new Create One Schedule was being created even when an active Create One Schedule already existed for an item. Issue was occurring with only migrated schedules from GP2015. |  |  |
Closed Build 805 - July 2020
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Enhancement

Launch and populate Mass Schedule Processing window from the Recognition Schedule to cancel a unrecognized schedule. Changes include the following:

  • ARED Setup (added Default Cancellation Account)
  • Recognition Schedule Entry (added Cancel Schedule button)
  • Mass Schedule Processing (updated default value for Cancellation Account)
  • Canceling a Recognition Schedule (new task)
 Transactions> Adv Revenue & Expense Deferrals > Recognition Schedule Entry Added field BSSI_DefaultCancelAccount to table Peer_Setup
Closed Build 804 - May 2020
  • Project
    • Improved the usability of the inquiry windows so that deferral schedules can be filtered by the All or Create One Schedule option.
      • Deferral Revenue/Recognition Inquiry (added to the Schedule Type field)
      • Recognition Analysis Inquiry (added to the Recognition Schedule Type field)
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue of Reverse JE when the SOP is saved for 0 Extended Price. |  |  |
Fixed issue of incorrect Unbilled Revenue amount in case of billing with negative amounts in ARCB. | Transaction > Adv Revenue and Expense Deferrals> Recognition Schedule Inquiry > Adv Revenue and Expense Deferrals> Deferral Revenue/Recognition Inquiry |  |
Closed Build 803 - May 2020
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue with creating journal entry with wrong debit and credit when terminating discount ARCB schedule line with Create One Schedule selected. |  |  |
Closed Build 802 - March 2020
  • Project
    • Improved the usability of the Line Deferral windows for updating the Create Schedule Based on Dates and Deferral Frequency options for deferral schedules created from Microsoft Dynamics GP Transaction Entry windows (e.g., sales and journal entry).
      • Added the ability to set default values for Default Deferral Frequency and Create Schedule Based on Dates on the Advanced Revenue & Expense Deferrals Setup.
      • Improved the usability of the Sales Line Item Deferral and GL Line Deferral windows, which use the default settings for Default Deferral Frequency and Create Schedule Based on Dates based on the setup.
      • Added ability to change the Deferral End Date on the Recognition Schedule Entry window even after a deferral schedule is stubbed or posted.

      With these changes, the Deferral End Date is required on the following windows:

      • Sales Line Item Deferral
      • GL Line Deferral
Closed Build 801 December 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from Microsoft Dynamics GP 2018 R2 (Build 710) to Microsoft Dynamics GP 18.2. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED for Microsoft Dynamics GP 2018

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

GP 2018 R2

Closed Build 711 - February 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed Issue: Journal Entry Processing window taking so much time in processing. Optimized code to improve the speed of processing. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry processing |  |
Enhancement | Change Start Date Utility : Support for RM, PM and GL Transactions. | Tools > Utilities > Adv Revenue & Expense Deferrals > Change Start Date Utility |  |
Closed Build 710 - October 2019
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue with the Adjustment Amount expansion button is locked when schedule is originated from ARCB with Create One Schedule selected. |  |  |
Made compatible with ARCB build 710. |  |  |
Closed Build 709 - August 2019
  • Project
    • Added support for the ARCB Scheduler.
    • Added support for terminating an ARCB billing schedule.

    For more information on these enhancements, review the ARCB documentation.

Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with GL, PM, and RM schedules not showing on the journal entry processing window if MEM is enabled and the transaction has moved to history. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry processing |  |
Closed Build 708 - August 2019
  • Project
    • Added a column IsCredit to the BSSI Import file format to distinguish between deferral account credit or debit.
      Path: Utilities > Advanced Rev. & Exp. Deferrals > Importer
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue with Site ID is not populated for regular ARED schedule created through eConnect import. |  |  |
Closed Build 707 - June 2019
  • Project
    • Added integration from Microsoft Dynamics GP and CRM, so that changes from CRM are automatically updated in Microsoft Dynamics GP. The following changes have been made:
      • Setup (added Source Document and Suppress RM Extra Window)
    • On the ARED Setup window, added the Purchasing Schedule Creation option. This option allows you to specify whether a deferral schedule is created when the invoice or shipment is posted for a purchase transaction.
    • Added the ability to assign a deferral account to a recognition schedule with a missing account from Mass Schedule Processing window.
    • Improved the performance when posting a Sales transaction with many lines.
    • Added Source Document to the ARED Setup window.
    • Added the Suppress RM Extra Window option to the ARED Setup window.
    • Added compatibility for ARCB build 706.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an incorrect warning message when MEM intercompany distributions are created for GL Transactions. |  |  |
Fixed an issue with recognition journal entries not being assigned a MEM entity for imported schedules. |  |  |
Fixed Recognition schedule lookup search functionality for General ledger deferral schedules. |  |  |
Closed Build 706 - April 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with recognition and reversal entries for POP schedules not assigned a MEM entity when not using the summarize option. |  |  |
Closed Build 705 - April 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Fixed issue with not adjusting Deferral Start Date to Invoice Date when transferring SOP Order to SOP Invoice. |  |  |
Closed Build 704 - March 2019
  • Project
    • Added an extra window so that the deferral values for a Receivables Transaction distribution line can be modified.
Closed Build 703 - November 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Fixed issue with schedules leaving one day deferral if it is originated from ARCB, occurring when ARCB termination date is prior to deferral start date. |  |  |
Upgrade from 2018 SP0 (build 702) to 2018 R2 (build 703). |  |  |

GP 2018 SP0

Closed Build 702 - October 2018
  • Project
    • Added the Document Date column in the import file.
      Path: Tools > Utilities > Advanced Rev. & Exp. Deferrals > Importer
    • Added the ability to put a deferral schedule on hold even after some of the lines have been recognized.
      Path: Transactions > Advanced Rev. & Exp. Deferrals > Mass Schedule Processing
    • Added the ability to put a hold on a recognition schedule that has periods that have been recognized.
    • On the ARED Setup window, when the Deferral Posting Method is set to Balance Sheet, the Distribution Reference specified for a transaction is copied to the Distribution Reference of the recognition journal entry.
    • On the Change End Date Utility window, you can import a file to update the end date for several recognition schedules that belong to the same contract ID.
    • Added GL Deferral Balance column to the Deferral Balances report on the Deferral Revenue/Recognition Inquiry window.
      Path: Inquiries > Advanced Rev. & Exp. Deferrals > Deferral Revenue/Recognition Inquiry
    • Added Document Type range on Mass Schedule Processing window.
      Path: Transactions> Advanced Rev. & Exp. Deferrals > Mass Schedule processing
    • Added a report for billing schedules that use the Create One Schedule option on the ARCBSetup window. Added the GL Deferral Balance column and renamed the Deferral Balance column to ARED Deferral Balance the following windows:
      • Sales Line Item Deferral (added Unbilled Revenue Account)
      • Deferral Balance Inquiry
      • Deferral Revenue/Recognition Inquiry
      Also added the Unbilled Revenue Detail window.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: The GL and AP recognition schedules are not displayed if MEM is enabled. |  |  |
Fixed issue: Journal Entry Processing for a GL schedule will incorrectly create a new schedule if auto posting and summarize journal entry are both enabled and there is a default set up for GL deferral. |  |  |
Fixed issue: Deferral Account was not updating on Recognition Schedule Entry window after posting by Profit & Loss method. |  |  |
Fixed issue: Hold Account missing validation removed on Mass Schedule Processing window if 'Create Journal Entry On Hold' is not marked. | Transactions> Adv Revenue & Expense Deferrals > Mass Schedule processing |  |
Fixed issue: Removed Default Frequency from setup window. | Tools > Setup > Adv Revenue and Expense Deferrals |  |
Fixed issue: Negative line for imported schedule were not displaying correct sign for amount field on Deferral inquiry window. | Inquiries > Adv Rev. & Expense Deferrals > Deferral Revenue/Recognition Inquiry |  |
Fixed issue : Summarized Journal Entry were summarizing the amounts if debit and credit accounts same. | Transactions > Adv Rev. & Expense Deferrals > Journal Entry Processing |  |
Fixed issue : MEM account substitution will not apply to the Recognition allocation Module. |  |  |
Fixed issue : Integrated fixes for ARCB Mass termination window. |  |  |
Fixed issue: Fixed an issue on the importer, while importing event based schedules. System was not generating event based lines. | Utilities > Adv Rev. & Expense Deferrals > Importer |  |
Fixed issue: Recognitions imported through importer do not display on the Journal Entry Process window. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry processing |  |
Fixed issue: The remaining amount on the recognition schedule entry window for percentage of completion calculated incorrectly. | Transactions> Adv Revenue & Expense Deferrals > Recognition Schedule Entry |  |
Fixed issue : 'Amount Recognized' and 'Amount Remaining' fields were not displaying correct numbers of the deferral schedule. |  |  |
Fixed issue : GL Batch status caught stuck when unbilled revenue account left empty on ARCB - Mass Termination window. |  |  |
Fixed issue : Partial deferral schedule period get missed and pro-rate was not working with Free periods on Deferral Schedule window. |  |  |
Fixed an issue where the account numbers are incorrect in the audit trail when creating summarized journal entries. |  |  |
Fixed an issue where the deferral balance report would be incorrect for schedules with summarized journal entries. |  |  |
Fixed issue: Missing AA information when reversing Journal Entry. | Transactions > Adv Rev. & Expense Deferrals > Journal Entry Processing |  |
Fixed issue: Cannot drill back to original document on the recognition schedules created through Attach schedule utility. | Tools > Utilities> & Adv Revenue & Expense Deferrals > Attach Recognition Schedule |  |
Added support for AA information to the Summarized Journal Entry processing. | Transactions > Adv Rev. & Expense Deferrals > Journal Entry Processing |  |
Fixed issue: ARED - "Allow 1st of Next Month" on 1st of this month | Tools > Setup > Adv Revenue & Expense Deferrals |  |
Closed Build 701 - February 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 2016 (Build 610) to GP 2018 SP0 |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED for Microsoft Dynamics GP 2016

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

GP 2016 R2

Closed Build 626 - April 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue | Fixed Issue : A weird string of special characters and characters are showing in Distribution Reference column. This weird string also gets exported to an Excel file when user export data to Excel. | Inquiry > Adv Revenue and Expense Deferrals > Recognition Schedule Inquiry Inquiry > Adv Revenue and Expense Deferrals > Recognition Analysis Inquiry |  |
Issue | Fixed Issue : A NON-ARED Company shows table error on change of Transaction Date field of Sales Transaction Entry. | Transaction > Sales > Sales Transaction Entry |  |
Issue | Fixed Issue : ARED reversals of GL Schedules created wrong GL entries on changing the Deferral End Date from Recognition Schedule Entry. | Transactions> Adv Revenue & Expense Deferrals > Recognition Schedule Entry |  |
Closed Build 625 - January 2021
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Upgrade | Upgraded from Microsoft Dynamics GP 2016 (Build 624) to Microsoft Dynamics GP 2016 R2 (16.00.864) |  |  |

GP 2016 SP0

Closed Build 624 - October 2020
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed Issue: In which log report were showing an error of user access for an Entity which was happening because ARED were looking for the Entity inside parallel table of MEM instead of ARED table of Entity for imported schedules as well. | Tools > Utilities> & Adv Revenue & Expense Deferrals > Change End Date Utility |  |
Closed Build 623 - July 2020
Type Description Navigation Path New Form/Report Database Changes
GP Series: Project
Enhancement

Launch and populate Mass Schedule Processing window from the Recognition Schedule to cancel a unrecognized schedule. Changes include the following:

  • ARED Setup (added Default Cancellation Account)
  • Recognition Schedule Entry (added Cancel Schedule button)
  • Mass Schedule Processing (updated default value for Cancellation Account)
  • Canceling a Recognition Schedule (new task)
 Transactions> Adv Revenue & Expense Deferrals > Recognition Schedule Entry Added field BSSI_DefaultCancelAccount to table Peer_Setup
Closed Build 622 - April 2020
  • Project
    • Improved the usability of the Line Deferral windows for updating the Create Schedule Based on Dates and Deferral Frequency options for deferral schedules created from Microsoft Dynamics GP Transaction Entry windows (e.g., sales and journal entry).
      • Added the ability to set default values for Default Deferral Frequency and Create Schedule Based on Dates on the Advanced Revenue & Expense Deferrals Setup.
      • Improved the usability of the Sales Line Item Deferral and GL Line Deferral windows, which use the default settings for Default Deferral Frequency and Create Schedule Based on Dates based on the setup.
      • Added ability to change the Deferral End Date on the Recognition Schedule Entry window even after a deferral schedule is stubbed or posted.

      With these changes, the Deferral End Date is required on the following windows:

      • Sales Line Item Deferral
      • GL Line Deferral

      Database changes: In Table BSSI_Deferral_Manager_SETP, Added new field named BSSI_ScheduleBasedOnDate

Closed Build 621 - October 2019
Type | Description | Navigation Path | New Form/Report | Database Changes
 | GP Series: Project
Issue Fixed | Fixed an issue with GL, PM, and RM schedules not showing on the journal entry processing window if MEM is enabled and the transaction has moved to history. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry processing |  |
Closed Build 620 - July 2019
  • Project
    • Added a column IsCredit to the BSSI Import file format to distinguish between deferral account credit or debit.
      Path: Utilities > Advanced Rev. & Exp. Deferrals > Importer
Closed Build 619 - June 2018
  • Project
    • Added the ability to assign a deferral account to a recognition schedule with a missing account from Mass Schedule Processing window.
    • Improved the performance when posting a sales transaction with many lines.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Recognition schedule search functionality not working for schedule origin of General ledger. |  |  |
Closed Build 618 - May 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Add option to specify whether deferral schedules are created on shipment or invoice for POP transactions. |  |  |
Fixed an incorrect warning message when MEM intercompany distributions are created for GL Transactions. |  |  |
Fixed an issue with recognition journal entries not being assigned a MEM entity for imported schedules. |  |  |
Closed Build 617 - April 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Compatible with ARCB build 614. |  |  |
Closed Build 616 - November 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Fixed issue with schedules leaving one day deferral if it is originated from ARCB, occurring when ARCB termination date is prior to deferral start date (This fix also need ARCB 613). |  |  |
Closed Build 615 - October 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with incorrect GL deferral balance on the Deferral Balances report. |  |  |
Closed Build 614 - October 2014
  • Project
    • Added information for Analytical Accounting to Summarized Journal Entry Processing.
      Path: Transactions > Advanced Rev. & Exp. Deferrals > Journal Entry Processing
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Partial deferral schedule period get missed and pro-rate was not working with Free periods on Deferral Schedule window. |  |  |
Fixed an issue where the account numbers are incorrect in the audit trail when creating summarized journal entries. |  |  |
Fixed issue: Missing AA information when reversing Journal Entry. | Transactions > Adv Rev. & Expense Deferrals > Journal Entry Processing |  |
Fixed issue: Cannot drill back to original document on the recognition schedules created through Attach schedule utility. | Tools > Utilities> & Adv Revenue & Expense Deferrals > Attach Recognition Schedule |  |
Fixed an issue where the deferral balance report would be incorrect for schedules with summarized journal entries. |  |  |
Closed Build 613 - July 2018
  • Project
    • Added a SQL stored procedure (BSSI_ARED_EB_AutoInsert) to automatically update the data for event-based recognition schedules.
    • Added GL Deferral Balance column to the Deferral Balances report on the Deferral Revenue/Recognition Inquiry window.
      Path: Inquiries > Advanced Rev. & Exp. Deferrals > Deferral Revenue/Recognition Inquiry
    • Added a report for billing schedules that use the Create One Schedule option on the ARCBSetup window. Added the GL Deferral Balance column and renamed the Deferral Balance column to ARED Deferral Balance the following windows:
      • Sales Line Item Deferral (added Unbilled Revenue Account)
      • Deferral Balance Inquiry
      • Deferral Revenue/Recognition Inquiry
      Also added the Unbilled Revenue Detail window.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: Recognitions imported through importer do not display on the Journal Entry Process window. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry processing |  |
Fixed issue: The remaining amount on the recognition schedule entry window for percentage of completion calculated incorrectly. | Transactions> Adv Revenue & Expense Deferrals > Recognition Schedule Entry |  |
Fixed issue: The remaining amount on the recognition schedule entry window for percentage of completion calculated incorrectly. | Transactions> Adv Revenue & Expense Deferrals > Recognition Schedule Entry |  |
Fixed issue : 'Amount Recognized' and 'Amount Remaining' fields were not displaying correct numbers of the deferral schedule. |  |  |
Fixed issue : GL Batch status caught stuck when unbilled revenue account left empty on ARCB - Mass Termination window. |  |  |
Closed Build 612 - April 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : MEM Intercompany accounts were not adding to the Journal Entry created by ARED windows where entity amount were not balanced. |  |  |
Fixed issue : Integrated fixes for ARCB Mass termination window. |  |  |
Closed Build 611 - March 2018
  • Project
    • Added Document Type range on Mass Schedule Processing window.
      Path: Transactions> Advanced Rev. & Exp. Deferrals > Mass Schedule processing
    • Integrated with ARCB Mass termination feature for Create One Schedule lines.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: The GL and AP recognition schedules are not displayed if MEM is enabled. |  |  |
Fixed issue: Journal Entry Processing for a GL schedule will incorrectly create a new schedule if auto posting and summarize journal entry are both enabled and there is a default set up for GL deferral. |  |  |
Fixed issue: Deferral Account was not updating on Recognition Schedule Entry window after posting by Profit & Loss method. |  |  |
Fixed issue: Hold Account missing validation removed on Mass Schedule Processing window if 'Create Journal Entry On Hold' is not marked. | Transactions> Adv Revenue & Expense Deferrals > Mass Schedule processing |  |
Fixed issue: Removed Default Frequency from setup window. | Tools > Setup > Adv Revenue and Expense Deferrals |  |
Fixed issue: Negative line for imported schedule were not displaying correct sign for amount field on Deferral inquiry window. | Inquiries > Adv Rev. & Expense Deferrals > Deferral Revenue/Recognition Inquiry |  |
Fixed issue : Summarized Journal Entry were summarizing the amounts if debit and credit accounts same. | Transactions > Adv Rev. & Expense Deferrals > Journal Entry Processing |  |
Closed Build 610 - December 2017
  • Project
    • Improved the Recognition Schedule Lookup window by adding the ability to find a recognition schedule by customer ID or vendor ID.
      Path: Transactions > Advanced Rev. & Exp. Deferrals > Recognition Schedule
    • On the Recognition Schedule Inquiry, added the Deferral Star Date and Deferral End Date columns to the list view. Also, in the User Preference window, added Deferral Star Date and Deferral End Date to the columns that you can select to show or hide.
      Path: Inquiry > Adv. Revenue and Expense Deferrals > Recognition Schedule Inquiry
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Attach AA field was not populating correctly for ARCB schedules. It was creating issues for summarized journal entry option on journal entry processing window. |  |  |
Fixed issue : Display full amount on the Mass Processing window with "Cancel unrecognized amount" option. |  |  |
Closed Build 609 - October 2017
  • Project
    • Compatible with ARCB Build 607.
Closed Build 608 - September 2017
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : When creating journal entry from journal entry processing window along with AA information for payables were producing errors. |  |  |
Fixed issue : GL series posting was not changing status to 'Available' of GL recognition schedules. |  |  |
Fixed issue : Then recognition schedules are not displayed if payables invoices are paid when MEM is enabled. |  |  |
Fixed issue : Compatible ARED eConnect procedures with profit and loss method. |  |  |
Closed Build 607a - September 2017
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue on trigger registration for Payment document management product. |  |  |
Closed Build 607 - July 2017
  • Project
    • Added the profit and loss deferral method functionality:
      • Deferral Posting Method box on the Advanced Rev. & Exp. Deferrals Setup window
      • ARED Profit and Loss Distribution window
      • Profit and Loss Account Setup window
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Payables Transaction Inquiry drill back to the Rec Schedule issue. |  |  |
Fixed range and display issue in the Journal Entry Processing |  |  |
Fixed issue : Update export to excel function. Remove export row limitation on all process / inquiry windows. |  |  |
Closed Build 606 - April 2017
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue on the recognition schedule, the period was showing as merged when the deferral start date is before the invoice date but within the same month. |  |  |
Fixed an issue on the importer, while importing event based schedules. System was not generating event based lines. | Utilities > Adv Rev. & Expense Deferrals > Importer |  |
Fixed performance issue : Displaying records on list view of journal entry processing and deferral revenue/recognition inquiry windows has been refactored. |  |  |
Fixed issue with displaying voided SOP invoices in the Attach Recognition Schedule. | Tools > Utilities> & Adv Revenue & Expense Deferrals > Attach Recognition Schedule |  |
Fixed performance issue : Displaying records on list view of deferral revenue/recognition inquiry windows has been refactored. | Inquiries > Adv Rev. & Expense Deferrals > Deferral Revenue/Recognition Inquiry |  |
Fixed issue opening PM transaction extra window automatically when document type changed to Credit Memo. | Transactions > Purchasing > Transaction Entry |  |
Fixed issues cannot open Import Recognition Amount Utility and Change End Date Utility window if SOP module is not enabled. |  |  |
Fixed the issue the deferral information get ignored when posting PM document if it is not entered on the GP window. |  |  |
Fixed issue not display all details for summarized journal entry that has more than 65000 detail lines. |  |  |
Closed Build 605 - March 2017
  • Project
    • Added default ARED security tasks and security roles during installation.
      Path: BSSI Installation Wizard
    • Added the User Preference window, which allows the option to show, hide, and sort columns within a list view. You can also restore columns for a list view to its original setting.
Closed Build 604 - December 2016
  • Project
    • Integration with MERA - ASU 606
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with error message "This batch is not accessible. This batch may be created without MFP or you don't have access to this facility". |  |  |
Closed Build 603a - December 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Compatible with Wennsoft signature product |  |  |
Closed Build 603- September 2016
  • Project
    • Added the Recognition Allocation module.
    • Added markdown deferral functionality.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Event Based schedule lines were not generating correctly if use negative amount on SOP invoice. |  |  |
Closed Build 602- July 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Fixed issue with displaying incorrect Total Length (Months) on the Recognition Schedule Entry window. |  |  |
Closed Build 601- June 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: System
Upgraded from GP 2015 R2 (Build 510) to GP 2016 RTM (Build 601). |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED for Microsoft Dynamics GP 2015

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

GP 2015 R2

Closed Build 526 - April 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Fixed issue with not adjusting Deferral Start Date to Invoice Date when transferring SOP Order to SOP Invoice. |  |  |
Closed Build 525 - January 2019
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Fixed issue with schedules leaving one day deferral if it is originated from ARCB, occurring when ARCB termination date is prior to deferral start date. |  |  |
Closed Build 524 - October 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Partial deferral schedule period get missed and pro-rate was not working with Free periods on Deferral Schedule window. |  |  |
Closed Build 523 - August 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Compatible stored procedures with case sensitive SQL collation. |  |  |
Closed Build 522 - July 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : 'Amount Recognized' and 'Amount Remaining' fields were not displaying correct numbers of the deferral schedule. |  |  |
Fixed issue : GL Batch status caught stuck when unbilled revenue account left empty on ARCB - Mass Termination window. |  |  |
Closed Build 521 - June 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Debit / Credit account were wrong on unbilled revenue journal entry for ARCB create one schedule. |  |  |
Closed Build 520 - May 2018
  • Project
    • Added a SQL stored procedure (BSSI_ARED_EB_AutoInsert) to automatically update the data for event-based recognition schedules.
    • Added GL Deferral Balance column to the Deferral Balances report on the Deferral Revenue/Recognition Inquiry window.
      Path: Inquiries > Advanced Rev. & Exp. Deferrals > Deferral Revenue/Recognition Inquiry
    • Improved the performance of the Revenue Waterfall inquiry.
      Path: Inquiry > Adv Revenue and Expense Deferrals > Deferral Revenue/Recognition Inquiry
    • Added a report for billing schedules that use the Create One Schedule option on the ARCBSetup window. Added the GL Deferral Balance column and renamed the Deferral Balance column to ARED Deferral Balance the following windows:
      • Sales Line Item Deferral (added Unbilled Revenue Account)
      • Deferral Balance Inquiry
      • Deferral Revenue/Recognition Inquiry
      Also added the Unbilled Revenue Detail window.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: Fixed an issue on the importer, while importing event based schedules. System was not generating event based lines. | Utilities > Adv Rev. & Expense Deferrals > Importer |  |
Fixed issue: Recognitions imported through importer do not display on the Journal Entry Process window. | Transactions> Adv Revenue & Expense Deferrals > Journal Entry processing |  |
Fixed issue: The remaining amount on the recognition schedule entry window for percentage of completion calculated incorrectly. | Transactions> Adv Revenue & Expense Deferrals > Recognition Schedule Entry |  |
Closed Build 519 - April 2018
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Integrated fixes for ARCB Mass termination window. |  |  |
Closed Build 518 - March 2018
  • Project
    • Added Document Type range on Mass Schedule Processing window.
      Path: Transactions> Adv. Recurring Contract Billing > Mass Schedule processing
    • Integrated with ARCB Mass termination feature for Create One Schedule lines.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: The GL and AP recognition schedules are not displayed if MEM is enabled. |  |  |
Closed Build 517 - November 2017
  • Project
    • Added the ability to change the recognition account on the Mass Schedule Processing window.
      Path: Transactions> Adv Rev. & Expense Deferrals > Mass Schedule processing
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: The GL and AP recognition schedules are not displayed if MEM is enabled. |  |  |
Closed Build 516 - May 2017
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue opening PM transaction extra window automatically when document type changed to Credit Memo. | Transactions > Purchasing > Transaction Entry |  |
Fixed issue not display all details for summarized journal entry that has more than 65000 detail lines. |  |  |
Closed Build 515 - April 2017
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed performance issue : Displaying records on list view of journal entry processing and deferral revenue/recognition inquiry windows has been refactored. |  |  |
Closed Build 514 - November 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue : If MEM is enabled, Auto Post journal entry is marked and GL batch is empty on recognition allocation window then posting of SOP was giving error messages. |  |  |
Closed Build 513 - September 2016
  • Project
    • Added the Recognition Allocation module.
    • Added markdown deferral functionality.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue : Event Based schedule lines were not generating correctly if use negative amount on SOP invoice. |  |  |
Closed Build 512 - June 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue with displaying incorrect Total Length (Months) on the Recognition Schedule Entry window. |  |  |
Closed Build 511 - June 2016
  • Project
    • Added the Analytical Accounting functionality to sales order processing.
      The Attach AA Dimentions check box is added to the Sales Line Item Deferral window. Also, functionality of the Summarized Journal Entry check box on the Journal Entry Processing window has been updated to accomodate the Analytical Accounting functionality.
Closed Build 510 - April 2016
  • Project
    • When you generate a Revenue Waterfall or Declining Balance report on the Deferral Revenue/Recognition Inquiry window, the option to Suppress Zero Rows is available.
      Path: Inquiries > Adv Rev. & Expense Deferrals > Deferral Revenue/Recognition Inquiry
      Reports: BSSI_POP_DistributionLineDeferral
    • Purchase invoices created from drop-ship purchase orders can be deferred by item.
      Path: Transactions > Purchasing > Enter/Match Invoices > Additional > Item Deferral
      Reports: BSSI_POP_ItemDeferral
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue not reversing recognition on schedule line when Journal Entry is deleted or voided. |  |  |
Closed Build 509 - March 2016
  • Project
    • Added functionatity so that purchase invoices created from drop-ship purchase orders can be deferred by distribution.
      Path: Transactions > Purchasing > Enter/Match Invoices > Distribution button, Additional > Distribution Line Deferral
      Reports: BSSI_POP_DistributionLineDeferral
Closed Build 508 - February 2016
  • Project
    • Replaced the Deferral Balance Inquiry window with the Deferral Revenue/Recognition Inquiry window, and added the Revenue Waterfall and Declining Balance reports.
      Path: Inquiries > Advanced Rev. & Exp. Deferrals > Deferral Revenue/Recognition Inquiry
      Reports: BSSI_RevenueWaterfallReportARCB, BSSI_DecliningBalanceReportARCB
    • Added integration with ARCB Termination functionality.
    • Added COGS Deferral functionality.
    • Compatibility: ARCB 2015 R2 Build 511 and PrM 2015 R2 Build 508
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: When user create a new batch from Journal Entry processing and Mass processing windows, it was not validating new batch number correctly. In a result, Journal entries generated by process lost headers. |  |  |
Fixed Issue: Deferral and Recognition Account filters were missed on Recognition Schedule Inquiry and Recognition Analysis Inquiry windows for GL module. |  |  |
GP Series: System
Fixed Issue: When multiple users had redisplayed the same Schedule Lines on the Journal Entry Processing window, recognition could occur multiple times. The same Schedule Line can no longer be viewed on multiple instances at the same time. | Transactions > Adv Rev. & Expense Deferrals >> Journal Entry Processing |  |
Closed Build 507 - November 2015
  • Project
    • Added ARCB schedule number and ARCB schedule status to inquiry window:
      • Recognition Schedule Inquiry
      • Recognition Analysis Inquiry
      • Recognition Audit Inquiry
      • Deferral Balance Inquiry
    • Added the Binary Stream Importer to import Deferral Balance Import.
      Path: Utilities > Adv. Revenue & Expense Deferrals > Importer
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Added null validation on Deferral account field of Deferral Balance Inquiry window. | Inquiries > Adv Rev. & Expense Deferrals > Deferral Balance Inquiry |  |
Fixed: Stored Procedures for Analytical Accounting were always being installed. They will now only be installed if AA is included in the Launch file. |  |  |
Closed Build 506 - August 2015
  • Project
    • Upgrade from GP 2015 build 505 to GP 2015 R2.

GP 2015

Closed Build 505
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
June 23, 2015 - Fixed issue: Test to determine if a product was installed was not handling the situation where it was installed in one company database and not another. |  |  |
Closed Build 504
  • Project
    • The MERA integration replaces the bundle transaction functionality.
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
May 28, 2015 - Fixed the issue with message Please enter Event Template ID when selecting OK on the Default Sales Transaction Setup window with Default Recognition Type set to Standard. | Tools > Setup > Adv. Revenue and Expense Deferrals>Default Sales Transaction Setup |  |
May 28, 2015 - Fixed issue: When using the Posted Transactions window to Void a SOP Invoice, the Document Date on the Reversing Journal Entries was using the original Document Date. The Void Date will now be used instead. | Transactions > Sales > Posted Transactions |  |
May 28, 2015 - Fixed issue: Recognition amounts are not calculated correctly for template with Quarterly frequency. | Transactions > Sales > Posted Transactions |  |
Closed Build 503
  • Project
    • Redisplay performance improvement on the Journal Entry Processing window.
      Path: Transactions > Adv. Revenue and Expense Deferrals > Journal Entry Processing
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Mar 02, 2015 - Fixed Issue: Reclassify process creates backward Journal Entries when the Doc Type is Return or Sales Line item is Negative | Transactions > Advanced Rev. & Exp. Deferrals > Mass Schedule Processing |  |
Mar 02, 2015 - Fixed an issue with the amount discrepancy between SOP invoice and recognition schedule due to rounding. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Closed Build 502
  • Project
    • The VSOE (Bundle) functionality is removed.
    • The trial key notification functionality is added and available for SPLA customers.
      Path: Tools > Setup > System > User/Reg Key Notification Setup
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Feb 06, 2015 Project Upgrade Separate Build 502 for VSOE functionality |  |  |
Closed Build 501
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Jan 23, 2015 System Upgrade Upgraded from GP 2013 R2 (Build 402) to GP 2015 SP0. |  |  |
Jan 23, 2015 - Fixed Issue: When using multiple Binary Stream products with the WebClient, only the first products (order from launch file) Area Page would be shown. |  |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED for Microsoft Dynamics GP 2013

Review the information on this screen to see what's new or changed in the latest versions of Advanced Revenue & Expense Deferrals. For the most current information about the latest version, see the Readme file that is included with the installation file.

Notes:

  • If a GP Navigation Path is noted, see the Microsoft Dynamics GP documentation for more information.
  • If a New Form/Report is noted, the issue or enhancement has one or more new windows (forms), reports, or both.

An alternate window (form) or report is one that has been modified by the software. A custom window or report is one that is proprietary to the software. Microsoft Dynamics GP does not have on its own version of the window (form) or report.

To use the alternate window (form) or report for your Binary Stream software, use the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).

Also, to ensure that you have set the appropriate security settings, use the Security Tasks window (GP > Tools > Setup > System > Security Tasks) to add the windows (forms) or reports to a new or existing task ID. The task ID should be selected within a new or existing security role ID for each user ID and company that will use the new custom windows (forms) or reports. Remember to use the following settings: Type is Windows or Reports, and Series is Project.

GP 2013 R2

Closed Build 412 - December 2017
  • Project
    • Added the ability to change the recognition account on the Mass Schedule Processing window.
      Path: Transactions> Adv. Recurring Contract Billing > Mass Schedule processing
Closed Build 411 - December 2017
  • Project
    • On the Recognition Schedule Inquiry, added the Deferral Star Date and Deferral End Date columns to the list view.
      Path: Inquiry > Adv. Revenue and Expense Deferrals > Recognition Schedule Inquiry
Closed Build 410 - October 2017
  • Project
    • Added Deferral Start and End Dates columns on Recognition Schedule Inquiry.
      Path: Inquiry > Adv. Revenue and Expense Deferrals > Recognition Schedule Inquiry
Closed Build 409 - May 2017
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue with deferral start date in the deferral extra window being ignored. |  |  |
Closed Build 408 - May 2017
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue the deferral information get ignored when posting PM document if it is not entered on the GP window. |  |  |
Closed Build 408 - March 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed the issue not reversing recognition on schedule line when Journal Entry is deleted or voided. |  |  |
Closed Build 407 - February 2016
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: When multiple users had redisplayed the same Schedule Lines on the Journal Entry Processing window, recognition could occur multiple times. The same Schedule Line can no longer be viewed on multiple instances at the same time. | Transactions > Adv Rev. & Expense Deferrals >> Journal Entry Processing |  |
Closed Build 406a - December 2015
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: Site Account Substitution was being overridden by the default Recognition Account. |  |  |
Closed Build 406 - September 2015
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Added null validation on Deferral account field of Deferral Balance Inquiry window. | Inquiries > Adv Rev. & Expense Deferrals > Deferral Balance Inquiry |  |
Fixed Issue: The Total Schedule Amount and Recognition Amount on the Recognition Schedule Entry window were different, If add Bundle ID on ARCB integrated SOP lines. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Closed Build 405 - May 2015
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: When using the Posted Transactions window to Void a SOP Invoice, the Document Date on the Reversing Journal Entries was using the original Document Date. The Void Date will now be used instead. | Transactions > Sales > Posted Transactions |  |
Fixed issue: Recognition amounts are not calculated correctly for template with Quarterly frequency. | Transactions > Sales > Posted Transactions |  |
Closed Build 404 - February 2015
  • Project
    • Redisplay performance improvement on the Journal Entry Processing window.
      Path: Transactions > Adv. Revenue and Expense Deferrals > Journal Entry Processing
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed Issue: Reclassify process creates backward Journal Entries when the Doc Type is Return or Sales Line item is Negative. | Transactions > Advanced Rev. & Exp. Deferrals > Mass Schedule Processing |  |
Fixed an issue with the amount discrepancy between SOP invoice and recognition schedule due to rounding. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Closed Build 403 - January 2015
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: Negative Lines on SOP were showing as positive on the Deferral Balance Inquiry, thus making GL reconciliation difficult. Inquiry now uses standard method of determining sign, thus should match other Inquiries and reconcile to the GL without issue. | Inquiries > Adv Rev. & Expense Deferrals > Deferral Balance Inquiry |  |
Closed Build 402 - December 2014
  • Project
    • New columns have been added to the Journal Entry Processing window: Recognition Amount and Doc Type.
      Path: Transactions > Adv. Revenue & Expense Deferrals > Journal Entry Processing
    • A new window and report are added that can be used to reconcile amounts in GL accounts used for deferrals: Deferral Balance Inquiry window and the Deferral Balance Report.
      Path: Inquiries > Adv. Revenue & Expense Deferrals > Deferral Balance Inquiry
      New Table: SSI_DeferralBalance_Inquiry_TEMP : B7150100
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed issue: the recognition amount changed from positive to negative for negative invoice lines when opening deferral info window and making change on that window. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Fixed issue: it does not pick up the recognition template id from ARCB for the recognition schedules originating from ARCB . | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Fixed Issue: When creating Deferral information from ARCB, ARCB Billing Schedule ID's longer than 25 characters were being truncated when copied into the Contract Number field in ARED. ARCB Schedule Number will no longer be copied into ARED Contract Number, it will still be shown in ARCB Schedule ID field on Recognition Schedule. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Fixed Issue: When ARED recognition schedule is created from the SOP invoice created from ARCB without Include Markdown being selected in ARED and Create One Schedule option is selected in ARCB the recognition amount of the ARED schedule is not calculated correctly. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Fixed Issue: When ARCB schedule is terminated, the re-calculation date for the deferral end date of the ARED recognition schedule is not calculated correctly, resulting some of the recognized periods are reversed. |  |  |
Fixed Issue: The same Deferral Start Date and Deferral End Date cannot be entered. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Fixed Issue: When the Equal Per Period option is not selected on the Recognition Schedule Entry window, the first recognition period is not aligned to calendar month. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Dec 16, 2014 - Fixed an issue with SOP Batch/Transaction Posting, ARED schedules does not get created on posting if Wennsoft is installed. | SOP Batch Entry |  |
Fixed an issue not saving the account number changes when changing Offering Type or Rev./Exp Source or Order Type on the Recognition Schedule Entry window. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Closed Build 401 - August 2014
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Upgraded from GP 2013 SP2 (Build 311) to GP 2013 R2. |  |  |

GP 2013 SP1

Closed Build 316
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Fixed an issue with the amount discrepancy between SOP invoice and recognition schedule due to rounding. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Fixed issue: When using the Posted Transactions window to Void a SOP Invoice, the Document Date on the Reversing Journal Entries was using the original Document Date. The Void Date will now be used instead. | Transactions > Sales > Posted Transactions |  |
Closed Build 315
  • Project
    • New columns have been added to the Journal Entry Processing window: Recognition Amount and Doc Type.
      Path: Transactions > Adv. Revenue & Expense Deferrals > Journal Entry Processing
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Dec 11, 2015 - Fixed an issue with SOP Batch/Transaction Posting, ARED schedules does not get created on posting if Wennsoft is installed. | SOP Batch Entry |  |
Dec 11, 2015 - Fixed an issue not saving the account number changes when changing Offering Type or Rev./Exp Source or Order Type on the Recognition Schedule Entry window. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Closed Build 314
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Nov 28, 2014 - Fixed Issue: When ARED recognition schedule is created from the SOP invoice created from ARCB without Include Markdown being selected in ARED and Create One Schedule option is selected in ARCB the recognition amount of the ARED schedule is not calculated correctly. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Nov 28, 2014 - Fixed Issue: When ARCB schedule is terminated, the re-calculation date for the deferral end date of the ARED recognition schedule is not calculated correctly, resulting some of the recognized periods are reversed. |  |  |
Nov 28, 2014 - Fixed Issue: The same Deferral Start Date and Deferral End Date cannot be entered. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Nov 28, 2014 - Fixed Issue: When the Equal Per Period option is not selected on the Recognition Schedule Entry window, the first recognition period is not aligned to calendar month. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Closed Build 313
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Sept 25, 2014 - Fixed Issue: When creating Deferral information from ARCB, ARCB Billing Schedule ID's longer than 25 characters were being truncated when copied into the Contract Number field in ARED. ARCB Schedule Number will no longer be copied into ARED Contract Number, it will still be shown in ARCB Schedule ID field on Recognition Schedule. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Closed Build 312
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Sept 05, 2014 - Fixed issue: the recognition amount changed from positive to negative for negative invoice lines when opening deferral info window and making change on that window. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Sept 05, 2014 - Fixed issue: System does not pick up the Recognition Template ID from ARCB for the recognition schedules originating from ARCB. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Sept 05, 2014 - Fixed Issue: Site ID column was missing data on Recognition Inquiries. | Inquiry > Adv Revenue and Expense Deferrals > Recognition Schedule Inquiry, Recognition Analysis Inquiry & Recognition Audit Inquiry |  |
Closed Build 311
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Aug 08, 2014 - Fixed Issue: When Reclassifying a Recognition Schedule when the Origin was General Journal, not adjusting Journal Entry was being created. | Transactions > Adv Revenue & Expense Deferrals > Mass Schedule Processing |  |
Aug 08, 2014 - Fixed Issue: When Reversing a Recognition Journal Entry after changing Recognition Account, the new Recognition Account was being used instead of the original Account. | Transactions > Adv Revenue & Expense Deferrals > Journal Entry Processing |  |
Aug 08, 2014 - Fixed Issue: When marking a General Ledger Transaction as not Deferrable, a Recognition Schedule was still created and left in Preliminary status after Posting. New functionality will prevent opening of GL Line Deferral and Recognition Schedule windows, and handle Line Save thus preventing creation of Schedule. When unchecking Deferral Transaction any Deferral or Schedule records will be removed (except the Transaction header). | Transactions > Financial > Transaction Entry |  |
Aug 08, 2014 - Fixed Issue: Territory Account Substitution was missing from Setup Menu and Area Page. | Tools > Setup > Account Substitution Setup |  |
Aug 08, 2014 - Fixed Issue: Preliminary General Entry Recognition Schedules were not showing in the Lookup where Multi-Entity Management is installed and enabled. Will now be checking the Entity of General Entries for Work and Open. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Aug 08, 2014 - Fixed Issue: Added validation for SOP document originated from ARCB, it has to be posted for a recognition schedule to be generated. | Transactions > Adv Revenue and Expense Deferrals > Recognition Schedule |  |
Closed Build 310
  • Project
    • Integration with PrM is achieved by adding the Site ID to the recognition schedule.
Closed Build 309
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
May 15, 2014 - Fixed an issue with ARED schedule missing Entity ID for AP voucher when MEM is installed. |  |  |
Closed Build 308
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
April 17, 2014 - Fixed an issue with ARED schedule disappears after processing a check for AP voucher. |  |  |
Closed Build 307
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
April 4, 2014 - Fixed an issue that clearing the Event Identifier on the SOP line with negative amount. |  |  |
April 4, 2014 - Fixed an issue with wrong Debit/Credit direction on the schedule lines with negative amount when creating summarized Journal Entry on the Journal Entry Process window. |  |  |
April 4, 2014 - Fixed an issue with proration on the Recognition Schedule Entry window. |  |  |
April 4, 2014 - Released to remain compatible with Advanced Recurring Contract Billing (ARCB), Build 313 |  |  |
April 4, 2014 - Upgraded to GP2013SP2 |  |  |
Closed Build 306
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Mar 10 2014 - Fixed an issue with Recognition schedules get created even when the Item is not marked deferrable on ARCB Schedule. | Integration with ARCB Product |  |
Closed Build 305
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Mar 07 2014 - - Released to remain compatible with Advanced Recurring Contract Billing (ARCB), Build 311 |  |  |
Closed Build 304
Issues Fixed |  |  |
Description | Navigation Path | New Form/Report | Database Changes
GP Series: Project
Dec 11, 2013 - Fixed an issue with creating an extra batch when MEM is installed on the Mass Schedule Processing window. | Transactions > Advanced Rev. & Exp. Deferrals > Mass Schedule Processing |  |
Dec 11, 2013 - Fixed an issue with Exporting to Excel Errors out at 32766 rows. |  |  |
Dec 11, 2013 - Removed ARCB Account Substitution from ARED Setup to disable this function. | Tools > Setup > Advanced Rev. & Exp. Deferrals Setup |  |
Dec 11, 2013 - Fixed an issue with BSSI_IC_GL_TEMP table throwing an error message in the companies that do not have ARED installed. |  |  |
Dec 11, 2013 - Fixed an issue with Change End date utility printing an Audit report after each line instead of at the end of the process. | Tools > Utilities > Advanced Rev. & Exp. Deferrals > Change End Date Utility |  |

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Known Issues and Limitations

The following list of known issues and limitations are in the current versions of Advanced Revenue & Expense Deferrals.

For the most current information about the latest version, see the Readme file that is included with the installation file.

  • Alternate/Modified Forms and Reports window

    When you use this window to select to use the alternate window for any Binary Stream program, you can usually see which Microsoft Dynamics GP windows have alternate Binary Stream windows.

    For example, when you set Product to Advanced Rev. & Exp. Deferrals, you can see all the modules and windows where you can select the Binary Stream window.

    However, a known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available.

    If you have multiple programs that have an alternate window for the same Microsoft Dynamics GP window and you have already selected the alternate window for one of the programs, the list of windows for a different program does not show all the current windows that have an alternate window.

    For example, you have two Binary Stream programs installed, Multi-Entity Management and Property Management. In the Alternate/Modified Forms and Reports window, you already selected to use the alternate Multi-Entity Management window for the Receivables Transaction Entry window. When you set Product to Property Management, the Receivables Transaction Entry window does not appear in the list for you to select the alternate window.

    To be able to see all windows for a particular program, in the Alternate/Modified Forms and Reports window, set Product to All Products. You can then expand the modules to see which windows have the alternate window you want to use. Closed View image.

See also

What's New or Changed

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Video Catalog

The following videos are available to help you better understand how to set up and use Advanced Revenue & Expense Deferrals.

Closed Advanced Rev. & Exp. Deferrals Setup window

These videos provide information about the options on the Advanced Rev. & Exp. Deferrals Setup window

Closed Deferral Module Setup

Enable Recognition Allocation

Use Event Identifier

Override Event ID Password

Override End Date Password

Override Password

Default New/Renew

Closed Preferences

Default Prorate

AutoPost Journal Entries

Summarized Journal Entry

Do Not Create Schedule On Returns

Use Tax Exclusive Amt for Deferral

Equal Per Period

Do Not Merge Recognition

Create $0 Amount Schedule

Enable Account Substitution

Enable Territory Account Substitution

Disable Non-Inventory for POP

Disable Contract Auto Numbering

Default Deferral Start Date

Apply Credit Memo

Analytical Accounting Options

Closed Mass Processing
  • Create Journal Entry on Hold

User Defined

Closed Tasks

These videos provide information about tasks.

  • Creating recognition schedules based on item
  • Creating recognition schedules based on distribution
  • Processing a recognition
  • Changing the deferral end date
  • Putting a schedule on hold
  • Canceling schedules
  • Reclassifying schedules
  • Changing recognition amounts
  • Setting up event based recognition
  • Using event based recognition
Closed Workflows

These videos provide information about workflows for using certain features.

  • Recognition accounts allocations
  • Using the order type
  • Using the offering type
  • Applying credit memos
  • Using the profit and loss method
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Concepts

Articles within this category provide background and processing information on features within ARED.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing and Updating Advanced Revenue & Expense Deferrals

Who Performs the Installation?

A system administrator (or system owner) should install and configure the software in the Microsoft Dynamics GP environment.

Typical installation tasks include the following:

  • Downloading the software files
  • Extracting the files from the compressed (zipped) folder
  • Installing the software in Windows
  • Installing the program in Microsoft Dynamics GP
  • Registering the software
  • Enabling alternate forms and reports
  • Setting up user access to forms and reports
  • Setting up shortcuts to software windows

Installation Documentation

To install or update Advanced Revenue & Expense Deferrals, visit the Binary Stream Portal (https://portal.binarystream.com/) External link , and review the installation documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Advanced Revenue & Expense Deferrals

Who Performs the Setup?

After implementation, a system administrator (or system owner) typically takes over the day-to-day system and setup adjustments for the software in your Microsoft Dynamics GP environment.

Caution: Make sure that users do not enter transactions while you change setup options. If transactions are entered during the time you change the setup options, the integrity of the transaction data might be compromised.

Tip: As a best practice, make any changes to the setup options when all users are logged off. For example, notify all users a few days in advance indicating that changes to the system will be made and that the system is not available during that specified time frame.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Windows

An alternate or custom window is a standard Microsoft Dynamics GP window that has additional boxes or buttons that are specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate window to enter information specific to the program, the data is saved in the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

For some windows, if an alternate window is not used, an extra window for the program opens so that you can enter specific data for the program.

Caution: If the alternate window is not used or the data integration is performed only to the Microsoft Dynamics GP table, data is not saved to the parallel table, which can compromise your data or cause functionality issues.

To be able to use an alternate (or custom) window, the system administrator must select to use the alternate window in the Alternate/Modified Forms and Reports window.

Notes:

  • If you are not able to use the correct window for Advanced Revenue & Expense Deferrals, you cannot correctly enter and reuse data or use the functionality in Advanced Revenue & Expense Deferrals.
  • For some third‑party programs , the alternate window for Advanced Revenue & Expense Deferrals is not available due to conflicts. For programs commonly used with Advanced Revenue & Expense Deferrals, an extra window option exists. In these cases, use the alternate window for the third-party program.

    • If an extra window does not exist, contact Binary Stream to discuss possible options.

Security for Alternate Windows

Ensure that you set security for all alternate windows for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Reports

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Alternate or Custom Reports

An alternate or custom report is a standard Microsoft Dynamics GP report that has additional information that is specific to a program that integrates with Microsoft Dynamics GP. When you use the alternate report to display information specific to the program, the information is from the following tables:

  • Standard Microsoft Dynamics GP table
  • Binary Stream parallel table

You can use Report Writer to customize a standard Microsoft Dynamics GP report or a Advanced Revenue & Expense Deferrals alternate report so that the report shows all the data you want to see.

To be able to use an alternate (or custom) report, the system administrator must select to use the alternate report in the Alternate/Modified Forms and Reports window.

Security for Alternate Reports

Ensure that you set security to all alternate reports for the modules that you use. If you do not set the security, data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Extra Windows

Using Alternate Forms and Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Extra Windows

An extra window is a secondary window that opens when a standard Microsoft Dynamics GP window is opened. You use the extra window to enter and save information for the transaction that is specific to the program. The information from the extra window is then saved in the parallel table and is used to create functionality.

Extra windows are used in the following situations:

  • The alternate window is assigned to another program.

    • Note icon. Note: Extra windows are not available for every alternate window - only windows in which conflicts occur.

  • Certain Microsoft Dynamics GP modules that are supported only use extra windows.

The extra window always opens when the standard Microsoft Dynamics GP window is opened. You can select OK to close the extra window. However, as a best practice, do not close the extra window directly. Instead, when you are finished with the main Microsoft Dynamics GP window, close it and the extra window will also close.

Security for Extra Windows

Ensure that you set security to all extra windows for the modules that you use. If you do not set the security, the extra window does not appear and data integrity and security issues might occur.

For information on setting security, see Setting Up User Security.

See also

Alternate or Custom Windows

Alternate or Custom Reports

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Common Window Buttons

Many of the windows include buttons described only in this section to reduce repetition in the document. For more information on standard features that are used in the windows throughout Microsoft Dynamics GP, see the article named Common window elements in the Microsoft Dynamics GP documentation.

Button Name | Icon | Description
Cancel |  | Closes the window without saving any changes.
Clear |  | Clears all boxes in the window.
Copy |  | Copies the selected data, or all data in the window, to the clipboard.
Delete |  | Removes the current record from its associated table. Deletes the current record.
Expansion | Expansion Arrow icon. | Opens the expansion window associated with the field or option.
Find |  | Opens the associated find window.
Lookup |  | Opens the associated Lookup window for a field.
Note |  | Opens the associated note window for a field.
OK |  | In a setup window, saves the data to its associated table. In an Inquiry, closes the window. You do not usually select OK to close a window, except when in an Inquiry window.
Print |  | Prints the report associated with the window.
Redisplay |  | Updates the view of the contents in the window.
Save |  | In a Cards or Maintenance window, saves the data or record to its associated table.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedules Overview

In ARED, recognition schedules are always based on and are dependent on an underlying originating sales or purchasing document. Recognition schedules are created based on triggers in the program, and are never entered or created separately.

  • On the ARED Setup window, you can specify the types of recognition schedule documents. Also, you can set the deferral trigger parameters by item, customer, vendor, or account.
  • On the Recognition Template Maintenance window, you can set the length and frequency of the recognition.
  • The SALES or PURCH distribution from the original document is the deferral account.
  • The source IDs determine the recognition account used for the recognition schedule.
  • On the Recognition Schedule Entry window, you can view and edit a recognition schedule.

Watch a Video

  • Creating recognition schedules from an Item
  • Creating recognition schedules from an Account

See also

Deferral Decision Flow for Sales or Purchasing

Setting Up Deferral Modules, Triggers, and Preferences

Creating a Recognition Template

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Data: Import Utility File Format

The following table provide the layout requirements of the data imported using the Import utility.

For import data information for the Binary Stream Importer, see Importing Data: BSSI Importer File Format and Importing Data: BSSI Importer - Deferral Balances .

Before you import data, review these Closed data format tips.

When using Microsoft Excel (or other spreadsheet editor) to modify the data in the import file, keep in mind these tips for formatting your data:

  • Avoid using commas (,) for dollar amounts

    • To format the cells, use the Number format, not the Currency format. Also, do not use the Accounting format.

  • Do not use commas (,) or quotation marks (" ") in text cells (for example, comment text)

    • During the import, commas and quotation marks are "read" as a separate column.

  • If any of the data has leading zeros (for example, invoice number 000012345), you might need to save the file in the spreadsheet format (XLSX) until you are ready to import the file

    • When you are ready to import the file, save the file to a CSV format.If you need to review the data, open the CSV file in a text editor to retain the leading zeros. If you open the file in Microsoft Excel (or other spreadsheet editor), the leading zeros disappear.

  • Before you save the file to a CSV format, remove
    • all blank rows
    • additional header rows
    • columns you added for reference purposes
      When data is imported, the mapping is based on the column number not the column header name.

    • When a file is imported, the import uses the column numbers. The import mapping is not based on column header names.

The format of the import file is as follows:

Column | Description
Document number (SOP/POP) | String, Required
Item Number | String, Required
Line Item Sequence | Integer number, Required
Start Date | Date, Required
Template ID | String, Required if Create Schedule Based on dates is 0 (cleared)
Contract Number | String, Optional
New/Renew (NEW/RENEW) | Optional
Offering Type ID | String, Optional
Source ID | String, Optional
Order Type ID | String, Optional
Create Schedule Based on dates
  • 0-No
  • 1-Yes

Required
Deferral Frequency | Required if Create Schedule Based on dates is 1 (selected)
End Date | Date, Required if Create Schedule Based on dates is 1 (selected)
ARCB Schedule ID

String, Optional

Imported only when ARCB is installed as part of the Advanced Contract Billing Suite. If this ID exists, it is validated during the import process.

After the data is successfully imported, the ARCB Schedule ID is displayed in the Recognition Schedule Entry window.
ARCB Line Seq Number

Optional

Imported only when ARCB is installed as part of the Advanced Contract Billing Suite, and the ARCB Schedule ID is valid. This value is validated against the ARCB Schedule ID and the item number.

After the data is successfully imported, the ARCB Schedule ID is displayed in the Recognition Schedule Entry window.
Event Based Template ID | String, Optional (Required if Schedule Type is 2)
Based on Qty | Optional
Allocation Method | Optional
Expiration Account | String, Optional
Schedule Type
  • 1-Standard
  • 2-Event Based

Optional

Document Type
  • 2-SOP Returns

Optional

See also

Importing Data: BSSI Importer File Format

Importing Data: BSSI Importer - Deferral Balances

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Data: Change Utilities

The following tables provide the layout requirements of the data imported using the Change End Date Utility or the Change Start Date Utility.

Before you import data, review these Closed data format tips.

When using Microsoft Excel (or other spreadsheet editor) to modify the data in the import file, keep in mind these tips for formatting your data:

  • Avoid using commas (,) for dollar amounts

    • To format the cells, use the Number format, not the Currency format. Also, do not use the Accounting format.

  • Do not use commas (,) or quotation marks (" ") in text cells (for example, comment text)

    • During the import, commas and quotation marks are "read" as a separate column.

  • If any of the data has leading zeros (for example, invoice number 000012345), you might need to save the file in the spreadsheet format (XLSX) until you are ready to import the file

    • When you are ready to import the file, save the file to a CSV format.If you need to review the data, open the CSV file in a text editor to retain the leading zeros. If you open the file in Microsoft Excel (or other spreadsheet editor), the leading zeros disappear.

  • Before you save the file to a CSV format, remove
    • all blank rows
    • additional header rows
    • columns you added for reference purposes
      When data is imported, the mapping is based on the column number not the column header name.

    • When a file is imported, the import uses the column numbers. The import mapping is not based on column header names.

Change End Date

The import file must be a comma delimited CSV file, and have the following columns:

Column | Description
Recognition Schedule Number | Schedule number. String, Required.
Origin

For each origin, specify a number:

  • 1-SOP
  • 2-POP
  • 3-RM
  • 4-PM
  • 5-GL
Required.
Adjusted Deferral End Date | A new deferral end date for the schedule. Required.
Recalculation Date
  • A new recalculation date for the schedule. Required.
  • Any schedule amounts that occur before this date are not adjusted or recalculated. Also, any schedule amounts that occur in a closed fiscal period (in History) are not adjusted or recalculated.
    • Reason | String, Optional.
    Contract ID

    Optional.

    If this value exists, the end dates for several recognition schedules belong to the same contract ID are updated. This feature is available in ARED build 702 (and newer). Closed View examples.

    The following examples demonstrate how the end dates are updated based on the contract ID:

    Missing schedule number

    Schedule Number | Origin | Adjusted Deferral End Date | Recalculation Date | Reason | Contract ID
 | 1 | May 01, 2017 | July 01, 2017 |  | CON1

    When the import file is missing the recognition schedule number, all schedule numbers attached with the contract ID CON1 are updated with the end date May 01, 2017.

    Both the schedule number and contract ID are provided

    Schedule Number | Origin | Adjusted Deferral End Date | Recalculation Date | Reason | Contract ID
STDINV2268-1 | 1 | May 01, 2017 | July 01, 2017 |  | CON1

    When both the schedule number and contract ID are provided, only the deferral schedule specified STDINV2268-1 is changed with the updated end date May 01, 2017.

    Missing contract ID

    Schedule Number | Origin | Adjusted Deferral End Date | Recalculation Date | Reason | Contract ID
STDINV2268-1 | 1 | May 01, 2017 | July 01, 2017 |  |

    The recognition schedule specified is imported and overrides any existing record.

    Change Start Date

    The import file must be a comma delimited CSV file, and have the following columns:

    Column | Description
    Recognition Schedule Number | Schedule number. Required.
    Origin

    For each origin, specify a number:

    • 1-SOP
    • 2-POP
    • 3-RM
    • 4-PM
    • 5-GL
    Required.
    Template ID | The template ID for the recognition schedule. Optional.
    Start Date | The start date to use. Required.

    See also

    Importing Data: Import Utility File Format

    Importing Data: BSSI Importer File Format

    Importing Data: BSSI Importer - Deferral Balances

    Importing Data: Recognition Amount Utility

    Change End Date Utility: Overview

    Change Start Date Utility: Overview

    Closed Documentation Feedback

    If this article was not helpful, please tell us why:

    The topic contains an error.


Importing Data: Recognition Amount Utility

The following table provide the layout requirements of the data imported using the Import Recognition Amount Utility.

Before you import data, review these Closed data format tips.

When using Microsoft Excel (or other spreadsheet editor) to modify the data in the import file, keep in mind these tips for formatting your data:

  • Avoid using commas (,) for dollar amounts

    • To format the cells, use the Number format, not the Currency format. Also, do not use the Accounting format.

  • Do not use commas (,) or quotation marks (" ") in text cells (for example, comment text)

    • During the import, commas and quotation marks are "read" as a separate column.

  • If any of the data has leading zeros (for example, invoice number 000012345), you might need to save the file in the spreadsheet format (XLSX) until you are ready to import the file

    • When you are ready to import the file, save the file to a CSV format.If you need to review the data, open the CSV file in a text editor to retain the leading zeros. If you open the file in Microsoft Excel (or other spreadsheet editor), the leading zeros disappear.

  • Before you save the file to a CSV format, remove
    • all blank rows
    • additional header rows
    • columns you added for reference purposes
      When data is imported, the mapping is based on the column number not the column header name.

    • When a file is imported, the import uses the column numbers. The import mapping is not based on column header names.

The import file must be a comma delimited CSV file, and have the following columns:

Column | Description
Recognition Schedule Number | A schedule number. Required.
Sequence Number | The sequence number. Required.
Amount | The amount. Required.

See also

Importing Data: Import Utility File Format

Importing Data: BSSI Importer File Format

Importing Data: BSSI Importer - Deferral Balances

Importing Data: Change Utilities

Import Recognition Amount Utility: Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Data: BSSI Importer - Deferral Balances

If you are new to ARED, you can import existing invoices from a different program that you want to continue to recognize. The invoices from the previous program have been posted to the General Ledger and cannot be recreated in Microsoft Dynamics GP to generate the ARED recognition schedule. If you were to recreate the invoices, your data could be compromised.

To import recognition schedules for such invoices, use the Binary Stream Importer. The Binary Stream Importer allows you to import the recognition schedules where the original document does not exist in Microsoft Dynamics GP.

The Binary Stream Importer supports the following ARED modules:

Module | Recognition Type |  |  | Schedule Type
 | By Item | By Distribution Type | By Account | Standard | Event Based
Sales |  |  | N/A |  |
Purchasing |  |  | N/A |  |
Accounts Receivable | N/A |  | N/A |  | N/A
Accounts Payable | N/A |  | N/A |  | N/A
General Ledger | N/A | N/A |  |  | N/A

After the recognition schedules have been successfully imported, the schedule status is set to Available, which allows for normal ARED processing to occur.

A unique Recognition Schedule Number format is used for the records that were imported. The suffix -IMP is appended to the existing format, for example, DOC123-1-IMP.

Notes:

  • The PURCH distribution type is used for the Accounts Payable module.
  • The Invoice Document Type is used for both the Sales and Accounts Payable modules.
  • All General Ledger recognition schedules are treated as if they were created from a debit.

See also

Importing Data: BSSI Importer File Format

Importing Data: Import Utility File Format

Importing Data: Change Utilities

Importing Data: Recognition Amount Utility

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Data: BSSI Importer File Format

When data is imported, the format of the file must follow a specific format and is validated using the Binary Stream Importer. After the file validation is completed, a Microsoft Excel log report showing the results along with the original input data is generated.

Note icon. Note: Before you can import the data, the file must be valid. Fix all issues in the original import file, and then run the validation again. The Microsoft Excel log report is only for informational purposes, and cannot be used as an import file.

The following table provides information about the required import file format.

Field | Type | Allowed Values | Requires a Value? | Notes
Entity String Any valid entity, for example, 100, 200, etc.

Only when Multi-Entity Management is installed and used.

Must be blank if Multi-Entity Management is not installed.

Applicable only when Multi-Entity Management is installed.

The entity value must exist and the current user must have access to it.

Transaction Type String

Only the following values:

  • SOP (Sales module)
  • AP (Accounts Payable module)
  • GL (General Ledger module)
 Yes.
Document Number String

Any string up to 100 characters.

Digits only for GL.

 Yes.

The document number from the previous accounting program for the recognition schedule.

Cannot be an existing Microsoft Dynamics GP document number.

Together with the Line Item Sequence, must be unique in the import file.

Note icon. Note: Because the import uses a different number format for Line Item Sequence, the chance of having the same document number for future records is reduced.

Tip: Use a different number format scheme to reduce the chance that the document number is created in Microsoft Dynamics GP in the future.

Note icon. Note: The Original Document Number (for Sales) and Description (for Accounts Payable) are automatically set to IMPORTED to identify recognition schedules created by this import.
Customer/Vendor/Reference String
  • For the Sales module, any existing customer number
  • For the Accounts Payable module, any existing vendor number.
  • For the General Ledger module, a string for the GL Reference.
 For all modules except General Ledger.
Item Number | String | Any existing item number. | Only when Recognition by Item is selected. | Maximum 30 characters for the General Ledger module.
Site ID | String | Any existing site ID. | Only for the Sales module when Recognition by Item is selected. | Maximum 10 characters.
Line Sequence Number Integer Any positive whole number, for example, 1, 2, or 3. Yes.

Used to represent the line item or account.

You can number multiple lines for a document starting at 1.

Recognition Amount Currency Currency amount. Yes.

The amount to be recognized. Must be a positive value, except for the Sales module. If Create $0 Amount Schedule is selected, a zero value is allowed.

Note icon. Note: This value can be the amount remaining on an existing recognition schedule, or the original recognition amount if the intention is to stub the recognized periods after the schedule has been imported.

IsCredit Boolean

Any boolean value:

  • 0 - debit
  • 1 - credit
 Yes

Indicates whether the recognition amount is a credit or debit to the deferral account.

Available in ARED build 528 (and newer), ARED build 620 (and newer) and AREDbuild 708 (and newer).

Deferral Account | String | Any existing Microsoft Dynamics GP account string, for example, 100-2100-01. | Yes. | The account for the deferral amount.
Recognition Account | String | Any existing Microsoft Dynamics GP account string, for example, 100-2100-01. | Yes. | The account for recognizing a deferral amount.
Start Date Date Any date. Yes.

The date on which the recognition schedule starts. Also used as the document date.

The date format for all files must be MM/DD/YYY.

Note icon. Note: The description of the start date depends on whether the intention is to stub already recognized periods.

Schedule Type Integer

An integer to represent the schedule type:

  • 0 – Standard
  • 1 – Event Based
 Yes. For event based schedules, all information is retrieved from the template. No other event based fields are required in the import file.
Template ID String Any standard or event based template ID. Only for standard recognition schedules where no default exists and Create Based on Dates is FALSE.

If no value is entered, the default template from the Item or Customer is used if it exists. Otherwise, the system-level default template is used.

If no template ID can be used, an error message appears.

Event based templates with the Create Events Based on Qty option selected are not supported by the Importer.
Create Based On Dates Boolean

Any boolean value:

  • 0 - False
  • 1 - True
Only for standard recognition schedules. Indicates if the recognition schedule periods should be generated as per the dates and frequency specified.
Deferral Frequency Integer

An integer to represent the deferral frequency:

  • 1 – Monthly
  • 2 – Quarterly
  • 3 – Semi-Annually
  • 4 – Annually
  • 5 – Fiscal Periods
 Only for standard recognition schedules where Create Based on Dates is TRUE.
End Date Date Any date. Only for standard recognition schedules where Create Based on Dates is TRUE.

The date on which the recognition schedule ends.

The date format for all files must be MM/DD/YYY.
Document Date | Date | Any date. | Only when you want the document date different from the deferral start date. | Available in ARED build 702 (and newer).

See also

Importing Data: BSSI Importer - Deferral Balances

Importing Data: Import Utility File Format

Importing Data: Change Utilities

Importing Data: Recognition Amount Utility

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deferral Decision Flow for Sales or Purchasing

The following diagram shows the flow for a deferral decision for the Sales or Purchasing modules. The light blue boxes represent the most common decision flow.

See also

Recognition Schedules Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Calculating the Schedule Line Amount: Three-Month Deferral

Review the following four methods in the following scenarios for calculating the schedule line amount with the following data:

  • A three-month deferral for 4,500.00 with the start date of October 15, 2009 and the end date of January 14, 2010
  • The amount of 4,500.00 is distributed over three months
  • The number of days between the start and end dates, which is the number of days in the period, is 91 days
  • The daily rate is 4500.00/91 = 49.45

Scenario 1

On the Advanced Rev. & Exp. Deferrals Setup window, Equal Per Period and Default Prorate are selected.

  • Period rate = 4500/3 = 1500
  • First Period: 17/31 = 0.548387
  • Prorate First period: 1500*0.548387= 822.58065
  • Equal per period (Second period) = 1500
  • Equal per period (Third period) = 1500
  • Last period: 4500 – First three periods = 677.41935

The Recognition Schedule Entry window appears as follows:

Scenario 2

On the Advanced Rev. & Exp. Deferrals Setup window, Default Prorate is selected.

  • Daily rate: 4500/91 = 49.45
  • Prorate First period: 49.45 * 17 = 840.66
  • Second period= 49.45 * 30 = 1483.52
  • Third period = 49.45 * 31 = 1532.95
  • Last period: 4500 – First three periods = 642.85

The Recognition Schedule Entry window appears as follows:

Scenario 3

On the Advanced Rev. & Exp. Deferrals Setup window, Equal Per Period is selected.

  • Take the total amount divided by the number of periods: 4500/3 = 1500

The Recognition Schedule Entry window appears as follows:

Scenario 4

On the Advanced Rev. & Exp. Deferrals Setup window, Equal Per Period and Default Prorate are cleared.

  • Daily rate: 4500/91 = 49.45
  • First period: 49.45 * 31 = 1532.97
  • Second period= 49.45 * 30 = 1483.52
  • Last period: 4500 – First two periods = 1483.51

The Recognition Schedule Entry window appears as follows:

See also

Calculations with Selected Options: Equal Per Period and Default Prorate - Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Calculating the Schedule Line Amount: Six-Period Deferral

Review the following four methods in the following scenarios for calculating the schedule line amount with the following data:

  • A six-period deferral for 4,500.00 with the start date of April 12, 2017 and the end date of September 04, 2017.
  • The amount of 4,500.00 is distributed over six periods
  • The number of days between the start and end dates, which is the number of days in the period, is 146 days
  • The daily rate is 4500/146 = 30.82191

Scenario 1

On the Advanced Rev. & Exp. Deferrals Setup window, Equal Per Period and Default Prorate are selected.

  • Number of Periods = 5.4074 (5 full periods + 1 partial period) = 5.41
  • First period is 11 days i.e. 11/27 = 0.4074 partial period
  • Five full periods are 27 days each
  • Amount for each period = 4500/5.41 = 832.19
  • Prorate First period: 832.19* 0.4074= 339.04
  • Equal per period (other periods) = 832.19
  • Last period: 4500 – First Five periods = 832.20

The Recognition Schedule Entry window appears as follows:

Scenario 2

On the Advanced Rev. & Exp. Deferrals Setup window, Default Prorate is selected and Equal Per Period is cleared.

  • Daily rate: 4500/146 = 30.82191
  • Prorate First period: 30.82191* 11 = 339.03
  • All other periods = 30.82191* 27 = 832.19
  • Last period: 4500 – First Five periods = 832.21 (because of rounding)

The Recognition Schedule Entry window appears as follows:

Scenario 3

On the Advanced Rev. & Exp. Deferrals Setup window, Equal Per Period is selected.

  • Take the total amount divided by the number of periods: 4500/6 = 750

The Recognition Schedule Entry window appears as follows:

Scenario 4

On the Advanced Rev. & Exp. Deferrals Setup window, Equal Per Period and Default Prorate are cleared.

This is same as the second scenario.

The Recognition Schedule Entry window appears as follows:

See also

Calculations with Selected Options: Equal Per Period and Default Prorate - Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


COGS Recognition Schedule Creation

A recognition schedule for a deferrable item is created when a transaction or batch is posted when Recognize by Item is selected for Use Sales Transaction on he Advanced Rev. & Exp. Deferrals Setup window.

Also, a COGS recognition schedule is created when the COGS Deferrable check box is selected for the item when a sales transaction is manually created, or created through the Advanced Contract Billing Suite Invoice Creator window. The COGS recognition schedule that is created uses the same parameters that are defined on the Sales Line Item Deferral window.

When a sales order processing document is posted, the functional COGS amount, which is the extended amount) for each line is then saved in the EXTCOST field.

See also

Deferred Inventory: Example

COGS Journal Entry Processing: Example

Mass Schedule Processing

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Markdown Recognition Schedule Creation

In addition to creating a regular recognition schedule for a line, a markdown recognition schedule is created for a deferrable item when a transaction or batch is posted and the following settings are used on the Advanced Rev. & Exp. Deferrals Setup window:

  • In the Deferral Module Setup area, Use Sales Transaction is selected with Recognition by Item.
  • Under Markdown Defer Options, Defer Markdown Separately is selected.

The markdown recognition schedule uses the same parameters that are defined on the Sales Line Item Deferral window.

When a sales order processing document is posted, the markdown amount for each line is saved in the MRKDNAMT field.

Note icon. Note: When you make a change to the regular recognition schedule, the markdown recognition schedule is not automatically updated. You must manually edit the markdown recognition schedule. The reverse is also true when you make a change to the markdown recognition schedule. ARED provides a warning message after you make any changes to the either of the recognition schedules.

Journal Entry Processing

When you use the Journal Entry Processing window to create or reverse a journal entry or place a stub or reverse a stub on a recognition amount for a markdown, the markdown deferral account is credited, and the markdown recognition account is debited.

For example, a line has a 20.00 extended markdown amount for 12 months. The recognition journal entry is as follows:

Account | Debit | Credit
000-4180-00 (Markdown) |  | 1.67
00-4700-00 (Markdown Recognition) | 1.67 |

See also

COGS Recognition Schedule Creation

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Allocation Recognition Schedule Creation

A separate recognition schedule (based on the schedule type) for each deferrable line item is created when a transaction or batch is posted and the following settings are used:

  • In the Deferral Module Setup area of the Advanced Rev. & Exp. Deferrals Setup window, Use Sales Transaction is selected with Recognition by Item.
  • Recognition Allocation is selected for the line item and all required parameters are entered on the Sales Line Item Recognition Allocation window.

COGS and Markdown Deferrals

COGS and markdown deferrals are created for the main line item. You can select the options under the COGS / Markdown Defer area on the Sales Line Item Recognition Allocation window.

Example

On the Sales Transaction Entry window, the line item 128 SDRAM has the Recognition Allocation option selected. You can press Ctrl+D to open the Sales Line Item Recognition Allocation window.

The Deferral Account in the header is 000-4110-02, which is the default deferral account for all line items. However, the deferral account for the second has been changed to 000-4510-01. The Schedule Type for the fourth line is Recognize on Post.

The following actions occur when the sales transaction is posted:

  • When Schedule Type is Recognize on Post, a journal entry to record the revenue recognition is created using the following criteria:
    • The invoice posting date is the same as the journal entry date
    • The journal entry amount is the same as the specified on the allocation template
    • The deferral account that is specified on the allocation template is debited
    • The recognition account that is specified on the allocation template is credited

    • The amount for the recognition account 000-7000-00 must be recognized immediately with the same posting date as the invoice posting date.

    On the Transaction Entry window, the journal entry would appear as follows:

Account | Debit | Credit
000-4110-02 | 500 |
000-7000-00 |  | 500

    If multiple lines have Schedule Type set to Recognize on Post, one journal entry with multiple lines is created.

  • When the Deferral Account for a line item is different from the Deferral Account for the header, a journal entry using the following criteria is created to move the deferral amount from the Deferral Account from the header to the Deferral Account for the line:
    • The invoice posting date is the same as the journal entry date
    • The journal entry amount is the same as the specified on the allocation template
    • The Deferral Account from the header is debited
    • The Deferral Account for the line is credited

    • On the Transaction Entry window, the journal entry would appear as follows:

Account | Debit | Credit
000-4110-02 | 2500 |
000-4510-01 |  | 2500

    If multiple lines have different Deferral Accounts, one journal entry with multiple lines is created.

    The Deferral Account for the line is used on the ARED schedule.

After the sales transaction and all journal entries are posted, three schedules are created:

  • STDINV2297-LINESEQ-ALLOCATIONLINESEQ.
  • STDINV2297-6-1
  • STDINV2297-6-2
  • STDINV2297-6-3

These schedule numbers show that for line 6 for the sales order processing document, four schedules are attached to it.

See also

COGS Recognition Schedule Creation

Markdown Recognition Schedule Creation

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Apply Credit Memo Processing

In the Apply Credit Memo window, you can process different types of transactions for recognition schedules.

Adjust Schedule Action

You adjust a recognition schedule by decreasing the recognition amount on the schedule by an applied amount from a credit memo. The specified applied amount cannot be more than the original recognition amount for the schedule. Also, it cannot be more than the remaining amount for the credit memo.

The remaining amount is the total of all adjustments associated with the credit memo, and cannot be more than the credit amount for the credit memo.

The Adjust Schedule processing action can be used with schedules that have not been adjusted, were not archived ,and have a status of Available.

When Apply Credit Memo Amount on the Advanced Rev. & Exp. Deferrals Setup window is set to Unrecognized Only, the following occurs:

  • The Recognition Amount (only on unrecognized lines) is decreased by the Adjustment Amount or the appropriate portion of the Adjustment Amount.
  • The Apply Amount is set to the decreased amount for the schedule.
  • The schedule is recalculated.

When Apply Credit Memo Amount on the Advanced Rev. & Exp. Deferrals Setup window is set to All, the following occurs:

  • All recognized schedule lines are automatically unrecognized.
  • The Recognition Amount is decreased by the Adjustment Amount or the appropriate portion of the Adjustment Amount.
  • The Adjustment Amount is set to the decreased amount for the schedule.
  • The schedule is recalculated.
  • All previously recognized schedule lines are recognized.
  • Journal entries are created with the Batch ID and Transaction Date specified.
  • The process creates an appropriate audit trail record in the table and displays a Process Audit Report after completion.

Reverse Adjustment Action

Reversing an adjustment for a recognition schedule increases the recognition amount by the adjustment amount and removes references to the credit memo from the schedule.

Effectively, this process reverses the Adjust Schedule process action. The Reverse Adjustment processing action can be used with schedules that have been adjusted, were not archived, and have a status of Available.

When Apply Credit Memo Amount on the Advanced Rev. & Exp. Deferrals Setup window is set to Unrecognized Only, the following occurs:

  • The Recognition Amount (only on Unrecognized lines) is increased by the Adjustment Amount.
  • The Adjustment Amount is cleared.
  • The schedule is recalculated.

When Apply Credit Memo Amount on the Advanced Rev. & Exp. Deferrals Setup window is set to All, the following occurs:

  • All recognized schedule lines are automatically unrecognized.
  • The Recognition Amount is increased by the Adjustment Amount.
  • The Adjustment Amount is cleared.
  • The schedule is recalculated.
  • All previously recognized schedule lines are recognized.
  • Journal entries are created with the Batch ID and Transaction Date specified.
  • The process creates an appropriate audit trail record in the table and displays a Process Audit Report after completion.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Territory Account Substitution

The way ARED gets the territory ID depends on a setting on the Advanced Rev. & Exp. Deferrals Setup window:

  • When Recognition By Item is selected, ARED gets the territory ID from the Sales Item Detail window.
    If the territory ID is missing, then ARED gets the territory ID from the sales transaction header.
  • When Recognition By Dist Type is selected, ARED gets the territory ID from the sales transaction header.

When recognition schedule is created, the territory account substitution is applied to the recognition account and on-hold account, depending on the territory selected and the segment values provided on the Account Substitution Setup window in MEM.

If Territory is empty on the sales transaction header as well as on the line, account substitution does not occur.

If you change the Territory on the header, the roll-down functionality for the account substitution occurs.

For example, the item 4HR1.2 Recognition Account:

[Business] | [Function] | [Team] | [Office]
41010 | -00 | -00 | -00

The following two territories are set up:

Territory ID | 24 | Territory ID | 18
Business | 01 | Business | 03
Function | 04 | Function | 02
Team | 12 | Team | 18
Office | 02 | Office | 01

When the item 4HR1.2 is sold, depending on the territory selected on an SOP invoice, the following revenue accounts should be used:

  • Territory 24: revenue account 41010-01-04-12-02
  • Territory 18: revenue account 41010-03-02-18-01

If account substitution fails, the following occurs:

  • If Recognition By Item is selected on the Advanced Rev. & Exp. Deferrals Setup window, the recognition and on-hold accounts from the Revenue/Expense Source Maintenance window are used.
  • When Recognition By Dist Type is selected on the Advanced Rev. & Exp. Deferrals Setup window, the recognition and on-hold accounts from from Default Distribution Type Setup window are used.

When Multi-Entity Management is installed and used, and Enable Account Substitution (Site Account Substitution) and Enable Territory Account Substitution are selected on the Advanced Rev. & Exp. Deferrals Setup window, account substitutions occurs in the following order:

  1. Territory
  2. Site
  3. MEM

See also

Calculating a Recognition Amount for a Bundled Transaction

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Journal Entry Processing – Redisplay: Benchmark Performance Results

This article provides the benchmark performance for the ARED JE Processing Redisplay function.

Environment: Microsoft Dynamics GP 2015

Summary Benchmark Results

Benchmark performance testing consists of redisplaying 100,000 lines on Journal Entry Processing window.

The following table provides summary test results: Microsoft Dynamics GP 2015 - ARED Build 503

Transaction Window | Number of Records | Time
JE Processing - Redisplay | 100,000 | 10 min

Test Lab Software Configurations

This report presents the results of internal testing as performed by a BSSI lab with the following programs:

  • Microsoft® SQL Server® 2012 Enterprise x64 Edition SP1
  • Windows® 8.1 Pro x64 Edition (Client)

Testing Hardware

The following hardware was used during testing:

  • Intel ® Core™ i5-3570 CPU @3.40 GHz
  • 930 GB Hard Drive
  • 16 GB RAM

Assumptions

Because the test environment is a controlled environment, slight differences may result in real client environments as compared to the benchmark results.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


SQL Stored Procedure: Event Based Auto Insert

Available in ARED for Microsoft Dynamics GP 2015 R2 (build 520 and newer), 2016 R2 (build 613 and newer), and 2018 (build 702 and newer).

The following stored procedure is used to automatically update the data for event-based recognition schedules. In particular, the following columns on the Sales Line Item Deferral window are updated when this stored procedure is run:

  • Event Type
  • Description
  • End Date
  • Completion %

You can run the stored procedure in SQL Management Studio or any application of your choice.

The following table shows the fields for the BSSI_ARED_EB_AutoInsert stored procedure.

Note icon. Note: This stored procedure always creates new event-based line only.

SNO | Parameter Name | Field Description | Data Type | Required | Description
1 | ORIGNUMB | Original SOP Number | string | Y |
2 | LNITMSEQ | Invoice line sequence | string | Y |
3 | EventID | Event Type | string | N | Valid Event Type in ARED
4 | DESCRIPTION | Description of event based line. | string | N |
5 | ENDDATE | End Date | date | N |
6 | PERCENTCOMP | Completion % | numeric | N | For Allocation Method “Percentage of Completion” only
7 | PERCENT | Alloc % | numeric | N | For Allocation Method “By Percentage” only
8 | RECOGAMOUNT | Recognition Amt | numeric | N | For Allocation Method “Variable Amounts” only
9 | O_iErrorState | 0- Successful, 1 - Failed | INT | OUTPUT |
10 | oErrString | Error Description | string | OUTPUT | Empty in case of success
Closed View example

Create a new event based line for Allocation Method: “Percentage of Completion”.

declare @O_iErrorState int

declare @oErrString varchar(255)

exec dbo.BSSI_ARED_EB_AutoInsert

@ORIGNUMB = 'Original SOP Number',

@LNITMSEQ = 16384,

@EventID = 'Init',

@Description ='test data',

@ENDDATE = '2018-05-11',

@PERCENTCOMP = 50,

@PERCENT = 0, --0 for percentage of completion, it is only for “By Percent”

@RECOGAMOUNT = 0, --0 for percentage of completion, it is only for “Variable Amounts”

@O_iErrorState = @O_iErrorState output, -- 0 (Successful), -1(Failed)

@oErrString = @oErrString output -- Error message

print CONVERT(VARCHAR(10),@O_iErrorState) + ' : ' + @oErrString

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Examples

Articles within this category provide examples on a feature or processing information in ARED.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Issuing a Refund for a Cancelled Contract: Example

In ARCB, a customer who is set up with a contract can cancel the contract and receive a refund. When this occurs, a refund is processed, the contract is terminated, and in some cases, the ARED recognition schedule is updated.

In this example, the customer has received an invoice for the whole period, but the customer cancels the contract before the billing end date. The customer is issued a refund for the remaining amount after the termination date. This functionality affects both ARED and ARCB and is available as of Microsoft Dynamics GP 2015 R2.

The details of the situation are as follows:

  • Contract start date: January 01, 2015
  • Contract end date: December 31, 2015
  • Frequency: Annual

Integration with ARCB

In ARCB, the customer has been invoiced (advanced billing) for the full year, but cancels in March.

The following image shows the schedule before termination in ARCB, invoiced for the whole period from January 01, 2015 - December 31, 2015.

To terminate the contract on March 15, 2015, follow these steps:

  1. On the ARCB Mass Termination Process window, in the scrolling window, set the limit of the range to the TESTREFUND schedule.
  2. In Termination Date, select March 15, 2015, and select Redisplay.
  3. In the scrolling window, review the Refund Amount for the TESTREFUND schedule.

With the termination date of March 15, 2015, March is considered as the full period. For any partial month termination, the whole month is used.

By default the refund is calculated as follows:

Total Amount divided by frequency

  • Monthly Amount 1200.00 / 12 = 100.00
  • Termination date is March 15th (March 15 count as full month)
  • Months to be billed = (Termination date Month – Start Date Month) = (3 – 1 + 1) = 3
  • Amount to be billed = Months to be billed * Monthly Amount (3 * 100.00) = 300.00

Refund Amount = 900.00

When Prorate Daily is selected, the refund is calculated as follows:

  • 1200.00 / 365 = give you daily rate = 3.28
  • (Termination date Minus Start date) = number of days to be billed
  • March 15, 2015 Minus Jan 01, 2015 = 74 days
  • Amount to be billed = 74(days) * 3.28(daily rate) = 243. 28
  • Refund Amount = 1200(original Amount) – 243.28(Amt. to be billed) = 956.71

Refund Amount = 956.71

The amount can be manually changed, but it must be less than or equal to 1200.00

  4. To create the return for the refund amount, select Issue Credit, and select Process.

When the refund is processing the following actions occur in ARCB:

  • The return is created in Microsoft Dynamics GP.

  • The billing schedule is updated with the termination date of March 15, 2015 and a status of Disabled.
  • The Termination Date Audit Header window shows the reason for termination as Refund.

The following image shows how the billing schedule appears in ARCB after a refund is processed.

The return must be manually posted in ARCB, and then the return is applied against the original sales invoice in the Apply window.

After the return is applied, on the ARCB Billing Schedule Maintenance window, the credit memo icon appears on the line. On the Billing Schedule Detail window, when the SOP Number expansion button is selected the credit applied is shown.

ARED Actions and Processing

While this return is processed and then manually posted in ARCB, the following actions occur in ARED:

  • Because the termination date (March 15, 2015) is within the recognized period, the journal entry for the period March 01, 2015 to March 31, 2015 is automatically reversed.
  • A return of 956.71 is automatically applied to the backend.
  • The deferral end date is adjusted to the termination date (March 15, 2015).

Note icon. Note: As of Microsoft Dynamics GP 2015 R2 and , when the Consolidate by Customer option is selected on the ARCB Mass Termination Process window, one return for one billing schedule is created and one return line for all the detail line refund amounts.

You can review the ARED Recognition Schedule Entry window to review the schedule. By default the termination date is the end of the month (for example, March 31, 2015). However, if Prorate Daily on the ARCB Mass Termination Process window is selected, the termination date is the actual termination date (for example, March 15, 2015).

When the Adjustment Amount expansion button is selected, you can view the ARED Applied From Credits window to review the credit applied. In this example, only the March refund amount appears. In an actual live situation, 43.29 would appear as recognized, and the reversal journal entry would only be 56.71.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Fiscal Periods: Example

As a best practice, create all future fiscal periods to match the required recognition schedules. The the fiscal periods do not match the deferral periods, the settings for the current fiscal year are used.

The following diagram shows how fiscal periods are setup in Microsoft Dynamics GP for the year 2017.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deferred Inventory: Example

This example demonstrates an invoice with deferred inventory items that are created in Advanced Recurring Contract Billing (ARCB).

Three inventory items, Item A, Item B, and Item C are sold to a customer. The price of the items are 120.00 each. Item A is delivered immediately, and Item B and Item C are to be delivered in three months, after the customer is ready to install them.

The revenue for Item A is immediately recognized. The revenue for Item B and Item C is deferred and will be recognized in three months.

The unit cost for the items are as follows:

  • Item A is 100.00
  • Item B is 95.00
  • Item C is 10.00

The journal entries are as follows:

Journal Entry Table
AR |  | 360.00 |
 | Revenue, A |  | 120.00
 | Deferred Revenue, B |  | 120.00
 | Deferred Revenue, C |  | 120.00
Cost of Goods Sold, Item A |  | 100.00 |
Deferred Costs of Goods Sold |  | 205.00 |
 | Inventory |  | 305.00

ARED creates the following four schedules:

  • Deferred Revenue, Item B = 120.00
  • Deferred Revenue, Item C = 120.00
  • Deferred COGS, Item B = 95.00
  • Deferred COGS, Item C = 110.00

Note icon. Note: If Item B and Item C use the same inventory and COGS accounts, both items are consolidated into a single journal entry. ARED creates separate COGS schedules for both items.

See also

COGS Recognition Schedule Creation

COGS Journal Entry Processing: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deferral Balance Report: Example

As of Microsoft Dynamics GP 2015 R2, you can print the Deferral Balance report from the Deferral Revenue/Recognition Inquiry window.

If you use a version of Microsoft Dynamics GP earlier than Microsoft Dynamics GP 2015 R2, you can print the Deferral Balance report from the Deferral Balance Inquiry window.

The following image is an example of the detailed version of the Deferral Balance report:

The following image is an example of the summary version of the Deferral Balance report. The summary report only shows the subtotals for the groups specified and the total. Any deferral balances per recognition schedules are not shown. The Group By box must be a value other than No Grouping.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Declining Balance Report: Example

As of Microsoft Dynamics GP 2015 R2, you can print the Declining Balance report from the Deferral Revenue/Recognition Inquiry window. This report is not available prior to Microsoft Dynamics GP 2015 R2.

The following image is an example of the detailed version of the Declining Balance report:

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue Waterfall Report: Example

As of Microsoft Dynamics GP 2015 R2, you can print the Revenue Waterfall report from the Deferral Revenue/Recognition Inquiry window. This report is not available prior to Microsoft Dynamics GP 2015 R2.

The following image is an example of the detailed version of the Revenue Waterfall report:

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


COGS Journal Entry Processing: Example

This example demonstrates the recognition journal entry for a COGS schedule when processed on the Journal Entry Processing window. The COGS deferral account is credited and the COGS recognition account is debited.

For a COGS recognition schedule created for 152.10, the extended unit cost is over 12 months. The following table shows how the journal entries appear per month.

Account |  | Debit | Credit
000-4700-00 (COGS Recognition) |  | 12.67 |
 | 000-4510-02 (COGS Deferral) |  | 12.67

An event-based COGS schedule works the same way.

Note icon. Note: Analytical accounting values on COGS account are defaulted from analytical account class settings.

See also

COGS Recognition Schedule Creation

Deferred Inventory: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based - Percentage of Completion: Example

This example shows the different journal entries for an event based item that uses the Percentage of Completion allocation method.

A contract to build a house has a price of 700,000. The estimated cost is 400,000. For each period the costs, percentage of completion, and revenue are as follows:

Period 1
Amount spent | 60,000
Percent Completed | 15% = 60,000/400,000
Revenue | 105,000 = 700,000 x 15%
Period 2
Amount spent | 40,000
Percent Completed | 25% = (60,000 + 40,000) / 400,000
Revenue | 70,000 = 700,000 x 25% - 105,000
Period 3
Amount spent | 30,000
Percent Completed | 23.64% = (60,000 + 40,000 +30,000) / 550,000
Loss | -9,520 = 700,000 x 23.64% - 105,000 – 70,000

The recognition schedule for the contract is as follows:

Sequence | % of Completion | Amount Spent | Recognition Amount | End Date
1 | 15.00% | 105,000 | 105,000 | March 31, 2012
2 | 25.00% | 175,000 | 70,000 | June 30, 2012
3 | 23.64% | 165,480 | -9,520 | September 30, 2012
  • Recognition Amount: 700,000
  • Amount Recognized: 165,480
  • Deferral Account: 000-2111-00
  • Recognition Account: 000-4100-00

For each period in the contract, the journal entries are as follows:

Period 1 (March 31, 2012)
DR account 000-2111-00 |  | 105,000 |
 | CR account 000-4100-00 |  | 105,000
Period 2 (June 30, 2012)
DR account 000-4100-00 |  | 105,000 |
 | CR account 000-2111-00 |  | 105,000
DR account 000-2111-00 |  | 175,000 |
 | CR account 000-4100-00 |  | 175,000
Period 3 (September 30, 2012)
DR account 000-4100-00 |  | 175,000 |
 | CR account 000-2111-00 |  | 175,000
DR account 000-2111-00 |  | 165,480 |
 | CR account 000-4100-00 |  | 165,480

Note icon. Note: For deferral schedules that use the Percentage of Completion allocation method, the set of journal entries that are created reverse the revenue for the previous period, and then record the up-to-date revenue. When the Reverse Journal Entries option is selected on the Journal Entry Processing window, both revenue recognition journal entries (as in the examples) should be reversed.

See also

Event Based Recognition Workflow

Event Based Templates: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Fixed Term Contract Termination: Examples

Integration of Microsoft Dynamics GP with CRM is possible with the use of SmartConnect by eOne Solutions [image] and eConnect nodes. This feature is available in ARED for Microsoft Dynamics GP 2018 R2 (build 709 and newer).

The following CRM termination options are matched as follows with corresponding ARCB termination options:

CRM Termination Options Table
CRM Termination Options | ARCB Termination Options
Full Credit | Adj. Schedule
Partial Credit | Adj. Schedule
No Credit | Bill Remaining
Cancel for Collection | Cancel For Collection

Review the following examples to better understand how the contract amounts are affected for a billing schedule that is terminated. These examples are based on the following setting: on the ARCB Setup window, Termination Calculation Option is set to Days In Period.

Closed Full Credit

When a billing schedule is terminated, the customer might be entitled to a full credit.

A contract has a frequency of annual (for example, January 01, 2019 to December 31, 2019) with an invoice of 1,200.00 per year. When the contract was created, the ARED recognition schedule was created for 1,200.00. The revenue is recognized up until May 31.

In CRM, the contract is terminated with a Cancellation Effective Date of December 31, 2018 (corresponds with the ARCBTermination Date). In this case, the cancellation date is before the start of the contract, so a full credit is issued to the customer, and the CRM Cancellation Date is June 1 (corresponds with the ARCBTransaction Date).

At the time the billing line is created in CRM, the following occurs:

  • An ARED recognition schedule and a journal entry are created.
Unbilled Debits Table
Debit Unbilled Receivable | 1,200.00 |
Credit Deferred Revenue |  | 1,200.00
  • The invoice for the billing schedule has the following distributions:
Unbilled Receivables Table
Debit AR | 1,200.00 |
Credit Unbilled Receivable |  | 1,200.00
  • The revenue recognition from January to May is 496.44 (151 days, no leap year)

Revenue Recognition Table
Debit Deferred Revenue Account | 496.44 |
Credit Revenue Recognition Account |  | 496.44

In CRM, the contract is terminated with the following information.

  • Cancellation Effective Date: December 31, 2018
  • Cancellation Date: June 1

When the contract is terminated, the following occurs:

  • In ARCB, the sales return for 1,200.00 is created.
Sales Return Table
Debit Unbilled Receivable | 1,200.00 |
Credit AR |  | 1,200.00
  • The return transaction is automatically applied to the outstanding invoices using the FIFO method: first to the contract or schedule, next to the Microsoft Dynamics GP customer ID.
  • In ARED, revenue (496.44) is recognized up to May 31, with the following dates:
    • Termination Date (CRM cancellation effective date) of December 31, 2018
    • Transaction Date (CRM cancellation date) of June 1
  • On June 1, the ARED recognition schedule is adjusted. The transaction date (CRM cancellation date) is June 1, and the transaction is saved in a month-end batch with the date June 01, 2019):
Revenue Table
Debit Revenue Recognition Account | 469.44 |
Credit Deferred Revenue Account |  | 469.44
  • The ARED recognition schedule is terminated from January 1 onwards (full credit):
Recognition Schedule Table
Debit Deferred Revenue | 1,200.00 |
Credit Unbilled Receivables |  | 1,200.00

The account balances are as follows:

Account Balances Table
Deferred Revenue | 0.00
Revenue | 0.00
AR | 1,200.00
Unbilled Receivables | 0.00

The 1,200.00 is applied to outstanding invoices. After the termination, the ARED schedule is as follows:

Closed Partial Credit

When a billing schedule is terminated, the customer might be entitled to a partial credit.

A contract has a frequency of quarterly, with invoices of 300.00 per quarter. When the contract was created, the ARED recognition schedule was created for 1,200.00. The invoice for the first quarter has been created. On June 1, the contract is terminated in CRM with a Cancellation Effective Date of May 31 (end of day). This date is also the ARCB Termination Date.

At the time the billing line is created in CRM, the following occurs:

  • An ARED recognition schedule and a journal entry are created.
Recognition Schedule Table
Debit Unbilled Receivable | 1,200.00 |
Credit Deferred Revenue |  | 1,200.00
  • The invoices for the billing schedule has the following distributions:

January 1

Billing Schedule Table
Debit AR | 300.00 |
Credit Unbilled Receivable |  | 300.00

April 1

Billing Schedule Table
Debit AR | 300 |
Credit Unbilled Receivable |  | 300
  • The revenue recognition from January to June is 595.07 (based on per day)
    January 31 + February 28 + March 31 + April 30 + May 31 + June 30 = 181 days

In CRM, the contract is terminated with the following information.

  • Cancellation Effective Date (ARCB termination date): May 31 (end of day)
  • Cancellation Date (ARCB transaction date): June 1

When the contract is terminated, the following occurs:

A refund based on per day is created:

  • Number of days for the whole contract (contract start date (begin of day) - contract end date (end of day)) = January 01, 2019 - December 31, 2019 = 365 (based on number of days in a year and end date is end of day)
  • Per day amount is 1200/365 = 3.2876
  • Charge for days including the termination date January 01, 2019 - May 31, 2019 = 151 days * 3.2876 = 469.44
  • Refund amount is calculated as follows: Invoiced amount - Charge for days including termination date = 600.00 - 496.44 = 103.56

The sales return is created for 103.56

Sales Return Table
Debit Unbilled Receivables | 103.56 |
Credit AR |  | 103.56
  • The return transaction is automatically applied to the outstanding invoices using the FIFO method: first to the contract or schedule, next to the Microsoft Dynamics GP customer ID.
  • In ARED, revenue (595.07) is recognized up to June 30 (181 days).
    • Cancellation Effective Date (ARED termination date): May 31 (end of day)
    • Cancellation Date (ARED transaction date): June 1
  • On June 1, the ARED recognition schedule is adjusted.

Revenue recognition for June 30 is reversed (1200/365 * 30 days):

Revenue Recognition Table
Debit Revenue Recognition Account | 98.63 |
Credit Deferred Revenue Account |  | 98.63
  • The ARED recognition schedule is terminated from June onwards 1200/365 * 214 days (June 30, Jul 31, August 31, September 30, October 31, November 30, December 31) = 703.56 (reversal of the initial journal entry).
Revenue Recognition Table
Debit Deferred Revenue (remove remaining liability) | 703.56 |
Credit Unbilled Receivables (remove remaining asset) |  | 703.56

The account balances are as follows:

Account Balances Table
Deferred Revenue | 0.00
Revenue | 496.44
AR | 103.56
Unbilled Receivables | 0.00

The 103.56 is applied to outstanding invoices as follows:

Outstanding Invoices Table
Before Termination |  |
 | Debit | Credit
Unbilled Receivable | 1200.00 |
Deferred Revenue Account |  | 1200.00
AR | 600.00 |
Unbilled Receivable |  | 600.00
Recognition Account |  | 595.07
Deferred Revenue Account | 595.07 |
After Termination |  |
 | Debit | Credit
Unbilled Receivable | 103.56 |
AR |  | 103.56
Recognition Account | 98.63 |
Deferred Revenue Account |  | 98.63
Deferred Revenue Account | 703.56 |
Unbilled Receivable |  | 703.56

After the termination, the ARED schedule is as follows:

Closed No Credit

When a billing schedule is terminated, the customer receives no credit.

A contract has a frequency of quarterly, with invoices of 300.00 per quarter. When the contract was created, the ARED recognition schedule was created for 1,200.00. The invoice for the first quarter has been created. On March 20, the contract is terminated in CRM with a Cancellation Effective Date and Cancellation Date of December 31 (no credit). In ARCB the cancellation date and termination date are also December 31.

At the time, the billing line is created in CRM, the following occurs:

  • An ARED recognition schedule and a journal entry are created.
Recognition Schedule Table
Debit Unbilled Receivable | 1,200.00 |
Credit Deferred Revenue |  | 1,200.00
  • The invoice for the billing schedule for the first period on January 1 has the following distributions:
Billing Schedule Table
Debit AR | 300.00 |
Credit Unbilled Receivable |  | 300.00
  • The revenue recognition from January to March is 295.89 (1200.00/365 * 90 days)

In CRM, the contract is terminated with the following information.

  • Cancellation Effective Date (ARCB termination date): December 31 (no credit)
  • Cancellation Date (ARCB transaction date): March 20

When the contract is terminated, the following occurs:

  • In ARCB, a sales invoice for the remaining amount of 900.00 is created:
Sales Invoice Table
Debit AR | 900.00 |
Credit Unbilled Receivables |  | 900.00
  • In ARED, the revenue of 295.89 is recognized up to March 31.
    • Cancellation Effective Date (ARED termination date): December 31 (no credit)
    • Cancellation Date (ARED transaction date): March 20
  • On March 20, the ARED recognition schedule recognizes the remaining revenue: 1200.00/365 * 275 days (April 30, May 31, June 30, Jul 31, August 31, September 30, October 31, November 30, December 31)
Revenue Recognition Table
Debit Deferred Revenue Account | 904.11 |
Credit Revenue Recognition Account |  | 904.11

After the termination, the ARED schedule is as follows:

Closed Cancel for Collection

When a billing schedule is terminated, the outstanding customer balance is written off and canceled for collections.

A contract has a frequency of quarterly, with invoices of 300.00 per quarter. When the contract was created, the ARED recognition schedule was created for 1,200.00. Three sales invoices have been created.

The contract is terminated in CRM with a Cancellation Date of July 10 and a Cancellation Effective Date of July 10. The Cancel for Collection option is used for terminating the contract with the Write Off Account is specified for the billing schedule.

At the time the billing line is created in CRM, the following occurs:

  • An ARED recognition schedule and a journal entry are created.
Recognition Schedule Table
Debit Unbilled Receivable | 1,200.00 |
Credit Deferred Revenue |  | 1,200.00
  • The invoices for the billing schedule has the following distributions:

January 1 (first period)

Billing Schedule Table
Debit AR | 300.00 |
Credit Unbilled Receivable |  | 300.00

April 1 (second period)

Billing Schdule Table
Debit AR | 300.00 |
Credit Unbilled Receivable |  | 300.00

July 1 (third period)

Billing Schedule Table
Debit AR | 300.00 |
Credit Unbilled Receivable |  | 300.00
  • The revenue recognition from January to July is 696.99 (1200.00/365 * 212 days = 696.99)

In CRM, the contract is terminated with the following information.

  • Cancellation Effective Date (ARCB termination date): July 10 (end of day)
  • Cancellation Date (ARCB transaction date): July 10

When the contract is terminated, the following occurs:

  • When a contract is canceled for collection, future invoices are not created.
  • In ARED, revenue of 696.99 up to July 31 is recognized.
  • On July 10, the ARED recognition schedule is adjusted as follows:
    • Revenue that was recognized is reversed for July: 1200/365 * 31
Recognition Schedule Table
Debit Revenue Recognition Account | 101.92 |
Credit Deferred Revenue Account |  | 101.92
  • Revenue recognition is recalculated for 10 days (based on per day) and recognized 1200/365 * 10
Revenue Recognition Table
Debit Revenue Recognition Account | 32.88 |
Credit Deferred Revenue Account |  | 32.88
  • An adjustment for the July period is created on July 10: 101.92 - 32.88 = 69.04
  • The recognition schedule is terminated from July 10 onwards. The total recognized amount in 191 days : 696.99 -101.92 + 32.88 = 627.95
    Adjustment amount = Total amount - Recognized amount = 1200 - 627.95 = 572.05
Recognition Schedule Table
Debit Deferred Revenue Account | 572.05 |
Credit Unbilled Receivables |  | 572.05
  • In ARCB, a sales return is created using the write-off account.
    • Billed 900.00.
    • Paid 600.00.
    • Sales return of 300.00 (900.00 - 600.00) is created to eliminate the outstanding AR for 300.00.
    • Unbilled receivable was 300.00 debit, until a 572.05 credit was added for remaining period termination (1200.00/365 * 174 days) and sales refund debit of 272.05
Sales Return Table
Debit Unbilled Receivables | 272.05 |
Debit Write Off | 27.95 |
Credit AR |  | 300.00

The amounts are applied as follows:

Sales Return Table
Before Termination |  |
 | Debit | Credit
Unbilled Receivable | 1200 |
Deferred Revenue Account |  | 1200
AR | 900 |
Unbilled Receivable |  | 900
Cash | 600 |
AR |  | 600
Recognition Account |  | 696.99
Deferred Revenue Account | 696.99 |
After Termination |  |
 | Debit | Credit
Recognition Account | 101.92 |
Deferred Revenue Account |  | 101.92
Deferred Revenue Account | 32.88 |
Recognition Account |  | 32.88
Deferred Revenue Account | 572.05 |
Unbilled Receivable |  | 572.05
Unbilled Receivable (returns) | 272.05 |
Write-Off | 27.95 |
AR |  | 300

When a contract with a deferrable item is terminated, and the contract includes markdowns, the ARED markdown schedule is terminated and adjustment journal entries are created. The debits and credits are processed in reverse since the schedule becomes an expense schedule and not a revenue schedule. Also, different accounts are used.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Workflows and Procedures

Articles within this category provide step-by-step instructions for using a feature. These instructions tend to be window based.

Workflows provide overall instructions on how to use a feature, which include setup and processing instructions. Workflows often direct you to other window-specific instructions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using the Area Page

You can get direct access to the ARED custom menus from the ARED area page.

  • In your Microsoft Dynamics GP Home area page, in the Navigation Pane, select the tab for the BSSI program you want to use.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Window Shortcuts

You can set up shortcuts to ARED windows in the Microsoft Dynamics GP Navigation Pane.

Note icon. Note: After you update the software, you might have to recreate your shortcuts.

To create a shortcut to a window, follow these steps:

  1. On the upper-right corner of the Microsoft Dynamics GP window, select Layout [image], and select Navigation Pane to show the Navigation pane on the left side of the main window.
  2. In the Navigation pane, expand the Shortcuts folder so you can see the items below it.
  3. Right-click the Shortcuts folder and select Add > Folder.
    A folder named New Folder appears below the Shortcuts folder.
  4. Rename the new folder, by right-clicking it and selecting Rename.
    For example, rename the folder to Adv. Rev. and Exp. Deferrals.
  5. Right-click on the new folder and select Add > Add Window.
  6. In the Add Window Shortcut window, in the Available Windows list, expand the Advanced Rev. & Exp. Deferrals node to show all of the Microsoft Dynamics GP series.
  7. For each ARED window to which you want to add a shortcut, do the following:
    1. Expand the series node.
    2. Select the window name.
    3. Select Add.

  8. When you have finished adding shortcuts, select Done.
  9. Go to the Navigation pane, and expand the new folder to see the window shortcuts you added.

Tip: For system administrators, it is useful to add shortcuts to the BSSI Installation Wizard, BSSI Registration, and the BSSI About Box windows. When you add a shortcut for a window, you can find these windows under the Advanced Rev. & Exp. Deferrals node, and then under the Project series.

If you already have a window open, you can create a shortcut directly from the open window:

  1. Select the window.
  2. From File, select Add to Shortcuts.
    The new shortcut appears under the root folder of the Navigation pane.
  3. Drag the shortcut to the folder where you want the shortcut to appear.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Deferral Modules, Triggers, and Preferences

To set up the deferral modules you want to use, the triggers for the deferral modules, and preferences, follow these steps:

  1. Open the Advanced Rev. & Exp. Deferrals Setup window (Tools > Setup > Advanced Rev. & Exp. Deferrals Setup).
  2. In the Deferral Module Setup area, do the following:
    1. Select the Default Posting Method that you want to use. Available as of Microsoft Dynamics GP 2016 R2.
      If you select Profit and Loss, you must also select Use Sales Transaction and the select the option Recognition by Item.
    2. Select whether to use the recognition allocation functionality (Enable Recognition Allocation).
    3. Select whether to use the event-based functionality (Enable Event Based).
      If you select to use the event-based functionality, you can select to use an event identifier.
  3. In the Deferral Module Setup area, for each of the modules you select, set the triggers:
    1. Select Use Sales Transaction, and then select to recognize by item or distribution type and select the expansion button:
      • Recognition by Item: In the Default Sales Transaction Setup window, determine the source of the calculation (item or customer), and then set the default values if they are not already set on the item or customer card.
        When the schedule is recognized by item, you can also set the recognition schedule to be event-based and set the parameters for an event-based recognition schedule.
      • Recognition by Dist. Type: In the Default Distribution Type window, select the distribution type to trigger the schedule. Also, select the trigger accounts (deferral) and the template ID to determine how to calculate the schedule.
    2. Select Use Purchasing Transaction, and then select to recognize by item or distribution type and select the expansion button:
      • Recognition by Item: In the Default Purchasing Transaction Setup window, select the from where the template ID, offering type, and expense account are taken. Also, select the default IDs for the expense source, expense order type, template, and offering type.
        With this setting, select the Purchasing Schedule Creation option for you want the deferral schedule to be created. This additional setting is available in ARED for Microsoft Dynamics GP 2018 R2 (build 707 and newer).
      • Recognition by Dist. Type: In the Default Distribution Type window, select the distribution type to trigger the schedule. Also, select the trigger accounts (deferral) and the template ID to determine how to calculate the schedule.
    3. Select Use Accounts Receivable, and select the expansion button. This option can only be recognized by distribution type.
    4. Select Use Accounts Payable, and select the expansion button. This option can only be recognized by distribution type.
      • For Accounts Receivable, and Accounts Payable, in the Default Distribution Type window, you select the distribution type to trigger the schedule. You also select the trigger accounts (deferral) and the template ID to determine how to calculate the schedule.
    5. Select Use General Ledger, and select the expansion button. This option can only be recognized by account.
      • In the Default Distribution Type window, you can select the trigger accounts (deferral) and the template ID to determine how to calculate the schedule.
  4. If needed, select the Source Document.
    The source document is used for all invoices created from an ARCB billing schedule.
  5. In the Preferences area, select the various preferences for journal entry processing, deferral start dates, and other options.
  6. Set any override passwords as needed to limit the users who can override changes or make changes for event-based functionality.
  7. Set any the other options as needed.
  8. Select OK.

See also

Profit and Loss for Deferrals Workflow

Setting Up Territory Account Substitution

Recognition Schedules Overview

Setting Up Profit and Loss Accounts

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Territory Account Substitution

To set up account substitution based on the territory of a salesperson, follow these steps:

  1. Open the Advanced Rev. & Exp. Deferrals Setup window (Tools > Setup > Advanced Rev. & Exp. Deferrals Setup).
  2. In the Preferences area, select Enable Territory Account Substitution, and select OK.
  3. Open the Account Substitution Setup window (Tools > Setup > Account Substitution Setup).
  4. Select the Territory ID.
    In the scrolling window, the list of Available Segments appears.
  5. For each segment that you want to use the account substitution functionality, select the Segment ID.
  6. Repeat these steps for each territory ID that you want to use account substitution.
  7. Select OK.

See also

Setting Up Deferral Modules, Triggers, and Preferences

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up the Event-Based Functionality

To set up the event based functionality, follow these steps:

Watch a video [image].

  1. Open the Advanced Rev. & Exp. Deferrals Setup window (Tools > Setup > Advanced Rev. & Exp. Deferrals Setup).
  2. In the Deferral Module Setup area, do the following:
    1. Select Enable Event Based.
    2. If you want to use IDs for events, select Use Event Identifier.
    3. Select Use Sales Transaction, select Recognition by Item, and for Default Recognition Type, select Event Based.
    4. For Use Sales Transaction option, select the expansion button, which opens the Default Sales Transaction Setup window.
    5. In the Event Based area, select the default Event Based Template ID.
      If you do not have an event based templates already set up, select the Event Based Template ID label to create an event-based template. You might also need to create an event.
    6. If needed, select Enable Expiry Date or Enable Anticipated Expiry Date, and specify the periods.
  3. Select OK.
  4. If needed, create more events.
  5. If needed, create an event-based template.
  6. Depending on whether events are driven by item or customer on the sales template, follow the instructions for one of these tasks:
    • Setting Up a Customer Class to use a Specific Event-Based Template
    • Setting Up an Item Class to use a Specific Event-Based Template

You can then use the event-based functionality when you add customers and items to recognition schedules.

Watch a Video

  • Setting Up Event Based Recognition
  • Using Event Based Recognitions
  • Use Event Identifier

See also

Creating an Event

Creating an Event Based Template

Event Based - Percentage of Completion: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Deferral Information for a Class

You can set up the deferral information for a customer, vendor, or item class.

  1. Open the window for which you want to create a class (customer, vendor, or item).
  2. Follow the steps within the Microsoft Dynamics GP documentation to create a customer, vendor, or item class.
  3. For a vendor class, do the following:
    1. Select the Deferrable check box.
    2. Select Purchasing Deferral to set up other deferral information in the Vendor Class Purchasing Setup or Vendor Class Distribution Type Setup window.
  4. For customer class, do the following:
    1. Select the Deferrable check box.
    2. If needed, set up an event-based template.
  5. For an item class:
    1. Complete the Deferral Information area.
    2. If needed, set up an event-based template.
    3. If you selected to use the Profit and Loss posting method on the ARED Setup window, ensure that you also select a Profit & Loss Setup ID.
  6. Select Save.

When you use the class ID for a customer, vendor, or item record, the deferral information is automatically entered for the record.

See also

Setting Up Deferral Information for a Record

Setting Up a Customer Class to use a Specific Event-Based Template

Setting Up an Item Class to use a Specific Event-Based Template

Setting Up an Item Record to use a Specific Event-Based Template

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Profit and Loss Accounts

Available as of Microsoft Dynamics GP 2016 R2.

To set up the profit and loss accounts, follow these steps:

  1. Open the Profit & Loss Account Setup window (Cards > Advanced Rev. & Exp. Deferrals > Profit & Loss Account Setup).
  2. Specify a unique Profit & Loss Setup ID and Description.
  3. Select the Deferred Revenue Account and the Deferral Account.
  4. Select Save.

See also

Profit and Loss for Deferrals Workflow

Setting Up Deferral Modules, Triggers, and Preferences

Profit and Loss Deferral Method: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating an Excel Template

Note icon. Note: The importer is only available to the following Binary Stream programs: ARED.

To create an Excel template, follow these steps:

  1. Open the Binary Stream Importer.
  2. On the Setup page, select the File Location.
  3. On the Excel Template page, select the type of record that you want to import, and edit the file name as needed.
  4. Select Create.

An Excel template for the selected record type and the file name that you specified is created and is opened in Excel. This template appears in the existing template list.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using an Existing Excel Template

Note icon. Note: The importer is only available to the following Binary Stream programs: ARED.

To use an existing Excel template, follow these steps:

  1. Open the Binary Stream Importer.
  2. On the Setup page, select the File Location.
  3. On the Excel Template page, select Refresh List to ensure that the list of Existing Excel Template shows the most current files.

    4. Note icon. Note: The file list shows only the files that are in the Excel subfolder of the File Location specified on the Setup window.

  4. From the file list, select the template you want.
  5. Select Open.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Data

Any file that you import must be based on a template created by the Binary Stream Importer, which ensures that all data can be correctly validated and imported.

Note icon. Note: The importer is only available to the following Binary Stream programs: ARED.

To import data, follow these steps:

  1. Open the Binary Stream Importer.
  2. On the Setup page, select the File Location.
  3. On the Process page, select Refresh List to ensure that the list of files shows the most current files.

    4. Note icon. Note: The file list shows only the files that are in the Excel subfolder of the File Location specified on the Setup window.

  4. From the file list, select the file you want.
  5. If you only want to check the file format of the data, select Validate.
  6. If you want to import the file, select Process.

    7. Selecting Process also performs a data validation.

After the import process completes, a dialog box shows you the results of the import. Also, a report log showing the results of the data import appears.

Notes:

  • You cannot use other Microsoft Dynamics GP functions while the Binary Stream Importer is importing data.
  • You can import only one file at a time.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing a Recognition Schedule Amount for a Deferral Period

To import a recognition schedule amount for each specified deferral period, follow these steps:

  1. Get a file of the schedules that contains the information for all the recognition amounts per recognition period that you want. Review the Import Recognition Amount Utility> window description for the required columns in the file.
  2. Open the Import Recognition Amount Utility window (Tools > Utilities > Advanced Rev. & Exp. Deferrals > Import Recognition Amount Utility).
  3. Select the Schedule Origin.
  4. In Import Path, select the file that has the recognition schedules that you want to change.
  5. If the first row is headings, select First Row is Column Headings.
  6. Select Validate to ensure that no errors exist.
  7. Select Process.

See also

Importing Data: Recognition Amount Utility

Importing a Recognition Schedule Amount for a Deferral Period

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding Deferral Elements to New Items Using a Table Import

To add deferral elements to new items using a table import, follow these steps:

  1. Start SmartList and export the Revenue Source ID SmartList to Microsoft Excel.

    2. This list provides the latest revenue source IDs and account numbers.

  2. Find the column named Account Number String, and move it to the first column position.

    3. By moving the column, the account number string becomes the key when creating a lookup.

    For example, column D is moved from its original position to the first column position.

  3. Create a spreadsheet with item numbers and deferral elements. The key elements are as follows:
    • Item Number
    • Revenue Account (not used in upload, but used to look up the revenue source ID)
    • BSSI_Deferrable
    • BSSI_Default_Revenue_Source
    • BSSI_Recognition Temlate (blank)

  4. Copy the revenue source IDs to the next Excel tab to act as a lookup table. Under the revenue source column create the lookup:

    5. =vlookup (Item number, sheet of lookup(Item Number:Revenue Source ID),2,0)

    And drag the fill handle down the column until all revenue source IDs populate the cells.

  5. Save the file as a CSV file.
  6. In Microsoft Dynamics GP, open the Item Maintenance window (Inventory > Cards > Item).
  7. Select Tools > Integrate > Table Import, which opens the Select A Table window.
  8. From the Window Tables list, select BSSI_IV_Item_MSTR.
  9. In the Table Import Definition window, do the following:
    1. Specify a Definition ID and Description.
    2. In Source File Format, select Comma.
    3. Select the Source File.
    4. Select the Destination Table.
    5. In the list, select a row, select the ellipses button in the Source column, which opens the Import Data Lookup window.
    6. Select the field, and select OK.
    7. Repeat the previous two steps to map all of the fields.
    8. When you are finished mapping the fields, select Import.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mapping Fields to Table B7100989

To map the ARED user-defined fields to the user defined fields in B7100989, follow these steps:

  1. Open the Intercompany Import window (Tools > Utilities > Adv. Revenue and Expense Deferrals > Intercompany GL Mapping > Intercompany GL Import).
  2. Select a Batch Number.
  3. Specify the Transaction Date.
  4. Select Redisplay.
  5. Select the lines that you want to import, and select Validate.
  6. After the lines are validated, select Process.

See also

Importing Intercompany Data to Table B7100989

Intercompany GL Integration

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing Intercompany Data to Table B7100989

To import intercompany data to table B7100989, follow these steps:

  1. Open the User Defined Fields Mapping window (Tools > Utilities > Adv. Revenue and Expense Deferrals > Intercompany GL Integration > User Defined Field Mapping).
  2. For each User Defined Field, specify the Field Position for the field in the B7100989 table.
  3. Select OK.

See also

Mapping Fields to Table B7100989

Intercompany GL Integration

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating an Event

To create an event, follow these steps:

  1. Open the Event Type Maintenance window (Cards > Advanced Rev. & Exp. Deferrals > Event Type Maintenance).
  2. Specify a unique Event Type and a Description.
  3. Select Save.

See also

Creating an Event Based Template

Event Based - Percentage of Completion: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating an Event Based Template

To create an event based template, follow these steps:

  1. Open the Event Based Template Maintenance window (Cards > Advanced Rev. & Exp. Deferrals > Event Based Template Maintenance).
  2. Specify a unique Template ID and a Template Description .
  3. If you want events based on quantity, select Create Events Based on Qty.
  4. Select an Allocation Method.
  5. If needed, select an Expiration Recognition Acct.
  6. Attach an event in one of the following ways:
    • In the scrolling window, select and Event Type.
    • Select Attach Events to use the Attach Events window to select the events you want to attach.
  7. For each event type you add, specify the expiration period (Exp. Period (Months))and the anticipated expiration period (Antcpd Exp. Period (Months)) in months. The expiration information is optional, and is used when tracking expiration for the event types.
  8. When Allocation Method is By Percentage, specify the Percentage.
  9. Select Save.

See also

Creating an Event

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Copying an Event Based Template

To copy an event based template, follow these steps:

  1. Open the Event Based Template Maintenance window (Cards > Advanced Rev. & Exp. Deferrals > Event Based Template Maintenance).
  2. Select an existing Template ID.
  3. Select Copy, which opens the Event Based Template Copy window.
  4. Specify a New Template ID and New Template Description.
  5. If you do not want to keep the original template, select Delete Original Template after Copying.
  6. Select Process.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up a Customer Class to use a Specific Event-Based Template

To set up a customer class to use a specific event-based template by default, follow these steps:

  1. Open the Customer Class Setup window (Tools > Setup > Sales > Customer Class).
  2. Create a customer class as described in the Microsoft Dynamics GP documentation.
  3. Select Deferrable, and then select Sales Deferral, which opens one of the following windows where you specify the deferral information for the customer class:
    • Customer Class Sales Setup
    • Customer Class Distribution Type Setup
  4. Select the Event Based Template ID.
  5. Select Save.

You can then apply this customer class to any customer record so that the customer record uses the event-based functionality.

See also

Setting Up the Event-Based Functionality

Setting Up an Item Class to use a Specific Event-Based Template

Setting Up Deferral Information for a Record

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up an Item Class to use a Specific Event-Based Template

To set up an item to use a specific event-based template by default, follow these steps:

  1. Open the Item Class Setup window (Tools > Setup > Inventory > Item Class).
  2. Create an item class as described in the Microsoft Dynamics GP documentation.
  3. In the Deferral Information area, select the Event Based Template ID you want.
  4. Select Save.

You can then apply this item class to any item record so that the item record uses the event-based functionality.

See also

Setting Up an Item Class to use a Specific Event-Based Template

Setting Up the Event-Based Functionality

Setting Up a Customer Class to use a Specific Event-Based Template

Setting Up Deferral Information for a Record

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up an Item Record to use a Specific Event-Based Template

To set up an item to use a specific event-based template by default, follow these steps:

  1. Open the Item Maintenance window (Cards > Inventory > Item).
  2. Create an item record as described in the Microsoft Dynamics GP documentation.
  3. Select the Event Based Template ID that you want.

    4. If you selected a Class ID for the item, the template ID is automatically updated if the item class is associated with a specific event-based template. If needed, you can change it.

  4. Select Save.

See also

Setting Up an Item Class to use a Specific Event-Based Template

Setting Up the Event-Based Functionality

Setting Up a Customer Class to use a Specific Event-Based Template

Setting Up Deferral Information for a Record

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Updating the End Date for a Recognition Schedule

To update the end dates for recognition schedules that use the event-based functionality, follow these steps:

  1. Open the Event Based Mass Processing window (Transactions > Advanced Rev. & Exp. Deferrals > Event Based Mass Processing).
    Tip: You can open the Recognition Schedule Entry window to update the end date for a particular event for a particular recognition schedule by double-clicking the item.
  2. Select the Schedule Origin.
  3. In Processing Action, select Update End Date, and select the new end Date.
  4. Specify a Date Restriction:
    • If you select As Of Date, specify the As Of Date.
    • If you select Date Range, specify the From and To dates.
  5. Specify the range of records you want to display and select Insert.
  6. If you use Multi-Entity Management, select the entities you want.
  7. Select Redisplay, which updates the scrolling window with records that satisfy the criteria you entered.
  8. Select the records you want to update, and select Process.

See also

Updating the Expiry Date for a Recognition Schedule

Changing the End Date for Recognition Schedules

Changing the Start Date for Recognition Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Updating the Expiry Date for a Recognition Schedule

To update the expiry dates for a recognition schedules that use the event-based functionality, follow these steps:

  1. Open the Event Based Mass Processing window (Transactions > Advanced Rev. & Exp. Deferrals > Event Based Mass Processing).
    Tip: You can open the Recognition Schedule Entry window to update the expiry date for a particular event for a particular recognition schedule by double-clicking the item.
  2. Select the Schedule Origin.
  3. In Processing Action, select Update Expiry Date or Update Anticipated Expiry Date, and select the new expiry Date.
  4. Specify a Date Restriction:
    • If you select As Of Date, specify the As Of Date.
    • If you select Date Range, specify the From and To dates.
  5. Specify the range of records you want to display and select Insert.
  6. If you use Multi-Entity Management, select the entities you want.
  7. Select Display, which updates the scrolling window with records that satisfy the criteria you entered.
  8. Select the records you want to update, and select Process.

See also

Updating the Expiry Date for a Recognition Schedule

Changing the End Date for Recognition Schedules

Changing the Start Date for Recognition Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Editing the Recognition Schedule for a Deferral Item

You can edit the recognition schedule for a sales invoice that has not yet been posted, or you can edit an existing recognition schedule.

To edit the recognition schedule for a new sales document, follow these steps:

  1. Create a sales document on the Sales Transaction Entry window.
  2. Select the line that has the deferral item, and select Additional > Sales Line Item Deferral, which opens the Sales Line Item Deferral window.
    The list view shows a preview of the recognition schedule.
  3. Make any changes to the recognition schedule, and select OK.
  4. Back on the Sales Transaction Entry window, post the transaction.

To edit a sales transaction after it has been posted and the recognition schedule created, follow these steps:

  1. Open the Recognition Schedule Entry window (Transactions > Advanced Rev. & Exp. Deferrals > Recognition Schedule).
  2. Retrieve the deferral schedule you want.
  3. In the list view, double-click a line, which opens the Sales Line Item Deferral window.
  4. In the header section of the window, change any of the options as needed.
  5. In the list view, change any of the lines as needed.
  6. Select OK.
  7. Back in the Recognition Schedule Entry window, select Commit to save the changes.

See also

Updating the End Date for a Recognition Schedule

Updating the Expiry Date for a Recognition Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Recognition Template

To create a revenue or expense recognition account, follow these steps:

  1. Open the Recognition Template Maintenance window (Cards > Advanced Rev. & Exp. Deferrals > Recognition Template).
  2. Specify a unique Template ID.
  3. Specify a Template Description.
  4. Select the period Type, Frequency, and specify the Length (Periods).
  5. Select Save.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up Deferral Information for a Record

To set up the deferral information for any customer, vendor, or item record, follow these steps:

  1. Open the window for which you want to create a record (customer, vendor, or item).
  2. Follow the steps within the Microsoft Dynamics GP documentation to create a customer, vendor, or item record.
  3. If you select a class ID for the record, the deferral settings from the class ID are automatically updated for the record.

    4. If needed, you can change the deferral settings.

  4. If the class ID does not have deferral settings, or you do not select a class ID, you can set the deferral settings for the record:
    • For a customer or vendor record, select the Deferrable check box.
    • For an item record, complete the boxes in the Deferral Information area:
      • Select the Deferrable check box.
      • If you want to defer the revenue for the item and if not already selected, select the COGS Deferrable check box.
      • Assign an event-based template.
      • If you selected to use the Profit and Loss posting method on the ARED Setup window, ensure that you also select a Profit & Loss Setup ID.
      • Complete other boxes as needed.
  5. Select Save.

See also

Setting Up a Customer Class to use a Specific Event-Based Template

Setting Up an Item Record to use a Specific Event-Based Template

Setting Up an Item Class to use a Specific Event-Based Template

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Reclassifying a Recognition Schedule

Available in Microsoft Dynamics GP 2013 R2 and earlier. Watch a video [image].

Before you can reclassify recognition schedules, the document associated with them must be created and posted. When you reclassify a schedule, you change the deferral account that is used to recognize the deferred revenue amounts.

To reclassify recognition schedules, follow these steps:

  1. Open the Mass Schedule Processing window ( Transactions > Advanced Rev. & Exp. Deferrals > Mass Schedule Processing).
  2. Select the Schedule Origin and the Transaction Date.
  3. In Processing Action, select Reclassify Schedule, and select a Reclassification Account.
  4. Select a Batch ID.
  5. Select the Recognition Schedule Type.
  6. Specify the range of records you want to display and select Insert.
  7. If you use Multi-Entity Management, select the entities you want.
  8. Select Display, which updates the scrolling window with records that satisfy the criteria you entered.
  9. Select the records you want to update, and select Process.

See also

Mass Schedule Processing

Placing a Hold on a Recognition Schedule

Removing a Hold from a Recognition Schedule

Changing the Recognition or Deferral Account for Multiple Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Canceling a Recognition Schedule

To cancel a recognition schedule, follow these steps:

  1. Open the Mass Schedule Processing window.
  2. Select the Schedule Origin, and set Processing Action to Cancel Unrecognized Amount Only or Cancel Entire Schedule.
  3. Specify a Batch ID and change the Transaction Date as needed.
  4. Select Cancellation Journal Entry and specify the Cancellation Account.
  5. Specify the Ranges so that only the records you want appear in the list view.
  6. Select Redisplay.
  7. Select the records you want to process, and select Process.

In ARED build 623 (and newer) and build 805 (and newer), you can cancel a recognition schedule from the Recognition Schedule Entry window.

  1. From the Recognition Schedule Entry window for the currently displayed recognition schedule, select Cancel Schedule.

    When the Mass Schedule Processing window opens, the following settings are automatically selected:

    • Processing Action set to Cancel Unrecognized Amount Only.
    • Cancellation Journal Entry is selected.
    • Cancellation Account is automatically updated with the Default Cancellation Account as specified on the ARED Setup window.
    • Restrictions box is updated so that filter applies only to the deferral schedule from this window.
  2. Select the record you want to process, and select Process.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Placing a Hold on a Recognition Schedule

You can place a hold on a recognition schedule so that the amounts are not recognized. Watch a video [image].

Note icon. Note: In Microsoft Dynamics GP 2018 ARED build 702 (and earlier), you could not put a hold on a recognition schedule if any periods had already been recognized. As a result, the Place Schedule On Hold and Remove Schedule from Hold actions were not available to a recognition schedule after one or more periods have been recognized.

In Microsoft Dynamics GP 2018 ARED build 702 (and newer), this limitation has been removed. Recognition schedules that have one or more periods recognized can be put on hold. When the deferral schedule is put on hold, all recognized periods remain as is, the status of the recognition schedule changes to On Hold, and the recognition schedule is excluded from processing until the hold is removed.

To place a hold on a recognition schedule, follow these steps:

  1. Open the Mass Schedule Processing window (Transactions > Advanced Rev. & Exp. Deferrals > Mass Schedule Processing).
  2. Select the Schedule Origin and the Transaction Date.
  3. In Processing Action, select Place Hold.
  4. Select a Batch ID.
  5. Select the Recognition Schedule Type.
  6. Specify the range of records you want to display and select Insert.
  7. If you use Multi-Entity Management, select the entities you want.
  8. Select Display, which updates the scrolling window with records that satisfy the criteria you entered.
  9. Select the records you want to place on hold, and select Process.

See also

Mass Schedule Processing

Removing a Hold from a Recognition Schedule

Reclassifying a Recognition Schedule

Changing the Recognition or Deferral Account for Multiple Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing a Hold from a Recognition Schedule

When you are ready to recognize amounts from a schedule, you can remove a hold from a recognition schedule.

Note icon. Note: In Microsoft Dynamics GP 2018 ARED build 702 (and earlier), you could not put a hold on a recognition schedule if any periods had already been recognized. As a result, the Place Schedule On Hold and Remove Schedule from Hold actions were not available to a recognition schedule after one or more periods have been recognized.

In Microsoft Dynamics GP 2018 ARED build 702 (and newer), this limitation has been removed. Recognition schedules that have one or more periods recognized can be put on hold. When the deferral schedule is put on hold, all recognized periods remain as is, the status of the recognition schedule changes to On Hold, and the recognition schedule is excluded from processing until the hold is removed.

To remove a hold on a recognition schedule, follow these steps:

  1. Open the Mass Schedule Processing window (Transactions > Advanced Rev. & Exp. Deferrals > Mass Schedule Processing).
  2. Select the Schedule Origin and the Transaction Date.
  3. In Processing Action, select Remove Hold.
  4. Select a Batch ID.
  5. Select the Recognition Schedule Type.
  6. Specify the range of records you want to display and select Insert.
  7. If you use Multi-Entity Management, select the entities you want.
  8. Select Display, which updates the scrolling window with records that satisfy the criteria you entered.
  9. Select the records you want to remove the hold, and select Process.

See also

Mass Schedule Processing

Placing a Hold on a Recognition Schedule

Reclassifying a Recognition Schedule

Changing the Recognition or Deferral Account for Multiple Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Preparing the Deferral Rules Sheet

To prepare the deferral rules sheet, follow these steps:

  1. Check the file to ensure that for each invoice line, a corresponding line in the file exists.
  2. Check the fields as follows:
    • Document Number: This number is copied from the import.
    • Document Type: Displays 3 for an invoice, or 4 for a return.
    • Line Item Sequence Number: The line item in SQL must match the line on the invoice.
      Typically, this line is from the Sales Line Item SmartList. You can add the column Line Item Sequence and then filter for the batch ID.
    • Component Number: Displays 0, but you can use SmartList to validate it.
    • Item Number: This number is copied from the import.
    • Deferral Start Date: If using the original amount, displays the original deferral start date. This date is different for each line.
      If using the remaining amount, displays the date of the first period in which the recognition is to occur.
    • Calculate Schedules Based on Date: Displays 1, which is yes.
    • Deferral Frequency Displays 1, which is yes.
      This value refers to the frequency of when the amounts are to be recognized. Typically, amounts are recognized monthly.
    • Deferral End Date Displays the original source end date.
    • Recognition Account Index Displays the revenue account number with which the amounts are recognized. The deferral account is determined by the invoice upload.
      To get the account index, use the Accounts SmartList in Microsoft Dynamics GP and add Column for Account Index to get the value.
  3. If the file has a header line, delete it.
  4. Save the file as a CSV file.

    5. Tip: Open the file in a text editor (for example, Notepad) and check for any anomalies in the data (for example, extraneous columns or lines notated by additional commas (,,,,,)).

  5. Save the file to a SQL environment.

See also

Creating the Sales Documents

Running a SQL Script

Attaching a Recognition Schedule to a Transaction or Distribution Line

Deleting the Sales Batch

Updating the Status of the Recognition Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Running a SQL Script

Run the SQL script as follows:

  1. Open SQL Management Studio, and open the script named Populate_B7133302_From_File.sql.

  2. Update the file path (as indicated in the image) to the path and file name of the CSV file you saved.
  3. Run the script to insert.

    4. Ensure that the number of rows after the script is run equals the number of rows on the file less the number of rows from before the SQL script is run.

See also

Creating the Sales Documents

Preparing the Deferral Rules Sheet

Attaching a Recognition Schedule to a Transaction or Distribution Line

Deleting the Sales Batch

Updating the Status of the Recognition Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Updating the Status of the Recognition Schedules

When the schedules are attached to sales order processing documents, the statuses of the schedules are Preliminary. You must update the statuses of the schedules to Available so that the recognition can be performed.

To update the statuses of the schedules to Available, run the following script in SQL Management Studio:

UPDATE B7110100 SET BSSI_Recognition_SchStat = 2 WHERE BSSI_Recognition_SNumber = 'schedule#’ AND BSSI_Recognition_SchStat <> 2

Each schedule requires one line of script. However, you can use a more global script if no other schedules have been created.

See also

Creating the Sales Documents

Preparing the Deferral Rules Sheet

Running a SQL Script

Attaching a Recognition Schedule to a Transaction or Distribution Line

Deleting the Sales Batch

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Changing the Start Date for Recognition Schedules

To change the start date for multiple recognition schedules, follow these steps:

  1. Get a file of the schedules that contains the information for all the recognition schedules for which you want to change the start date. Review the Change Start Date Utility window description for the required columns in the file.
  2. Open the Change Start Date Utility window (Tools > Utilities > Advanced Rev. & Exp. Deferrals > Change Start Date Utility).
  3. In Import Path, select the file that has the recognition schedules that you want to change.
  4. If the first row is headings, select First Row is Column Headings.
  5. Select Process.

After the process completes, you can check the recognition schedules in an inquiry window.

See also

Changing the End Date for Recognition Schedules

Updating the Expiry Date for a Recognition Schedule

Changing the End Date for Recognition Schedules

Importing Data: Change Utilities

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Changing the End Date for Recognition Schedules

To change the end date for multiple recognition schedules, follow these steps:

  1. Get a file of the schedules that contains the information for all the recognition schedules for which you want to change the end date. Review the Change End Date Utility window description for the required columns in the file.
  2. Open the Change End Date Utility window (Tools > Utilities > Advanced Rev. & Exp. Deferrals > Change End Date Utility).
  3. Select a Batch ID.
  4. Specify the Transaction Date.
  5. In Import Path, select the file that has the recognition schedules that you want to change.
  6. If the first row is headings, select First Row is Column Headings.
  7. Select Process.

After the process completes, you can check the recognition schedules in an inquiry window.

See also

Changing the Start Date for Recognition Schedules

Updating the Expiry Date for a Recognition Schedule

Changing the End Date for Recognition Schedules

Importing Data: Change Utilities

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Attaching a Recognition Schedule to a Transaction or Distribution Line

You can use the Attach Recognition Schedule window to attach a recognition schedule to one of the following imported sales documents:

  • Imported SOP transaction
  • Imported AP distribution line
  • Imported GL distribution line

While the transactions do not need to be imported, imported transactions are the most typical use of the Attach Recognition Schedule window.

Recognition schedules are attached to transactions that do not have a recognition schedules attached and based on the following:

  • Sales transactions that contain items that are identified as deferrable on the Item Maintenance window
  • General Ledger and accounts payable transactions where the account number that is used in the distribution of the transaction matches the deferral account number as set up on the Default Distribution Type Setup window

Before you proceed with these steps, ensure that the following options are selected on the Advanced Rev. & Exp. Deferrals Setup window:

  • Use Sales Transaction with Recognition by Item selected, and select the expansion button to complete the Default Sales Transaction Setup window
  • Use Accounts Payable with Recognition by Dist Type selected, and select the expansion button to complete the Default Distribution Type Setup window
  • Use General Ledger with Recognition by Account selected, and select the expansion button to complete the Default Distribution Type Setup window

To attach the recognition schedule, follow these steps:

  1. Open the Attach Recognition Schedule window (Tools > Utilities > Advanced Rev. & Exp. Deferrals > Attach Recognition Schedule).
  2. Select the Recognition Schedule Origin.
  3. If the Recognition Schedule Origin is Sales Order Processing, select the SOP Type.
  4. Specify the Range By restrictions that you want to use and select Insert for each restriction.
  5. If you use Multi-Entity Management, select the entities you want.
  6. Select Redisplay to display the selected ranges of lines in the scrolling window.
    The scrolling window displays any of the following data:
    • SOP lines that have a deferrable item but that do not have an attached recognition schedule.
    • Accounts Payable distribution line items where (1) the vendor is marked as deferrable, where (2) the distribution type and the account are set up as a deferrable account in the Default Distribution Type Setup window, and where (3) the Deferral Transaction option is not selected for an open transaction or a recognition schedule does not exist for a history transaction.
    • General Entry distribution line items where (1) the account is set up as a deferrable account in the Default Distribution Type Setup window and where (2) a deferral transaction option is not selected for an open transaction or a recognition schedule does not exist for a history transaction.
  7. Optional step for an SOP transaction: To change default deferrable parameters for an SOP transaction, double-click an SOP line item to open the Sales Line Item Deferral window.
    The values for Item Number, Item Description, Deferrable, Template ID, Deferral Start Date, and Recognition Account are from the line item in the scrolling window. By default, the Create Schedule Based on Dates option is cleared.
    After you set all the values in this window, select OK, which saves the changes and closes the window.

  8. Optional step for a GL Distribution line: To change default deferrable parameters for a GL distribution line, double-click a line item to open the GL Line Deferral window.
    After you set all the values in this window, select OK, which saves the changes and closes the window.

  9. In the Attach Recognition Schedule window, select lines in the scrolling window for which you want to create recognition schedules.
  10. Select Process.
    For each origin type, the following occurs:
    • Sales Order Processing:
      • For an open line item, a recognition schedule is created.
      • For a history line item, a recognition schedule with the status of Available is created.
    • Accounts Payable:
      • For an open line item, the Deferrable Transaction option is selected in the Payables Transaction Entry window, and the BSSI_PM_Transaction_WORK (B7113100) table for Payables is updated. After you post the transaction or the batch that contains it, a recognition schedule is created.
      • For a history line item, a recognition schedule with the status of Available is created.
    • General Entry:
      • For an open line item, the Deferrable Transaction option is selected in the Transaction Entry window, and the following tables are updated for the GL Table: BSSI_GL_TRX_HDR_WORK (B7180104) and BSSI_GL_TRX_LINE_WORK (B7180105). After you post the transaction or the batch that contains it, a recognition schedule is created.
      • For a history line item, a recognition schedule with the status of Available is created.

See also

Creating the Sales Documents

Preparing the Deferral Rules Sheet

Running a SQL Script

Deleting the Sales Batch

Updating the Status of the Recognition Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Archiving the Recognition Schedules

Caution: After you archive a recognition schedule, you cannot reverse it.

To archive recognition schedules, follow these steps:

  1. Open the Archive Recognition Schedules Utility window (Tools > Utilities > Advanced Rev. & Exp. Deferrals > Archive Schedules).
  2. Select the Recognition Schedule Origin.
  3. Set the Date Restriction and depending on the option you select set the As of Date or specify the From/To date range.
  4. Specify a Range By restriction and select Insert to add each range restriction that you want.
  5. If you are using Multi-Entity Management, select the entities that you want.
  6. Select Redisplay to update the scrolling window.
  7. Select the schedules that you want to archive, and select Process.

    8. Note icon. Note: Only recognition schedules with the status of Completed or Cancelled are available to be archived.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customizing List View Settings

Available as of Microsoft Dynamics GP 2016 R2.

You can customize the columns that appear in the list view for the following windows:

  • Recognition Schedule Inquiry
  • Recognition Analysis Inquiry
  • Recognition Audit Inquiry

To customize the columns that appear in the list view of a window, follow these steps:

  1. Open the User Preference window from one of the windows prior to these steps.
  2. For each Column Name, select or clear the Display check box to show or hide the column from the list view.
  3. Select the line for the Column Name and select an arrow button to move the column up or down or to the top or to the bottom of the list.

    4. Repeat this step for each Column Name that you want to move up or down.

  4. In Sort By, select the default sort order of the list view.
  5. To save the list view setting, select OK.

    6. Tip: You can revert to the original default column order by selecting Default.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Contract

To create a contract, follow these steps:

  1. Open the Contract Maintenance window (Cards > Advanced Rev. & Exp. Deferrals > Contract Maintenance).
  2. Select New, which generates a new Contract ID.
  3. Specify a Description, and select the Customer Number or Vendor ID.
  4. Select Save.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating an Offering Type

To create an offering type, follow these steps:

  1. Open the Offering Type Maintenance window (Cards > Advanced Rev. & Exp. Deferrals > Offering Type).
  2. Specify a unique Offering Type ID.
  3. Select the revenue, expense, and markdown deferral accounts as needed.
  4. If you are using COGS functionality, select the Expense COGS Deferral Account.
  5. Select Save.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating an Order Type

To create an order type, follow these steps:

  1. Open the Order Type Maintenance window (Cards > Advanced Rev. & Exp. Deferrals > Order Type).
  2. Specify a unique Order Type ID.
  3. Specify a Order Type Description.
  4. Select the recognition accounts as needed for regular deferral, markdown, and COGS functionality.
  5. Select Save.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Revenue/Expense Recognition Account

To create a revenue or expense recognition account, follow these steps:

  1. Open the Revenue/Expense Source Maintenance window (Cards > Advanced Rev. & Exp. Deferrals > Revenue/Expense Source).
  2. Specify a unique Revenue/Expense Source ID.
  3. Specify a Source Description.
  4. Select the recognition accounts as needed for regular deferral, markdown, and COGS functionality.
  5. If you want the recognition account based on the order type, select Base On Order Type.
  6. Select Save.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Calculating a Recognition Amount for a Bundled Transaction

To calculate a recognition amount for a bundled transaction, follow these steps:

  1. Open the Sales Transaction Entry window (Transactions > Sales > Sales Transaction Entry).
  2. For an invoice, specify an Item Number, a U of M, and a Quantity Quoted.
    The Unit Price is automatically entered from the list price of the item (Default Price) and the Extended Price is calculated.
  3. For a bundled item, change the Unit Price to choose a special price or giveaway.
    Or enter a discount as a line item, by typing a negative Unit Price. This amount is used when updating the total actual selling price for a bundle.
  4. Select a Bundle ID and press Tab.
    The recognition amount for the line item is calculated using the following formula:

    Where:
    • Extended Default Price of a Bundled Item is the default price from the price level for the item x Quantity.
    • Total of Extended Default Prices for all items in the bundle is the running total of all items identified with the same bundle ID.
    • Actual Selling Price of the Bundle is the total of the revised extended unit prices for a bundle and may include a discount.
    The recognition amount for each line item in a bundle is used when creating a recognition schedule for this bundled transaction, in the Recognition Schedule Entry window.
    Note icon. Note: When an item in a bundled transaction is a service contract for one year, the recognition amount for the contract is used when calculating the deferrals.

Bundled Transaction Example

For example, aSales transaction has the following line items:

Item Number | Extended Default Price | Actual Selling Price | Bundle
Computer | 700.00 | 700.00 | Bundle1
Monitor | 300.00 | 300.00 | Bundle1
Keyboard/Mouse | 100.00 | 100.00 | Bundle1
Service Contract | 100.00 | 100.00 | Bundle1
Discount (non-inventory item - does not have a Price) |  | -200.00 | Bundle1
Total | 1200.00 | 1000.00 |

The recognition amounts after the calculations are as follows:

  • Actual Selling Price of the bundle = 1000.00
  • Total of (Extended) Default Prices for all items in the bundle = 1200.00

Recognition Amount per line item =

  • Computer 1000 x [700 ÷ 1200] = 583.34
  • Monitor 1000 x [300 ÷ 1200] = 250.00
  • Keyboard/Mouse 1000 x [100 ÷ 1200] = 83.33
  • Service Contract (1 year) 1000 x [100 ÷ 1200] = 83.33
  • Total Recognition amount for Bundle1 = 1000.00

See also

Territory Account Substitution

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assigning a Credit Memo

To assign a payables or receivables credit memo, follow these steps:

  1. Open one of the following windows:
    • Receivables Transaction Entry window (Transactions > Sales > Transactions Entry)
    • Payables Transaction Entry window ( Transactions > Purchasing > Transactions Entry)
  2. Use the instructions from the Microsoft Dynamics GP documentation to create a credit memo.
  3. Select Distribution, which opens the corresponding window, and make note of the distribution account:
    • Sales Transaction Distribution Entry window
    • Payables Transaction Entry Distribution window
  4. Make sure to clear the Assign For Recognition Schedule Cancel option.
  5. Select Post to post the credit memo.
  6. Open the Assign Credit Memo window (Transactions > Advanced Rev. & Exp. Deferrals > Assign Credit Memo).
  7. Set Origin to Receivable or Payable.
  8. Set Processing Action to Assign Credit Memo.
  9. Select the credit or purchase account number, which is the account number you got from the corresponding distribution entry window.
  10. If needed, specify a range of records, and select Insert.
  11. If you use Multi-Entity Management, select the entities you want.
  12. Select Redisplay, which updates the scrolling window with records that match the criteria you entered.
  13. Select the records to which you want to assign the credit memo, and select Process.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating the Sales Documents

To create the sales order processing documents, follow these steps:

  1. Using standard the Microsoft Dynamics GP import process, import the documents that you want.

    2. These documents indicate the customer and line items being deferred.

  2. For the imported documents, check that the line distribution includes the deferral account in the sales account (or in the return account if the amount imported is negative).
  3. Use the original amount or the remaining amount for the document.

    4. The deferral start date is based on the amount you use.

    Tip: As a best practice, use the remaining balance. It is easier to reconcile to the opening balances as of the specific cutover date.

  4. Leave the batch unposted.

See also

Preparing the Deferral Rules Sheet

Running a SQL Script

Attaching a Recognition Schedule to a Transaction or Distribution Line

Deleting the Sales Batch

Updating the Status of the Recognition Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deleting the Sales Batch

After the recognition schedules have been attached to the sales order processing documents, delete the sales batch. By deleting the sales batch, the records are removed from receivables.

Note icon. Note: If some items cross over to open items, keep the items separate and use a document number modifier (for example, -1).

To delete the batch, do the following:

  1. Open the Recognition Schedule Inquiry window, and check that the total of the schedules created matches the total of the source files.
  2. Open the Recognition Analysis Inquiry window, and run the inquiry on the first period of the recognition schedule to make sure that the totals make sense and that they are correctly calculated.
  3. Open the Customization Status window (Tools > Customize > Customization Status).
  4. Under Product, select Advanced Rev. & Exp. Deferrals, and select Disable.
  5. Close the Customization Status window.

    6. Note icon. Note: It is important to disable ARED before deleting the batch IDs because it ensures that the deferral schedules are created without having the invoice record. If ARED is not disabled, the attached schedule is removed with the invoice.

  6. Open the Sales Batch Entry window, select the batch you want, and select Delete.
  7. Open the Customization Status window.
  8. Under Product, select Advanced Rev. & Exp. Deferrals, and select Enable.

See also

Creating the Sales Documents

Preparing the Deferral Rules Sheet

Running a SQL Script

Attaching a Recognition Schedule to a Transaction or Distribution Line

Updating the Status of the Recognition Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognizing the Remaining Amount

To recognize a remaining amount for a deferral, follow these steps:

  1. Open the Transaction Entry window and enter the journal entry with the remaining amount to be recognized.

    2. Tip: A debit and credit entry are entered to the same account. By using the same account, you can avoid having to create second journal entry to clear the balance from the account.

  2. Select the debit line, and then select Additional Menu > GL Line Deferral, which opens the GL Line Deferral window.
  3. Clear the Deferrable check box, which prevents the debit side of the entry from creating a deferral.
  4. Select OK.
  5. Back on the Transaction Entry window, select the credit line, and then select Additional Menu > GL Line Deferral, which opens the GL Line Deferral window.
  6. Edit the GL Line Deferral window to determine the remaining period of recognition. You can do one of the following:
    • Change the Template ID to a template that has the number of remaining months
    • Select Create Schedule based on Dates, and enter a Deferral Start Date and Deferral End Date.
  7. Select OK.
  8. Back on the Transaction Entry, you can post the transaction.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Unapply Credit

You can unapply a credit that is applied to a billing schedule using one of the following windows:

  • Applied From Credits
  • Mass Unapply From Credits (available in ARED build 808 (and newer))

Unapply for a Single Recognition Schedule

To unapply the credit for a single recognition schedule, follow these steps:

  1. Open the Applied From Credits window.
  2. In Schedule Origin select Sales Order Processing, and then select the Schedule Number.
    The list view shows all credit lines that have been applied to the recognition schedule.
  3. Select Unapply to unapply the credit.

The Processed check box is updated to show that the credit has been unapplied.

Unapply for Several Recognition Schedules

Available in ARED build 808 (and newer).

To unapply the credit for several recognition schedules, follow these steps:

  1. Open the Mass Unapply From Credits window.
  2. In Schedule Origin select Sales Order Processing.
  3. Specify a Date Restriction:
    • If you select As Of Date, specify the As Of Date.
    • If you select Date Range, specify the From and To dates.
  4. Specify the range of records you want to display and select Insert.
  5. Select Redisplay, which updates the scrolling window with records that satisfy the criteria you entered.
  6. Select the records you want to update, and select Process.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Profit and Loss for Deferrals Workflow

Profit Loss Profit Loss Profit Loss

To use the Profit and Loss posting method and functionality for deferrals, follow this general workflow:

  1. When you set up the ARED Setup window, select to use the Profit and Loss posting method.
  2. Set up the accounts to use for the Profit and Loss posting method.
  3. In the Default Sales Transaction Setup window, select the default Profit and Loss Setup ID that you want to use.
  4. Set up deferral information for an item class.
  5. Set up the deferral information for an item record.

After the setup for the Profit and Loss posting method is completed, you can change which accounts are used for the distributions.

Note icon. Note: The profit and loss deferral posting method is available only for sales transactions where the deferral is by item. The profit and loss functionality does not currently work with multiple deferrals and recognition allocation.

Watch a video [image].

See also

Setting Up Deferral Modules, Triggers, and Preferences

Setting Up Profit and Loss Accounts

Profit and Loss Deferral Method: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based Recognition Workflow

Event Based Event Based Event Based

To use the event-based recognition functionality for deferrals, follow this general workflow:

  1. Set up the event based functionality in ARED.
  2. Set up the deferral information for an item.
  3. On the Sales Transaction Entry window, create a sales invoice with the deferral item that uses the event-based functionality.
    You can change the default values for the item as needed (for example, add events, adjust defaults of the template assigned).
  4. In the scrolling window, select the item, and open the Recognition Schedule Entry window, you can edit the recognition schedule as needed.
  5. When you return to the Sales Transaction Entry window, post the transaction.
  6. If needed, you can edit the recognition schedule on the Recognition Schedule Entry window.
    Also, you could specify the end date for a particular event for a particular recognition schedule.
  7. On the Event Based Mass Processing window, you can update the end date or the expiry date for the events on the recognition schedule.
  8. On the Journal Entry Processing window, create the journal entries for the recognition schedule.

Watch a Video

  • Setting Up Event Based Recognition
  • Using Event Based Recognitions
  • Use Event Identifier

See also

Setting Up the Event-Based Functionality

Setting Up Deferral Information for a Record

Updating the End Date for a Recognition Schedule

Updating the Expiry Date for a Recognition Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Advanced Rev. & Exp. Deferrals Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Advanced Rev. & Exp. Deferrals Setup

Use this window to set the default preferences and settings for Advanced Revenue & Expense Deferrals (ARED). The settings are effective company-wide. In the Deferral Module Setup area, only the modules for which you have ordered and installed a registration key are available.

See also

Setting Up Deferral Modules, Triggers, and Preferences

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Profit & Loss Account Setup: Overview

Button showing that window Overview page is currently viewed.
Cards > Advanced Rev. & Exp. Deferrals > Profit & Loss Account Setup

Available as of Microsoft Dynamics GP 2016 R2.

Use this window to set up the deferred revenue and deferral accounts for the Profit and Loss posting method.

This window is available when the Deferral Posting Method is set to Profit and Loss on the ARED Setup window.

Note icon. Note: The profit and loss deferral posting method is available only for sales transactions where the deferral is by item. The profit and loss functionality does not currently work with multiple deferrals and recognition allocation.

See also

Setting Up Profit and Loss Accounts

Profit and Loss Deferral Method: Examples

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Sales Transactions Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Advanced Rev. & Exp. Deferrals > Use Sales Transaction expansion button

Use this window to define the default setup information for sales transactions.

See also

Setting Up the Event-Based Functionality

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Purchasing Transaction Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Advanced Rev. & Exp. Deferrals > Use Purchasing Transaction expansion button

Use this window to define the default setup information for purchasing transactions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Distribution Type Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Advanced Rev. & Exp. Deferrals > Use Account Receivables/Use Account Payables expansion button

Use this window to define the default setup information for distributions for sales, purchasing, receivables, and payables transactions.

In the scrolling window, you set up the default template ID and the recognition account number for a distribution type for the selected module. Depending on the module that you select, you can select a distribution type and then assign a default template ID and recognition account.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Distribution Type Setup (General Entry): Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Advanced Rev. & Exp. Deferrals > Use General Entry, select General Entry expansion button

Use this window to define the default setup information for journal transaction distributions.

In the scrolling window, you set up the default template and the recognition account Number for a deferral account number. You can select a deferral account number and then assign a default template ID and recognition account.

Watch Creating Recognition Schedules from Accounts

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule User Defined Fields Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Advanced Rev. & Exp. Deferrals > User Defined

Use this window to create new fields to track additional information about a selected recognition schedule. You can create up to 40 fields and select their data types from string, check box, integer, or double (currency).

When you enter data into these fields, select the User-Defined button in the Schedule Maintenance window, which opens a separate window where you enter the data.

Watch a video [image].

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Account Substitution Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Account Substitution Setup

Use this window to setup account segment values for all the available segments for each territory.

See also

Setting Up Territory Account Substitution

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Binary Stream Importer: Overview

Button showing that window Overview page is currently viewed.

Utilities > Adv. Revenue and Expense Deferrals > Importer

Use the importer to import data from other sources into the Binary Stream program that you are using. This window has a side navigation pane where you select a button to see the corresponding page on the right side.

Notes:

  • Only Microsoft Excel files can be imported.
  • The importer is only available to the following Binary Stream programs: ARED.

    • COGS recognition schedules are currently not support.

Installation Notes

When you install the Binary Stream program within windows (for example, run the MSI file), Microsoft Excel template files are installed in the following folder location: GPApplicationDirectory\AddIns\ExcelTemplates.

Important: Do not modify these templates. If you modify these templates, you will not be able to create new import templates to satisfy your needs.

See also

Creating an Excel Template

Using an Existing Excel Template

Importing Data

Importing Data: BSSI Importer - Deferral Balances

Importing Data: BSSI Importer File Format

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Import Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Advanced Rev. & Exp. Deferrals > Import Utilities

When you import data with this utility, ARED reviews a file of sales and receiving transactions (that are already in GP) and attaches a recognition schedule to each deferrable line item in Microsoft Dynamics GP. The new schedules have the status of Available.

In the Advanced Rev. & Exp. Deferrals Setup window, ensure the following options are selected:

  • Use Sales Transactions check box with the Recognition by Line Item option
  • Use Purchasing Transactions check box with the Recognition by Line Item option

Note icon. Note: As a best practice, use the Attach Recognition Schedule Utility instead.

For information about the file format for the data, see Importing Data: Import Utility File Format.

See also

Importing Data: Import Utility File Format

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Import Recognition Amount Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Advanced Rev. & Exp. Deferrals > Import Recognition Amount Utility

Use this utility to import only the recognition schedule amount for each specified deferral period.

The imported schedules must have the status of preliminary or available. The total imported amount for the recognition schedule must equal the remaining amount for the recognition schedule. After the action is completed, a validation report and a process audit report are printed.

For information about the file format for the data, see Importing Data: Recognition Amount Utility.

See also

Importing Data: Recognition Amount Utility

Importing a Recognition Schedule Amount for a Deferral Period

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Change Start Date Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Advanced Rev. & Exp. Deferrals > Change Start Date Utility

Use this utility to change the start date and recalculate the recognition schedules for sales and purchasing. You can use this utility with schedules that do not have recognized amounts, or with schedules in which you have changed line amounts.

When the process is complete, an import report and a process audit report for the recalculated schedule number are created.

For information about the file format for the data, see Importing Data: Change Utilities.

See also

Changing the Start Date for Recognition Schedules

Importing Data: Change Utilities

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Change End Date Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Advanced Rev. & Exp. Deferrals > Change End Date Utility

Use this window to recalculate recognition schedules in Microsoft Dynamics GP by providing values for the Adjusted Deferral End Date and Recalculation Date fields in an import file.

For information about the file format for the data, see Importing Data: Change Utilities.

In ARED build 702 (and newer), you can import a file to change the end date for several recognition schedules belong to the same contract ID. You assign contract IDs to recognition schedules on the Recognition Schedule Entry window. .

See also

Changing the End Date for Recognition Schedules

Importing Data: Change Utilities

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Advanced Rev. & Exp. Deferrals > Contract Maintenance

Use this window create a contract number to attach to a schedule. The contract may be for the provision of goods or services.

See also

Creating a Contract

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue/Expense Source Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Advanced Rev. & Exp. Deferrals > Revenue/Expense Source

Use this window to set up the recognition accounts to be used for a schedule. This window represents a revenue or expense stream.

See also

Creating a Revenue/Expense Recognition Account

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Order Type Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Advanced Rev. & Exp. Deferrals > Order Type (for Microsoft Dynamics GP 2015 R2 and earlier)
Cards > Advanced Rev. & Exp. Deferrals > Revenue/Expense Source > select Base on Order Type and select the expansion button (as of Microsoft Dynamics GP 2016 R2)

Available in Microsoft Dynamics GP 2015 R2 and earlier. As of Microsoft Dynamics GP 2016 R2, this window is not available.

Use this window to set up the recognition accounts for an order type. This window represents order types.

When Base On Order Type is selected on the Revenue/Expense Source Maintenance window, the recognition accounts set up on this window override the recognition accounts that were set up on the Revenue/Expense Source Maintenance window.

Watch a Video

  • Using Order Types

See also

Creating an Order Type

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Template Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Advanced Rev. & Exp. Deferrals > Recognition Template

Use this window to set recognition periods for a schedule.

In this window, you set up the delays in the start of recognition (Type is Free), the frequency of recognition entries, and the number of recognition periods.

See also

Creating a Recognition Template

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Bundle Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Advanced Rev. & Exp. Deferrals > Bundle Maintenance

Use this window to set up a bundle ID. The bundle ID is a label that is used to identify each item in a bundled transaction in the Sales Transaction Entry window.

A bundled transaction is subject to the EITF 08‐1 standard for revenue recognition with multiple deliverables. This regulation describes how to recognize revenue from a multiple-element deliverable, such as a computer system.

Note icon. Note: The bundle transaction feature is available only in Microsoft Dynamics GP 2013 R2 and earlier versions of ARED. For Microsoft Dynamics GP 2015 and newer, use the MERA integration for multiple-element transactions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Type Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Advanced Rev. & Exp. Deferrals > Event Type Maintenance

Use this window to set up an event type. These event types are used on the event based templates.

This window is available only when the Enable Event Based option is selected in the Advanced Rev. & Exp. Deferrals Setup window.

See also

Creating an Event

Event Based - Percentage of Completion: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based Template Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Advanced Rev. & Exp. Deferrals > Event Based Template Maintenance

Use this window to set the recognition templates for deferred revenue that can be recognized at different times when an event happens.

This window is available only when the Enable Event Based option is selected in the Advanced Rev. & Exp. Deferrals Setup window.

See also

Creating an Event Based Template

Copying an Event Based Template

Event Based - Percentage of Completion: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Attach Events: Overview

Button showing that window Overview page is currently viewed.

Cards > Advanced Rev. & Exp. Deferrals > Event Based Template Maintenance > Attach Events button

Use this window to attach events to a template.

See also

Creating an Event Based Template

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based Template Copy: Overview

Button showing that window Overview page is currently viewed.

Cards > Advanced Rev. & Exp. Deferrals > Event Based Template Maintenance > Copy button

Use this window to create a template based on the information from an existing template.

See also

Copying an Event Based Template

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Allocation Template: Overview

Button showing that window Overview page is currently viewed.
Cards > Advanced Rev. & Exp. Deferrals > Recognition Allocation Maintenance

Available as of Microsoft Dynamics GP 2015 R2.

Use this window to set up a recognition allocation ID. Watch a video [image].

Tip: When you create a template, you can set multiple recognition accounts for a single schedule.

See also

Creating a Recognition Allocation Template

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Recognition Schedule

Use this window to enter recognition schedules for transactions in the Sales Transaction Entry, POP Receipt Entry, Receivables Transaction Entry, Payables Transaction Entry, and General Transaction Entry windows.

To access a schedule after posting the associated document, you can open this window from the SOP Inquiry, POP Receipt Inquiry, Receivables Inquiry, and Payables Inquiry windows.

Note icon. Note: As of Microsoft Dynamics GP 2015 R2, the COGS recognition functionality is available. If you change the regular recognition schedule, you must manually update the COGS recognition schedule. The schedule is not automatically updated. However, if the COGS schedule is event‑based, the COGs schedule is updated when the regulare recognition schedule is changed.

You can also use this window to manually change the individual sequence amount or change data and information in the header fields in this window when the Schedule Status is Preliminary.

Using Advanced Recurring Contract Billing

The value and the resulting behavior for the Deferral End Date in this window changes when ARCB is installed and certain changes are made in ARCB schedules that affect their associated recognition schedules in ARED. For more information review the description for Deferral End Date.

Using Multi-Entity Management

When MEM is installed, the recognition schedule is created from the Sales, Purchasing, Accounts Payable, Accounts Receivable, and General Entry modules as usual, and account substitution is performed for the On Hold Account and the Recognition Account, using the entity segment for the entity ID attached to the originating document.

Returns

For returns, the Inquiry windows display the Recognition Amounts as negative. However, on the Recognition Schedule Entry window, these amounts are always displayed as positive amounts. When the journal entries are created for the Recognition Schedule for returns, the deferral accounts are credited and the recognition accounts are debited.

Recognition Allocation

As of Microsoft Dynamics GP 2015 R2, when a line item uses a different deferral account from the original deferral account for a transaction, the deferral account specified on the allocation template is used to create the ARED schedule.

Watch a Video

  • Watch Changing Recognition Amounts
  • Watch Putting Schedules on Hold

See also

Editing the Recognition Schedule for a Deferral Item

Change Deferral Date

Calculating the Schedule Line Amount: Three-Month Deferral

Calculating the Schedule Line Amount: Six-Period Deferral

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Change Deferral Date

You can change the deferral end date and recalculate a recognition schedule with some schedule amounts recognized or stubbed.

When you change the Deferral End Date in the Recognition Schedule Entry window and press Tab to move to the next box, the Recalculation Date window opens for you to enter a recalculation date, a reason for the change, and a GL transaction date.

Then when you select Commit in the Recognition Schedule Entry window, the recognition schedule is recalculated based on the new deferral end date and the recalculation date.

  • Any schedule amounts that occur before the adjusted deferral end date are not adjusted or recalculated. Also, any schedule amounts that occur in a closed fiscal period (in History) are not adjusted or recalculated.
  • Schedule amounts that were already recognized in closed fiscal periods and schedule amounts in open periods before the specified recalculation date (Current Open Month Date) are not be adjusted.
  • The remaining (unrecognized) schedule amounts are recalculated.
  • When the recalculation date is within a schedule period that has already been recognized, the journal entries for the recognized period are reversed using the GL transaction date, and the schedule is recalculated. The journal entries are added to a batch. If AutoPost Journal Entries is cleared on the Advanced Rev. & Exp. Deferrals Setup window, you must manually post the reversed journal entries.

Watch a video [image].

To change the deferral end date and recalculate a recognition schedule from ARCB, do the following:

  • In the ARCB Billing Schedule Maintenance window, enter a value for the Deferral End Date and the Recalculation Date for a billing schedule.
    The associated recognition schedule in ARED is recalculated as described.

To recalculate a recognition schedule using the ARCB termination date, do the following:

  • In the ARCB Billing Schedule Maintenance window, enter a value for the Termination Date for one or more billing schedules.
    The associated recognition schedules in ARED is recalculated by ending the schedules at the termination date and rolling up or cutting off the amounts for the periods that would have occurred after the termination date, depending on the termination date option selected.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adjust Deferral End Date Audit: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Recognition Schedule > Deferral End Date expansion button

Use this window to view the logs for end date changes.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recalculation Date: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Recognition Schedule > Deferral End Date (tab)

Use this window to enter a recalculation date, a reason for the recalculation, and a date for the GL transaction.

To access this window, change the Deferral End Date on the Recognition Schedule Entry window, and then press tab.

See also

Change Deferral Date

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Lookup: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Recognition Schedule Entry > Lookup button

Use this window to search for a recognition schedule. After you find the recognition schedule you want, you can review the details on the Recognition Schedule Entry window.

You can search for a recognition schedule by any of the following identifiers:

  • Schedule Number
  • Document Number
  • Customer ID (available when Schedule Origin is Sales Order Processing or Accounts Receivable on the Recognition Schedule Entry window - available as of Microsoft Dynamics GP 2016 R2)
  • Vendor ID (available when Schedule Origin is Purchase Order Processing or Accounts Payable on the Recognition Schedule Entry window - available as of Microsoft Dynamics GP 2016 R2)
  • Site ID
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Applied From Credits: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Apply Credit Memo Processing, Adjusted Amount expansion button or open from the Recognition Schedule Entry window

Use this window to review the credit memos that have been applied to a selected schedule.

To unapply a credit for a several recognition schedules, use the Mass Unapply From Credits window.

See also

Unapply Credit

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Item Recognition Allocation: Overview

Button showing that window Overview page is currently viewed.
Transactions > Advanced Rev. & Exp. Deferrals > Recognition Schedule Entry> Double-click a line in the scrolling window
Transactions > Sales > Sales Transaction Entry, select sales line item, and then press Ctrl + D
Transactions > Sales > Sales Transaction Entry > Sales Line Entry expansion button

Available as of Microsoft Dynamics GP 2015 R2.

Use this window to review and, if needed, modify the recognition allocation information for a sales line item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Unbilled Revenue Detail: Overview

Button showing that window Overview page is currently viewed.
Transactions > Advanced Rev. & Exp. Deferrals > Recognition Schedule > Amount Remaining expansion button

Available in Microsoft Dynamics GP 2015 R2 (ARED build 520 and newer), 2016 R2 (build 613 and newer), and 2018 (ARED build 702 and newer)

Use this window to view the journal entry that is created for unbilled revenue amount.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule User Defined Fields Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Recognition Schedule Entry > User Defined button

Use this window to enter values and information in the user-defined fields you created. The additional information you provide is related to the selected recognition schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Journal Entry Processing: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Journal Entry Processing

Use this window to create a recognition journal entry, reverse a recognition journal entry, place a stub recognition amount, or reverse a stub on a recognition amount.

This window displays recognition amounts applicable to a selected processing action for the selected schedule origin. Schedules are only available after the associated invoice has been posted.

You can also process event based schedules or export data to a Microsoft Excel spreadsheet.

When Multi-Entity Management is installed, the ranges that you select are restricted by user-level access. That is, you can view only the data within the selected range that are associated with entities to which you have access. Entities can be associated with the following items:

  • Recognition Schedule
  • Vendor/Customer
  • Vendor/Customer Class
  • Item Number
  • Document Number
  • Document Date
  • Deferral Account

Also, you can use the entity ID scrolling window to further restrict the schedules to display by selecting from the entities to which you have access.

The entity ID for the recognition schedule is obtained from the document that originates the recognition schedule.

Watch a Video

Processing Recognitions

See also

Journal Entry Processing – Redisplay: Benchmark Performance Results

Journal Entry Processing

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Journal Entry Processing

In the Journal Entry Processing window, you can process different types of transactions for recognition schedules. Watch a video [image].

Create Journal Entry

Recognition journal entries are created to recognize revenue or expense from the recognition schedule.

When the schedule is event based, and considered expired, the expiration account is used. A schedule is expired when the end date is empty or the end date is after the expiry date.

The expired revenue journal entries are as follows:

DB Deferral Account
CR Revenue Expiration Account

When Summarized Journal Entry is selected, one journal entry is created for all selected recognition schedule lines. Credit and debit amounts are consolidated based on the account.

Note icon. Note: The amounts for lines in a recognition schedule are not consolidated and any analytical accounting information is overridden with analytical accounting information from the original document when the following criteria are true:

  • The deferral account has analytical accounting information in the original document
  • For sales recognition schedules, the Override JE AA info from Sales option on the Advanced Rev. & Exp. Deferrals Setup window is selected
  • For payables recognition schedules, the origin of the recognition is SOP and the Override JE AA info from AP option on the Advanced Rev. & Exp. Deferrals Setup window is selected
  • The account class for the recognition account is the same analytical accounting account class as the deferral account

After the process is executed, the recognition amounts are no longer available to be recognized. After the action completes, the Process Audit Report is printed.

The journal entry details are as follows:

Batch ID | Specify a batch number.
Transaction Date | Specify a transaction date.
Debit Account | When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account can be the deferred account or the recognition account for GL.
Credit Account | When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the credit account can be the deferred account or the recognition account for GL.
Debit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the deferral account is from the recognition schedule for revenue (SOP) or recognition account for expense (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account can be the deferred account or recognition account for SOP/POP/AR/AP.
Credit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the recognition account is from the recognition schedule for revenue (SOP) or the deferral account for expense (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account can be the deferred account or the recognition account for SOP/POP/AR/AP. SOP returns use the reversal logic to create a journal entry. When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the deferral account credited, and recognition amount is debited.
Amount | Displays the recognition amount.
Distribution Reference | Type text in the following format, limited by the length of the field: Item Number/Document Number + LineSeq Number.

Note icon. Note: In Microsoft Dynamics GP 2016 R2 (ARED build 614 and earlier) and Microsoft Dynamics GP (ARED build 701 and earlier), a maximum of 50 distinct GL accounts are allowed. If you select multiple entries that result in more than 50 distinct General Ledger accounts, a warning message appears. To avoid this issue, separate your large batch into smaller batches. For newer versions of ARED, this limitation does not exist.

Reverse Journal Entry

Recognition journal entries are created to reverse revenue or recognized expenses from the recognition schedule. In order to be applicable to this process, the recognition amount has to be recognized.

Note icon. Note: You must select this action when you want to reverse the journal entry. If you just delete the recognition journal entries (without posting to the General Ledger), the recognition amounts are not reversed in ARED.

After this process is executed, the recognition amount is available again to be recognized. After the action completes, a Process Audit Report is printed.

When the schedule is event based, and considered expired, the expiration account is used instead of recognition account. A schedule is expired when the end date is empty or the end date is after expiry date,

The journal entry details are as follows:

Batch ID | Specify a batch number.
Transaction Date | Specify a transaction date.
Debit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window then the debit account defaults from the recognition account from recognition schedule for revenue (SOP) or the deferral account for expense (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, then the debit account can be the deferred account or the recognition account for SOP/POP/AR/AP.
Credit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the credit account defaults from the deferral account from recognition schedule for revenue (SOP) or the recognition account for expense (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the credit account can be a deferred account or recognition account for SOP/POP/AR/AP. SOP Returns use the reversal logic to reverse the journal entry. When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the deferral account is debited, and recognition amount is credited.
Amount | Displays the Period recognition amount.
Distribution Reference | Type text in the following format, limited by the length of the field: Item Number/Document Number + LineSeq Number.

Reverse Summarized Journal Entry

Only summarized journal entries are displayed in the list. Recognition journal entries are created to reverse revenue or recognized expenses from the recognition schedules. All the recognition schedule lines with a journal entry attached are reversed.

Stub/Reverse Stub Recognition Amount

When you put a stub on a recognition amount, the recognition amount is not available for recognition. Also, no journal entry is created. This functionality applies only to unrecognized recognition amounts.

When you reverse stub the recognition amount, the amount becomes available for recognition. This functionality applies only to stubbed recognition amounts.

When the action completes, a Process Audit Report is generated.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Summarized Journal Entry Details: Overview

Button showing that window Overview page is currently viewed.

Transactions > Financial > General > Account expansion button

Use this window to review the journal entries for a GL transaction.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Schedule Processing: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Mass Schedule Processing

Use this window to place a hold on a recognition schedule, remove a hold, cancel a schedule or an unrecognized amount, or reclassify a schedule.

This window displays recognition schedules for the selected schedule origin that are applicable to the selected processing action. In the scrolling window, double-click the recognition schedule to open the Recognition Schedule Entry window. Preliminary status schedules are not available in this window for mass processing.

You can export the data displayed in this window to an Excel spreadsheet.

Note icon. Note: When you void an unposted transaction that is on Hold, the schedule is removed.

When you void a posted transaction that is on hold, the schedule appears in with a canceled status and reversing cancellation journal entries are created. The Document Date on the reversing journal entries is the Void Date as specified on the Posted Transactions window.

For a COGS schedule, journal entries created by this window are reversed. This functionality is available as of Microsoft Dynamics GP 2015 R2.

When Multi-Entity Management is installed, the ranges that you select are restricted by user-level access. That is, you can view only the data within the selected range that are associated with entities to which you have access. Entities can be associated with the following items:

  • Recognition Schedule
  • Vendor/Customer
  • Vendor/Customer Class
  • Item Number
  • Document Number

You can use entity ID scrolling window to further restrict the schedules displayed by selecting from the entities that you are allowed to access. The entity ID for the recognition schedule is obtained from the document that originates the recognition schedule.

Watch a Video

  • Canceling a recognition schedule
  • Putting schedules on hold

See also

Mass Schedule Processing

Placing a Hold on a Recognition Schedule

Removing a Hold from a Recognition Schedule

Reclassifying a Recognition Schedule

Changing the Recognition or Deferral Account for Multiple Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Schedule Processing

In the Mass Schedule Processing window, you can process different types of transactions for recognition schedules.

Place Schedule on Hold or Remove Hold

Placing a hold on the schedule prevents the recognition amounts on the schedule from being recognized. This process also creates a journal entry to move the balance from a deferral account into an on hold account.

When the Place Schedule On Hold or Remove Schedule From Hold processing action is selected, the Reclassification Account box and the Cancellation Journal Entry option are not available.

After the process completes, a Process Audit Report is printed.

Place Schedule on Hold

Watch a video [image].

Batch ID | Specify a batch ID for processing, as applicable.
Journal Entry Date | Specify a journal entry date. The date must be in an open fiscal period.
Debit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account comes from the deferral account from recognition schedule for revenue (SOP) or the on-hold account for expense (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account can be a deferred account or an on-hold account for SOP/POP/AR/AP/GL.
Credit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account comes from the on-hold account for the recognition schedule for revenue (SOP), deferral account for expense (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account can be a deferred account or on-hold account for SOP/POP/AR/AP/GL.
Amount | Displays the total schedule amount.
Distribution Reference | When the journal entry is created, the Distribution Reference box displays: document number item number - On Hold Note icon. Note: If the text is too long, the reference may be truncated.
On Hold | Hold functionality is only available for schedules with no recognized period amounts. A Hold can be removed from a schedule put on hold, making it available for recognition again. When Create Journal Entry on Hold is selected in the Advanced Rev. & Exp. Deferrals Setup window, a journal entry to move a balance from the deferral account into an on hold account is created. When Create Journal Entry on Hold is cleared in the Advanced Rev. & Exp. Deferrals Setup window, a journal entry is not created, and the balance remains in the deferral account.

After the process completes, a Process Audit Report is printed.

Remove Schedule From Hold

Batch ID | Specify a batch ID for processing, as applicable.
Journal Entry Date | Specify a journal entry date. The date must be in an open fiscal period.
Debit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account comes from the on-hold account from recognition schedule for revenue (SOP) or the deferral account for expense (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account comes from the deferred account or the on-hold account for SOP/POP/AR/AP.
Credit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the credit account comes from the deferral account from recognition schedule for revenue (SOP) or the on-hold account for expense (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the credit account comes from the deferred account or the on-hold account for SOP/POP/AR/AP.
Amount | Displays the total schedule amount.
Distribution Reference | When the journal entry is created, the Distribution Reference box displays: document number item number - Remove Hold Note icon. Note: If the text is too long, the reference may be truncated.

Cancel Amount or Schedule

You can cancel a schedule to prevent further recognition of the amounts in the schedule. Watch a video [image].

Note icon. Note: After you cancel a process, you cannot reverse the cancellation.

During the cancellation, a journal entry is created. Depending on the action and option you select, the journal entry reverses the deferred revenue or both the deferred and recognized revenue,.

After the process completes, a Process Audit Report is printed.

Cancel Outstanding Revenue (Cancel Unrecognized Amount Only Action)

In the Mass Schedule Processing window, clear Cancellation Journal Entry to produce only one journal entry. The unrecognized amount from the deferral account is moved to the cancellation account that you specify in this window.

Batch ID | Specify a batch ID for processing, as applicable.
Journal Entry Date | Specify a journal entry date. The date must be in an open fiscal period.
Debit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account comes from the deferral account for the recognition schedule for revenue (SOP) or the payables account from Vendor on associated documents (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account comes from the deferred account or cancellation account specified in the Mass Schedule Processing window.
Credit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the credit account comes from the receivables account for the customer in the associated document (SOP) or the deferral account for expense (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the credit account comes from the deferred account or cancellation account specified in the Mass Schedule Processing window.
Amount | Creates the journal entry using this remaining amount.
Distribution Reference | When the journal entry is created, the Distribution Reference box displays: document number item number start date - end date Note icon. Note: If the text is too long, the reference may be truncated.

Cancel Entire Schedule

In the Mass Schedule Processing window, select Cancellation Journal Entry to produce two journal entries. The recognition journal entries for the schedule are reversed. This is a reversal between the recognition account and the deferral account. The unrecognized amount are moved from the deferral account to the cancellation account specified in the Mass Schedule Processing window.

Watch a video [image].

Batch ID | Specify a batch ID for processing, as applicable.
Journal Entry Date | Specify a journal entry date. The date must be in an open fiscal period.
Debit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account comes from the deferral account for the recognition schedule for revenue (SOP) or the payables account from Vendor on associated documents (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the debit account comes from the deferred account cancellation account specified in the Mass Schedule Processing window.
Credit Account | When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the credit account comes from the receivables account for the customer in the associated document (SOP) or the deferral account for expense (POP). When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the credit account comes from the deferred account or cancellation account specified in the Mass Schedule Processing window.
Amount | Creates the journal entry using this remaining amount.
Distribution Reference | When the journal entry is created, the Distribution Reference box displays: document number item number start date - end date Note icon. Note: If the text is too long, the reference may be truncated.

Reclassify Schedule

You reclassify a schedule by creating a journal entry that moves the remaining unrecognized amount on the schedule from one deferral account to another.

When the Reclassify Schedule processing action is selected, the Cancellation Journal Entry option is not available.

After the process completes, a Process Audit Report is printed.

Watch a video [image].

Reclassify Schedule

Batch ID | Specify a batch ID for processing, as applicable.
Journal Entry Date | Specify a journal entry date. The date must be in an open fiscal period.
Debit Account | Displays the amount taken from the original deferral account (SOP/AP) or the new deferral account (POP/AR).
Credit Account | Displays the amount taken from the new deferral account (SOP/AP) or the original deferral account (POP/AR).
Amount | Displays the remaining unrecognized schedule amount.
Distribution Reference | When the journal entry is created, the Distribution Reference box displays: document number item number - Reclassify Note icon. Note: If the text is too long, the reference may be truncated.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assign Credit Memo: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Assign Credit Memo

Use this window to assign a credit memo as a payables credit memo or a receivables credit memo. After a credit memo is assigned, you can apply a payables credit memo against payables/purchases schedules or a receivables credit memo against receivables/sales schedules. For more information, see Apply Credit Memo.

You can assign any credit memos that you need to clear up, or, when you are implementing this ARED for the first time, you can assign many credit memos at once.

When Assign for Recognition Schedule Cancel is selected in the Receivables Transaction Entry window or the Payables Transaction Entry window, you do not assign a credit memo again in this window.

The scrolling window displays posted credit memos that are available for use, with the specified origin and purchasing account in the distribution.

You can export the data from this window to an Excel spreadsheet.

Note icon. Note: The credit memo amount and account are not validated should a cancellation occur.

When Multi-Entity Management is installed, the ranges that you select are restricted by user-level access. That is, you can view only the data within the selected range that are associated with entities to which you have access. Entities can be associated with the following items:

  • Customer Number/Vendor ID
  • Customer/Vendor Class

Also, you can use the entity ID scrolling window to further restrict the schedules to display by selecting from the entities to which you have access.

The entity ID for the recognition schedule is obtained from the document that originates the recognition schedule.

See also

Assigning a Credit Memo

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Apply Credit Memo: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Apply Credit Memo

Use this custom window to apply a credit memo to more than one schedule at a time. Watch a video [image].

You can export the data displayed in this window to an Excel file.

Note icon. Note: COGS and markdown recognition schedules do not appear in this window.

See also

Apply Credit Memo Processing

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


GL Line Deferral: Overview

Button showing that window Overview page is currently viewed.

Transactions > Financial > General > Additional > GL Line Deferral

Use this window to override the default values from the Default Distribution Type Setup window for a general entry line.

This window is available when you select Use General Ledger in the Advanced Rev. & Exp. Deferrals Setup window. This window is available when you double-click a line in the Attach Recognition Schedule window.

When the Create Schedule Based on Dates option is selected, the Deferral Start Date, Deferral Frequency, and Deferral End Date values are used for calculating a recognition schedule, instead of the Template ID.

When you set up an account as a deferral account in the Default Distribution Type Setup window, you can access this window by selecting the expansion button Expansion Arrow icon. next to the Account box, or by pressing Ctrl + D in the General Transaction Entry Window.

The Template ID and Deferral Start Date are used when creating a recognition schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Item Deferral: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Recognition Schedule Entry > Double-click in the scrolling window
Transactions > Sales > Sales Transaction Entry, select sales line item > Additional menu > Sales Line Item Deferral

Use this window to modify or create a recognition schedule for a sales transaction created on the Sales Transaction Entry window.

You can open this window in one of the following ways:

  • From the Recognition Schedule Entry window, double-click a line in the scrolling window.
  • From the Sales Transaction Entry window, select Additional menu > Sales Line Item Deferral.

Before you can create a schedule, ensure that Use Sales Transaction and Recognition by Item are selected on the Advanced Rev. & Exp. Deferrals Setup window.

The Template ID and Deferral Start Date are used when creating a recognition schedule.

When you are using the Microsoft Dynamics GP standard Sales Transaction Entry window, use this window to enter a bundle ID for each line item.

Note icon. Note: The bundle transaction feature is available only in Microsoft Dynamics GP 2013 R2 and earlier versions of ARED. For Microsoft Dynamics GP 2015 and newer, use the MERA integration for multiple-element transactions.

See also

Editing the Recognition Schedule for a Deferral Item

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Deferral Event ID Audit: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Recognition Schedule Entry > Click the scrolling window > Click the Event Identifier or End Date expansion button

Use this window to view changes to the Event Identifier or the event End Date. You open this window by selecting the Expansion button Expansion Arrow icon. from the Event Identifier or End Date columns on the Sales Line Item Deferral window.

Depending on the way you open this window, the Original Event Identifier/Deferral End Date or the New Event Identified/Deferral End Date column appears in the scrolling window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Profit and Loss Distribution: Overview

Button showing that window Overview page is currently viewed.
Sales > Transactions > Sales Transaction Entry > Invoice > Distributions button > ARED Profit and Loss button

Available as of Microsoft Dynamics GP 2016 R2 , and when Deferral Posting Method is Profit and Loss on the ARED Setup window.

Use this window to view the summarized set of journal entries to be created for all the deferral line items. All data on this window is read-only.

Note icon. Note: The profit and loss deferral posting method is available only for sales transactions where the deferral is by item. The profit and loss functionality does not currently work with multiple deferrals and recognition allocation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Deferral: Overview

Button showing that window Overview page is currently viewed.
Transactions > Purchasing > Enter/Match Invoices > Additional > Item Deferral or press Ctrl + D

Available as of Microsoft Dynamics GP 2015 R2.

Use this window to enter the deferral information for the selected item. Depending on how the Default Purchasing Transaction Setup window is set up, any default values are from the vendor or item. But you can overrride the default values as needed.

The information from this window is then used to create the recognition schedule with the purchasing invoice is posted.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Distribution Line Deferral (AP Line Deferral): Overview

Button showing that window Overview page is currently viewed.

Transactions > Purchasing > Receivings Transaction Entry > Enter or Select a shipment or shipment/invoice receipt > Distributions button, Additional > Distribution Line Deferral or press Ctrl + D

Transactions > Purchasing > Receivings Transaction Entry > Enter or Select a shipment or shipment/invoice receipt > Distributions button, select expansion button next to Account

Transactions > Purchasing > Transaction Entry > Select a Vendor ID > Distributions button > Additional > Distribution Line Deferral or press Ctrl + D

Transactions > Purchasing > Transaction Entry > Select a Vendor ID > Distributions button, select expansion button next to Account

Transactions > Sales > Sales Transaction Entry > Distributions button, Additional> Distribution Line Deferral or press Ctrl + D

Transactions > Sales > Sales Transaction Entry > Distributions button, select expansion button next to Account

Use this window to create a schedule and open the Recognition Schedule Entry window by pressing Ctrl + D or by selecting the expansion button Expansion Arrow icon. next to Account, provided you selected Recognition by Dist Type for SOP/POP/AP/AR four modules in the Advanced Rev. & Exp. Deferrals Setup window.

The Template ID, Deferral Start Date, and Recognition Account are used when creating a recognition schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Distribution Line Deferral (Purchasing Invoice): Overview

Button showing that window Overview page is currently viewed.

Transactions > Purchasing > Enter/Match Invoices > Distribution button, Additional > Distribution Line Deferral

Available as of Microsoft Dynamics GP 2015 R2.

Use this window to enter the deferral information for the selected distribution. If purchasing deferral defaults are setup for the vendor, the deferral information is automatically entered, but you can change the values.

This information is used to create the recognition schedule when the purchasing invoice is posted.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based Mass Processing: Overview

Button showing that window Overview page is currently viewed.

Transactions > Advanced Rev. & Exp. Deferrals > Event Based Mass Processing

Use this window to update the end date, expiry date, and anticipated expiry date.

This window displays only event based recognition schedules for the selected schedule origin that are applicable to the selected processing action. Preliminary status schedules are not available in this window for mass processing.

When Multi-Entity Management is installed, the ranges that you select are restricted by user-level access. That is, you can view only the data within the selected range that are associated with entities to which you have access. Entities can be associated with the following items:

  • Recognition Schedule
  • Vendor/Customer
  • Vendor/Customer Class
  • Item Number
  • Document Number

You can use entity ID scrolling window to further restrict the schedules displayed by selecting from the entities that you are allowed to access. The entity ID for the recognition schedule is obtained from the document that originates the recognition schedule.

See also

Updating the End Date for a Recognition Schedule

Updating the Expiry Date for a Recognition Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Unapply From Credits: Overview
Transactions > Advanced Rev. & Exp. Deferrals > Mass Unapply From Credits

Available in ARED build 808 (and newer).

Use this window to unapply returns that have been processed for a recognition schedule. In this window, you can review a list of credit memos that have been applied to the recognition schedules, and then select the lines that you want to unapply.

To unapply a credit for a single schedule, use the Applied From Credits window.

See also

Unapply Credit

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Advanced Rev. & Exp. Deferrals > Recognition Schedule Inquiry

Use this window to display schedules that are in the work and history tables. You can export the data in the scrolling window to a Microsoft Excel spreadsheet.

Amounts that originate from the Sales module and are a return type appear as a negative amounts. Any return amounts are subtracted from the invoice amounts and displayed in the totals at the bottom of the window.

When Multi-Entity Management is installed, the ranges that you select are restricted by user-level access. That is, you can view only the data within the selected range that are associated with entities to which you have access. Entities can be associated with the following items:

  • Recognition Schedule
  • Vendor/Customer
  • Vendor/Customer Class
  • Item Number
  • Document Number
  • Contract Number
  • Document Date
  • Deferral Account
  • Recognition Account
  • Schedule Status
  • Document Post Date (Not for GL)

Note icon. Note: See the Range By description. Duplicate boxes exist on this window.

You can use entity ID list view to further restrict the schedules displayed by selecting from the entities that you are allowed to access. The entity ID for the recognition schedule is obtained from the document that originates the recognition schedule.

See also

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Advanced Rev. & Exp. Deferrals > Recognition Schedule Inquiry, Double-click a schedule

From ARCB: Cards > Adv. Recurring Contract Billing > Billing Schedule > Renewal Terms button > select a line > select ARED Schedule column link

From ARCB: Cards > Adv. Recurring Contract Billing > Billing Schedule > Billing Frequency expansion button (in the scrolling window), Billing Schedule Detail > Escalation Process button > select a line > select ARED Schedule column link

From ARCB: Cards > Adv. Recurring Contract Billing > Billing Schedule > Renewal Terms button > Total Amount expansion button > select a line > select ARED Schedule column link

Use this window to view recognition schedules. This window can also be used for viewing event based schedules.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Item Deferral Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Advanced Rev. & Exp. Deferrals > Recognition Schedule Inquiry, Double-click a schedule > Recognition Schedule Zoom, Double-click a schedule line

Use this window to view the recognition schedule lines.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Analysis Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Advanced Rev. & Exp. Deferrals > Recognition Analysis Inquiry

Use this window to display recognition amounts for schedules that are in the work and history tables. You can export the data in the scrolling window to an Excel spreadsheet.

Amounts that originate from the Sales module and are a return type appear as a negative amounts. Any return amounts are subtracted from the invoice amounts and displayed in the totals at the bottom of the window.

When Multi-Entity Management is installed, the ranges that you select are restricted by user-level access. That is, you can view only the data within the selected range that are associated with entities to which you have access. Entities can be associated with the following items:

  • Recognition Schedule
  • Vendor/Customer
  • Vendor/Customer Class
  • Item Number
  • Document Number
  • Contract Number
  • Document Date
  • Deferral Account
  • Recognition Account
  • Schedule Status
  • Document Post Date (not for GL)

You can use entity ID scrolling window to further restrict the schedules displayed by selecting from the entities that you are allowed to access. The entity ID for the recognition schedule is obtained from the document that originates the recognition schedule.

See also

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Audit Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Advanced Rev. & Exp. Deferrals > Recognition Audit Inquiry

Use this window to display records in the audit trail. You can export the data in the scrolling window to an Excel spreadsheet.

When Multi-Entity Management is installed, the ranges that you select are restricted by user-level access. That is, you can view only the data within the selected range that are associated with entities to which you have access. Entities can be associated with the following items:

  • Recognition Schedule
  • Vendor/Customer
  • Vendor/Customer Class
  • Item Number
  • Document Number

You can use entity ID scrolling window to further restrict the schedules displayed by selecting from the entities that you are allowed to access. The entity ID for the recognition schedule is obtained from the document that originates the recognition schedule.

See also

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deferral Balance Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Advanced Rev. & Exp. Deferrals > Deferral Balance Inquiry

Use this window to display deferral balances as of a specific date. The deferral balance is commonly used to reconcile the balances in the GL accounts.

This window available for Microsoft Dynamics GP 2013 R2 and earlier.

Note icon. Note: In Microsoft Dynamics GP 2015 R2 and newer, use the Deferral Revenue/Recognition Inquiry window.

Amounts that originate from the Sales module and are a return type (are negative invoice lines) appear as a negative amounts. General journal credits are also shown as negative amounts.

See also

Deferral Balance Report: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deferral Revenue/Recognition Inquiry: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Advanced Rev. & Exp. Deferrals > Deferral Revenue/Recognition Inquiry

This window is available for Microsoft Dynamics GP 2015 R2 and newer.

Note icon. Note: If you are using Microsoft Dynamics GP 2013 R2 and earlier, use the Deferral Balance Inquiry window.

Use this window to display one of the following reports:

  • Deferral Balance The deferral amount is reported as of a specific date. The deferral balance is commonly used to reconcile the balances in the General Ledger accounts. With the As of Date, you can determine the balance of a deferral account as of a specific date, which can be useful when reconciling past periods (for example, when processing continues after a month or year end). The As of Date is also useful for audit purposes because it can show a 'snapshot' for a recognition schedule based on a previous date.

  • Amounts that originate from the Sales module and are a return type (are negative invoice lines) appear as a negative amounts. General journal credits are also shown as negative amounts.

  • Revenue Waterfall

    The revenue amount is reported within a specified period. The report can show the monthly details of recognized and unrecognized revenue. You can use the report to review when the recognition actually occurred and to also forecast when future recognition is to occur.

  • Declining Balance

    The monthly deferral balance amount is reported within a specified period. As an option, the report can show the future deferral amount. The report can show the monthly details of the deferral balances for recognition schedules. You can review the report to see how deferred revenue balances decline every month over a specified period. You can also forecast future deferred revenue balances for future periods (for example, unrecognized amounts).

See also

Deferral Balance Report: Example

Revenue Waterfall Report: Example

Declining Balance Report: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Distribution Line Deferral Inquiry Zoom (Purchasing Invoice): Overview

Button showing that window Overview page is currently viewed.

Purchasing > Inquiry > Purchase Order Documents > select at least one Include option for a receipt > Redisplay button > select an invoice > Receipt No. link > Distribution button, Additional > Distribution Line Deferral

Available as of Microsoft Dynamics GP 2015 R2.

Use this window to view the deferral information for the selected distribution.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Preference: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Advanced Rev. & Exp. Deferrals > Recognition Analysis Inquiry > User Preference button
Inquiry > Advanced Rev. & Exp. Deferrals > Recognition Schedule Inquiry > User Preference button
Inquiry > Advanced Rev. & Exp. Deferrals > Recognition Audit Inquiry > User Preference button

Available as of Microsoft Dynamics GP 2016 R2.

Use this window to show or hide columns that are displayed in the list view. You can also change the column order and set the default sort order of the list view.

The list view changes are customizable for each individual user and each window for which the user preferences are available.

See also

Customizing List View Settings

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Update Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Advanced Rev. & Exp. Deferrals > Update Account Index Utility

Use this utility to update account indexes or enable new credit memo functionality.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Archive Recognition Schedules Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Advanced Rev. & Exp. Deferrals > Archive Schedules

Use this utility to move schedules with a status of Completed or Cancelled to the History table. You cannot reverse the action of archiving a schedule. The scrolling window shows only the schedules that have a status of Completed or Cancelled.

After the schedules have been moved, a Process Audit Report is generated.

You can export the data in this window to an Excel spreadsheet.

When Multi-Entity Management is installed, the ranges that you select are restricted by user-level access. That is, you can view only the data within the selected range that are associated with entities to which you have access. Entities can be associated with the following items:

  • Recognition Schedule
  • Vendor/Customer
  • Item Number
  • Document Number

You can use entity ID scrolling window to further restrict the schedules displayed by selecting from the entities that you are allowed to access. The entity ID for the recognition schedule is obtained from the document that originates the recognition schedule.

See also

Archiving the Recognition Schedules

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Attach Recognition Schedule Utility: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Advanced Rev. & Exp. Deferrals > Attach Recognition Schedule

Use this window to create and attach a recognition schedule to an existing:

  • Imported SOP transaction
  • Imported AP distribution line
  • Imported GL distribution line

When Multi-Entity Management is installed, the ranges that you select are restricted by user-level access. That is, you can view only the data within the selected range that are associated with entities to which you have access.

You can use entity ID scrolling window to further restrict the schedules displayed by selecting from the entities that you are allowed to access. The entity ID for the recognition schedule is obtained from the document that originates the recognition schedule.

Attach a Recognition Schedule to an SOP Transaction

Use this window to create a recognition schedule for a selected line item in an imported sales transaction. When you create the recognition schedule, the Use Sales Transaction and Recognition by Item options must be selected on the Advanced Rev. & Exp. Deferrals Setup window.

The contract ID is from the SOP Line table (SOP10200; CONTNBR field). To change the contract ID in this window, select a line to open the Sales Line Item Deferral window and select a contract number in the Contract ID box.

Territory Account Substitution

Use this window to attach a recognition schedule to a sales transaction item line. Territory account substitution occurs when Enable Territory Account Substitution is selected on the Advanced Rev. & Exp. Deferrals Setup window.

Attach a Recognition Schedule to an AP Distribution Line

Use this window to attach a recognition schedule to an AP distribution line from an imported payables transaction for a vendor marked as deferrable. To be able to attach the recognition schedule, the Use Accounts Payable and Recognition By Dist Type options must be selected in the Advanced Rev. & Exp. Deferrals Setup window. The distribution type and account must be set up as a deferrable account in the Default Distribution Type Setup window.

Attach a Recognition Schedule to a GL Distribution Line

Use this window to attach a recognition schedule to an imported GL distribution line. The Use General Entry and Recognition By Account options must be selected in the Advanced Rev. & Exp. Deferrals Setup window. The distribution type and account must be set up as a deferrable account in the Default Distribution Type Setup window.

See also

Attaching a Recognition Schedule to a Transaction or Distribution Line

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Class Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Inventory > Item Class

Use this alternate ARED window to save and display deferral information for an item class. Using a class allows you to roll down any changes in the deferral information to members.

See also

Setting Up the Event-Based Functionality

Setting Up an Item Class to use a Specific Event-Based Template

Setting Up Deferral Information for a Class

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Inventory > Item

Use this alternate ARED window to save and display deferral information for a selected item. The deferral information can be taken from an item class.

Note icon. Note: The kit item should be marked as a deferrable item and the components should not be marked as deferrable.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

See also

Setting Up Deferral Information for a Record

Setting Up an Item Record to use a Specific Event-Based Template

Setting Up an Item Class to use a Specific Event-Based Template

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


General Transaction Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Financial > General

Use this alternate general Transaction Entry window to enter and post a journal entry and create a recognition schedule, if required.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Class Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Sales > Customer Class

Use this alternate Microsoft Dynamics GP window to save and display deferral information for a customer class. Using a class allows you to roll down any changes in the deferral information to members.

See also

Setting Up the Event-Based Functionality

Setting Up a Customer Class to use a Specific Event-Based Template

Setting Up Deferral Information for a Class

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Class Sales Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Sales > Customer Class > Sales Deferrals

Use this window to save and display deferral information for a customer class. Using a class allows you to roll down any changes in the deferral information to members.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Class Distribution Type Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Sales > Customer Class > Sales/Receivables Deferrals

Use this window to save and display deferral information for a customer class. Using a class allows you to roll down any changes in the deferral information to members.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Sales > Customer

Use this alternate Microsoft Dynamics GP window to save and display deferral information for customer maintenance. The deferral information can come from a customer class.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Sales Setup: Overview

Button showing that window Overview page is currently viewed.

Cards > Sales > Customer > Sales Deferral

Use this window to save and display deferral information for customer maintenance. The deferral information can be taken from a customer class.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Distribution Type Setup: Overview

Button showing that window Overview page is currently viewed.

Cards > Sales > Customer > Sales/Receivables Deferral

Use this window to save and display deferral information for a customer. The deferral information can be taken from a customer class.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry

Use this alternate Microsoft Dynamics GP Sales Transaction Entry window as usual, to enter quotes, sales orders, fulfillment orders, invoices, back orders, and returns. You can also modify, delete, and void sales documents.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

Entering Transactions for Creating Recognition Schedules

In ARED, use this window to enter a line item, and then create a schedule for the transaction in the Recognition Schedule Entry window.

This window is only available for lines with a non-blank item number and a non-zero extended price.

To capture a discount on an invoice, you can enter a negative extended price for a line item in this window, and the recognition schedule is still created. You cannot use a negative quantity and extended price on an invoice in an attempt to capture a return. You must use the return document type.

For kit items, the kit item itself should be marked as a deferrable item, and the components should not be marked as deferrable.

Recognition by Item

Note icon. Note: This information is applicable to Microsoft Dynamics GP 2015 R2 and earlier. As of Microsoft Dynamics GP 2016 R2, it is not applicable.

When Recognition By Item is selected for this module in the Advanced Rev. & Exp. Deferrals Setup window, a recognition schedule for a deferrable item is created when the transaction or batch is posted. You can also press Ctrl + X or select Additional > Rec Schedule to create a preliminary recognition schedule when a schedule does not exist for a line in this window, to preview an existing schedule in the Recognition Schedule Entry window.

Recognition By Distribution

When Recognition By Item is selected for this module in the Advanced Rev. & Exp. Deferrals Setup window, a recognition schedule for a deferrable transaction is created when a transaction or batch is posted, provided the distribution accounts match the accounts and distribution types for this module in the Default Distribution Type Setup window.

Bundle Sales Transactions

Note icon. Note: The bundle transaction feature is available only in Microsoft Dynamics GP 2013 R2 and earlier versions of ARED. For Microsoft Dynamics GP 2015 and newer, use the MERA integration for multiple-element transactions.

Use this window to have ARED calculate the recognition amounts for a multiple-element deliverable, such as a computer system, while complying with the EITF 08‐1 standard for revenue recognition with multiple deliverables. You can create a recognition schedule as described above after entering these items.

See also

Calculating a Recognition Amount for a Bundled Transaction

Territory Account Substitution

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Item Detail Entry: Overview

Button showing that window Overview page is currently viewed.

Sales > Transactions > Sales Transaction Entry > Item Number expansion button

Use this window to view and enter detailed data for a sales transaction as usual. This window is only available for lines with a non-blank item number and a non-zero extended price.

When Recognition By Item is selected for this module in the Advanced Rev. & Exp. Deferrals Setup window, a recognition schedule for a deferrable item is created when a transaction or batch is posted. Press Ctrl + X or select Additional > Rec Schedule to create a preliminary recognition schedule when a schedule does not exist for a line in this window, or to preview an existing schedule in the Recognition Schedule Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Distribution Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Sales Transaction Entry > Distribution button

Use this window to enter accounts and distribution amounts for a selected sales transaction, as usual.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Distribution Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Transactions Entry > Distribution button

Use this window to post deferrable transactions and create a recognition schedule by distribution.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivables Transaction Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Sales > Transactions Entry

The use of this alternate Microsoft Dynamics GP window varies, depending on the type of transaction you are processing. The recognition schedule is created based on the default settings.

In ARED for Microsoft Dynamics GP 2018 R2 (build 707 and newer), an option to suppress this extra window is added to the ARED Setup window.

For a Sales/Invoices Document

Use this window to post a receivables transaction and create a schedule. Ensure that Use Account Receivable is selected in the Advanced Rev. & Exp. Deferrals Setup window and that the customer and distribution type are deferrable before you post the transaction.

For a Credit Memo Document

Use this window to apply a credit memo to cancel a schedule. Ensure that Assign For Recognition Schedule Cancel is selected and that Document Type is Credit Memo before you post the transaction.

See also

Assigning a Credit Memo

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales > Sales Items, Document Number link

Use this window to view detailed information about previously entered documents.

Note icon. Note: The bundle transaction feature is available only in Microsoft Dynamics GP 2013 R2 and earlier versions of ARED. For Microsoft Dynamics GP 2015 and newer, use the MERA integration for multiple-element transactions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Item Deferral Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales > Sales Items > Additional Menu, Ctrl + D

Use this window to view detailed information about previously entered documents.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Distribution Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Sales Transaction Inquiry Zoom > Distribution button

Use this window to create a recognition schedule and open the Recognition Schedule Entry window by pressing Ctrl + X or by selecting Additional > Rec Schedule. Ensure that Use Sales Transaction and Recognition by Dist Type are selected on the Advanced Rev. & Exp. Deferrals Setup window, and that the customer and distribution type are deferrable.

This window is only available for lines with a non-blank distribution type.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivables Distributions Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

Sales > Inquiry > Transaction by Document or Transaction by Customer > Select a receivables document > Document Number link > Distribution button

Use this window to create a schedule and open the Recognition Schedule Entry window by pressing Ctrl + X or by selecting the Extras menu for a selected line in this window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Class Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Purchasing > Vendor Class

Use this alternate Microsoft Dynamics GP window to save and display deferral information for a vendor class. Using a class allows you to roll down any changes in the deferral information to members.

See also

Setting Up Deferral Information for a Class

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Class Purchase Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Purchasing > Vendor Class > Purchasing Deferral button

Use this window to save and display deferral information for a vendor class. Using a class allows you to roll down any changes in the deferral information to members.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Class Distribution Type Setup: Overview

Button showing that window Overview page is currently viewed.

Tools > Setup > Purchasing > Vendor Class > Purchasing/Payables Deferrals

Use this window to save and display deferral information for the vendor class. Using a class allows you to roll down any changes in the deferral information to members.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Purchasing > Vendor

Use this modified Microsoft Dynamics GP window to save and display deferral information for a vendor. The deferral Information can be taken from the vendor class.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Purchasing Setup: Overview

Button showing that window Overview page is currently viewed.

Cards > Purchasing > Vendor > Purchasing Deferral button

Use this window to save and display deferral information for a vendor. The deferral information can come from the vendor class.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Distribution Type Setup: Overview

Button showing that window Overview page is currently viewed.

Cards > Purchasing > Vendor > Purchasing/Payables Deferral button

Use this window to save and display deferral information for a vendor. The deferral information can come from the vendor class.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivings Transaction Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Purchasing > Receivings Transaction Entry

Use this window to record and post a receiving transaction as usual.

Recognition By Item

When Recognition By Item is selected for this module in the Advanced Rev. & Exp. Deferrals Setup window, a recognition schedule for a deferrable item is created when the transaction or batch is posted. You can also press Ctrl + X or select Additional > Rec Schedule to create a preliminary recognition schedule when a schedule does not exist for a line in this window, or to preview an existing schedule in the Recognition Schedule Entry window.

Recognition By Distribution

When Recognition By Item is selected for this module in the Advanced Rev. & Exp. Deferrals Setup window, a recognition schedule for a deferrable transaction is created when a transaction or batch is posted, provided the distribution accounts match the accounts and distribution types for this module in the Default Distribution Type Setup window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivings Item Detail Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Purchasing > Receivings Transaction Entry > Item expansion button

Use this window to view and enter detailed data for a receiving transaction as usual.

When Recognition By Item is selected for this module in the Advanced Rev. & Exp. Deferrals Setup window, a recognition schedule for a deferrable item is created when the transaction or batch is posted. You can also press Ctrl + X or select Additional > Rec Schedule to create a preliminary recognition schedule when a schedule does not exist for a line in this window, or to preview an existing schedule in the Recognition Schedule Entry window.

Note icon. Note: : Ensure that Disable Non-Inventory for POP is selected in the Advanced Rev. & Exp. Deferrals Setup window, or you will be able to defer non-inventory items for purchasing.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Distribution Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Purchasing > Receiving Transactions Entry > Distribution button

Use this window to enter accounts and distribution amounts for a selected receiving transaction, as usual.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Invoice Distribution Entry: Overview

Button showing that window Overview page is currently viewed.
Transactions > Purchasing > Enter/Match Invoices

Use this window to record purchasing invoice distributions.

The following functionality is available as of Microsoft Dynamics GP 2015 R2.

When Use Purchasing Transaction is selected with the Recognition by Dist Type option on the Advanced Rev. & Exp. Deferrals Setup window and the Deferrable check box is selected for the vendor on the Vendor Maintenance window, the Distribution Line Deferral additional window is available.

You then use the Distribution Line Deferral window to enter the deferral information for the selected distribution. If purchasing deferral default values are set up for the vendor, the deferral information is automatically entered. You can change the values as needed.

Note icon. Note: The distribution line deferral record does not create a preliminary recognition schedule for the transaction. A recognition schedule is created only when the transaction is posted.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Batch Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Purchasing > Purchasing Batches

Use this window to create and post batches of receipt documents. You can also change or delete an unposted batch.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Invoice Entry: Overview

Button showing that window Overview page is currently viewed.
Transactions > Purchasing > Enter/Match Invoices

Use this window to enter, save and post invoice receipts.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

This functionality is available as of Microsoft Dynamics GP 2015 R2.

When Use Purchasing Transaction is set to Recognition by Item on the Advanced Rev. & Exp. Deferrals Setup window, the Item Deferral additional window is available.

You can then use the Item Deferral window to enter deferral information for the selected line item. When the purchasing deferral information is set up for the vendor or item, the default values are based on the Default Purchasing Transaction Setup window. But you can overrride the default values as needed.

Note icon. Note: The presence of the item deferral record does not create a preliminary recognition schedule for this transaction. A recognition schedule is created only when the transaction is posted.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payables Transaction Entry: Overview

Button showing that window Overview page is currently viewed.

Transactions > Purchasing > Transactions Entry

The usage of this alternate Microsoft Dynamics GP window varies, depending on what you want to achieve.

If you continue to use the Microsoft Dynamics GP window instead of the alternate window, an extra window opens. Alternatively, to open the extra window, you can use the extras menu from the Microsoft Dynamics GP window (Additional > Payables Transaction Extra ) or use the shortcut Ctrl+P.

For an Invoice Document

Use this window to post a payables transaction and create a schedule. Ensure that Use Accounts Payable is selected in the Advanced Rev. & Exp. Deferrals Setup window, and that the vendor and distribution type are deferrable.

For a Credit Memo Document

Use this window to apply a credit memo to cancel a schedule for an expense. For records in which Document Type is Credit Memo, and Assign For Recognition Schedule Cancel is selected.

Note icon. Note: If you useMulti-Entity Management with ARED, and you selected Use Accounts Payable in the Advanced Rev. & Exp. Deferrals Setup window, you must also use the MEM alternate Payables Transaction Entry window. For more information, see the Multi-Entity Management documentation.

See also

Assigning a Credit Memo

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payables Transaction Entry Distribution: Overview

Button showing that window Overview page is currently viewed.

Transactions > Purchasing > Transactions Entry > Distribution button

Use this alternate window to post a deferrable transaction and generate a recognition schedule by distribution.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivings Transaction Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Purchasing Transaction Inquiry Zoom > Distribution button

Use this window to post a POP transaction then create a schedule, and open the Recognition Schedule Entry window by pressing Ctrl + X or by selecting Additional > Rec Schedule. Ensure that Use Purchasing Transaction and Recognition by Dist Type are selected on the Advanced Rev. & Exp. Deferrals Setup window, and that the vendor and distribution type are deferrable.

This window is only available for lines with a non-blank distribution type.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payables Distribution Zoom: Overview

Button showing that window Overview page is currently viewed.

Inquiry > Purchasing > Payables Transaction Inquiry Zoom > Distribution button

Use this window to create a schedule and open the Recognition Schedule Entry window by pressing Ctrl + X or by selecting Additional > Rec Schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivables Transaction Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.

Receivables Transaction Inquiry look up > Select Vendor > Select Credit Memo Number > highlight and select the Document Number

Use this window to view credit memos. You can check whether the Assign for Recognition Schedule Cancel option was selected.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payables Transaction Entry Zoom: Overview

Button showing that window Overview page is currently viewed.

Payables Transaction Inquiry look up > Select Customer > Select Credit Memo Number > highlight and select the Document Number

Use this window to view credit memos. You can check whether the Assign for Recognition Schedule Cancel option was selected.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Distribution Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.
Purchasing > Inquiry > Purchase Order Documents > select at least one Include option for a receipt > Redisplay button > select an invoice > Receipt No. link > Distribution button

Use this window to to view posting account distributions for an invoice, a shipment/invoice or a shipment.

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

The following functionality is available as of Microsoft Dynamics GP 2015 R2.

When Use Purchasing Transaction is selected with the Recognition by Dist Type option on the Advanced Rev. & Exp. Deferrals Setup window and the Deferrable check box is selected for the vendor on the Vendor Maintenance window, the Distribution Line Deferral Zoom additional window is available.

You then use the Distribution Line Deferral Zoom window to view the deferral information for the selected distribution.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Invoice Inquiry Zoom: Overview

Button showing that window Overview page is currently viewed.
Purchasing > Inquiry > Purchase Order Documents > select at least one Include option for a receipt > Redisplay button > select an invoice > Receipt No. link

Use this window to view purchasing invoices .

For a full description and more information on this window, see the Microsoft Dynamics GP documentation.

When Use Purchasing Transaction is set to Recognition by Item on the Advanced Rev. & Exp. Deferrals Setup window, the Item Deferral Zoom additional window is available.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Deferral Zoom: Overview

Button showing that window Overview page is currently viewed.
Purchasing > Inquiry > Purchase Order Documents > select at least one Include option for a receipt > Redisplay button > select an invoice > Receipt No. link > Additional > Item Deferral or press Ctrl + D

Available as of Microsoft Dynamics GP 2015 R2.

Use this window to view the deferral information for the selected item. All boxes on this window are read-only.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Integrations with Other Binary Stream Programs

Advanced Revenue & Expense Deferrals currently integrates with the following Binary Stream programs:

  • Multi-Entity Management (MEM)
  • Advanced Recurring Contract Billing (ARCB)
  • Multiple Element Revenue Allocation (MERA)
  • Property Management (PrM)
  • While eMailer Manager does not explicitly integrate with any specific Binary Stream program, it is compatible with all Binary Stream programs.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Advanced Recurring Contract Billing Integration

Billing schedules that are created in Advanced Recurring Contract Billing (ARCB) can have billing schedule lines that are deferred. When you use the ARCB Invoice Creator window to create an invoice for a billing schedule that has a deferral line item, a recognition schedule for the line item is automatically created. You can then use ARED to manage the billing schedule lines that are deferred.

This information also applies when you create invoices with the Invoice Creator Mass Processing window.

When you use ARCB with ARED, you can work with and view the schedule information from both programs seamlessly:

  • Recognition schedule information is available in ARCB through the zoom and inquiry windows
  • Billing schedule information is available in ARED through the zoom and inquiry windows

See also

ARCB Integration - Invoice Creator: Overview

Include Analytical Accounting Dimensions on an ARED Schedule from an ARCB Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARCB Integration - Invoice Creator: Overview

Button showing that window Overview page is currently viewed.

Transactions > Adv. Recurring Contract Billing > Invoice Creator

When you use ARCB Invoice Creator to create an invoice for a billing schedule that has a deferral line item, a recognition schedule for the line item is automatically created when Recognition by Item is selected for the Use Sales Transaction option on the Advanced Rev. & Exp. Deferrals Setup window.

The information for the schedule line depends on the template that is attached to the item.

The Start Date is the document date from the sales transaction header.

For more information on the ARCB Invoice Creator window, see the ARCB documentation within the ARCB program.

This information also applies when you create invoices with the Invoice Creator Mass Processing window.

See also

Advanced Recurring Contract Billing Integration

Include Analytical Accounting Dimensions on an ARED Schedule from an ARCB Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Include Analytical Accounting Dimensions on an ARED Schedule from an ARCB Schedule

When you create an invoice using the ARCB Invoice Creator window and Override SOP AA Info from Schedule Lines is selected on the ARCB Setup window, the analytical accounting dimensions that are entered on a billing schedule line item are included on the sales order processing invoice. If the billing schedule line is a deferral item, and Recognition by Item is selected for the Use Sales Transaction option on the Advanced Rev. & Exp. Deferrals Setup window, a recognition schedule for the line item is created.

When a revenue recognition schedule is created in ARED for a billing schedule detail line, the analytical accounting information is included on the recognition schedule. Also, the analytical accounting dimensions that are added to the sales account on the billing schedule (which is a deferred revenue account for a deferrable item) are also added to the deferral account of the recognition schedule.

The analytical accounting dimensions are taken from the deferral account on the recognition schedule and added to the revenue and deferred revenue accounts on the revenue recognition journal entries as described in the Analytical Accounting Integration section.

This information also applies when you create invoices with the Invoice Creator Mass Processing window.

For more information on the ARCB Setup, Invoice Creator, and Invoice Creator Mass Processing windows, see the ARCB documentation within the ARCB program.

See also

Advanced Recurring Contract Billing Integration

ARCB Integration - Invoice Creator: Overview

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Multiple Element Revenue Allocation Integration Overview

To be able use the Multiple Element Revenue Allocation (MERA) integration with ARED, you must install MERA before installing ARED. If you have a previous version of ARED, you must remove the previous version of ARED, install MERA, and then install the latest version of ARED.

When you install MERA within the Dynamics.set file before ARED, you ensure that the correct recognition amount is used when transactions are processed.

Note icon. Note: The MERA integration is available as of ARED for Microsoft Dynamics GP 2015 and MERA build 504.

The following windows are affected with the MERA integration:

  • Advanced Rev. & Exp. Deferrals Setup
  • Sales Line Item Deferral
  • Recognition Schedule Entry
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED Setup

In the Advanced Rev. & Exp. Deferrals Setup window, the following options are not supported with the MERA integration:

  • Include Markdown - with MERA, the markdown is already included
  • Use Tax Exclusive Amt for Deferral

Deferral Module Setup

With the Deferral Module Setup options, both Recognition by Item and Recognition by Distribution are supported. For Recognition by Distribution, MERA splits the distributions, and ARED created multiple recognition schedules when transactions are posted.

See also

Multiple Element Revenue Allocation Integration Overview

ARED Windows - Sales Line Item Deferral

ARED Windows - Recognition Schedule Entry

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED Windows - Sales Line Item Deferral

In the Sales Line Item Deferral window, the Recognition Amount is from the revenue allocation if the transaction is a multiple element arrangement (MEA). For multiple MEAs, the line item must be part of a MEA.

When the revenue allocation changes, the sales line item deferral (including event based amounts) and recognition schedules are updated. When this situation occurs, the MERA Revenue Allocation window cannot be opened when the Sales Line Item Deferral window or the Recognition Schedule Entry window are opened. Also, the opposite is true. The Sales Line Item Deferral window or the Recognition Schedule Entry window cannot be opened when the MERA Revenue Allocation window is opened.

See also

Multiple Element Revenue Allocation Integration Overview

ARED Setup

ARED Windows - Recognition Schedule Entry

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED Windows - Recognition Schedule Entry

In the Recognition Schedule Entry window, the Recognition Amount is from the revenue allocation if the transaction is a multiple element arrangement (MEA). For multiple MEAs, the line item must be part of a MEA.

See also

Multiple Element Revenue Allocation Integration Overview

ARED Setup

ARED Windows - Sales Line Item Deferral

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Analytical Accounting Integration

When Analytical Accounting (AA) is installed, and you create a journal entry in the Journal Entry Processing and Mass Schedule Processing windows in ARED, data is added to the following Analytical Accounting tables:

  • AAG10000
  • AAG10001
  • AAG10002
  • AAG10003
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Analytical Accounting: Payable Transaction Entry

When you create a journal entry in the Journal Entry Processing window or Mass Schedule Processing and Override JE AA info from AP is selected on the Advanced Rev. & Exp. Deferrals Setup window, Analytical Accounting information for both the recognition account and the deferral account is from the payables transaction, based on the line item sequence number on the Reference box in the Analytical Payables Transaction Entry window.

When you create a journal entry in the Journal Entry Processing window or Mass Schedule Processing and Override JE AA info from AP is cleared on the Advanced Rev. & Exp. Deferrals Setup window, Analytical Accounting information for both the recognition account and the deferral account is from the Analytical Accounting default settings.

The following image is an example of the Payables Transaction Entry window.

The following image is an example of the Analytical Payables Transaction Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Analytical Accounting: Sales Transaction Entry

When you create a journal entry in the Journal Entry Processing window and Override JE AA info from Sales is selected in the Advanced Rev. & Exp. Deferrals Setup window, Analytical Accounting information for both the recognition account and the deferral account is from the sales transaction, based on the line item sequence number on the Reference box in the Analytical Sales Transaction Entry window.

When you create a journal entry in the Journal Entry Processing window and Override JE AA info from Sales is cleared in the Advanced Rev. & Exp. Deferrals Setup window, Analytical Accounting information for both the recognition account and the deferral account is from the Analytical Accounting default settings.

The following image is an example of the Sales Transaction Entry window.

The following image is an example of the Analytical Sales Transaction Entry window.

Note icon. Note: The line item sequence number must match the item data in the sales line. If the line item sequence number does not exist in the sales line item, the Analytical Accounting information is not overridden.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Analytical Accounting Test Case

ARED - Analytical Accounting Integration for accounts payables

Assupmption: three classes each with two dimensions exist.

  • Class C1 – Dimension D1 and D2
  • Class C2 – Dimension D3 and D4
  • Class C3 – Dimension D1 and D4

Case 1

A deferral account is assigned to Class C1 (Dimension D1 and D2).

A recognition account is assigned to Class C2 (Dimension D3 and D4).

End Result:

The Analytical Accounting information for recognition account is not overridden from the deferral account. The recognition account has its own default Analytical Accounting information when creating the recognition JE in ARED.

Journal Entry

  • Deferral Account with Class C1 (Dimension D1 and D2)
  • Recognition Account with Class C2 (Dimensions D3 and D4)

Case 2:

A deferral account is assigned to Class C1 (Dimension D1 and D2).

A recognition account is not assigned to Analytical Accounting Class.

End Result:

The recognition account does not have any Analytical Accounting information coming from the deferral account. In this case, no Analytical Accounting information is attached to the recognition account creating the recognition JE in ARED.

Journal Entry

  • Deferral Account with Class C1 (Dimension D1 and D2)
  • Recognition Account no Analytical Accounting

Case 3:

A deferral account is assigned to Class C1 (Dimension D1 and D2).

A recognition account is assigned to Class C1(Dimension D1 and D2).

End Result:

The recognition account has the same Analytical Accounting information as the deferral account. In this case, Analytical Accounting information from the deferral account is copied to the recognition account when creating the journal entry in ARED.

Journal Entry

  • Deferral Account with Class C1 (Dimension D1 and D2)
  • Recognition Account with Class C1 (Dimension D1 and D2)

Case 4 :

A deferral account is assigned to Class C1 (Dimension D1 and D2).

A recognition account is assigned to Class C3 (Dimension D1 and D4).

End Result:

The recognition account only copies the dimensions from deferral account that are common. In this case, only Dimension D1 is copied from the deferral account when creating the journal entry and Dimension D4 has its own default values.

Journal Entry

  • Deferral Account with Class C1 (Dimension D1 and D2)
  • Recognition Account with Class C3 (Dimension D1 and D4)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Intercompany GL Integration

Use this integration to manage the intercompany relationships setup in Microsoft Dynamics GP and create recognition schedules in the appropriate companies

The integration uses table B7100989 in the Dynamics database to import the data into ARED. This table contains the necessary fields for ARED to create an intercompany summarized journal entry while simultaneously creating individual recognition schedules for the companies participating in the intercompany relationship.

For the format description of table B7100989, see Format of Table B7100989 in the Dynamics Database

The intercompany GL integration includes the following windows:

  • User Defined Field Mapping
  • Intercompany GL Import

The User Defined Fields Mapping window is used to map user defined fields from the table B7100989.

The Intercompany Import utility reads data from the table and imports data into ARED. This import utility also validates the data before importing and prints a log report. If the validation is successful, an intercompany summarized journal entry is created in the originating company and recognition schedules are created in the destination company.

The journal entry in the originating company is created in the originating currency, while the recognition schedules in the destination entities are created in their functional currency.

The currency conversion is done in the originating company. The destination company receives its journal entry, and is also converted within Great Plains.

Multicurrency occurs based on the invoice (exchange) date to get the exchange rate and perform proper conversion.

When the intercompany batch (Intercompany Summarized Journal entry) is posted, the corresponding journal entries in the destination companies are created, and recognition schedules are created for each GL line item in the journal entry. Also, the user defined fields are attached to each schedule.

Notes:

  • Intercompany setup is done in Dynamics GP. The creation of intercompany journal entries occurs based on the setup in GP.
  • Multiple originating companies can exist. ARED can work with a cross relationship between originating and destination companies.
  • ARED gets the originating and destination company IDs from the intercompany setup in Dynamics GP.
  • Multicurrency setup is done in Dynamics GP. The currency conversion is performed based on the setup in GP
  • No recognition schedule for the summarized total amount (AR) journal entry line item in the originating company exists.
  • Recognition schedules are not created for the Due To and Due From Accounts from the intercompany setup.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields Mapping: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Revenue and Expense Deferrals > Intercompany GL Integration > User Defined Field Mapping

Use this window to map ARED user-defined fields to user-defined fields in table B7100989. You can map up to 50 user-defined fields.

See also

Intercompany GL Integration

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Intercompany Import: Overview

Button showing that window Overview page is currently viewed.

Tools > Utilities > Adv. Revenue and Expense Deferrals > Intercompany GL Mapping > Intercompany GL Import

Use this window to populate data from the import table B7100989 and import the data into ARED. After the data is imported, a summarized intercompany journal entry in the originating company is created.

See also

Intercompany GL Integration

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


ARED eConnect Post Procedures Overview

You can use Microsoft Dynamics GP eConnect to import sales order information into your Microsoft Dynamics GP database and create sales transactions

Also, you can customize the imported data by adding ARED elements (data and options) into the files so that recognition schedules are created after you post the imported transactions in Microsoft Dynamics GP.

See also

Installing the eConnect Post Procedures

Importing data with the ARED eConnect Post Procedures (SOP)

Adding ARED Elements to taSopLineIvcInsertPost

Adding ARED Elements to taRMDistributionPost

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Installing the eConnect Post Procedures

The information in this section is for sales and receivables transactions.

To create the customized eConnect post procedures that allow you to add ARED elements into your imported transactions, you must download and execute ARED SQL scripts.

When you run the ARED MSI installation file, the wizard also installs the ARED SQL scripts that you need.

For Microsoft Dynamics GP 2010, execute the following SQL scripts against your company database:

  • taSopLineIvcInsertPost_GP2010_BSSI_RED.sql
  • BSSI_RED.sql

For Microsoft Dynamics GP 10, execute the following SQL scripts against your company database:

  • taSopLineIvcInsertPost_GP10_BSSI_RED.sql
  • BSSI_RED.sql

For Microsoft Dynamics GP 2018, execute the following SQL scripts against your company database in the following order:

  1. BSSI_Functions.sql
  2. BSSI_taErrorCode_Table_Inserts.sql
  3. Execute the following scripts to add ARED elements into the imported SOP transactions:
    1. taSopLineIvcInsertPost.sql
    2. BSSI_ARED_taSopLineIvcInsertPost.sql
    3. taCreateSopPaymentInsertRecordPost.sql
    4. taAREDUpdateInvoiceDeferralSchedules.sql
    5. taAREDSyncSchedules.sql
  4. Execute the following scripts to add ARED elements int your imported RM transactions:
    1. taRMDistributionPost.sql
    2. BSSI_ARED_taRMDistributionPost.sql

If you have already modified the taSopLineIvcInsertPost or taRMDistributionPost stored procedure in your environment, add the code from the latest scripts to the modified taSopLineIvcInsertPost or taRMDistributionPost procedure:

  • For Microsoft Dynamics GP 2010 – SOP: taSopLineIvcInsertPost_GP2010_BSSI_RED.sql
  • For Microsoft Dynamics GP 10 – SOP: taSopLineIvcInsertPost_GP10_BSSI_RED.sql
  • For Microsoft Dynamics GP 2018
    • SOP: BSSI_ARED_taSopLineIvcInsertPost.sql
    • RM: BSSI_ARED_taRMDistributionPost.sql

See also

ARED eConnect Post Procedures Overview

Importing data with the ARED eConnect Post Procedures (SOP)

Adding ARED Elements to taSopLineIvcInsertPost

Adding ARED Elements to taRMDistributionPost

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Importing data with the ARED eConnect Post Procedures (SOP)

When eConnect starts a stored post procedure, the procedure inspects the import file and assigns the ARED elements that you specified to the transaction.

In addition, the imported data is added into the BSSI_SOP_Schedule_Line (B7133302) table in the following fields:

  • SOP Number
  • SOP Type
  • Line Item Sequence
  • Component Sequence
  • BSSI_DeferralStartDate
  • BSSI_DeferralEndDate
  • BSSI_Recognition_Template_ID
  • Document Date
  • BSSI_Deferrable
  • BSSI_Recognition_Acct_Index
  • BSSI_ScheduleBasedOnDate
  • BSSI_Recognition_Frequency

The ARED elements that you add to the import files determine how ARED creates a deferral schedule for each sales order processing transaction after you post the transaction in Microsoft Dynamics GP.

See also

ARED eConnect Post Procedures Overview

Installing the eConnect Post Procedures

Adding ARED Elements to taSopLineIvcInsertPost

Adding ARED Elements to taRMDistributionPost

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding ARED Elements to taSopLineIvcInsertPost

In an import file, use the eConnect-supplied User-Defined Fields to pass in values for the ARED elements.

User-Defined Field Segments

ARED eConnect post procedures read the USRDEFND5 field and the other divided segments, which are each separated by a comma, with no extra spaces:

<USRDEFND5>1,1,1,YYYY-MM-DD,YYYY-MM-DD </USRDEFND5>

Pass required ARED elements into the following segments.

First Segment

Enter/pass “0” or “1”

  • 0 = Do not set up a deferral schedule for this record. The BSSI_SOP_Schedule_Line (B7133302) table is not populated.
  • 1 = Set up a deferral schedule for this record. The BSSI_Deferrable field in the BSSI_SOP_Schedule_Line (B7133302) table is updated.

Second Segment

Enter/pass “0” or “1”

  • 0 = No Schedule Based on Date is provided.

    • When USRDFND5 = 1,0,,, the Document Date is used as the Deferral Start Date. The software looks for other values in setup tables when creating a schedule after posting.

  • 1 = A Schedule Based on Date is provided later in this field.

    • You must enter values for segments 3, 4, and 5. These values update BSSI_ScheduleBasedOnDate field in the BSSI_SOP_Schedule_Line (B7133302) table.

Third Segment

You must enter a value in this segment when the second segment is 1.

Enter/pass “1”, “2”, “3”, or “4”

  • 1 = Monthly
  • 2 = Quarterly
  • 3 = Semi-Annually
  • 4 = Annually

This value updates BSSI_Recognition_Frequency field in the BSSI_SOP_Schedule_Line (B7133302) table.

Fourth Segment

You must enter a value in this segment when the second segment is 1.

Enter/pass a Deferral Start Date in YYYY-MM-DD format.

This value updates the BSSI_DeferralStartDate field in the BSSI_SOP_Schedule_Line (B7133302) table.

Fifth Segment

You must enter a value in this segment when the second segment is 1.

Enter/pass a Deferral End Date in YYYY-MM-DD format.

This value updates the BSSI_DeferralEndDate field in the BSSI_SOP_Schedule_Line (B7133302) table.

Examples

To define a schedule not based on provided dates = 1,0,,,

To define a schedule based on provided dates = 1,1,1,2011-04-11,2011-12-30

Notes:

  • You cannot import deferral transactions for different entities as assigned in Multi-Entity Management (MEM) because the ARED eConnect post procedures reuse a user-defined field that MEM eConnect post procedures also use.
  • The Recognition By Distribution option in ARED is not supported in the ARED eConnect post procedures.

See also

ARED eConnect Post Procedures Overview

Installing the eConnect Post Procedures

Importing data with the ARED eConnect Post Procedures (SOP)

Adding ARED Elements to taRMDistributionPost

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adding ARED Elements to taRMDistributionPost

In an import file, use the eConnect-supplied User-Defined Fields to pass in values for the ARED elements.

User-Defined Field Segments

ARED eConnect post procedures read the USRDEFND5 field and the other divided segments, which are each separated by a comma, with no extra spaces:

<USRDEFND5>1,1,1,YYYY-MM-DD,YYYY-MM-DD,TEMPLATE_ID,123</USRDEFND5>

Pass required ARED elements into the following segments.

First Segment

Enter/pass “0” or “1”

  • 0 = Do not set up a deferral schedule for this record. The BSSI_AR_TRX_LINE_WORK (B7180215) table is not populated.
  • 1 = Set up a deferral schedule for this record. The BSSI_Deferrable field in the BSSI_AR_TRX_LINE_WORK (B7180215) table is updated.

Second Segment

Enter/pass “0” or “1”

  • 0 = No Schedule Based on Date is provided.

    • When USRDFND5 = 1,0,,YYYY-MM-DD,,TEMPLATE_ID,123, a start date, template ID, and account index are required.

  • 1 = A Schedule Based on Date is provided later in this field.

    • When USRDFND5 = 1,1,1,YYYY-MM-DD,YYYY-MM-DD,,123, a recognition frequency, start date, end date, and account index are required.

Third Segment

You must enter a value in this segment when the second segment is 1.

Enter/pass “1”, “2”, “3”, “4”, or “5”

  • 1 = Monthly
  • 2 = Quarterly
  • 3 = Semi-Annually
  • 4 = Annually
  • 5 = Fiscal Periods

Fourth Segment

You must enter a value in this segment.

Enter/pass a Deferral Start Date in YYYY-MM-DD format.

Fifth Segment

You must enter a value in this segment when the second segment is 1.

Enter/pass a Deferral End Date in YYYY-MM-DD format.

Sixth Segment

You must enter a value in this segment when the second segment is 0.

Enter/pass a Template ID.

Seventh Segment

Enter/pass a Recognition Account Index.

Note icon. Note: The account index is not the account number (e.g., 000-1111-00).

See also

ARED eConnect Post Procedures Overview

Installing the eConnect Post Procedures

Importing data with the ARED eConnect Post Procedures (SOP)

Adding ARED Elements to taSopLineIvcInsertPost

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Software Inc., Trademarks, and Disclaimers

Binary Stream is an award-winning, Microsoft Gold certified partner that develops enterprise-grade, add-on software to enhance Microsoft Dynamics 365 Finance, Dynamics 365 Business Central, and Dynamics GP.

As a 7-time President's Club award winner and frequent ISV of the year finalist, Binary Stream is among the top 5% of Microsoft Dynamics partners worldwide and continues to be a leading solution provider to customers in the finance, healthcare, hospitality, real estate, manufacturing telecom, and software industries.

Covering critical functions including subscription billing automation, lease administration, multi-entity management, and supply chain optimization, our solutions have supported thousands of users in over 30 countries.

Copyright

Copyright © 2025 Binary Stream Software Inc. Published in Canada. All rights reserved.

Intellectual Property

This document does not provide you with any legal rights to any intellectual property in any Binary Stream product.

Your right to copy this documentation is limited by copyright law and the terms of the software license agreement. As such, you may only copy and use this document for your internal, reference purposes.

Limitation of Liability

Binary Stream Software Inc. assumes no responsibility or liability for any errors or inaccuracies that may appear in this manual. Information and views expressed in this document may change without notice. Examples depicted herein are provided for illustration only.

Trademarks

Microsoft, Microsoft Dynamics, Dexterity, Excel, Outlook, SQL Server, and Windows are registered trademarks of the Microsoft group of companies. All other trademarks are the property of their respective owners, including product names for Binary Stream Software.

The names of companies, products, people and/or data used in window illustrations and sample output are fictitious and are in no way intended to represent any real individual, company, product, or event, unless otherwise noted.

Warranty Disclaimer

Binary Stream Software Inc. disclaims any warranty regarding any sample code contained in this documentation, including the warranties of merchantability and fitness for a particular purpose.

License Agreement

Use of this product is covered by a license agreement provided by Binary Stream Software Inc. If you have any questions, please call the Binary Stream office at +1.604.522.6300.

Support Versions

Advanced Revenue & Expense Deferrals for Microsoft Dynamics GP is supported in Canada and the United States.

Last updated: Thursday, December 11, 2025

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Support

If you require support, or want the latest information about your software, visit the Binary Stream Portal (https://portal.binarystream.com/) External link. You can access the following information and services from the Binary Stream Portal:

  • Product information and downloads - provides the latest product information and software downloads
  • Knowledge base - provides you with solutions to common issues that customers experience
  • Frequently asked questions - provides you with answers to frequently asked general questions about Binary Stream and Binary Stream products
  • Help desk - provides you with a way to submit new support cases for issues that you experience and cannot find a solution; you can also update your existing support cases

For sales and purchasing information, visit www.binarystream.com [image] .

For more information about Binary Stream support, review the following:

  • Customer support policy
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Tips for Using the Documentation

To search for the content you want, use one of the following options:

  • Select the Contents tab, and browse through the article names.
  • Select the Index tab, and type keywords for content that you want.
  • Use the Search box to search for keywords or phrases.
    Tip: To search for a phrase, put quotation marks around the phrase. For example, "big red car".

Images within the Documentation

Many of the images that appear in the documentation are smaller than the actual size. To view the full-size of an image, select the image. Selecting the full-size image closes it and returns you to the content you are reviewing.

For example, select the following image of the Binary Stream Portal to see the full-size version of the image:

Note icon. Note: You might have to make the size of your window larger to be able to see the full-size image properly.

Tip: For large images, maximize the size of the window before you select the image to view it.

Videos within the Documentation

Some articles include videos that provide more information about a particular setting or a task. When you select the link to watch a video, the video opens in a new web browser tab or window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Accessing the Web Client Documentation

In Microsoft Dynamics GP 2016, the Web client documentation (HTM files) is not included in the product installer. However, the complete Web client documentation is included in a compressed (zipped) folder within the product release. The compressed (zipped) folder contains both the Windows client and Web client versions of the documentation:

  • ARED.chm
  • ARED_WebClient_HelpFiles.zip

To be able to access the Web client documentation, you must extract the contents of the compressed (zipped) documentation file to the following location:

  • C:\Program Files\Microsoft Dynamics\GP Web Components\GPweb\Help\ARED

This folder location exists only after the Web client for Microsoft Dynamics GP 2016 is installed. If the folder location does not exist, you must create it so that you can extract the Web client documentation files to that location. After the files are extracted to this folder, you can access the Web client documentation from the Ribbon (Help > About This Window)

Note icon. Note: When you open the documentation, the home page appears, not the article for the specific window.

See also

Accessing the Extra Windows for All Binary Stream Programs

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Accessing the Extra Windows for All Binary Stream Programs

For the Microsoft Dynamics GP 2016 Web Client, Microsoft introduced a change such that only one Microsoft Dynamics GP window can be active at a time. So if you are not using the alternate window for the Binary Stream program, the extra window is not visible. Instead, the extra window is hidden behind the currently active window.

Use one of the following methods to access the Binary Stream extra window:

  • In the active window, select the Additional button, and then select the extra window you want to make active.
  • In the Web client Navigation pane, select the Window Search [image] button, which opens the Search for a Form or Report window. In the search window, select the extra window you want to make active.

After you select the extra window, it becomes the active window and appears in front of the main Microsoft Dynamics GP window.

See also

Accessing the Web Client Documentation

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Advanced Rev. & Exp. Deferrals Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Use Accounts Payable Expansion

When Recognition by Dist Type is selected, opens the Default Distribution Type Setup window.

Use Accounts Receivable Expansion

When Recognition by Dist Type is selected, opens the Default Distribution Type Setup window.

Use General Ledger Expansion

When Recognition by Account is selected, opens the Default Distribution Type Setup window.

Use Purchasing Transaction Expansion

When Recognition by Item is selected, opens the Default Purchasing Transaction Setup window.

When Recognition by Dist Type is selected, opens the Default Distribution Type Setup window.

Use Sales Transaction Expansion

When Recognition by Item is selected, opens the Default Sales Transaction Setup window.

When Recognition by Dist Type is selected, opens the Default Distribution Type Setup window.

User Defined

Opens the Recognition Schedule User Defined Fields Setup window, where you create user-defined fields that you use to keep track of additional information about a schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Advanced Rev. & Exp. Deferrals Setup: Fields

Analytical Accounting

Override JE AA info from AP

Select to override analytical accounting information from AP when a journal entry is created.

Override JE AA info from Sales

Select to override analytical accounting information from sales when a journal entry is created.

Watch a video

Apply Credit Memo

Select how to apply the credit memo: All or Unrecognized Only. Watch a video [image].

Contract Next Number

Specify the next available contract number. Watch a video [image].

Contract Number Prefix

Specify a contract number prefix. Watch a video [image].

Deferral Module Setup

Select the modules where you want to use deferrals.

In addition, you can select how recognition schedules for each module are created:

  • Recognition By Account: A recognition schedule is created when you post a journal entry transaction, provided the accounts match those in the Default Distribution Type Setup (General) window. This option is for the General Entry module.
  • Recognition By Dist Type: A recognition schedule for a deferrable transaction is created when you post a transaction or a batch, provided the distribution accounts match the accounts and distribution types in the Default Distribution Type Setup window.
  • Recognition By Item: A recognition schedule for a deferrable item is created when you post a transaction or a batch. You can also create a preliminary recognition schedule for a line item or preview an existing schedule by pressing CTRL + X or selecting Additional > Rec Schedule from the menu.

Default Recognition Schedule Type

Select the default recognition schedule type: Standard(default option) or Event Based (available when Enable Event Based is selected).

Deferral Posting Method

Available as of Microsoft Dynamics GP 2016 R2.

Select the method used to create deferral transactions:

  • Balance Sheet: Uses the balance sheet posting method to create deferral transactions. Default option.

    • In ARED build 702 (and newer) and when this option is selected, the Distribution Reference of the original transaction is copied to the Distribution Reference of the recognition journal entry. Closed View example.

On the Receivables Transaction Entry window, a transaction with document number SALES00000001013 is created. On the Sales Transaction Distribution Entry window, the Deferrable Transaction check box is selected and a description is typed in the Distribution Reference.

On the Recognition Schedule Entry window, the recognition schedule is created for the sales transaction SALES00000001013.

After the recognition schedule is created, open the Journal Entry Processing window to create the journal entry for the period of the recognition.

When you review the journal entry on the Journal Entry Inquiry window, you can see the Distribution Reference of the original transaction is copied to the journal entry.

  • Profit and Loss: Uses the profit and loss posting method to create deferral transactions. This method is applicable only when Use Sales Transaction is selected with the Recognition by Item option selected.

    • When this option is selected, the Distribution Reference of the original transaction is not copied to the Distribution Reference of the journal entry.

    Note icon. Note: The profit and loss deferral posting method is available only for sales transactions where the deferral is by item. The profit and loss functionality does not currently work with multiple deferrals and recognition allocation.

Enable Event Based

Select to enable event-based recognition schedule.

Enable Recognition Allocation

Available as of Microsoft Dynamics GP 2015 R2.

Select to use the Recognition Allocation module. Watch a video [image].

Note icon. Note: This option is available for the Sales Order Processing Module only and when you have purchased the Recognition Allocation module.

Purchasing Schedule Creation

Introduced in ARED for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

Use this option to specify when the deferral schedule is created. Available when Use Purchasing Transaction is Recognition by Item.

  • Invoice: Creates the deferral schedule when the invoice is posted. Default.
  • Shipment: Creates the deferral schedule when the shipment is posted. This option is not available for Drop-Ship purchase orders.

Use Account Payables

Select to use deferrals with this module, if licensed by the registration key. When you select this option, you can choose Recognition By Dist Type only.

Use Account Receivables

Select to use deferrals with this module, if licensed by the registration key. When you select this option, you can choose Recognition By Dist Type only.

Use Event Identifier

Select to use an event identifier. This option is available when Enable Event Based is selected. When you select this option, the event identifier entered on SOP line must be unique. Watch a video [image].

Use General Entry

Select to use deferring with the General Ledger module, if licensed by the registration key. When you select this option, you can choose Recognition By Account only.

Use Purchasing Transaction

Select to use deferrals with this module, if licensed by the registration key. When you select this option, you can choose Recognition by Item or Recognition By Dist Type.

When Recognition by Item, select the Purchasing Schedule Creation option for you want the deferral schedule to be created. This additional setting is available in ARED for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

Use Sales Transaction

Select to use deferrals with this module, if licensed by the registration key. When you select this option, you can choose Recognition by Item or by Recognition By Dist Type.

Default Def Start Date

Select the rule to apply to the document date to get the start date for the deferral schedule:

  • Doc Date: The start date is the document date.
  • 1st of Current Month: Uses the 1st of the current month as the start date. If the document date is the 1st of any month, then the 1st of the current month is the start date. Available as of Microsoft Dynamics GP 2015 R2.
  • 1st of Next Month: Uses the 1st of the next month as the start date. If the document date is on the 1st, the document date is used, otherwise the 1st of the following month is used.
  • Rule of 15: If the document date is between the 1stand the 15th, uses the 1st of the current month as the start date. If the document date is the 16thor later, uses the 1st of the next month as the start date.

You can override this setting at the transaction level.

Watch a video

Notes:

  • For repeating orders 1st of the Month and the Rule 15 are not applied. The document date is always used as the default deferral start date.
  • For Import Utility, no changes are applied, and the user provides the correct deferral start date.
  • If the recognition schedule is created using the recurring billing, product deferral dates are taken from the recurring billing schedule detail window with no rules applied. It is assumed that the user will enter the correct dates.

Default Frequency

Select a default recognition frequency for schedules: Monthly, Quarterly, Semi-Annually, Annually, or Fiscal Periods.

Available in Microsoft Dynamics GP 2016 R2 (ARED build 610 and earlier) and 2015 R2 (all ARED builds). In Microsoft Dynamics GP 2016 (ARED build 611 and newer), this box has been removed.

Default New/Renew

Select whether the default schedule should be New or Renew. Watch a video [image].

Mass Processing

Create Journal Entry On Hold

Select to allow a journal entry to be put on hold. Watch a video

Override End Date Password

Specify the password required for overriding the end date for an event. Watch a video [image].

Override Event ID Password

Specify the password required for overriding any event identifier values in a schedule. Watch a video [image].

Override Password

Specify the password required for overriding any default values in a schedule. Watch a video [image].

Preferences

AutoPost Journal Entries

Select whether any journal entries created by ARED, such as those from recognition processing, should be automatically posted.

  • Selected: Automatically posts journal entries created by ARED. Default setting.

    • Tip: By selecting this option, you can avoid and prevent any accounting inconsistencies caused by manual changes to vouchers.

  • Cleared: Does not automatically post journal entries created by ARED. You must manually post any journals.

Watch a video [image].

Create $0 Amount Schedule

Select to create schedules with zero (0.00) recognition amounts. Watch a video [image].

Create Schedule Based on Dates

Available in ARED build 622 (and newer) and build 802 (and newer).

Select to indicate whether to use the deferral start date and end date for calculating a recognition schedule, and not the template ID. When this option is selected, a deferral end date is required for all Line Deferral windows for any type of transaction (e.g., sales, purchase, journal entry, accounts payable).

The setting used is as the default setting for deferral schedules created from transactions in Microsoft Dynamics GP. The settings appear on the Sales Line Item Deferral or Journal Entry windows.

Default Prorate

Select to have a recognition schedule prorated. Watch a video [image].

Default Cancellation Account

Available in ARED build 623 (and newer) and build 805 (and newer).

Specify the account used as the default cancellation account for when a deferral schedule is canceled using the Mass Schedule Processing window with the Cancellation Journal Entry option selected.

Default Deferral Frequency

Available in ARED build 622 (and newer) and build 802 (and newer).

Select the default deferral frequency for deferral schedules. Options are: Monthly, Quarterly, Semi-Annually, Annually, or Fiscal Periods.

The setting used is as the default setting for deferral schedules created from transactions in Microsoft Dynamics GP. The settings appear on the Sales Line Item Deferral or Journal Entry windows.

Disable Contract Auto Numbering

Select to prevent contract ID numbers from being automatically created. When you create a contract on the Contract Maintenance window, you must manually specify a contract ID number.

Clear to allow ARED to automatically create contract ID numbers for new contracts.

Watch a video [image].

Disable Non-Inventory for POP

Select to prevent users from entering a non-inventory item on the Purchase Order Entry window. Watch a video [image].

Do Not Create Schedule on Returns

Select to not to create the schedules on return. When this check box cleared, schedules are created on return. Watch a video [image].

Do Not Merge Recognition

Select to prevent all schedule lines with periods that occur before the document date from being merged into one schedule line, when the Deferral Start Date is earlier than the Document Date for the sales order processing, purchase order processing, or General Ledger line in the recognition schedule. Watch a video [image].

Enable Account Substitution

Select to use GP's account substitution for the site segment in the on-hold account and the recognition account when a recognition schedule for sales and purchasing transactions by item only is created. Watch a video [image].

Enable Territory Account Substitution

Select to enable account substitution by territory for the recognition account and on-hold account. Watch a video [image].

MEM and site account substitution do not occur when this check box is selected.

Equal Per Period

Specify whether the number of days in a period is taken into consideration when calculating the amount in each period for a deferral schedule.

  • Selected: The amount for each period is the same regardless of the number of days in the period, except for partial periods (such as at the beginning or end of a deferral schedule) which will be prorated.
  • Cleared: The amount is calculated based on the number of days in each period. Default setting.

You can override this setting at the transaction level.

Watch a video [image].

Include Markdown (available in Microsoft Dynamics GP 2013 and earlier)

Select to include a markdown in the extended price when creating a recognition schedule in the Sales Transaction window or when using the Attach Recognition Schedule utility. Clear to exclude a markdown.

Markdown Defer Options

Available as of Microsoft Dynamics GP 2015 R2.

Select the option for how markdowns are deferred:

  • Defer Markdown Separately: Select to defer the markdown separately from the extended price when creating a recognition schedule in the Sales Transaction window or when using the Attach Recognition Schedule utility. Clear this option to exclude a markdown.

    • When selected, two recognition schedules are created, one schedule for the extended price and one schedule for the markdown.

  • Include Markdown in Net Revenue: Select to include a markdown in the extended price when creating a recognition schedule in the Sales Transaction window or when using the Attach Recognition Schedule utility. Clear this option to exclude a markdown.

    • When selected, only one recognition schedule is created for the net price (extended price - markdown).

Note icon. Note: If you select one option, you cannot select the other option as well. However, you can leave both options cleared. When both options are cleared, the markdown amounts is not included in the revenue, nor is it deferred separately.

Summarized Journal Entry

Select to create one journal entry for all the selected schedule lines. Clear the check box to create separate journal entries for each schedule line. The setting you choose is the default setting on the Journal Entry Processing window. Watch a video [image].

Suppress RM Extra Window

Use Tax Exclusive Amt for Deferral

Select to be able to create a recognition schedule for a sales transaction line item based on the Back out Sales Amount of an item. (The Back out Sales Amount is not in the transaction window, but is stored in the database as the item price without taxes. SOP10200.BKTSLSAM) The item must a deferrable item and the Recognize By Item option must be selected in the Advanced Rev. & Exp. Deferrals Setup window.

When the Back out Sales Amount is not available, the standard method in ARED is used, and the extended price of the item is used to create a recognition schedule that may not be tax exclusive.

Watch a video [image].

Source Document

Available in ARED for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

Select the source document code to use for the recognition schedule. Source document codes are created on the Microsoft Dynamics GP Source Document Setup window.

The source document code is applied to ARED recognition journal entries.

Suppress RM Extra Window

Available in ARED for Microsoft Dynamics GP 2018 R2 (build 707 and newer).

Determines whether the Receivables Transaction Entry Extra window automatically appears when the Receivables Transaction Entry window is opened:

  • Selected: When the Receivables Transaction Entry window is opened, the Receivables Transaction Entry Extra window remains hidden. Also, you cannot manually open the window.
  • Cleared: When the Receivables Transaction Entry window is opened, the Receivables Transaction Entry Extra window automatically opens as well. Default.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Change End Date Utility: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

OK

Closes the window.

Process

Imports the data. This process applies an Adjusted Deferral End Date and Recalculation Date to recalculate a recognition schedule.

Schedule amounts that were already recognized in closed fiscal periods and schedule amounts in open periods before the specified recalculation date (Current Open Month Date) are not adjusted.

When the recalculation date is within a schedule period that has already been recognized, the journal entries for the recognized period are reversed using the GL transaction date then the schedule is recalculated. The journal entries are added to a batch. If the AutoPost Journal Entries check box is cleared on the Advanced Rev. & Exp. Deferrals Setupwindow, you must post the reversed journal entries.

The remaining (unrecognized) schedule amounts are also recalculated.

When processing is finished, an import report and a process audit report are printed. An audit record is added in the table. You can review the audit record by selecting the expansion button beside the Deferral End Date box on the Recognition Schedule Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Change End Date Utility: Fields

Batch ID

Specify the batch ID for processing the transactions.

The batch ID is required for creating the reverse journal entries for the recognized periods.

First Row is Column Heading

Indicates whether the first row of the file consists of column names:

  • Selected: The first row consists of column names. As a result, the first row of the data is not imported.
  • Cleared: The first row does not contain column names. All rows, including the first row, are imported.

Import Path

Specify the path location or browse to the file that contains the data you want to import. Depending on the type of data you are importing, you can import a comma-delimited data (CSV file) or a spreadsheet. Required.

You can import only one file at a time.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Change Start Date Utility: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

OK

Closes the window.

Process

Imports the data. When the processing is completed, an import report and a process audit report are printed.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Change Start Date Utility: Fields

First Row is Column Heading

Indicates whether the first row of the file consists of column names:

  • Selected: The first row consists of column names. As a result, the first row of the data is not imported.
  • Cleared: The first row does not contain column names. All rows, including the first row, are imported.

Import Path

Specify the path location or browse to the file that contains the data you want to import. Depending on the type of data you are importing, you can import a comma-delimited data (CSV file) or a spreadsheet. Required.

You can import only one file at a time.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Distribution Type Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Distribution Type Setup: Fields

Module

Displays the module: Sales, Purchasing, Receivables, or Payables.

On Hold Account

Select an on hold account. When a schedule is created for recognition by distribution type, the on hold account uses this value.

Scrolling Window

Deferral Account Number

Specify a deferral account number.

For a recognition schedule to be created in the Recognition Schedule Entry window, this deferral account number must match the Microsoft Dynamics GP deferral account number for the selected distribution type.

Distribution Type

Select the distribution type that is to be made deferrable.

Recognition Account

Select a default revenue recognition account.

Template ID

Select a default schedule template ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Distribution Type Setup (General Entry): Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Distribution Type Setup (General Entry): Fields

Module

Displays General.

On Hold Account

Select an on hold account. When a schedule is created for recognition by distribution type, the on hold account uses this value.

Scrolling Window

Deferral Account Number

Specify a deferral account number.

For a recognition schedule to be created in the Recognition Schedule Entry window, this deferral account number must match the Microsoft Dynamics GP deferral account number for the selected distribution type.

Recognition Account

Select a default revenue recognition account.

Template ID

Select a default schedule template ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Purchasing Transaction Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Purchasing Transaction Setup: Fields

Default Expense Order Type ID

Select the default order type for the POP line.

Default Expense Source ID

Select the default revenue/expense source for the POP transactions.

Default Offering Type

Select the default offering type for the POP line.

Default Schedule ID

Select the default schedule ID for the POP line.

Expense Account From

Select from where the expense recognition account should be taken for purchasing transactions: Item or Vendor.

Purchases Offering Type From

Select from where the offering type should be taken for purchasing transactions: Item or Vendor.

Purchases Template ID From

Select from where the template ID should be taken for purchasing transactions: Item or Vendor.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Sales Transactions Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Default Sales Transactions Setup: Fields

Default Offering Type ID

Available in Microsoft Dynamics GP 2015 R2 and earlier. As of Microsoft Dynamics GP 2016 R2, this box is not available.

Select the default offering type for sales line transaction.

Default Profit & Loss Setup ID

Available as of Microsoft Dynamics GP 2016 R2.

Select the default Profit and Loss setup ID for a sales line transaction entry. Required when Deferral Posting Method is Profit and Loss on the ARED Setup window.

If the Profit and Loss Setup ID is not set up on the Item Maintenance window, this default setup is used.

Default Revenue Order Type ID

Available in Microsoft Dynamics GP 2015 R2 and earlier. As of Microsoft Dynamics GP 2016 R2, this box is not available.

Select the default order type for sales line transaction entry.

Default Revenue Source ID

Select the default revenue/expense source for the sales transactions.

Default Template ID

Select the Default Schedule Template for sales transactions.

Event Based area

Theses boxes are available when Default Recognition Type is set to Event Based on the Advanced Rev. & Exp. Deferrals Setup window.

Anticipate Expiry Period (Month)

Specify the value in months to calculate the anticipated expiry date. This option is available when Enable Anticipated Expiry Date is selected. For example, the invoice date is January 01, 2013. With a grace period of six months is entered, the anticipated expiry date is June 01, 2012.

Enable Anticipated Expiry Date

Select to automatically populate the anticipated expiry date based on the deferral start date (which is the invoice date). A new column is added to the Recognition Schedule Entry window to display the anticipated expiry dates. All the schedule detail lines will have the same anticipated expiry date, which you can override. This is for information only.

Enable Expiry Date

Select to automatically populate the expiry date based on the deferral start date (which is the invoice date). A new column is added to the Recognition Schedule Entry window to display the expiry dates. All the schedule detail lines have the same expiry date, which you can override.

Event Based Template ID

Select the default event based schedule template. The SOP Schedule detail lines are created based on template that is selected.

This default value is overridden by template ID defined in Item or Customer.

Expiration Recognition Acct

Select the expiration recognition account. This account is used when an item is expired, which means that the service is not delivered. Therefore the end date is not provided. ARED picks up all the schedule lines where the date is empty, but the expiry date is within the range. This account is used to recognize those periods. If this account is empty, the regular revenue recognition account is used to recognize the periods.

Expiry Period (Month)

Specify the value in months to calculate the expiry date. This option is available when Expiry Period (Month) is selected. For example, the invoice date is January 01, 2013. With a grace period of six months is entered, the expiry date is June 01, 2012.

Revenue Recognition From

Select from where the revenue recognition accounts should be taken for sales transactions: Item or Customer.

Note icon. Note: As Microsoft Dynamics GP 2016 R2, when Deferral Posting Method is Profit and Loss on the ARED Setup window, the only option available is Item.

Sales Offering Type From

Available in Microsoft Dynamics GP 2015 R2 and earlier. As of Microsoft Dynamics GP 2016 R2, this box is not available.

Select from where the offering type should be taken for sales transactions: Item or Customer.

Sales Template ID From

Select from where the template ID should be taken for sales transactions: Item or Customer.

Note icon. Note: As Microsoft Dynamics GP 2016 R2, when Deferral Posting Method is Profit and Loss on the ARED Setup window, the only option available is Item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Import Recognition Amount Utility: Buttons

OK

Closes the window.

Process

Imports the data. When the processing is completed, a validation report and a process audit report are printed.

Validate

Validates the data. When the validation process is completed, a validation report is printed.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Import Recognition Amount Utility: Fields

First Row is Column Heading

Indicates whether the first row of the file consists of column names:

  • Selected: The first row consists of column names. As a result, the first row of the data is not imported.
  • Cleared: The first row does not contain column names. All rows, including the first row, are imported.

Import Path

Specify the path location or browse to the file that contains the data you want to import. Depending on the type of data you are importing, you can import a comma-delimited data (CSV file) or a spreadsheet. Required.

You can import only one file at a time.

Schedule Origin

Select the origin of the schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Import Utility: Buttons

OK

Closes the window.

Process

Imports the sales and receivables transactions and creates recognition schedules for the line items that are deferrable.

When Use Tax Exclusive Amt for Deferral is selected on the Advanced Rev. & Exp. Deferrals Setup window, the recognition schedule for the sales transaction line item is based on the price of the item without taxes. When the price of the item without taxes is not available, the standard method in ARED is used, and the extended price of the item is used to create a recognition schedule that may not be tax exclusive.

When the processing is completed, a validation report and a process audit report are created.

Validate

Verifies that each transaction record is complete enough to create a recognition schedule. When the validation process is completed, a validation report is generated.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Import Utility: Fields

First Row is Column Heading

Indicates whether the first row of the file consists of column names:

  • Selected: The first row consists of column names. As a result, the first row of the data is not imported.
  • Cleared: The first row does not contain column names. All rows, including the first row, are imported.

Import Path

Specify the path location or browse to the file that contains the data you want to import. Depending on the type of data you are importing, you can import a comma-delimited data (CSV file) or a spreadsheet. Required.

You can import only one file at a time.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Profit & Loss Account Setup: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Profit & Loss Account Setup: Fields

Deferral Account

Select the Balance Sheet account to be used to record the total deferred balance that is transferred from the original revenue. This account is then used periodically to move the recognized revenue from the deferral.

Deferred Revenue Account

Select the Profit and Loss account to use to reverse the original revenue amount on a sales transaction.

Description

Specify a description for this record.

Profit & Loss Setup ID

Specify a unique ID for the Profit and Loss ID record.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule User Defined Fields Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule User Defined Fields Setup: Fields

Field Name

Specify a descriptive field name.

Field Type

Select the data type for the field: Integer, Double (currency), String, Checkbox, or Date.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Account Substitution Setup: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Account Substitution Setup: Fields

Territory Description

Displays the description of the selected sales territory. You cannot edit the description.

Territory ID

Select an ID for the sales territory.

Scrolling Window

Available Segments

Display all the segments defined in GP. You cannot edit the segments.

Segment ID

Select a segment value for account substitution. If no value provided, account substitution does not occur for that segment.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Calculations with Selected Options: Equal Per Period and Default Prorate - Example

Monthly | Total Recognition amount: |  | 7696.7 |  |  |
start billing date | end billing date |  | days of periods |  | number of periods | recognition amount
April 12, 2017 | April 30, 2017 |  | 19 |  | 0.63333 | 974.92
May 01, 2017 | May 31, 2017 |  | 31 |  | 1 | 1539.34
June 01, 2017 | June 30, 2017 |  | 30 |  | 1 | 1539.34
July 01, 2017 | July 31, 2017 |  | 31 |  | 1 | 1539.34
August 01, 2017 | August 31, 2017 |  | 31 |  | 1 | 1539.34
September 01, 2017 | September 11, 2017 |  | 11 |  | 0.36667 | 564.42
 |  | Total days: | 153 | Length (Periods): | 5 | 7696.7
 |  | Day Rate: | 50.31 | Period Rate: | 1539.34 |
Monthly | Total Recognition amount: |  | 293.5 |  |  |
start billing date | end billing date |  | days of periods |  | number of periods | recognition amount
November 01, 20 13 | November 30, 2013 |  | 30 |  | 1 | 50.03
December 01, 2013 | December 31, 2013 |  | 31 |  | 1 | 50.03
January 01, 2014 | January 31, 2014 |  | 31 |  | 1 | 50.03
February 01, 2014 | February 28, 2014 |  | 28 |  | 1 | 50.03
March 01, 2014 | March 31, 2014 |  | 31 |  | 1 | 50.03
April 01, 2014 | April 26, 2014 |  | 26 |  | 0.86667 | 43.36
 |  | Total days: | 177 | Length (Periods): | 5.86667 |
 |  | Day Rate: | 1.65819 | Period Rate: | 50.0284 |
Quarterly | Total Recognition amount: |  | 1000 |  |  |
start billing date | end billing date |  | days of periods |  | number of periods | recognition amount
October 01, 2013 | December 31, 2013 |  | 92 |  | 1 | 260.62
January 01, 2014 | March 31, 2014 |  | 90 |  | 1 | 260.62
April 01, 2014 | June 30, 2014 |  | 91 |  | 1 | 260.62
July 01, 2014 | September 15, 2014 |  | 77 |  | 0.83696 | 218.14
 |  | Total days: | 350 | Length (Periods): | 3.83696 |
 |  | Day Rate: | 2.8574 | Period Rate: | 260.623 |
Annually | Total Recognition amount: |  | 1000 |  |  |
start billing date | end billing date |  | days of periods |  | number of periods | recognition amount
October 15, 2013 | October 31, 2013 |  | 17 |  | 0.04658 | 50.6
November 01, 2013 | September 15, 2014 |  | 319 |  | 0.87397 | 949.4
 |  | Total days: | 336 | Length (Periods): | 0.92055 |
 |  | Day Rate: | 2.97619 | Period Rate: | 1086.31 |
Annually | Total Recognition amount: |  | 1000 |  |  |
start billing date | end billing date |  | days of periods |  | number of periods | recognition amount
October 15, 2013 | October 31, 2013 |  | 17 |  | 8 | 24.25
November 01, 2013 | October 31, 2014 |  | 365 |  | 1 | 520.68
November 01, 2014 | September 15, 2015 |  | 319 |  | 0.87397 | 455.07
 |  | Total days: | 701 | Length (Periods): | 1.92055 |
 |  | Day Rate: | 1.42653 | Period Rate: | 520.685 |
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based Templates: Example

The following examples demonstrate different types of event-based templates that you can have.

Closed Landscaping company

A landscaping company provides gardening services that are bundled into a Full or Basic service packages with the following criteria:

  • Each package has a set of services and a predefined amount for each service:
    • Power raking: 50.00
    • Aeration: 35.00
    • Over seeding:
    • Fertlizing:
  • Each package is valid for one-year from the date of the sale. Each event expires within 12 months from the invoice date , which is the deferral start date.

On the Event Type Maintenance window, the following services are set up:

Event Type | Description
AERATION | Aeration
FERT | Fertilizing
OVERSEED | Over seeding
PWRRAKE | Power raking

On the Event Based Template Maintenance window, the following template bundle packages can be set up:

Template ID: | LAWN-FULL
Description | Full Lawn Maintenance
Create Events Based on Quantity |
Allocation Method | Variable Amounts
Expiration Recognition Account |
Event Type | Description | Exp. Period (Months) | Antcpd Exp. Period (Months) | Percentage
PWRRAKE | Power raking | 12 | 12 |
AERATION | Aeration | 12 | 12 |
OVERSEED | Over seeding | 12 | 12 |
FERT | Fertilizing | 12 | 12 |

Template ID: | LAWN-BASIC
Description | Basic Lawn Maintenance
Create Events Based on Quantity |
Allocation Method | Variable Amounts
Expiration Recognition Account |
Event Type | Description | Exp. Period (Months) | Antcpd Exp. Period (Months) | Percentage
AERATION | Aeration | 12 | 12 |
OVERSEED | Over seeding | 12 | 12 |
FERT | Fertilizing | 12 | 12 |
Closed Electronics company

An electronics company sells service for computer hardware and software using a five-phase full computer package.

Each phase is an event type that is set up on the Event Type Maintenance window:

Event Type | Description
CONFIG | Software configuration
HRDWRE | Hardware setup
INSTALL | Software installation
TRAIN | Training
UAT | User acceptance testing

On the Event Based Template Maintenance window, the following template is set up:

Template ID: | COMPPKG
Description | Full Computer and Implementation Package
Create Events Based on Quantity |
Allocation Method | By Percentage
Expiration Recognition Account |
Event Type | Description | Exp. Period (Months) | Antcpd Exp. Period (Months) | Percentage
HRDWRE | Hardware setup | 1 |  | 30%
INSTALL | Software installation | 1 |  | 20%
CONFIG | Software configuration | 1 |  | 35%
TRAIN | Training | 3 |  | 10%
UAT | User acceptance testing | 2 |  | 5%

On the Item Maintenance window create the deferrable item:

Item Number | Description | Deferrable | Recognition Schedule Type | Unit Price
ERPSYS | ERP System |  | Event Based | 1,500.00

Sales Invoice 1

On the Sales Transaction Entry window, an invoice with the following items is created:

Invoice Number | STDINV2306 |  | Invoice Date | April 12, 2017
Item | UoM | Invoice Quantity | Unit Price | Extended Price
ERPSYS | Each | 1 | 1,500.00 | 1,500.00

Review and edit the ARED recognition schedule for the item on the Recognition Schedule Entry window before you post the invoice. After you make any necessary changes, post the invoice.

On the Recognition Schedule Entry window, you can review the deferral schedules that have been created:

Schedule Number: |  | STDINV2306-1 |  | Sales Invoice Number: |  | STDINV2306
Item Number: |  | ERPSYS
Sequence | Event Type | Description | End Date | Exp. Date | Anticipated Exp. Date | Amount
1 | HRDWRE | Hardware sale |  |  |  | 800.00
2 | INSTALL | Computer hardware and software installation |  |  |  | 200.00
3 | CONFIG | Configuration |  |  |  | 100.00
4 | TRAIN | Training |  |  |  | 250.00
5 | UAT | User Acceptance Testing |  |  |  | 150.00

Sales Invoice 2 - Multiple Quantities

On the Sales Transaction Entry window, an invoice with the following items is created:

Invoice Number | STDINV2307 |  | Invoice Date | April 12, 2017
Item | UoM | Invoice Quantity | Unit Price | Extended Price
ERPSYS | Each | 2 | 1,500.00 | 3,000.00

Review and edit the ARED recognition schedule for the item on the Recognition Schedule Entry window before you post the invoice. After you make any necessary changes, post the invoice.

On the Recognition Schedule Entry window, you can review the deferral schedules that have been created:

Schedule Number: |  | STDINV2307-1 |  | Sales Invoice Number: |  | STDINV2307
Item Number: |  | ERPSYS
Sequence | Event Type | Description | End Date | Exp. Date | Anticipated Exp. Date | Amount
1 | HRDWRE | Hardware sale |  |  |  | 800.00
2 | INSTALL | Computer hardware and software installation |  |  |  | 200.00
3 | CONFIG | Configuration |  |  |  | 100.00
4 | TRAIN | Training |  |  |  | 250.00
5 | UAT | User Acceptance Testing |  |  |  | 150.00
6 | HRDWRE | Hardware sale |  |  |  | 800.00
7 | INSTALL | Computer hardware and software installation |  |  |  | 200.00
8 | CONFIG | Configuration |  |  |  | 100.00
9 | TRAIN | Training |  |  |  | 250.00
10 | UAT | User Acceptance Testing |  |  |  | 150.00

Sales Invoice 3 - End Dates

On the Sales Transaction Entry window, an invoice with the following items is created:

Invoice Number | STDINV2308 |  | Invoice Date | April 12, 2017
Item | UoM | Invoice Quantity | Unit Price | Extended Price
ERPSYS | Each | 3 | 1,500.00 | 3,000.00

Review and edit the ARED recognition schedule for the item on the Recognition Schedule Entry window before you post the invoice. After you make any necessary changes, post the invoice. The start date is the date of the invoice and is automatically entered.

On the Recognition Schedule Entry window, you can review the deferral schedules that have been created:

Schedule Number: |  | STDINV2308-1 |  | Sales Invoice Number: | STDINV2308
Item Number: |  | ERPSYS
Sequence | Event Type | Description | Start Date | End Date | Amount
1 | HRDWRE | Hardware sale | April 12, 2017 | April 22, 2017 | 800.00
2 | INSTALL | Computer hardware and software installation | April 12, 2017 | April 25, 2017 | 200.00
3 | CONFIG | Configuration | April 12, 2017 | May 10, 2018 | 100.00
4 | TRAIN | Training | April 12, 2017 |  | 250.00
5 | UAT | User Acceptance Testing | April 12, 2017 | June 15, 2018 | 150.00
6 | HRDWRE | Hardware sale | April 12, 2017 | April 27, 2017 | 800.00
7 | INSTALL | Computer hardware and software installation | April 12, 2017 | May 05, 2018 | 200.00
8 | CONFIG | Configuration | April 12, 2017 |  | 100.00
9 | TRAIN | Training | April 12, 2017 |  | 250.00
10 | UAT | User Acceptance Testing | April 12, 2017 | June 25, 2018 | 150.00
11 | HRDWRE | Hardware sale | April 12, 2017 | April 22, 2017 | 800.00
12 | INSTALL | Computer hardware and software installation | April 12, 2017 | May 05, 2018 | 200.00
13 | CONFIG | Configuration | April 12, 2017 |  | 100.00
14 | TRAIN | Training | April 12, 2017 | June 05, 2018 | 250.00
15 | UAT | User Acceptance Testing | April 12, 2017 |  | 150.00
Closed Voucher company

An company sells education vouchers. These vouchers are purchased and have an expiry date which is based on the date of sale. The revenue for these vouchers are recognized when they are used.

Each phase is an event type that is set up on the Event Type Maintenance window:

Event Type | Description
VOUCH | Voucher

On the Event Based Template Maintenance window, the following templates are set up:

Template ID: | VOUCHER
Description | Voucher purchase
Create Events Based on Quantity |
Allocation Method | Equal Amounts
Expiration Recognition Account |
Event Type | Description | Exp. Period (Months) | Antcpd Exp. Period (Months) | Percentage
VOUCH | Voucher |  | 24 |

On the Item Maintenance window two deferrable items are created:

Item Number | Description | Deferrable | Recognition Schedule Type | Unit Price
EDU-CIR | Education Voucher Curriculum |  | Event Based | 85.00
EDU-EXAM | Education Voucher Exam |  | Event Based | 600.00

On the Sales Transaction Entry window, an invoice with the following items is created:

Invoice Number | STDINV2303 |  | Invoice Date | April 12, 2017
Item | UoM | Invoice Quantity | Unit Price | Extended Price
EDU-CIR | Each | 3 | 85.00 | 255.00
EDU-EXAM | Each | 3 | 600.00 | 1,800.00

Review and edit the ARED recognition schedule for each item on the Recognition Schedule Entry window before you post the invoice. After you make any necessary changes, post the invoice.

On the Recognition Schedule Entry window, you can review the deferral schedules that have been created. :

Schedule Number: |  | STDINV2303-1 |  |  | Sales Invoice Number: |  | STDINV2303
Item Number: |  | EDU-CIR
Sequence | Identifier | Start Date | End Date | Exp. Date | Anticipated Exp. Date | Description | Amount
1 | 153 | September 01, 2018 |  | September 01, 2018 | September 01, 2018 | Voucher 153 | 85.00
2 | 154 | September 01, 2018 |  | September 01, 2018 | September 01, 2018 | Voucher 154 | 85.00
3 | 155 | September 01, 2018 |  | September 01, 2018 | September 01, 2018 | Voucher 155 | 85.00

Schedule Number: |  | STDINV2303-2 |  |  | Sales Invoice Number: |  | STDINV2303
Item Number: |  | EDU-EXAM
Sequence | Identifier | Start Date | End Date | Exp. Date | Anticipated Exp. Date | Description | Amount
1 | 153 | September 01, 2018 |  | September 01, 2018 | September 01, 2018 | Voucher 153 | 600.00
2 | 154 | September 01, 2018 |  | September 01, 2018 | September 01, 2018 | Voucher 154 | 600.00
3 | 155 | September 01, 2018 |  | September 01, 2018 | September 01, 2018 | Voucher 155 | 600.00

See also

Event Based Recognition Workflow

Event Based - Percentage of Completion: Example

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Profit and Loss Deferral Method: Examples

The following examples demonstrate how distributions are performed with the profit and loss functionality.

Processing a Sales Invoice

A sales invoice with a deferrable item is posted. The distributions are modified to add an additional set of journal entries that debit the deferral revenue account and credit the deferral account for the deferral amount. Both accounts are set up on the ARED Setup window.

Closed Single Item Example

A single deferral item is sold:

  • Item A102-58 is sold with the extended price 1,200.00.

The distribution is as follows:

AR | 1,200.00 |  |
Sales |  | 1,200.00 | Sales account from the Item Maintenance window
Deferred Revenue | 1,200.00 |  | Deferred revenue account from the ARED Setup window
Deferral |  | 1,200.00 | Deferral account from the ARED Setup window
Closed Multiple Items Example

Multiple deferral and non-deferral items are sold:

Item | Deferrable | Sales | Deferred Revenue | Deferral
A102-58 | Yes | 4100-10 | 4200-10 | 2500-22
A504-75 | Yes | 4100-00 | 4200-00 | 2500-15
A800-99 | No | 4500-00 |  |

The distribution is as follows:

AR | 1,200.00 |  |
4100-10 |  | 500.00 | Account from the Item Maintenance window
4100-00 |  | 300.00 | Account from the Item Maintenance window
4500-00 |  | 400.00 | Account from the Item Maintenance window
4200-10 | 500.00 |  | Deferred revenue account from the ARED Setup window
2500-00 | 500.00 | 1,200.00 | Deferral account from the ARED Setup window
4200-10 | 300.00 |  | Deferred revenue account from the ARED Setup window
2500-00 |  | 300.00 | Deferral account from the ARED Setup window

Discounts and Integration with Multiple Element Revenue Allocation

Any revenue amount that is recorded on the sales invoice after a discount or multiple-element revenue allocation is also moved to the deferral account to offset the deferred revenue account.

Closed Without MERA integration

The items sold are as follows:

  • Item A102-58 is sold for 1,000.00 with markdown 10.00.
  • Item A50-75 is sold for 200.00.
  • A discount of 50.00 is applied to the entire order.
AR | 1,140.00 |
4100-10 |  | 1000.00
4100-00 |  | 200.00
Discount | 50.00 |
Markdown | 10.00 |
4200-10 | 1,000.00 |
2500-00 |  | 1,000.00
4200-10 | 200.00 |
2500-00 |  | 200.00
Closed With MERA integration

The items are as follows:

  • Item A102-58 is sold for 900.00 with markdown 10.00
  • Item A50-75 is sold for 300.00
  • A discount of 50.00 is applied to the entire order

MERA is used to recalculate the revenue amounts to be

  • Item A102-58 is sold for 1,000 .00
  • Item A50-75 is sold for 200.00

The distributions are as follows:

AR | 1,140.00 |
4100-10 |  | 1000.00
4100-00 |  | 200.00
Discount | 50.00 |
Markdown | 10.00 |
4200-10 | 1,000.00 |
2500-00 |  | 1,000.00
4200-10 | 200.00 |
2500-00 |  | 200.00

The revenue amount that is recorded (1,000.00 and 200.00) is the same revenue amount that is transferred to the deferred revenue account.

Revenue Recognition Processing

The revenue recognition process is modified to debit the deferral transfer account and credit the recognition account from the ARED Setup window.

A single item is sold:

  • Item A102-58 is sold for 1,200.00, which is deferred for 12 months.

The following monthly journal entries recognize the revenue as follows:

Deferral | 100.00 |  | Deferred revenue account from the ARED Setup window
Recognition |  | 100.00 | Deferral account from the ARED Setup window

See also

Setting Up Profit and Loss Accounts

Profit and Loss Account Setup

Profit and Loss for Deferrals Workflow

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Format of Table B7100989 in the Dynamics Database

The format of the table B7100989 in Dynamics database for the intercompany GL integration is as follows:

Field Name | Description | Sample Data
BSSI_Or_Company_ID | Originating Company ID | TWO
ACTNUMST | AR (DB) for Summary Journal Entry | 1200-000-01
INTERID | Destination Company ID | CORP
BSSI_DefAccountNumberStr | Deferral Account (CR) | 000-8010-00
CURNCYID | Originating Currency ID | Z-US$
DOCAMNT | Recognition Amount | 1,000
EXCHDATE | Invoice (Exchange) Date | March 23, 2013
BSSI_ScheduleBasedOnDate | If this field = 1, a recognition schedule will be calculated using the Deferral Start Date and Deferral End Date from this table If the field = 0, the value from Template ID will be used for the creating recognition schedule based on template | 1
BSSI_DeferralStartDate | Deferral Start Date | March 28, 2013
BSSI_DeferralEndDate | Deferral End Date | March 28, 2014
BSSI_Recog_Frequency | Define the recognition frequency: monthly, quarterly, semi-annually, annually or fiscal periods 1 – Monthly 2 - Quarterly 3 – Semi-Annually 4 – Annually 5 – Fiscal Periods | 1
BSSI_RecogAcctNumberStri | Recognition Account | 2444-000-07
BSSI_Recog_TemplateID | Recognition Template ID, if the BSSI_ScheduleBasedOnDate = 0 this Template ID will be used to create Recognition schedule | ST_TEMPLATE
USERID | System User ID | sa
BSSI_Custom_Field_Name_1 | User Defined Field #1 | Contract ID
BSSI_Custom_Field_Name_2 | User Defined Field #2 | Tax Amount
... | ... | ...
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Intercompany Import: Buttons

Process

Creates an intercompany summarized journal entry, and populates the recognition schedule and user defined fields that are used when creating the recognition schedule for individual companies.

After the process completes, a log report with journal entry numbers is created. The journal entry in the originating company is created in the originating currency.

Redisplay

Updates the scrolling window or list view.

Validate

Validates the data to be imported. The following data is validated:

  • Intercompany ID must exist.
  • Account Numbers of the corresponding company must exist.
  • The Originating Currency ID must exist
  • The Template ID must exists

After the data is validated, a log report is created.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Intercompany Import: Fields

Batch Number

Select a batch number for the import.

Transaction Date

Select the transaction date.

Scrolling Window

The scrolling window has the following columns:

  • Originating Company ID
  • AR Account (DB)
  • Destination Company ID
  • Deferral Account (CR)
  • Originating Currency ID
  • Amount
  • Invoice (Exchange) Date
  • Schedule Based on Dates
  • Deferral Start Date
  • Deferral End Date
  • Deferral Frequency
  • Recognition Account
  • Template ID
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields Mapping: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Defined Fields Mapping: Fields

User Defined Field

Displays the user-defined fields from the Advanced Rev. & Exp. Deferrals Setup window.

Field Position in the table

Specify the position for the field in the table B7100989. The field position for the BSSI_Custom_Field_Name_1 is 1; for BSSI_Custom_Field_Name_2, it is 2; and so on.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adjust Deferral End Date Audit: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Adjust Deferral End Date Audit: Fields

Schedule Description

Displays the schedule description.

Schedule Number

Displays the schedule number.

Scrolling Window

Displays a log of the end date changes. The following columns are displayed:

  • Original Deferral End Date
  • User Modified
  • Date Modified
  • Recalculation Date
  • New Deferral End Date
  • Origin
  • Reason
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Applied From Credits: Buttons

OK

Closes the window.

Unapply

Unapplies the returns to the selected line items. Available as of Microsoft Dynamics GP 2015 R2.

After a return is unapplied, you can then delet e or void a return. As a result, no return would be attached to the ARCB schedule line item.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Applied From Credits: Fields

Adjusted Amount

Displays the adjusted amount of the selected schedule.

Schedule Number

Displays the number of the selected schedule.

Schedule Origin

Displays the origin of the selected schedule.

Scrolling Window

Applied Amount

Displays the amount of the credit memo that was applied to the selected schedule.

Applied Date

Displays the date that the credit memo was applied.

Document Number

Displays the document number for the credit memo that was applied to the selected schedule.

Processed

Indicates whether the memo has been processed. Selected indicated the memo has been processed. Cleared indicates the memo has not been processed.

User ID

Displays the ID for the user who applied the credit memo.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Apply Credit Memo: Buttons

Adjusted Amount Expansion

Opens the Applied from Credits window.

Apply

Applies the credit memo to the listed schedules until the credit amount has been fully applied.

Auto Apply

Assigns the credit amount to the selected schedules. This amount can be greater than the remaining schedule amount. This button is available when Processing Action is set to Adjust Schedule.

OK

Closes the window.

Process

Executes the Processing Action on all records that you selected in the scrolling window.

Unapply

Removes the credit memo amount portions from the schedules to which they were applied.

This button is available when Reverse Adjustment is set to Adjust Schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Apply Credit Memo: Fields

Batch ID

Specify a batch ID for processing, as applicable.

Credit Memo Amount

Displays the amount for the selected credit memo.

Credit Memo Document

Select a credit memo for processing.

Customer ID

Specify a customer ID for a credit memo.

Facility ID

Select an entity ID from those you are allowed to access. This box is available only whenMulti-Entity Management is installed and used.

Processing Action

Select a processing action to apply to one or more schedules:

  • Adjust Schedule
  • Reverse Adjustment

This box requires a value.

Remaining Amount

Displays the remaining amount for the selected credit memo.

Schedule Origin

Select the origin for the schedule: Sales Order Processing and Purchase Order Processing. This box requires a value.

Transaction Date

Specify the processing date.

Scrolling Window

Displays all schedules that have a status of Available, where the Amount Remaining is greater than 0, and that belong to the selected customer.

Adjusted Amount

Displays the adjusted amount for the schedule.

Apply Amount

Manually enter the apply amount or select the Auto Apply button to assign the credit amount to the selected schedules. This amount can be greater than the remaining schedule amount.

Document Number

Displays the document number for the transaction associated with the schedule.

Original Recognition Amount

Displays the recognition amount prior to adjustment.

Recognized Amount

Displays the recognized amount for the schedule.

Remaining Amount

Displays the amount remaining to be recognized for the schedule.

Schedule Number

Displays the schedule number for a displayed schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assign Credit Memo: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Assigns or unassigns the credit memos.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assign Credit Memo: Fields

Origin

Select a schedule origin: Payables or Receivables. This box requires a value.

Processing Action

Select a processing action to apply to one or more schedules:

  • Assign Credit Memo
  • Unassign Credit Memo

This box requires a value.

Purchase Account

Select a Purchase Account, the credit memo account used for creating a credit memo in the Payables module. This is a required field.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

After you select the data category, select the type of records that you want to display:

  • Open: Select to include all records that are considered open.
  • History: Select to include all records that are in the history table.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Document Number
  • Document Date
  • Customer Number
  • Document Amount
  • Assigned/Unassigned
  • Facility ID (appears only whenMEM is installed and used. Displays the entity ID associated with the document.)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Attach Events: Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

OK

Closes the window.

Process

Attaches the selected events to the template, and then closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Attach Events: Fields

Description

Displays a description for the event.

Event ID

Displays the ID for the event.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Bundle Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Bundle Maintenance: Fields

Bundle ID

Specify a unique bundle ID.

Description

Specify a description for the bundle ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

New

Generates a new contract ID. When Disable Contract Auto Numbering is cleared on the Advanced Rev. & Exp. Deferrals Setup window, you select this button to generate a new contract ID based on the Contract Number Prefix and Contract Next Number.

When Disable Contract Auto Numbering is selected, you can specify a contract ID.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Contract Maintenance: Fields

Contract Number

Displays a unique number for the contract. You can select a contract number to view an existing record, or select New to create a contract.

Customer Number

Select an existing customer number.

Description

Specify a description for the contract.

End Date

Select a date on which the contract ends.

Start Date

Select a date on which the contract starts.

Vendor ID

Select an existing vendor ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Distribution Line Deferral (AP Line Deferral): Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Distribution Line Deferral (Purchasing Invoice): Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Distribution Line Deferral (Purchasing Invoice): Fields

Account

Displays the account selected or entered in Purchasing Invoice Entry window. Read-only.

Create Schedule Based on Dates

Select to use the Start Date, End Date, and Frequency for calculating a recognition period without the Template ID.

Deferrable

Indicates whether the distribution is deferrable. The default value is based on the vendor purchasing deferral information.

Deferral End Date

Select the date on which the recognition schedule ends. Available when the Create Schedule bases on Dates is selected.

Deferral Frequency

Select the deferral frequency. Available when Create Schedule Based on Dates is selected.

Deferral Start Date

Select the default deferral start date:

  • Doc Date: The deferral start date is the document date.
  • 1st of Next Month: The deferral start date is the first of the next month. If the document date is first of the month, then 1st of the current month is the deferral start date.
  • Rule 15: If the document date is between the first and the fifteenth of the month, the deferral start is defaulted to the first of the current month. If the document date is between the sixteenth and the end of the month, the deferral start date is the first of the next month.

The default value is set up in the Advanced Rev. & Exp. Deferrals Setup window.

Description

Displays the description for the selected account. Read-only.

Distribution Type

Displays the distribution type selected or entered in Purchasing Invoice Entry window. Read-only.

Recognition Account

Displays the recognition account number. The default account number is based on the vendor purchasing deferral information.

Template ID

Displays the template ID for the schedule. The default account number is based on the vendor purchasing deferral information. Available when Create Schedule Based on Dates is cleared.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Distribution Line Deferral (AP Line Deferral): Fields

Account

Displays the account selected or entered in Sales/Purchasing/AR/AP Distribution Entry window. Read-only.

Create Schedule Based on Dates

Select to use the Start Date and End Date for calculating a recognition period without the Template ID.

Deferrable

Indicates whether the schedule is deferrable. The status is from the item details. You can override the status in this window.

Deferral End Date

Select the end date on which the schedule ends. This box is available when Recognition Schedule Type is Standard.

Deferral Frequency

Select the deferral frequency. Available when Create Schedule Based on Dates is selected.

Deferral Start Date

Select the default deferral start date:

  • Doc Date: The deferral start date is the document date.
  • 1st of Next Month: The deferral start date is the first of the next month. If the document date is first of the month, then 1st of the current month is the deferral start date.
  • Rule 15: If the document date is between the first and the fifteenth of the month, the deferral start is defaulted to the first of the current month. If the document date is between the sixteenth and the end of the month, the deferral start date is the first of the next month.

The default value is set up in the Advanced Rev. & Exp. Deferrals Setup window.

Description

Displays the description for the selected account. Read-only.

Distribution Type

Displays the distribution type selected or entered in Sales/Purchasing/AR/AP Distribution Entry window. Read-only.

Recognition Account Number

Displays the recognition account number. The default recognition account is from the Default Sales Transaction Setup window.

This account number is used when creating a recognition schedule for the deferral account. You can change the account in this window.

Template ID

Displays the template ID for the schedule. This value is from the from the Default Distribution Type Setup window. Available when Create Schedule Based on Dates is cleared.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based Template Copy: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

OK

Closes the window.

Process

Creates a copy of the template. When Delete Original Template after Copying is selected, deletes the original template after the copy is made.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based Template Copy: Fields

Delete Original Template after Copying

Select to delete the original template after it has been copied to the new template. Leave cleared to keep the original template after it is copied.

New Template Description

Specify a description for the new template.

New Template ID

Specify a template ID for the new template.

Original Template ID

Displays the original template ID from the Event Based Template Maintenance window. You can clear the window, and select a different template ID.

Template Description

Displays the template description associated with the original template ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based Template Maintenance: Buttons

Attach Events

Opens the Attach Events window, where you can select multiple events (from all displayed events) and attach them to the template.

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Copy

Opens Event Based Template Copy window, where you can create a duplicate template.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based Template Maintenance: Fields

Allocation Methods:

Select the allocation method used to calculate the recognition amount for each period:

  • Equal Amounts: Distributes the amounts equally among all the periods.
  • By Percentage: Calculates the recognition amount for each period based on the percentage attached to each event. The total percentage should not exceed 100%.
  • Variable Amounts: The recognition amount for each event (period) is manually entered on the Recognition Schedule Entry window. The total amount should match the extended amount on the sales line.
  • Percentage of Completion: When selected, two additional boxes are available on the Recognition Schedule Entry window, where you can specify the Percentage Completed or Amount spent. Based on either of these values the Recognition Amount is calculated for each period.

Create Events Based on Qty

Indicates whether the recognition periods (lines) are created based on the quantity.

  • Selected: The recognition periods (lines) are created based on the quantity. When selected, two scenarios arise:
    • Case 1: When the quantity is 3, but no events are specified in the template, 3 lines are added to the recognition schedule.
    • Case 2: When the quantity is 3 and 2 events are specified in the template, 6 lines are added to the recognition schedule.
  • Cleared: The recognition periods (lines) are not created based on the quantity.

Expiration Recognition Acct

Specify the expiration recognition account for the template. This account is used when an item is expired, which means that the service is not delivered, and therefore, the end date is not provided. ARED uses all the schedule lines where the end date is empty but the expiry date is within the range.

This account is used to recognize those periods. If this account is empty the expiration account from the Advanced Rev. & Exp. Deferrals Setup is used to recognize the periods.

Template Description

Specify a description for the template.

Template ID

Specify a unique template ID.

Scrolling Window

Select the event types that are part of the template.

Antcpd Exp. Period (Months)

Specify the number of months the event is anticipated to expire. This value is used for reporting purposes only.

Description

Displays the description for the event type.

Event Type

Select the event type to be assigned to the event based template. Event types are created on the Event Type Maintenance window.

Exp. Period (Months)

Specify the expiry period in number of months.

Percentage

Specify the allocation percentage. Available only when Allocation Method is By Percentage.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Type Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Type Maintenance: Fields

Description

Specify a description for the event type. This description is useful for event based templates that have more than one event type.

Event Type

Specify a unique event ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


GL Line Deferral: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


GL Line Deferral: Fields

Account

Displays the account number used for the deferral.

Create Schedule Based on Dates

Select to use the deferral start date and deferral end date for calculating a recognition schedule, not a template ID.

The default value is from the Advanced Revenue & Expense Deferrals Setup window.

Deferrable

Select to indicate the line is deferrable.

The default value is from the Default Distribution Type Setup window. You can change this option if needed.

Deferral End Date

Select the date on which the deferral ends.

In ARED build 622 (and newer), the end date is required when the Create Schedule Based on Dates option is selected on the Advanced Revenue & Expense Deferrals Setup window.

Deferral Frequency

Select a frequency: Monthly, Quarterly, Semi-Annually, Annually, or Fiscal Periods. Available when Create Schedule Based on Dates is selected.

The default value is from the Advanced Revenue & Expense Deferrals Setup window.

Deferral Start Date

Select the date on which the deferral starts. This date is from the GL transaction date. You can change the date.

Description

Displays the description of the account.

Recognition Account Number

Select the recognition account number. The default value is from the Default Distribution Setup window. This account number is used when creating a recognition schedule for the GL line item.

Template ID

Displays a template ID from the Default Distribution Setup window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deferral Balance Inquiry: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Go To

Opens the ARCB Billing Schedule Maintenance window (available as of Microsoft Dynamics GP 2015 R2 and only when ARCB is installed).

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Print

Prints the Deferral Balance Report. When you select this button, you can choose to print a detail or summary report. When you print the detail report, it is printed as it appears on this window. For example, deferral balance for each recognition schedule, with the groups when specified.

Note icon. Note: To be able to print either report the scrolling window must have some data. You cannot print an empty report.

Redisplay

Updates the scrolling window or list view.

While the scrolling window is updating, a Cancel button [image] appears in the status area. You can select Cancel [image] to stop the redisplay process.

If the redisplay process is still running a query on the database, the process cannot be stopped. The following message informs you that the redisplay process will be canceled: Cancelling Redisplay. After the redisplay process is canceled, the following message appears: Redisplay Cancelled.

Note icon. Note: If you cancel a redisplay process, no results appear in the scrolling window. The scrolling window remains empty.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deferral Balance Inquiry: Fields

As of Date

Select the as of date for which you want to see a ‘snapshot’ of recognition schedules .

If the posting date of a schedule is on or after the As of Date and if the schedule has a deferral balance, then the schedule is included in the snapshot.

Recognition schedule audit records are used to reconstruct the state of the schedule as of the date specified. All actions affecting the recognition and deferral amounts are accounted for.

For example, you have a recognition schedule for 12 months, recognizing 100.00 on the last day of each month Jan to Dec, which was posted on 1st Jan.

If you set the As of Date before 1st Jan, the schedule is not shown, because it would not have been posted at that time.

If you set the As of Date to 1st Jan, you see the following values:

  • Original Deferral: 1,200.00
  • Recognition Amount: 0.00
  • Deferral Balance: 1,200.00

If you set the As of Date to 31st July, you see the following values:

  • Original Deferral: 1,200.00
  • Recognition Amount: 700.00
  • Deferral Balance: 500.00

If you use set As of Date to Dec 31st or after, the schedule is not shown because the Deferral Balance is zero (0.00).

In this way, you can use the report to reconcile to the GL, because the Transaction Date on the recognition schedule audit records should match the Posting Date of the general journal entry transaction (assuming all transactions have been posted through the GL).

Group By

Specify how the results on the report are to be grouped. For example, sub totals by customer. Select from the following options:

  • No Grouping
  • Facility ID (with Multi-Entity Management only)
  • Customer (SOP & AR only)
  • Vendor
  • Item (SOP & POP with Recognition By Item only)
  • Distribution Type (SOP & POP with Recognition By Distribution, and AR & AP only)
  • Deferral Account
  • ARCB Schedule ID (available as of Microsoft Dynamics GP 2015 R2 and only when ARCB is installed)

Note icon. Note: This option does not affect how the results appear in the scrolling window. To rearrange the order of the items, select the column header to switch between ascending and descending for a column.

Include Options

Select which recognition schedules to include in the scrolling window after you select Redisplay.

To be able to reconcile the Deferral Balance to the GL, it is best to include all recognition schedules. By default, all recognition schedules are selected

  • History: Includes recognition schedules that have been moved to history tables.
  • Reclassified: Includes recognition schedules that have been reclassified.
  • On Hold: Includes recognition schedules that are currently on hold.
  • Cancelled: Includes recognition schedules that have been canceled.

Note icon. Note: Recognition schedules that are in Preliminary Status are never included on this window.

Range By (From / To)

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Tip: For large data sets, specify the range to improve your computer performance. When you do not specify a range, the redisplay process queries the complete database without any filters.

Note icon. Note: When Multi-Entity Management is installed, the ranges that you can select are restricted by user-level access where applicable.

Recognition Schedule Origin

Select the origin of the schedule: Purchase Order Processing, Sales Order Processing, Accounts Payable, Accounts Receivable, or General Ledger. Required for display.

Note icon. Note: Only the modules that are selected and in use on the Advanced Rev. & Exp. Deferrals Setup window appear as an option in this box.

Schedule Type

Select the schedule type: Standard, Event Based, or Both.

For the sales deferral module, two types of recognition schedules are available: Standard and Event Based. When Enable Event Based is selected on the Advanced Rev. & Exp. Deferrals Setup window, this box is available. The default value is based on the Deferral Module Setup area of the Advanced Rev. & Exp. Deferrals Setup window.

Totals

Displays the totals for the Original Deferral Amount, Recognition Amount, and Deferral Balance below the scrolling window.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Facility ID (appears when Multi-Entity Management installed and used)
  • Schedule Number
    Note icon. Note: The schedule number is suffixed with an asterisk (*) when the schedule is canceled without creating journal entries, as this may cause issues when reconciling to the GL if manual entries have not been made.
  • Schedule Status
    Note icon. Note: The schedule status is the current status of the recognition schedule, not the status of the recognition schedule on the As of Date. This history is not saved within ARED.
  • Document Number
  • Document Post Date
  • Customer Number (SOP or AR Recognition Schedule Origin only)
  • Customer Name (SOP or AR Recognition Schedule Origin only)
  • Customer Class (SOP or AR Recognition Schedule Origin only)
  • Vendor Number (POP or AP Recognition Schedule Origin only)
  • Vendor Name (POP or AP Recognition Schedule Origin only)
  • Item Number (Recognition By Item only)
  • Item Description (Recognition By Item only)
  • Reference (GL only)
  • Distribution Type (Recognition By Distribution only)
  • Distribution Reference (Recognition By Distribution only)
  • Deferral Account
  • Original Deferral Amount
  • Recognition Amount
  • GL Deferral Balance (available in Microsoft Dynamics GP 2015 R2 (ARED build 520 and newer), 2016 R2 (build 613 and newer), and 2018 (ARED build 702 and newer) and applies only to deferral schedules that use the Create One Schedule option on the ARCB Setup window; calculated as follows: Total invoice amount until the As of Date from ARCB - Amount recognized until the As of Date in ARED)
  • ARED Deferral Balance (renamed in ARED for Microsoft Dynamics GP 2015 R2 (build 520 and newer), 2016 R2 (build 613 and newer), and 2018 (build 702 and newer), previously it was only Deferral Balance)
  • ARCB Schedule ID (available as of Microsoft Dynamics GP 2015 R2 and when ARCB is installed, SOP Recognition Schedule Origin only)
  • ARCB Schedule Status (available as of Microsoft Dynamics GP 2015 R2 and when ARCB is installed, SOP Recognition Schedule Origin only)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deferral Revenue/Recognition Inquiry: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

For the Revenue Waterfall and Declining Balance reports, more than 24 periods can be exported to the spreadsheet. However, the list view only shows up to 24 periods.

Go To

Opens the ARCB Billing Schedule Maintenance window (available as of Microsoft Dynamics GP 2015 R2 and only when ARCB is installed).

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Print

Prints the report currently in the list view.

For the Deferral Balance report, you can choose to print a detail or summary report. When you print the detail report, it is printed as it appears on this window. For example, deferral balance for each recognition schedule, with the groups when specified.

Note icon. Note: To be able to print either report the scrolling window must have some data. You cannot print an empty report.

Redisplay

Updates the scrolling window or list view.

While the scrolling window is updating, a Cancel button [image] appears in the status area. You can select Cancel [image] to stop the redisplay process.

If the redisplay process is still running a query on the database, the process cannot be stopped. The following message informs you that the redisplay process will be canceled: Cancelling Redisplay. After the redisplay process is canceled, the following message appears: Redisplay Cancelled.

Note icon. Note: If you cancel a redisplay process, no results appear in the scrolling window. The scrolling window remains empty.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Deferral Revenue/Recognition Inquiry: Fields

As of Date

Select the as of date for which you want to see a ‘snapshot’ of recognition schedules. Available when Report is Deferral Balance.

If the posting date of a schedule is on or after the As of Date and if the schedule has a deferral balance, then the schedule is included in the snapshot.

Recognition schedule audit records are used to reconstruct the state of the schedule as of the date specified. All actions affecting the recognition and deferral amounts are accounted for.

For example, you have a recognition schedule for 12 months, recognizing 100.00 on the last day of each month Jan to Dec, which was posted on 1st Jan.

If you set the As of Date before 1st Jan, the schedule is not shown, because it would not have been posted at that time.

If you set the As of Date to 1st Jan, you see the following values:

  • Original Deferral: 1,200.00
  • Recognition Amount: 0.00
  • Deferral Balance: 1,200.00

If you set the As of Date to 31st July, you see the following values:

  • Original Deferral: 1,200.00
  • Recognition Amount: 700.00
  • Deferral Balance: 500.00

If you use set As of Date to Dec 31st or after, the schedule is not shown because the Deferral Balance is zero.

In this way, you can use the report to reconcile to the General Ledger, because the Transaction Date on the recognition schedule audit records should match the Posting Date of the general journal entry transaction (assuming all transactions have been posted through the General Ledger).

Group By

Specify how the results on the report are to be grouped. For example, subtotals by customer. The available options depend on the type of report you want.

  • When Report is Deferral Balance, select from the following options:
    • No Grouping
    • Facility ID (with Multi-Entity Management only)
    • Customer (SOP & AR only)
    • Vendor
    • Item (SOP & POP with Recognition By Item only)
    • Distribution Type (SOP & POP with Recognition By Distribution, and AR & AP only)
    • Deferral Account
    • ARCB Schedule ID (available as of Microsoft Dynamics GP 2015 R2 and only when ARCB is installed)
  • When Report is Revenue Waterfall, select Recognition Account.
  • When Report is Declining Balance, select Deferral Account.

Note icon. Note: This option does not affect how the results appear in the scrolling window. To rearrange the order of the items, select the column header to switch between ascending and descending for a column.

Include Options

Select which recognition schedules to include in the scrolling window after you select Redisplay.

To be able to reconcile the deferral balance to the General Ledger, it is best to include all recognition schedules. By default, all recognition schedules are selected

  • History: Includes recognition schedules that have been moved to history tables.
  • Cancelled: Includes recognition schedules that have been canceled.
  • Reclassified: Includes recognition schedules that have been reclassified. Available when Report is Deferral Balance.
  • On Hold: Includes recognition schedules that are currently on hold. Available when Report is Deferral Balance.
  • Future Deferral Balance: Includes amounts that have not yet been recognized, in order to show what the deferral balance will look like in future months. Available when Report is Declining Balance.

Note icon. Note: Recognition schedules that are in Preliminary Status are never included on this window.

Period (From/To)

Specify the period you want to view. Available when Report is Revenue Waterfall or Declining Balance.

When you specify the period, select the start and end years and months for the period. The report shows the data for all months (up to a maximum of 24 months) within the specified period.

Note icon. Note: Due to space limitations on the printed report, only the first 12 periods displayed on the inquiry are printed on the report.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Note icon. Note: When Multi-Entity Management is installed, the ranges that you can select are restricted by user-level access where applicable.

Tip: For large data sets, specify the range to improve your computer performance. When you do not specify a range, the redisplay process queries the complete database without any filters.

Recognition Schedule Origin

Select the origin of the schedule: Purchase Order Processing, Sales Order Processing, Accounts Payable, Accounts Receivable, or General Ledger. Required for display.

Note icon. Note: Only the modules that are selected and in use on the Advanced Rev. & Exp. Deferrals Setup window appear as an option in this box.

Report

Select the report you want to generate:

  • Deferral Balance
  • Revenue Waterfall
  • Declining Balance

Available as of Microsoft Dynamics GP 2015 R2.

Schedule Type

Select the schedule type:

  • Event Based: Displays all deferral schedules that use the event-based feature. If the event-based feature is not used and this option is selected, a warning message appears.
  • Standard: Displays all standard (non-event-based) deferral schedules.
  • Create One Schedule: Displays deferral schedules that are created using the Create One Schedule functionality. Available in PrM build 804 (and newer).
  • All: Displays all deferral schedules. Available in PrM build 804 (and newer).

For the sales deferral module, two types of recognition schedules are available: Standard and Event Based. When Enable Event Based is selected on the Advanced Rev. & Exp. Deferrals Setup window, this box is available. The default value is based on the Deferral Module Setup area of the Advanced Rev. & Exp. Deferrals Setup window.

Suppress Zero Rows

Select to suppress data where recognized and unrecognized amounts for all periods are zero. This data is hidden for reports in both the printed and on‑screen formats.

Leave this check box cleared to show all data regardless of whether the recognized and unrecognized amounts for all periods are zero.

Available as of Microsoft Dynamics GP 2015 R2 and when Report is Revenue Waterfall or Declining Balance.

Totals

Displays the totals for the Original Deferral Amount, Recognition Amount, and Deferral Balance below the scrolling window. Available when Report is Deferral Balance.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

List View

Displays all records that match the criteria that you selected. The columns that appear depend on the type of report you want.

  • When Report is Deferral Balance, the list view displays the following columns:
    • Facility ID (appears when Multi-Entity Management installed and used)
    • Schedule Number
      Note icon. Note: The schedule number is suffixed with an asterisk (*) when the schedule is canceled without creating journal entries, as this may cause issues when reconciling to the GL if manual entries have not been made.
    • Schedule Status
      Note icon. Note: The schedule status is the current status of the recognition schedule, not the status of the recognition schedule on the As of Date. This history is not saved within ARED.
    • Document Number
    • Document Post Date
    • Customer Number (SOP or AR Recognition Schedule Origin only)
    • Customer Name (SOP or AR Recognition Schedule Origin only)
    • Customer Class (SOP or AR Recognition Schedule Origin only)
    • Vendor Number (POP or AP Recognition Schedule Origin only)
    • Vendor Name (POP or AP Recognition Schedule Origin only)
    • Item Number (Recognition By Item only)
    • Item Description (Recognition By Item only)
    • Reference (GL only)
    • Distribution Type (Recognition By Distribution only)
    • Distribution Reference (Recognition By Distribution only)
    • Deferral Account
    • Original Deferral Amount
    • Recognition Amount (For markdown recognition schedules, the amount appears as a negative number.)
    • GL Deferral Balance (available in Microsoft Dynamics GP 2015 R2 (ARED build 520 and newer) and 2018 (ARED build 702 and newer); calculated as follows: Total invoice amount from ARCB - Amount recognized in ARED)
    • ARED Deferral Balance (renamed in Microsoft Dynamics GP 2015 R2 (ARED build 520 and newer), 2016 R2 (build 613 and newer), and 2018 (ARED build 702 and newer), previously it was only Deferral Balance)
    • ARCB Schedule ID (available when ARCB is installed, SOP Recognition Schedule Origin only)
    • ARCB Schedule Status (available when ARCB is installed, SOP Recognition Schedule Origin only)
  • When Report is Revenue Waterfall, the list view displays the following columns:
    • Facility ID
    • Recognition Account
    • Schedule Number
    • Schedule Status
    • Customer Number (SOP or AR Recognition Schedule Origin only)
    • Customer Name (SOP or AR Recognition Schedule Origin only)
    • Vendor Number (POP of AP Recognition Schedule Origin only)
    • Vendor Name (POP of AP Recognition Schedule Origin only)
    • Item Number (Recognition by Item only)
    • Item Description (Recognition by Item only)
    • Reference (GL Recognition Schedule Origin only)
    • Distribution Type (Recognition by Distribution only)
    • Distribution Reference (Recognition by Distribution only)
    • Original Deferred Amount
    • Recog – one column for each period, month and year shown in heading
    • UnRecog – one column for each period, month and year shown in heading
    • Document Number
    • Document Post Date
    • Customer Class (SOP or AR Recognition Schedule Origin only)
    • Vendor Class (POP of AP Recognition Schedule Origin only)
    • Item Class (Recognition by Item only)
    • ARCB Schedule ID (available when ARCB is installed, SOP Recognition Schedule Origin only)
    • ARCB Schedule Status (available when ARCB is installed, SOP Recognition Schedule Origin only)
  • When Report is Declining Balance, the list view displays the following columns:
    • Facility ID
    • Recognition Account
    • Schedule Number
    • Schedule Status
    • Customer Number (SOP or AR Recognition Schedule Origin only)
    • Customer Name (SOP or AR Recognition Schedule Origin only)
    • Vendor Number (POP of AP Recognition Schedule Origin only)
    • Vendor Name (POP of AP Recognition Schedule Origin only)
    • Item Number (Recognition by Item only)
    • Item Description (Recognition by Item only)
    • Reference (GL Recognition Schedule Origin only)
    • Distribution Type (Recognition by Distribution only)
    • Distribution Reference (Recognition by Distribution only)
    • Original Deferred Amount
    • Declining Balance – one column for each period, only month and year shown in heading
    • Document Number
    • Document Post Date
    • Customer Class (SOP or AR Recognition Schedule Origin only)
    • Vendor Class (POP of AP Recognition Schedule Origin only)
    • Item Class (Recognition by Item only)
    • ARCB Schedule ID (available when ARCB is installed, SOP Recognition Schedule Origin only)
    • ARCB Schedule Status (available when ARCB is installed, SOP Recognition Schedule Origin only)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Distribution Line Deferral Inquiry Zoom (Purchasing Invoice): Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Distribution Line Deferral Inquiry Zoom (Purchasing Invoice): Fields

Account

Displays the account selected or entered in Purchasing Invoice Entry window.

Create Schedule Based on Dates

Displays the Start Date, End Date, and Frequency for calculating a recognition period.

Deferrable

Displays whether the distribution is deferrable.

Deferral End Date

Displays the date on whichthe recognition schedule ends. Available when the Create Schedule bases on Dates is selected.

Deferral Frequency

Displays the deferral frequency. Available when Create Schedule Based on Dates is selected.

Deferral Start Date

Displays the default deferral start date:

  • Doc Date: The deferral start date is the document date.
  • 1st of Next Month: The deferral start date is the first of the next month. If the document date is first of the month, then 1st of the current month is the deferral start date.
  • Rule 15: If the document date is between the first and the fifteenth of the month, the deferral start is defaulted to the first of the current month. If the document date is between the sixteenth and the end of the month, the deferral start date is the first of the next month.

Description

Displays the description for the selected account. Read-only.

Distribution Type

Displays the distribution type selected or entered in Purchasing Invoice Entry window. Read-only.

Recognition Account

Displays the recognition account number. The default account number is based on the vendor purchasing deferral information.

Template ID

Displays the template ID for the schedule. The default account number is based on the vendor purchasing deferral information. Available when Create Schedule Based on Dates is cleared.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Deferral Zoom: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Deferral Zoom: Fields

Create Schedule based on Dates

Displays whether the schedule uses the Start Date, End Date, and Frequency for calculating the recognition schedule.

Deferrable

Displays whether the item is deferrable. When selected the distribution for the item is deferrable. When cleared, the item is not deferrable.

Deferral End Date

Displays the deferral end date for the recognition schedule. Available when Create Schedule based on Dates is selected.

Deferral Frequency

Displays the deferral frequency. Available when Create Schedule based on Dates is selected.

Deferral Start Date

Displays the deferral start date:

  • Doc Date: The deferral start date is the document date
  • 1st of Next Month: The deferral start date is the first day of the month following the document date. If the document date is already the 1st day, then the deferral start date is the document date.
  • Rule 15: If the document date is between the 1st and 15th of the month, the deferral start is defaulted to the 1st of the current month. If the document date is between the 16th and EOM, the deferral start date is the first of the next month.

Item Description

Displays the description of the item for the selected purchasing invoice entry line item.

Item Number

Displays the item number for the selected purchasing invoice entry line item. .

Recognition Account

Displays the recognition account.

Template ID

Displays the recognition template for the distribution.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Distribution Inquiry Zoom: Buttons

Additional Menu > Distribution Line Deferral

Opens the Distribution Line Deferral Zoom window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Analysis Inquiry: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Go To

Opens the ARCB Billing Schedule Maintenance window (available as of Microsoft Dynamics GP 2015 R2 and only when ARCB is installed).

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Redisplay

Updates the scrolling window or list view.

User Preference

Available as of Microsoft Dynamics GP 2016 R2.

Opens the User Preference window, where you can customize the columns that appear in the list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Analysis Inquiry: Fields

As Of Date

Select the as of date. This box is available when Date Restriction is set to As Of Date.

Date Restriction

Select the date restriction: As Of Date, Date Range, or None.

From/To

Select the from and to dates for the date range. This box is available when Date Restriction is set to Date Range.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

After you select the data category, select the type of records that you want to display:

  • Open: Select to include all records that are considered open.
  • History: Select to include all records that are in the history table.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Recognition Schedule Origin

Select the origin of the schedule: Purchase Order Processing, Sales Order Processing, Accounts Payable, Accounts Receivable, or General Ledger. Required for display.

Note icon. Note: Only the modules that are selected and in use on the Advanced Rev. & Exp. Deferrals Setup window appear as an option in this box.

Recognition Schedule Type

Displays the selected schedule type in the scrolling window:

  • Event Based: Displays all deferral schedules that use the event-based feature. If the event-based feature is not used and this option is selected, a warning message appears.
  • Standard: Displays all standard (non-event-based) deferral schedules.
  • Create One Schedule: Displays deferral schedules that are created using the Create One Schedule functionality. Available in PrM build 804 (and newer).
  • All: Displays all deferral schedules. Available in PrM build 804 (and newer).

Total Recognition Amount

Displays the total recognition amount for the schedule.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Recognition Schedule Type
  • Recognition Schedule Origin (SOP/POP/AR/AP/GL
  • Schedule Status
  • Deferral Start Date
  • Deferral End Date
  • Work/History/Recognized/Unrecognized/Stub
  • Recognition Schedule Number
  • Event Based Template ID/Template ID
  • Event Type
  • Description
  • Event Identifier
  • Expiry Date
  • Anticipate Expiry Date
  • Schedule Status
  • Vendor/Customer
  • Vendor/Customer Name
  • Contract Number
  • POP/SOP Document Number/Journal Entry
  • Document Post Date (not for GL)
  • Item Number/Reference
  • Item Description
  • Document Date
  • New/Renew
  • Offering Type
  • Source
  • Order Type
  • Deferral Account
  • Deferral Account Description
  • Recognition Account
  • Recognition Account Description
  • Expiration Account
  • Expiration Account Description
  • Associated Credit Memo
  • Recognition Amount Sequence Number
  • Start Date
  • End Date
  • Month End Date
  • Amount (For markdown recognition schedules, the amount appears as a negative number.)
  • Total Recognition Amount
  • Facility ID (Displayed only when Multi-Entity Management is installed.)
  • Recognized
  • Stubbed
  • Account Description
  • Distribution Reference
  • Site ID
  • ARCB Schedule ID (available as of Microsoft Dynamics GP 2015 R2 and when ARCB is installed, SOP Recognition Schedule Origin only)
  • ARCB Schedule Status (available as of Microsoft Dynamics GP 2015 R2 and when ARCB is installed, SOP Recognition Schedule Origin only)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Audit Inquiry: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Go To

Opens the ARCB Billing Schedule Maintenance window (available as of Microsoft Dynamics GP 2015 R2 and only when ARCB is installed).

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Redisplay

Updates the scrolling window or list view.

User Preference

Available as of Microsoft Dynamics GP 2016 R2.

Opens the User Preference window, where you can customize the columns that appear in the list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Audit Inquiry: Fields

As Of Date

Select the as of date. This box is available when Date Restriction is set to As Of Date.

Date Restriction

Select the date restriction: As Of Date, Date Range, or None.

From/To

Select the from and to dates for the date range. This box is available when Date Restriction is set to Date Range.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

After you select the data category, select the type of records that you want to display:

  • Open: Select to include all records that are considered open.
  • History: Select to include all records that are in the history table.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Recognition Schedule Origin

Select the origin of the schedule: Purchase Order Processing, Sales Order Processing, Accounts Payable, Accounts Receivable, or General Ledger. Required for display.

Note icon. Note: Only the modules that are selected and in use on the Advanced Rev. & Exp. Deferrals Setup window appear as an option in this box.

Recognition Schedule Type

Displays whether the schedule is Event Based or Standard.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Recognition Schedule Type
  • Audit Trail Entry Sequence Number
  • Action/Event
  • Event Based Template ID/Template
  • Event Type
  • Description
  • Event Identifier
  • Expiry Date
  • Antcpd Expiry Date
  • Recognition Schedule Number
  • Schedule Status
  • Vendor/Customer
  • Vendor/Customer Name
  • Contract Number
  • POP/SOP Document Number/Journal Entry
  • Item Number/Reference
  • Item Description
  • Document Date
  • New/Renew
  • Offering Type
  • Source
  • Order Type
  • Associated Credit Memo
  • Recognition Amount Sequence Number
  • Start Date
  • End Date
  • Batch ID
  • Transaction Date
  • Journal Entry Number
  • Debit Account
  • Debit Account Description
  • Credit Account
  • Credit Account Description
  • Expiration Account
  • Expiration Account Description
  • Amount (For markdown recognition schedules, the amount appears as a negative number.)
  • User ID
  • Date
  • Time
  • Facility ID (displayed only when Multi-Entity Management is installed.)
  • Account Description
  • Distribution Reference
  • Site ID
  • ARCB Schedule ID (available as of Microsoft Dynamics GP 2015 R2 and when ARCB is installed, SOP Recognition Schedule Origin only)
  • ARCB Schedule Status (available as of Microsoft Dynamics GP 2015 R2 and when ARCB is installed, SOP Recognition Schedule Origin only)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Inquiry: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Go To

Opens the ARCB Billing Schedule Maintenance window (available as of Microsoft Dynamics GP 2015 R2 and only when ARCB is installed).

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Redisplay

Updates the scrolling window or list view.

User Preference

Available as of Microsoft Dynamics GP 2016 R2.

Opens the User Preference window, where you can customize the columns that appear in the list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Inquiry: Fields

As Of Date

Select the as of date. This box is available when Date Restriction is set to As Of Date.

Date Restriction

Select the date restriction: As Of Date, Date Range, or None.

From/To

Select the from and to dates for the date range. This box is available when Date Restriction is set to Date Range.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

After you select the data category, select the type of records that you want to display:

  • Open: Select to include all records that are considered open.
  • History: Select to include all records that are in the history table.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Recognition Schedule Origin

Select the origin of the schedule (required):

  • Sales Order Processing
  • Purchase Order Processing
  • Accounts Payable
  • Accounts Receivable.
  • General Entry

Note icon. Note: Only the modules that are selected and in use on the Advanced Rev. & Exp. Deferrals Setup window appear as an option in this box.

Recognition Schedule Type

Select whether the schedule is Event Based or Standard. By default, Standard is selected.

Total Original Recognition Amount

Displays the total original recognition amount for the schedule.

Total Recognized Amount

Displays the total recognized amount for the schedule.

Total Remaining Amount

Displays the total remaining recognition amount for the schedule.

Total Schedule Amount

Displays the total amount to be recognized based on the schedule. This amount must match the Recognition Amount in order for the schedule to be committed.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

List View

Displays all records that match the criteria that you selected. The list view displays the following columns:

  • Recognition Schedule Origin (SOP/POP/AR/AP/GL)
  • Work/History
  • Recognition Schedule Number
  • Schedule Status
  • Deferral Start Date (available as of Microsoft Dynamics GP 2013 SP2 (12.00.1482) and 2016 R2)
  • Deferral End Date (available as of Microsoft Dynamics GP 2013 SP2 (12.00.1482) and 2016 R2)
  • Vendor/Customer
  • Vendor/Customer Name
  • Contract Number
  • POP/SOP/Document/Voucher Number/Journal Entry
  • Document Post Date (not for GL)
  • Item Number/Distribution Type/Reference
  • Item Description
  • Document Date
  • Original Recognition Amount
  • Total Recognized Amount
  • Recognized Amount (For markdown recognition schedules, the amount appears as a negative number.)
  • Deferred Amount (For markdown recognition schedules, the amount appears as a negative number.)
  • Adjustment Amount
  • New/Renew
  • Offering Type
  • Source
  • Order Type
  • Deferral Account
  • Deferral Account Description
  • Recognition Account
  • Recognition Account Description
  • Expiration Account (displays when Event Based recognition type is selected)
  • Expiration Account Description (displays when Event Based recognition type is selected)
  • On Hold Account
  • On Hold Account Description
  • Associated Credit Memo
  • Adjustment Credit Memo
  • Total Original Recognition Amount
  • Total Schedule Amount
  • Total Recognized Amount
  • Total Remaining Amount
  • Facility ID (displayed only when Multi-Entity Management is installed and used)
  • Account Description
  • Distribution Reference
  • Site ID
  • Deferral Start Date (available as of Microsoft Dynamics GP 2013 SP2 (12.00.1482) and 2016 R2)
  • Deferral End Date (available as of Microsoft Dynamics GP 2013 SP2 (12.00.1482) and 2016 R2)
  • ARCB Schedule ID (available as of Microsoft Dynamics GP 2015 R2 and when ARCB is installed, SOP Recognition Schedule Origin only)
  • ARCB Schedule Status (available as of Microsoft Dynamics GP 2015 R2 and when ARCB is installed, SOP Recognition Schedule Origin only)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Zoom: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

OK

Closes the window.

User-Defined

Open the Schedule User-Defined Fields Entry window, where you can enter and/or view additional information for the selected schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Zoom: Fields

For a list of fields, see the field descriptions for the Recognition Schedule Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Item Deferral Zoom: Buttons

Cancel

Cancels all changes and closes the window.

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Item Deferral Zoom: Fields

For a list of fields, see the field descriptions for the Sales Line Item Deferral window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Deferral: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Deferral: Fields

Create Schedule based on Dates

Select to use the Start Date, End Date, and Frequency for calculating the recognition schedule instead of using a template.

Deferrable

Select to indicate that the item is deferrable. The default setting is from the item deferral information if it exists. When this check box is cleared, the item is not deferrable.

Deferral End Date

Select the deferral end date for the recognition schedule. Available when Create Schedule based on Dates is selected.

Deferral Frequency

Select the deferral frequency. Available when Create Schedule based on Dates is selected.

Deferral Start Date

Select the deferral start date:

  • Doc Date: The deferral start date is the document date
  • 1st of Next Month: The deferral start date is the first day of the month following the document date. If the document date is already the 1st day, then the deferral start date is the document date.
  • Rule 15: If the document date is between the 1st and 15th of the month, the deferral start is defaulted to the 1st of the current month. If the document date is between the 16th and EOM, the deferral start date is the first of the next month.

The default value is from the setting of the Default Def Start Date on the Advanced Rev. & Exp. Deferrals Setup window.

Item Description

Displays the description for the item. Read-only.

Item Number

Displays the item number for the selected purchasing invoice entry line item. Read-only.

Recognition Account

Select the recognition account. The default value is based on the purchasing deferral information for the item or vendor.

Template ID

Select the recognition template for the distribution. The default value is based on the purchasing deferral information for the item or vendor.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Journal Entry Processing: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Executes the Processing Action on all records that you selected in the scrolling window.

Redisplay

Updates the scrolling window or list view.

For benchmark performance results, see Journal Entry Processing – Redisplay: Benchmark Performance Results.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Journal Entry Processing: Fields

As of Date

Select the as of date.

Batch ID

Specify the batch ID for processing the transactions.

Date Restriction

Select the type of date restriction: As Of Date or Date Range. Required for processing, if applicable.

Processing Action

Select the type of action you want to process:

  • Create Journal Entry
  • Reverse Journal Entry
  • Reverse Summarized Journal Entry
  • Stub Recognition Amount
  • Reverse Stub Recognition Amount

For processing information, see Journal Entry Processing.

Ranges (From, To)

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Schedule Origin

Select the origin of the schedule: Purchase Order Processing, Sales Order Processing, Accounts Payable, Accounts Receivable, or General Ledger. Required for display.

Schedule Type

Select the schedule type: Standard or Event Based.

Summarized Journal Entry

Select to create one journal entry for all the selected schedule lines. Clear the check box to create a journal entry for each schedule line. The default value is set in the Advanced Rev. & Exp. Deferrals Setup window.

As of Microsoft Dynamics GP 2015 R2, the following functionality is added. If on the Sales Line Item Deferral window Attach AA Dimensions is selected for any line item on a recognition schedule, the journal entry for the line is not part of the summary. Instead, a separate journal entry is created for all lines that have the Attach AA Dimensions check box selected.

Important: When you select Process to the post journal entry, a report showing the details of the summarized journal entry appears. Make sure you save a copy of the report so that you have the details of the journal entry for audit purposes. If you choose not to save a copy of the detailed report, you cannot regenerate or reprint it after the summarized journal entry has been posted.

Transaction Date

Select a transaction date. Required for processing.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Recognition Schedule Type
  • Schedule Number
  • Status (for example, Available)
  • Customer (Vendor or Customer)
  • Document Number (POP/SOP/ Document/Voucher Number/Journal Entry)
  • Item Number/Reference
  • Sequence Number
  • Deferral Account
  • Facility ID (appears only when MEM is installed and used)
  • Doc Type
  • Recognition Amount (positive or negative)

When Processing Action is set to Reverse Summarized Journal Entry, the following columns appear:

  • Journal Entry Number
  • Audit Trail Code
  • Amount
  • Document Date
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Summarized Journal Entry Details: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Summarized Journal Entry Details: Fields

Account Number

Displays the account number for the journal entry.

Journal Entry

Displays the journal entry number.

Status

Displays the status of the journal entry transaction.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based Mass Processing : Buttons

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Executes the Processing Action on all records that you selected in the scrolling window.

You can update multiple records by:

  • End Date
  • Expiration Date (If option is selected in the setup)
  • Anticipated Expiration Date (If option is selected in the setup)

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Event Based Mass Processing : Fields

As Of Date

Select the as of date. This box is available when Date Restriction is set to As Of Date.

Date

Select the processing date.

Date Restriction

Select the date restriction: As Of Date, Date Range, or None.

From/To

Select the from and to dates for the date range. This box is available when Date Restriction is set to Date Range.

Processing Action

Select a processing action to apply to one or more schedules (required):

  • Update End Date
  • Update Expiry Date
  • Update Anticipated Expiry Date

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Schedule Origin

Select the origin of the schedule: Purchase Order Processing, Sales Order Processing, Accounts Payable, Accounts Receivable, or General Ledger. Required for display.

Total Recognition Amount

Displays the calculated total recognition amount of all the selected schedules in the scrolling window.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Recognition Schedule Type
  • Recognition Schedule Number
  • Event Based Template ID/ Template
  • Event Type
  • Description
  • Event Identifier
  • Expiry Date
  • Schedule Status
  • Document Number
  • Item Number/Distribution Type/Reference
  • Item Description
  • Customer/Vendor Number
  • Customer/Vendor Name
  • Document Date
  • Deferral Account
  • Deferral Account Description
  • Recognition Account
  • Recognition Account Description
  • Expiration Account
  • Expiration Account Description
  • Sequence
  • End Date
  • Amount
  • Facility ID (appears only when MEM is installed and used)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Schedule Processing: Buttons

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Executes the Processing Action on all records that you selected in the scrolling window.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Schedule Processing: Fields

Batch ID

Specify the batch ID for processing the transactions.

Cancellation Journal Entry

Select this option when you select Cancel Entire Schedule to produce two journal entries or select Cancel Unrecognized Amount Only to produce one journal entry.

Clear this option when you select either cancellation action to change the status of the schedule to Canceled so that the schedule can be archived. Journal entries are not created. The unrecognized amount remains in the deferral account.

New Deferral Account

Available in Microsoft Dynamics GP 2015 R2 and newer.

Select the deferral account that you want the deferral schedules to use.

New Recognition Account

Available in Microsoft Dynamics GP 2015 R2 and newer.

Select the recognition account that you want the deferral schedules to use.

Processing Action

Select the type of action you want to process:

  • Place Schedule On Hold
  • Remove Schedule From Hold
  • Cancel Unrecognized Amount Only
  • Cancel Entire Schedule
  • Reclassify Schedule (available in Microsoft Dynamics GP 2013 R2 and earlier)
  • Modify Recognition Account (available in Microsoft Dynamics GP 2015 R2 and newer)
  • Modify Deferral Account (available in Microsoft Dynamics GP 2015 R2 and newer)

For processing information, see Mass Schedule Processing.

Note icon. Note: In Microsoft Dynamics GP 2018 ARED build 702 (and earlier), you could not put a hold on a recognition schedule if any periods had already been recognized. As a result, the Place Schedule On Hold and Remove Schedule from Hold actions were not available to a recognition schedule after one or more periods have been recognized.

In Microsoft Dynamics GP 2018 ARED build 702 (and newer), this limitation has been removed. Recognition schedules that have one or more periods recognized can be put on hold. When the deferral schedule is put on hold, all recognized periods remain as is, the status of the recognition schedule changes to On Hold, and the recognition schedule is excluded from processing until the hold is removed.

Ranges (From, To)

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

Some of the options are available based on the Schedule Origin or the Processing Action selected.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Reclassification Account (or Cancellation Account)

Select an account, as applicable.

In ARED build 623 (and newer) and build 805 (and newer), the default value for the cancellation account is set up on the ARED Setup window. You can change the account as needed.

Schedule Origin

Select the origin of the schedule: Purchase Order Processing, Sales Order Processing, Accounts Payable, Accounts Receivable, or General Ledger. Required for display.

Transaction Date

Select the processing date.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Recognition Schedule Number
  • Schedule Status
  • Vendor/Customer
  • POP/SOP/Document/Voucher Number/Journal Entry
  • Item Number/Distribution Type/Reference
  • Item Description
  • Document Date
  • Original Recognition Amount
  • Total Recognized Amount
  • Recognized Amount
  • Deferred Amount
  • Deferral Start Date
  • Deferral End Date
  • Facility ID (appears only when MEM is installed and used)
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Unapply From Credits: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Processes all selected records. After the process is completed, a log report with the following information appears.

  • Schedule Number
  • Return Document Number
  • Applied Amount
  • Processed (Yes or No)

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Mass Unapply From Credits: Fields

As of Date

Select the as of date. This box is available when Date Restriction is set to As Of Date.

Date

Select the processing date.

Date Restrictions

Select the date restriction: As Of Date or Date Range.

From/To

Select the from and to dates for the date range. This box is available when Date Restriction is set to Date Range.

Schedule Origin

Select the origin of the transactions that you want to process. Currently, Sales Order Processing is the only available option.

Transaction Date

Displays the date on which the unbilled revenue journal entry is reversed. This date is the same as the transaction date that is applied to the reversal journal entry for the unbilled revenue functionality.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Total Applied Amount

Displays the sum total of the selected lines to process.

List View

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Recognition Schedule Number
  • Sale Document Number
  • Applied Date
  • User ID
  • Applied Amount
  • Journal Entry Number
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Offering Type Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Offering Type Maintenance: Fields

Description

Specify a description for the offering type.

COGS Deferral Account

Select the account to use for the expenses and costs of goods sold (COGS) of an inventory item. This account is used when creating a COGS recognition schedule. Available as of Microsoft Dynamics GP 2015 R2.

Expense Deferral Account

Select an expense deferral account.

Markdown Deferral Account

Available as of Microsoft Dynamics GP 2015 R2.

Select the account to use for deferring markdown amounts separately. his account is used when Defer Markdown Separately is selected on the Advanced Rev. & Exp. Deferrals Setup window.

Offering Type ID

Specify a unique ID for the offering type.

On-Hold Expense Deferral Account

Select an on-hold expense deferral account. When a schedule is put on hold, the unrecognized amount is moved to this account.

On-Hold Revenue Deferral Account

Select an on-hold revenue deferral account. When a schedule is put on hold, the unrecognized amount is moved to this account.

Revenue Deferral Account

Select a revenue deferral account.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Offering Type Maintenance: Overview

Button showing that window Overview page is currently viewed.

Cards > Advanced Rev. & Exp. Deferrals > Offering Type

Available in Microsoft Dynamics GP 2015 R2 and earlier. As of Microsoft Dynamics GP 2016 R2, this window is not available.

Use this window to set up revenue and expense accounts for deferrals. This window represents an offering of goods or services to a customer or from a vendor.

Watch a Video

  • Using the Offering Type

See also

Creating an Offering Type

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Order Type Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Order Type Maintenance: Fields

COGS Recognition Account

Available as of Microsoft Dynamics GP 2015 R2.

Select the account to use for the deferred revenue and costs of goods sold (COGS) of an inventory item. This account is used when creating a COGS recognition schedule.

Description

Specify a description for the order type.

Order Type ID

Specify a unique order type ID.

Markdown Recognition Account

Available as of Microsoft Dynamics GP 2015 R2.

Select the account used for recognizing markdown amounts separately. This account is used when Defer Markdown Separately is selected on the Advanced Rev. & Exp. Deferrals Setup window.

Recognition Account

Select a recognition account for the order type.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Profit and Loss Distribution: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Profit and Loss Distribution: Fields

Account

Displays the deferred revenue account or the deferral account.

Debit

Displays the amount that is debited from the deferred revenue account.

Credit

Displays the amount that is credited to the deferral account.

Journal Entry

Displays the journal entry number.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Invoice Distribution Entry: Buttons

Additional Menu > Distribution Line Deferral

Opens the Distribution Line Deferral window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Invoice Entry: Buttons

Additional Menu

Select Additional > Item Deferral (or Ctrl + D), which opens the Item Deferral window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recalculation Date: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recalculation Date: Fields

GL Transaction Date

Select the GL transaction date.

Reason

Specify the reason for changing the Deferral End Date.

Recalculation Date

Select the recalculation date.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Allocation Template: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Allocation Template: Fields

Allocation ID

Specify a unique allocation ID.

Allocation Method

Select the allocation method:

  • By Percentage: Calculates the recognition amount based on the percentage attached to each recognition account. The total percentage must not exceed 100%.
  • By Amount: The recognition amount for each recognition account is manually entered on the Sales Line Item Recognition Allocation window. The total amount must match the extended amount on the sales line.
  • Equal per Period: Distributes the amounts equally among all the recognition accounts.

Description

Specify a description for the allocation ID.

Scrolling Window

Allocation %

Specify the allocation percentage. Available when Allocation Method is By Percentage. The total allocation percentage must not exceed 100%.

Recognition Account

Select the account to which the recognition amount is to be allocated.

Schedule Type

Select the schedule type:

  • Standard: The schedule type is a standard recognition schedule. Default. The revenue is recognized and allocated based on the selected recognition template.
  • Event Based: The schedule type uses the event-based functionality. The revenue is recognized and allocated when certain events occur during the course of the recognition schedule.
  • Based on Dates - Standard: The schedule type is a standard recognition schedule. The revenue is recognized and allocated at specific dates during the course of the recognition schedule.
  • Recognize on Post: The revenue is recognized immediately, when a transaction that affects the recognition schedule is posted.

Template

Select the template to use for the allocation line. The default value is based on the Schedule Type selected.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Entry: Buttons

Cancel Schedule

Available in ARED build 623 (and newer) and build 805 (and newer).

Opens the Mass Schedule Processing window, where you can cancel the selected deferral schedule. When the Mass Schedule Processing window is opened, the following settings are automatically selected:

  • Processing Action set to Cancel Unrecognized Amount Only.
  • Cancellation Journal Entry is selected.
  • Cancellation Account is automatically updated with the Default Cancellation Account as specified on the ARED Setup window.
  • Restrictions box is updated so that filter applies only to the deferral schedule from this window.

Commit

Commits the changes and close the window.

Deferral End Date expansion button

Opens the Adjusted Deferral End Date Audit window to view logs of end date changes.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Import Recognition Amounts

Opens the Import Recognition Amount Utility window.

Recalculate

Recalculates the selected schedule.

User-Defined

Opens the Schedule User-Defined Fields Entry window, where you can enter additional information for the selected schedule.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Entry: Fields

Adjustment Amount

Displays the adjustment amount for the schedule, which is calculated as follows:
Recognized Revenue before termination - Revenue Amount should up until termination

Adjustment Credit Memo

Displays the credit memo document number assigned in adjustment process.

Amount Recognized

Displays the amount recognized from the schedule for all recognized periods.

Amount Remaining

Displays the amount remaining to be recognized from the schedule, which is calculated as follows:

Total Schedule Amount - Amount Recognized

You can select the expansion button to review the Unbilled Revenue Detail window.

ARCB Fields

ARCB Schedule ID

Displays the Billing Schedule ID of the billing item when the recognition schedule is updated by Advanced Recurring Contract Billing (ARCB). You cannot change the schedule ID.

ARCB Schedule Status

Displays the status of the related ARCB schedule: Active or Disabled.

Contract Number

Displays the contract number. The contract number comes from the customer or vendor if the schedule was created by Recognized by Item.

Customer/Vendor ID/Reference

Displays the customer number or vendor ID from the associated transaction.

Deferral Account

Displays the deferral account for the schedule. The deferral account comes from the transaction. The value is from the Sales Account on SOP Line for SOP transactions or from the Inventory Account on POP Receipt Line for POP Receipt transactions. The value can be changed by reclassification.

When a COGS schedule is displayed, the COGS deferral account is from the SOP line. This functionality is available as of Microsoft Dynamics GP 2015 R2.

Department ID

Displays the department ID attached to this recognition schedule. This box is available only when Multi-Entity Management is installed and used.

Document Date

Displays the document date of the associated transaction.

Event Based Template ID

Displays event based template ID.

Expiration Account

Displays the expiration recognition account from the SOP transactions. The account can be changed. When this account is used, then the item is expired and the server is not delivered.

Facility ID

Displays the entity ID attached to this recognition schedule. This box is available only when Multi-Entity Management is installed and used.

Item Number/Distribution Type

If the schedule is created by recognizing it by Item, the item number of the associated document line is displayed. If the schedule is created by recognizing it by Distribution, the distribution type of the selected document is displayed.

New/Renew

Displays whether the document is New or Renew.

Offering Type

Select the offering type for the schedule. This value is from the customer/vendor or item depending upon the setup. If the schedule override password is set up, the password must be entered when you change the value of the offering type.

Available only when Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window. When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, this box is not available.

On Hold Account

When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, the on hold account for the schedule is displayed. The account is from the offering type, and cannot be changed when the document is on hold. If the schedule override password is set up, the password must be entered when you change the account.

When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, the on hold account for the schedule is displayed. The value is from the Default Distribution Type Setup window and cannot be changed when the document is on hold. If the schedule override password is set up, the password must be entered when you change the account.

Also, when Recognition by Item is selected and Enable Account Substitution is selected in the Advanced Rev. & Exp. Deferrals Setup window, account substitution occurs based on the account segment ID for site.

Order Type

This option is available in Microsoft Dynamics GP 2015 R2 and earlier. As of Microsoft Dynamics GP 2016 R2, it is not available.

Select the order type for the schedule. This value is from the customer/vendor or item depending upon the setup. If the schedule override password is set up, the password must be entered when you change the value of the order type.

Available only when Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window. When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, this box is not available.

Original Number (Description)

For SOP, displays the document number from which the SOP document originated.

For Receivables/Payables, displays the transaction or document description of the AP/AR document.

Original Recognition Amount

Displays the recognition amount prior to adjustment.

In Microsoft Dynamics GP 2015 R2 and newer, the functionality is as follows:

For a sales transaction, this amount depends on the Include Markdown in Net Revenue option on the Advanced Rev. & Exp. Deferrals Setup window.

  • If Include Markdown in Net Revenue is selected, this value is calculated by the following equation: Qty *(Unit Price – Markdown Amount)
  • If Include Markdown in Net Revenue is cleared, this value is calculated by the following equation: Qty *Unit Price

Closed If you use 2013 R2 and earlier, review the details of the functionality.

For a sales transaction, this amount depends on the Include Markdown option on the Advanced Rev. & Exp. Deferrals Setup window.

  • If Include Markdown is selected, this value is calculated by the following equation: Qty *(Unit Price – Markdown Amount)
  • If Include Markdown is cleared, this value is calculated by the following equation: Qty *Unit Price

Profit Loss ID

Available in Microsoft Dynamics GP 2016 R2 and newer.

Select the Profit and Loss setup ID for a sales line transaction entry. The default value is from the Default Sales Transactions Setup window, but you can select a different ID.

When Deferral Posting Method is Profit and Loss on the ARED Setup window, the account associated with this ID are used for creating additional profit and loss distributions when a sales order processing posting occurs.

Rev./Exp. Source

Select the revenue/expense source for the schedule. This value is from the customer/vendor or item depending upon the setup. If the schedule override password is set up, the password must be entered when you change the value of the revenue/expense source.

Available only when Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window. When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, this box is not available.

Recognition Account

When Recognition by Item is selected in the Advanced Rev. & Exp. Deferrals Setup window, a recognition account for the schedule is required. The account is from the revenue/expense source and order type. Changing the account affects subsequently-created journal entries only. If the schedule override password is set up, the password must be entered when you change the account.

When Recognition by Distribution is selected in the Advanced Rev. & Exp. Deferrals Setup window, a recognition account for the schedule is required. The value is from the Customer/Vendor/Default Distribution Type Setup window. Changing the account affects subsequently-created journal entries only. If the schedule override password is set up, the password must be entered when you change the account.

Also, when Recognition by Item is selected and Enable Account Substitution is selected in the Advanced Rev. & Exp. Deferrals Setup window, account substitution occurs based on the account segment ID for site.

When a COGS schedule is displayed, the COGS recognition account is from he SOP Line Detail window. This functionality is available as of Microsoft Dynamics GP 2015 R2.

Recognition Amount

Displays the recognition amount for the schedule adjusted by an Adjustment Amount.

Recognition Periods and Amounts

The scrolling window handles both standard and even based recognition schedules. When recognition schedule type is standard, the following fields are displayed

The scrolling window displays recognition amounts for the schedule and is recalculated automatically. Double clicking on the scrolling window enables the Recognition Amount Edit section of the window.

Recognition Schedule Type

Displays whether the schedule is Event Based or Standard.

Schedule Number

Displays the schedule number for the displayed records. Select an existing schedule number to display.

Schedule Description

Specify a description for the schedule.

Schedule Origin

Displays the origin of the select schedule: SOP, POP, RM, PM, or GL.

For a schedule origin of GL (General Entry), you can select the Create Schedule Based on Dates option.

Schedule Period Merged

Available when Do Not Merge Recognition is cleared on the Advanced Rev. & Exp. Deferrals Setup window.

If the Deferral Start Date is earlier than the SOP, POP, or GL Document Date in the recognition schedule, all schedule lines with periods before the Document Date are merged into one schedule line. The amounts from the merged lines are added and the Schedule Period Merged column displays an X.

Schedule Status

Displays the schedule status. When you create the record, the status is Preliminary. After you post the associated the status changes to Available, at which time the schedule will be available for you to apply actions.

Serial Numbers Covered

Specify the serial numbers covered by this schedule.

SOP/POP/Document/Voucher Number/Journal Entry Number

Displays the document number of the associated transaction.

Standard Area

Boxes in the area are available when Recognition Schedule Type is Standard.

Create Schedule Based on Dates

Select to indicate whether to use the deferral start date and end date for calculating a recognition schedule, and not the template ID.

Deferral Frequency

Displays the default frequency for a recognition schedule:Monthly, Quarterly, Semi-Annually, Annually, or Fiscal Periods. This box is available when Create Schedule Based on Dates is selected.

If the Fiscal Period frequency is selected, the Length (Months) in the Period subwindow is locked.

In the scrolling window where the Start Date and End Date are displayed, the periods from the Fiscal Setup in Microsoft Dynamics GP are also displayed.

Deferral End Date

Displays the end date for the schedule. This box is available when Create Schedule Based on Dates is selected. This date is based on the start date and the number of months in the recognition periods.

You can change this date when the Schedule Status is Available and the Schedule Origin is Sales Order Processing or General Entry. The recognition schedule is recalculated.

You can also change this date by entering a date a Termination Date in the ARCB Billing Schedule Maintenance window.

For information on changing the deferral date, see section on Change Deferral Date.

Default Prorate

Select to indicate whether partial amounts should be prorated. This default value is from the Advanced Rev. & Exp. Deferrals Setup window.

Deferral Start Date

Specify the date on which the schedule starts. The start date is from the invoice date for revenue schedules and from the receipt date for expense schedules

Equal Per Period

Select to indicate whether the amount for each period should be the same. This default value is from the Advanced Rev. & Exp. Deferrals Setup window.

Template ID

Select a schedule template ID to be used for calculating recognition periods. Depending on the Advanced Rev. & Exp. Deferrals Setup window, the template ID is from the customer/vendor or item or distribution. If these values are not available, the template ID is from the Advanced Rev. & Exp. Deferrals Setup window.

Periods Scrolling Window

Frequency

Select the recognition frequency from Monthly, Quarterly, Semi-Annually, Annually. It is taken from the template.

Length (Periods)

Specify the number of the periods. This value is from the template.

Length (Months)

Displays the length of the period in months. This value is from the template and is recalculated automatically.

Start Date (Period)

Displays the start date for the period. The default is the deferral start date for first period. For subsequent periods, the default is the End Date of the previous period plus 1 day. The date is recalculated automatically based on the start date of the first period, and number of months to date

End Date (Period)

Displays the end date for the period based on the length of the period and is editable. You can change the end date. When you select Recalculate, the schedule is recalculated based on the new end date.

Total Length (Months)

Displays the total number of months for the schedule.

Total Schedule Amount

Displays the total amount to be recognized based on the schedule. This amount must match the Recognition Amount in order for the schedule to be committed.

Type

Select the type of period, free or covered. The value of this field defaults from template.

Scrolling Window Standard

The scrolling window displays the following columns:

  • Sequence Number
  • Start Date
  • End Date
  • Amount
  • Recognized
  • Stubbed
  • Amount Changed
  • Schedule Period Merged
  • Recognition JE (appears when the line item is recognized)
  • Recognition Date (appears when the line item is recognized)

When recognition schedule type is event based, then following fields are displayed:

  • Sequence
  • End Date
  • Expiry Date (appears when Enable Expiry Date is selected on the Default Sales Transaction Setup window)
  • Anticipate Expiry Date (appears when Anticipated Expiry Date is selected on the Default Sales Transaction Setup window)
  • Amount
  • Recognized
  • Stubbed
  • Recognition JE
  • Recognition Date

Double-clicking an item opens the Sales Line Item Deferral window, where you can add or modify the following boxes:

  • Event Type
  • Description
  • End Date
  • Expiry Date
  • Anticipated Expiry Date
  • % Completion
  • Amount Spent
  • Recognition Amount
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Lookup: Buttons

Cancel

Closes the window without selecting a record.

Select

Opens the highlighted record in the in the Recognition Schedule Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Schedule Lookup: Fields

Find by

Specify the identifier to search for a specific recognition schedule. To determine the identifier by which to search, select one of the following column headings in the scrolling window:

  • Schedule Number
  • Document Number
  • Customer ID (available when Schedule Origin is Sales Order Processing or Accounts Receivable on the Recognition Schedule Entry window - available as of Microsoft Dynamics GP 2016 R2)
  • Vendor ID (available when Schedule Origin is Purchase Order Processing or Accounts Payable on the Recognition Schedule Entry window - available as of Microsoft Dynamics GP 2016 R2)
  • Site ID

The label for the search changes and you can specify the identifier that you want.

Scrolling Window

Displays all schedules that match the criteria in the Find by Schedule Number box. Displays the following columns:

  • Schedule Number
  • Description
  • Status
  • Document Number
  • Customer ID (available when Schedule Origin is Sales Order Processing or Accounts Receivable on the Recognition Schedule Entry window - available as of Microsoft Dynamics GP 2016 R2)
  • Vendor ID (available when Schedule Origin is Purchase Order Processing or Accounts Payable on the Recognition Schedule Entry window - available as of Microsoft Dynamics GP 2016 R2)
  • Document Description (AR, AP)
  • Site ID
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Template Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Recognition Template Maintenance: Fields

Template Description

Specify a description.

Template ID

Specify a unique template ID.

Scrolling Window

Frequency

Select a default recognition frequency for schedules: Monthly, Quarterly, Semi-Annually, Annually, or Fiscal Periods. The initial value is from the Advanced Rev. & Exp. Deferrals Setup window.

When Fiscal Periods is selected, the Length (Months) is not available for editing.

When a template with the fiscal periods frequency is attached to an entity (item, customer, vendor, distribution type, or an account for GL Module), ARED refers to the Microsoft Dynamics GP fiscal period setup and used the fiscal periods based on the deferral start date and deferral end date that is entered and created for the recognition schedule.

Note icon. Note: As a best practice create all future fiscal periods to mate the required recognition scheduled. If the fiscal periods are not set up to match the future deferral periods, the settings for the current fiscal period are used.

Length (Months)

Displays the period length in months. This value is recalculated automatically.

Length (Periods)

Specify the period length in number of periods.

Total Length (Months)

Displays the total number of months for this template.

Type

Select the period type: Free or Covered.

When Free is selected, the Free Period on the Recognition Schedule Entry window shows zero amounts.

For example, you have: Free, 6 Months; Covered, 24 Months. For the first 6 months on the schedule, there is a zero amount (no deferral amount). For the remaining 24 months, the deferral amount is shown.

This is typically used when you provide services for free for a period of time. The revenue is only recognized when you begin to invoice an actual amount.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue/Expense Source Maintenance: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Delete

Deletes the current record.

Save

Saves the record and any changes to the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Revenue/Expense Source Maintenance: Fields

Base On Order Type

Select if the recognition account should be based on an order type. When this check box is selected, the recognition account from the order type is used and the account set up in this window is ignored. You can then select the expansion button to open the Order Type Maintenance window.

If you do not want the recognition account based on an order type, leave this check box cleared.

COGS Recognition Account

Available as of Microsoft Dynamics GP 2015 R2.

Select the account to use for the deferred revenue and costs of goods sold (COGS) of an inventory item. This account is used when creating a COGS recognition schedule.

Create One Schedule

Select to create one ARCB billing schedule for all periods in an ARED recognition schedule instead of the usual one billing schedule for each period.

This function is currently not supported in multicurrency environments. This check box is available only when ARCB is installed and in ARED build 707 (and newer).

When this check box is selected, select accounts for the following amounts:

  • Deferred revenue
  • Unbilled receivable
  • Deferred markdown
  • Unbilled Markdown
  • Termination unbilled receivables

Description

Specify a description.

Markdown Recognition Account

Available as of Microsoft Dynamics GP 2015 R2.

Select the account used for recognizing markdown amounts separately. This account is used when Defer Markdown Separately is selected on the Advanced Rev. & Exp. Deferrals Setup window.

Recognition Account

Select a recognition account.

Revenue/Expense Source ID

Specify a unique ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Item Recognition Allocation: Buttons

Cancel

Cancels all changes and closes the window.

OK

Closes the window.

Scrolling Window Expansion Button

Opens the Sales Line Item Deferral window.

Standard Recognition

Opens the SOP Line Deferral window. Available only when Recognition Allocation is cleared.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Item Recognition Allocation: Fields

Allocation ID

Displays the allocation ID from the item details. You can change it as needed. The values in the scrolling window change based on the allocation ID selected.

Allocation Method

Displays the allocation method associated with the allocation ID. You can change this value as needed:

  • By Percentage: Calculates the recognition amount based on the percentage attached to each recognition account. The total percentage must not exceed 100%.
  • By Amount: The recognition amount for each recognition account is manually entered on this window. The total amount must match the extended amount on the sales line.
  • Equal per Period: Distributes the amounts equally among all the recognition accounts.

COGS/Markdown Defer

Create Scheduled Based on Dates

Select to use the Deferral Start Date and Deferral End Date (not the Template ID) for calculating a recognition period. Available when Recognition Schedule Type is Standard.

COGS Deferrable

Indicates whether the revenue and costs of goods sold (COGS) of an inventory item is deferred.

COGS Recognition Account

Displays the account used for the deferred revenue and costs of goods sold (COGS) of an inventory item. The default value is set on the Revenue/Expense Source Maintenance window.

Markdown Recognition Account

Displays the account used for recognizing markdown amounts separately. The default value is set on the Revenue/Expense Source Maintenance window.

Recognition Schedule Type

Select the recognition schedule type: Standard or Event Based. The default selection is set up in the Advanced Rev. & Exp. Deferrals Setup window. Event Based is available when Enable Event Based is selected in the Advanced Rev. & Exp. Deferrals Setup window.

Template ID

Select a schedule template ID to be used for calculating recognition periods. Depending on the Advanced Rev. & Exp. Deferrals Setup window, the template ID is from the customer/vendor or item or distribution. If these values are not available, the template ID is from the Advanced Rev. & Exp. Deferrals Setup window.

Deferrable

Indicates whether the sales order processing line is deferrable. The default value is from the item details. You can change it as needed.

Deferral Account

Displays the deferral account for the schedule. The deferral account comes from the transaction.

Deferral End Date

Select the deferral end date. The deferral end date is used when Schedule Type is Based on Dates.

Deferral Frequency

Displays the deferral frequency. The default value is from the ARED schedule. You can change this value as needed. The deferral frequency is used when Schedule Type is Based on Dates.

Deferral Start Date

Displays the deferral start date. The default value is from the sales order processing document date and is based on the Default Def Start Date option selected on the Advanced Rev. & Exp. Deferrals Setup window. You can change this date as needed.

The deferral start date is used when Schedule Type is Based on Dates.

Description (Allocation ID)

Displays the description of the allocation ID.

GL Batch Number

Specify a GL batch ID. The batch ID is required for creating the reverse journal entries for the recognized periods.

Item Description

Displays the description for the item.

Displays the item number.

The item number is from the sales order processing line.

Recognition Allocation

Indicates whether the recognition allocation functionality is used for the sales order processing line. The default value is from the item details. You can change it as needed.

Recognition Amount

Displays a calculated valued that is based on the Allocation Method selected.

SOP Type

Displays the sales order processing type: Quote, Order, Invoice, or Return.

SOP Number

Displays the document number for the sales order processing document.

Total Recognition Amount

Displays the total recognition amount. The extended amount is on the sales line.

Scrolling Window

The data in the scrolling appear based on the Allocation ID selected.

Allocation %

Displays the allocation percentage. Available when Allocation Method is By Percentage. You can change the percentage as needed. However, the total allocation percentage must not exceed 100%.

Deferral Account

Displays the deferral account for the line item. By default, all lines have the same deferral account, but you can change it as needed.

Recognition Account

Displays the account to which the recognition amount is to be allocated. You can change this value as needed.

Recognition Amount

Displays the calculated amount based on the Allocation Method selected. You can change the amount as needed. When Allocation Method is By Amount, manually specify the recognition amounts.

Schedule Type

Displays the schedule type: Standard (default), Event Based, Based on Dates, or Recognize on Post. For the line item, you can select Based on Dates or Recognize on Post from the Sales Transaction Entry window.

When the schedule type is Based on Dates, the start date and end date are from the header section of the Sales Transaction Entry window.

You can change the schedule type by selecting the expansion button, which opens the Sales Line Item Deferral window.

Note icon. Note: When the Schedule Type is Recognize on Post, the Deferral Account for the line must be the same as the Deferral Account in the header.

Template

Select the template to use for the allocation line. The default value is based on the Schedule Type selected.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Deferral Event ID Audit: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Deferral Event ID Audit: Fields

Event Description

Displays the description of the event type.

Event Type

Displays the event type.

Line Item Sequence

Displays the sequence number for the event type.

Scrolling Window

Date Modified

Displays the date on which the change occurred.

New Event Identifier/Deferral End Date

Displays the new Event ID or deferral End Date.

Origin

Displays the origin of the change: Manual or System. Manual changes occur when a user directly changes the event ID or end date. A system change occurs through recalculation.

Original Event Identifier/Deferral End Date

Displays the original Event ID or deferral End Date from the Sales Line Item Deferral window.

Reason

Displays the reason the change occurred.

User Modified

Displays the identifier of the user who made the change.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Item Deferral: Buttons

Cancel

Cancels all changes and closes the window.

End Date expansion button

Opens the Sales Line Deferral Event ID Audit window.

Event Identifier expansion button

Opens the Sales Line Deferral Event ID Audit window.

OK

Saves any changes, and closes the window.

Recognition Allocation

Available as of Microsoft Dynamics GP 2015 R2.

Allows you to switch the functionality of this window to work with schedules that use the functionality within the Recognition Allocation module or to work with standard recognition schedules. Before the window changes, you are asked if you want to change the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Item Deferral: Fields

Allocation Method

Select the allocation method used to calculate the recognition amount for each period:

  • Equal Amounts: Distributes the amounts equally among all the periods.
  • By Percentage: Calculates the recognition amount for each period based on the percentage attached to each event. The total percentage should not exceed 100%.
  • Variable Amounts: The recognition amount for each event (period) is manually entered on the Recognition Schedule Entry window. The total amount should match the extended amount on the sales line.
  • Percentage of Completion: When selected, two additional boxes are available on the Recognition Schedule Entry window, where you can specify the Percentage Completed or Amount spent. Based on either of these values the Recognition Amount is calculated for each period.

Attach AA Dimensions

Available in Microsoft Dynamics GP 2016 R2 (ARED build 614 and earlier) and Microsoft Dynamics GP (ARED build 701 and earlier). For newer versions of ARED, this option has been removed.

Select to override analytical accounting information from sales when a journal entry is created for the line item. When the check box is cleared, the analytical accounting information is not overridden from sales. Available as of Microsoft Dynamics GP 2015 R2.

Bundle

Note icon. Note: The bundle transaction feature is available only in Microsoft Dynamics GP 2013 R2 and earlier versions of ARED. For Microsoft Dynamics GP 2015 and newer, use the MERA integration for multiple-element transactions.

Bundle ID

Select a bundle ID. When you select OK, the recognition amount for the item is recalculated.

Recognition Amount

Displays the calculated recognition amount.

COGS Deferrable

Select to defer the revenue and costs of goods sold (COGS) of an inventory item. When this check box is cleared, the revenue and COGS is not deferred. The default setting is from the Item Maintenance window. You can change it as needed.

Available as of Microsoft Dynamics GP 2015 R2.

COGS Recognition Account

Select the account to use for the deferred revenue and costs of goods sold (COGS) of an inventory item. The default value is from the Revenue/Expense Source Maintenance window. You can change the value as needed.

This account is used when creating a COGS recognition schedule. Available as of Microsoft Dynamics GP 2015 R2.

Contract ID

Select a contract ID. This information displays in the Recognition Schedule Entry window when a schedule is created, provided the Recognition by Item option is selected for sales deferrals in the Advanced Rev. & Exp. Deferrals Setup window.

Create Events Based on Qty

Select to create the recognition periods (lines) based on the quantity. When this option is selected, there are two scenarios:

  • Case 1: If there is a quantity of three and no events are specified in the template, three lines are in the recognition schedule.
  • Case 2: If there is quantity of three and two events are specified in the template, six lines are in the recognition schedule.

Create Schedule Based on Dates

Select to use the Start Date and End Date (not the Template ID) for calculating a recognition period. Available when Recognition Schedule Type is set to Standard.

Deferrable

Indicates whether the schedule is deferrable. The status is from the item details. You can override the status in this window.

Deferred Revenue Account

Available as of Microsoft Dynamics GP 2016 R2 , and when Deferral Posting Method is Profit and Loss on the ARED Setup window.

Select the Profit and Loss account to use to reverse the original revenue amount on a sales transaction.

The default value is based on the item class associated with the item. If no item class is associated with the item, then the default values are based on the Profit and Loss setup ID from the Item Maintenance window. If the Profit and Loss setup ID is not associated with the item, the default accounts are based on the Profit & Loss Account Setup window.

Deferral Account

Available as of Microsoft Dynamics GP 2016 R2, and when Deferral Posting Method is Profit and Loss on the ARED Setup window.

Select the Balance Sheet account to be used to record the total deferred balance that is transferred from the original revenue. This account is then used periodically to move the recognized revenue from the deferral.

The default value is based on the item class associated with the item. If no item class is associated with the item, then the default values are based on the Profit and Loss setup ID from the Item Maintenance window. If the Profit and Loss setup ID is not associated with the item, the default accounts are based on the Profit and Loss Account Setup window.

Event Based Template ID

Select the event based template ID. When Enable Event Based is selected in the Advanced Rev. & Exp. Deferrals Setup, you can select a template.

Markdown Recognition Account

Available as of Microsoft Dynamics GP 2015 R2.

Select the account used for recognizing markdown amounts separately. The default account is from the Revenue/Expense Source Maintenance window. You can change the value as needed.

This account is used when the markdown amount is recognized in a separate recognition schedule, which is when Defer Markdown Separately is selected on the Advanced Rev. & Exp. Deferrals Setup window.

Recognition Account

Displays the recognition account number for the item or customer. If the recognition account number is missing on the Item/Customer, the account is from the Default Sales Transaction Setup window.

This account number is used when creating a recognition schedule for the sales line item. You can change the account number.

Recognition Allocation

Available as of Microsoft Dynamics GP 2015 R2.

Select to indicate whether the functionality for the Recognition Allocation module is used for the line item. This option is available only when Enable Recognition Allocation is selected on the Advanced Rev. & Exp. Deferrals Setup window.

When selected the Recognition Allocation button is available. When the option is cleared, the Recognition Allocation button is not available.

Recognition Schedule Type

Select the recognition schedule type: Standard or Event Based. The default selection is set up in the Advanced Rev. & Exp. Deferrals Setup window. Event Based is available when Enable Event Based is selected in the Advanced Rev. & Exp. Deferrals Setup.

Standard

Create Schedule Based on Dates

Select to use the Start Date and End Date for calculating a recognition period, not the Template ID. This option is available when Recognition Schedule Type is Standard.

If the template ID is missing for the item or customer, the value is from the Default Sales Transaction Setup window.

The default value is from the Advanced Revenue & Expense Deferrals Setup window.

Deferral End Date

Select the date on which the schedule ends. Available when Recognition Schedule Type is Standard.

In ARED build 622 (and newer), the end date is required when the Create Schedule Based on Dates option is selected on the Advanced Revenue & Expense Deferrals Setup window.

Deferral Frequency

Select the deferral frequency: Monthly, Quarterly, Semi-Annually, Annually, or Fiscal Periods. Available when Recognition Schedule Type is Standard and when Create Schedule Based on Dates is selected.

The default value is from the Advanced Revenue & Expense Deferrals Setup window.

Deferral Start Date

Displays the date on which the schedule starts. The default value is based on the sale order processing document date and the setting of the Default Def Start Date option on the Advanced Rev. & Exp. Deferrals Setup window.

If needed, you can change the start date. Available when Recognition Schedule Type is Standard.

Template ID

Displays the template ID for the schedule. This value is from the item record or the customer record. If the template ID is missing for the item or customer, the ID comes from the Default Sales Transaction Setup window.

Available when Recognition Schedule Type is Standard and when Create Schedule Based on Dates is cleared.

Event Based Scrolling Window

You can use this scrolling window for data entry only when Recognition Schedule Type is Event Based. when Recognition Schedule Type is Standard, you cannot edit the values in this scrolling window.

If the Event Based Template is selected, the Event ID, Description, and recognized amount are calculated based on the allocation method selected and displayed on this scrolling window as default values.

Expiry Date and the Anticipated Expiry date are populated based on the options selected on Default Sales Transaction Setup window.

Alloc %

Specify a percentage for the event. The total of all events should equal 100%. Available only when Allocation Method is set to By Percentage.

Anticipated Expiry Date (Antcpd Expiry Dt)

Displays the anticipated expiry date. This value is automatically entered based on the options selected on Default Sales Transaction Setup window. You can edit this date.

Completion %

Specify a percentage completed for the event. When you enter a value, the Recognition Amount is calculated. Available only when Allocation Method is set to By Percentage.

Completion Amt

Specify the Completion % or Completion Amt.. When you enter the percent or amount, the Recognition Amount is calculated. Available only when Allocation Method is set to Percentage of Completion.

Description

Specify a description for the event type. This is informational only.

End Date

Select the date on which the event ends. All changes to this value are traceable. To view changes, select the expansion button Expansion Arrow icon., which opens the Sales Line Deferral Event ID Audit window.

Event Identifier

Specify the event ID. You can specify a unique identifier only when Use Event Identifier is selected on the Advanced Rev. & Exp. Deferrals Setup window. All changes to this value are traceable. To view changes, select the expansion button Expansion Arrow icon., which opens the Sales Line Deferral Event ID Audit window.

Event Type

Select an event type.

Expiry Date

Displays the expiry date. This value is automatically entered based on the options selected on Default Sales Transaction Setup window. You can edit this date.

Note icon. Note: The event can expire or end. If the Expiry Date has a value, the End Date cannot be edited. If you try to edit the End Date, the following message appears: This line is expired. If the End Date has a value, when you try to edit the date, the following message appears: This line is ended.

Recognition Amount

Displays a calculated valued that is based on the Allocation Method you selected. You can override this amount.

Recognized

Indicates whether the schedule line is recognized. A selected check box indicates the schedule is recognized.

Sequence

Displays the sequence number for the event. You cannot edit this value. It is automatically generated.

Stubbed

Indicates whether the schedule lines is stubbed. A selected check box indicates the schedule is stubbed.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule User Defined Fields Entry: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Schedule User Defined Fields Entry: Fields

Description

Displays the description for the schedule selected in the Recognition Schedule Entry window.

Schedule ID

Displays the schedule ID for the schedule selected in the Recognition Schedule Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Unbilled Revenue Detail: Buttons

OK

Closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Unbilled Revenue Detail: Fields

Schedule Number

Displays the number for the recognition schedule.

Schedule Origin

Displays the origin of the recognition schedule.

List View

Date Processed

Displays the date on which the termination is processed.

Journal Entry

Displays the journal entry number for the unbilled revenue amount.

Unbilled Revenue Amount

Displays the unbilled revenue amount, which is calculated as follows:

Total (Unbilled + Billed) Amount (in ARCB) – Recognized Revenue before termination – Refund Amount + Adjustment Amount

  • If this value is negative, the unbilled revenue account is debited, and the deferred revenue account is credited.
  • If this value is positive, the deferred revenue account is debited, and the unbilled revenue account is credited.

When an ARCB billing schedule is terminated, one or more return transactions for the ARED deferral schedule are created based on the termination date. As a result, the unbilled revenue amount includes the reversal recognition of the initial journal entry created for the deferral schedule.

User ID

Displays the ID for the current user.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Preference: Buttons

Cancel

Closes the window without saving the changes.

Default

Reverts all changes to the original default display of the list view.

Move Up/Move to Top/Move Down/Move to Bottom

Moves the selected column to the top of the list or the bottom of the list, or incrementally up or down one level at a time.

OK

Saves the changes that were made based on the user and the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


User Preference: Fields

Column Name

Displays the column name. You cannot edit the column name.

Display

Select to show the column in the list view. By default, this option is selected for all columns.

Clear the check box to hide the column from the list view.

Sort By

Select the default sort order of the list view. By default, the list view is sorted by the first column.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Archive Recognition Schedules Utility: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Moves all the selected schedules to the History table.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Archive Recognition Schedules Utility: Fields

As Of Date

Select the as of date. This box is available when Date Restriction is set to As Of Date.

From/To

Select the from and to dates for the date range. This box is available when Date Restriction is set to Date Range.

Date Restriction

Select the date restriction: As Of Date or Date Range.

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Recognition Schedule Origin

Select the origin of the schedule: Purchase Order Processing, Sales Order Processing, Accounts Payable, Accounts Receivable, or General Ledger. Required for display.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Recognition Schedule Number
  • Schedule Status
  • Vendor/Customer/Reference
  • POP/SOP/Document/Voucher Number/Journal Entry
  • Item Number/Distribution Type
  • Contact Number
  • Document Date
  • Total Schedule Amount
  • Total Recognized Amount
  • Total Remaining Amount
  • New/Renew
  • Offering Type
  • Source
  • Order Type
  • Deferred Account
  • Recognition Account
  • On Hold Account
  • Associated Credit Memo
  • Adjustment Credit Memo
  • Original Recognition Amount
  • Adjustment Amount
  • Facility ID (appears only when MEM is installed and used)
  • Site ID
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Attach Recognition Schedule Utility: Buttons

Clear

Clears the entries you have made. After the entries are cleared, you can continue working in this window.

Excel

Exports the data on window to a Microsoft Excel spreadsheet.

Mark Selected/Unmark Selected/Mark All/Unmark All

Selects or clears the check box for all or selected entries in the list view.

Process

Creates a recognition schedule for a selected deferrable item. This action is available when Recognition By Item is selected for its module in the Advanced Rev. & Exp. Deferrals Setup window.

When Use Tax Exclusive Amt for Deferral is selected in the Advanced Rev. & Exp. Deferrals Setup window, the recognition schedule for the imported line item is based on the price of the item without taxes. When a price of an item without taxes is not available, the standard method in ARED is used. Also, the extended prices of the item is used to create a recognition schedule that may not be tax exclusive.

Redisplay

Updates the scrolling window or list view.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Attach Recognition Schedule Utility: Fields

Range By

Select the data category (for example, customer number, document number) by which you want to filter the data in the list view, scrolling window, or report.

The range options from which you can select, differ based on the value of the Recognition Schedule Origin.

After you select the data category, select the type of records that you want to display:

  • Open: Select to include all records that are considered open.
  • History: Select to include all records that are in the history table.

To narrow the filter criteria for the data category, specify the From and To values to limit the range of records that you want to view.

The data category and the From and To values create a range statement that you can add to the Restrictions box by selecting Insert. For windows with a list view or scrolling window, select Redisplay to show only the records that satisfy the range statements. To remove a range from the Restrictions box, select the range statement and select Remove.

Tip: Add one or more range statements to ensure that only the records you want to see appear in the list view, scrolling window, or report.

Recognition Schedule Origin

Select the origin of the schedule: Purchase Order Processing, Sales Order Processing, Accounts Payable, Accounts Receivable, or General Ledger. Required for display.

SOP Type

Select the sales order processing type: Quote, Order, Invoice, or Return. This box appears when Recognition Schedule Origin is Sales Order Processing.

Entity List View

Select one or more entities from those that you are allowed to access. When you select Redisplay, only the records associated with the selected entities appear in the list view. This list view is available only when Multi-Entity Management is installed and used.

Scrolling Window Fields for SOP Type

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • SOP Document Number
  • Customer
  • Customer Name
  • Document Date
  • Currency ID
  • Item Number
  • Item Description
  • Extended Amount (Originating): Extended Amount = Qty * Unit Price
  • Extended Amount (Functional): Extended Amount = Qty * Unit Price
  • Site ID
  • Deferrable
  • Template ID (from the customer or item record, based on the Sales Template ID From option in the Default Sales Transaction Setup window)
    When the template Id cannot be found, the default template ID from the Default Sales Transaction Setup window is used.
  • Deferral Start Date
  • Recognition Account (from the customer or item record, based on the Revenue Recognition From option in the Default Sales Transaction Setup window.)
  • Facility ID (appears only when MEM is installed and used)

If Base On Order Type is cleared in the Revenue Expense Source Maintenance window, the recognition account for the Default Revenue Source ID is used. If Base On Order Type is selected in the Revenue Expense Source Maintenance window, the recognition account for the Default Revenue Order Type ID is used.

Scrolling Window Fields for Accounts Payable Origin

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Voucher Number
  • Vendor
  • Vendor Name
  • Distribution Type
  • Deferral Account Number
  • Document Date
  • Currency ID
  • Debit Account (Functional)
  • Credit Amount (Functional)
  • Template ID
  • Recognition Account

The values for Voucher Number, Vendor, Vendor Name, Document Date, and Currency ID are from the payable transaction header.

The values for Deferral Account Number, Distribution Type, Debit Amount (Functional), and Credit Amount (Functional) are from the payable distribution line item.

The values for Template ID and Recognition Account are from the Default Distribution Type Setup window.

Scrolling Window Fields for General Entry Origin

Displays all records that match the criteria that you selected.

The scrolling window displays the following columns:

  • Journal Entry Number
  • Document Date
  • Distribution Type
  • Deferral Account Number
  • Document Date
  • Currency ID
  • Debit Account (Functional)
  • Credit Amount (Functional)
  • Template ID
  • Recognition Account
  • The values for the Journal Entry, Document Date, and Currency ID fields are taken from the transaction header.
  • The values for the Deferral Account Number, Account Amount (Originating), and Account Amount (Functional) fields are taken from the distribution line item.
  • The values for the Template ID and Recognition Account fields are taken from the Default Distribution Type Setup window.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Update Utility: Buttons

OK

Closes the window.

Process

Processes the conversion. When the conversion finishes, an audit report is printed.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Update Utility: Fields

Update Account Index

Select to convert account numbers used in Microsoft Dynamics GP 8 to the account indexes used in Microsoft Dynamics GP 10 for recognition schedules. Performing this conversion prevents issues with the deferral accounts, on-hold accounts, and recognition accounts.

For revenue:

  • The deferral account is from the sales account for the SOP Line.
  • The on-hold account is from the revenue on-hold account for the offering type.
  • The recognition account is from the recognition account in the Revenue Expense Source Maintenance window, if the Based on Order Type option is cleared. If the option is selected, the recognition account is from the Recognition Account in the Order Type Maintenance window.

For expenses:

  • The deferral account is from the inventory account for the receipt line.
  • The on-hold account is from the expense on-hold account for the offering type.
  • The recognition account is from the recognition account in the Revenue Expense Source Maintenance window, if the Based on Order Type option is cleared. If the option is selected, the recognition account is from the Recognition Account in the Order Type Maintenance window.

Update Credit Memo

When upgrading to ARED build 138 and later, select the Update Credit Memo option selected to use the new Assign Credit Memo and Apply Credit Memo windows.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Class Distribution Type Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Class Distribution Type Setup: Fields

Customer Class ID

Displays the class ID from the Customer Class Setup window.

Module

Select Sales for sales deferrals or select Receivable for receivable deferrals.

Name

Displays the name of the customer class ID.

Scrolling Window

Deferral Account Number

Select a deferral account number.

For a recognition schedule to be created in the Recognition Schedule Entry window, this Deferral Account Number must match the Microsoft Dynamics GP Deferral Account Number for the selected Distribution Type.

Distribution Type

Select a distribution type.

Recognition Account

Select a revenue recognition account.

Template ID

Select a template ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Class Sales Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Class Sales Setup: Fields

Contract ID

Select a contract ID.

Customer Class ID

Displays the class ID from the Customer Class Setup window.

Event Based Template ID

Select the event based template ID. This template is rolled down to all customers associated with the selected customer class.

Available when Enable Event Based is selected on the Advanced Rev. & Exp. Deferrals Setup window.

Offering Type

Select an offering type.

Revenue Order Type ID

Select an order type for the SOP.

Revenue Source ID

Select a revenue/source ID for the SOP.

Template ID

Select a template ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Class Setup: Buttons

Receivable Deferral

Opens the Customer Class Distribution Type Setup window.

Sales Deferral

Depending on the option selected on the Advanced Rev. & Exp. Deferrals Setup window, different windows open:

  • Opens the Customer Class Sales Setup window. When Recognition by Item is selected.
  • Opens the Customer Class Distribution Type Setup window. When Recognition by Distribution Type is selected.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Class Setup: Fields

Deferrable

Select to indicate the selected customer class is deferrable.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Distribution Type Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Distribution Type Setup: Fields

Customer ID

Displays the class ID from the Customer Maintenance window.

Module

Select Sales for sales deferrals or select Receivable for receivable deferrals.

Name

Displays the name of the customer ID.

Scrolling Window

Deferral Account Number

Select a deferral account number.

For a recognition schedule to be created in the Recognition Schedule Entry window, this Deferral Account Number must match the Microsoft Dynamics GP Deferral Account Number for the selected Distribution Type.

Distribution Type

Select a distribution type.

Recognition Account

Select a revenue recognition account.

Template ID

Select a template ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Maintenance: Buttons

Receivable Deferral

Opens the Customer Class Distribution Type Setup window.

Sales Deferral

Depending on the option selected on the Advanced Rev. & Exp. Deferrals Setup window, different windows open:

  • Opens the Customer Class Sales Setup window. When Recognition by Item is selected.
  • Opens the Customer Class Distribution Type Setup window. When Recognition by Distribution Type is selected.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Maintenance: Fields

Deferrable

Select to identify the customer as deferrable.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Sales Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Customer Sales Setup: Fields

Contract ID

Select a contract ID.

Customer ID

Displays the customer ID from the Customer Maintenance window.

Event Based Template ID

Select the event based template ID. The value you select is the default value for the event based recognition schedule for a sales line item and overrides the default value specified in sales transaction setup.

Available when Enable Event Based is selected on the Advanced Rev. & Exp. Deferrals Setup window.

Offering Type

Select an offering type.

Revenue Order Type ID

Select an order type for the SOP.

Revenue Source ID

Select a revenue/source ID for the SOP.

Template ID

Select a template ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


General Transaction Entry: Buttons

Additional menu

When Recognition By Account is selected for Use General Ledger in theAdvanced Rev. & Exp. Deferrals Setup window, a recognition schedule for a deferrable account is created when the transaction or batch is posted. Press Ctrl + X or select Additional > Rec Schedule to create a preliminary recognition schedule when a schedule does not exist for a line in this window or to preview an existing schedule in the Recognition Schedule Entry window.

Post

Posts a journal entry. If the accounts are set up as Deferral Accounts in the Default Distribution Type Setup window, a recognition schedule is created.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


General Transaction Entry: Fields

Deferrable Transaction

Select to indicate the journal entry is deferrable. When you post a deferrable transaction, a recognition schedule is created.

When you selected Use General Ledger in theAdvanced Rev. & Exp. Deferrals Setup window, this option is selected by default.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Invoice Inquiry Zoom: Buttons

Additional Menu

Select Additional > Item Deferral (or Ctrl + D), which opens the Item Deferral Zoom window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Distribution Inquiry Zoom: Buttons

ARED Profit and Loss

Available as of Microsoft Dynamics GP 2016 R2 , and when Deferral Posting Method is Profit and Loss on the ARED Setup window.

Opens the Profit and Loss Distribution window, where you can review the view the summarized set of journal entries to be created for all the deferral line items.

If you do not use the ARED alternate window, you can access this command from the Additional menu.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Line Item Deferral Zoom: Fields

Bundle ID

Displays the bundle ID for a sales transaction.

Note icon. Note: The bundle transaction feature is available only in Microsoft Dynamics GP 2013 R2 and earlier versions of ARED. For Microsoft Dynamics GP 2015 and newer, use the MERA integration for multiple-element transactions.

COGS Recognition Account

Displays the account used for the deferred revenue and costs of goods sold (COGS) of an inventory item. Available as of Microsoft Dynamics GP 2015 R2.

COGS Recognition Amount

Displays the costs of goods sold (COGS) recognition amount.

COGS Deferrable

Displays whether the revenue and costs of goods sold (COGS) of an inventory item is deferred. Available as of Microsoft Dynamics GP 2015 R2.

Recognition Amount

Displays the recognition amount for a bundled sales transaction.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Inquiry Zoom: Fields

Bundle ID

Displays the bundle ID for a sales transaction.

Note icon. Note: The bundle transaction feature is available only in Microsoft Dynamics GP 2013 R2 and earlier versions of ARED. For Microsoft Dynamics GP 2015 and newer, use the MERA integration for multiple-element transactions.

Recognition Amount

Displays the recognition amount for a bundled sales transaction.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Class Setup: Fields

COGS Deferrable

Select to defer the revenue and costs of goods sold (COGS) of an inventory item. When this check box is cleared, the revenue and COGS is not deferred. Available as of Microsoft Dynamics GP 2015 R2.

Default Offering Type

Select an offering type. You are asked if you want the sales account to be set to revenue deferral account and the inventory account set to expense deferral account from offering type.

Default Recognition Schedule Type

Select the default event based recognition schedule type: Standard or Event Based. The default value is set up in the Advanced Rev. & Exp. Deferrals Setup window.

Default Template ID

Select a default template.

Deferrable

Select to identify the items in this class as deferrable.

Enable Recognition Allocation

Available as of Microsoft Dynamics GP 2015 R2.

Select to use the functionality associated with the Recognition Allocation module. The default setting is from the Advanced Rev. & Exp. Deferrals Setup window. You can change it as needed.

Event Based Template ID

Select the event based template ID. The template ID is rolled down to all items s associated with the selected item class.

Available when Enable Event Based is selected on the Advanced Rev. & Exp. Deferrals Setup window.

Expense Source ID

Select the expense source ID POP transactions.

Profit & Loss Setup ID

Available as of Microsoft Dynamics GP 2016 R2.

Select the Profit and Loss setup ID for a sales line transaction entry. The default value is from the Default Sales Transactions Setup window, but you can select a different ID.

When Deferral Posting Method is Profit and Loss on the ARED Setup window, the account associated with this ID are used for creating additional profit and loss distributions when a sales order processing posting occurs.

Purchases Order Type ID

Select the default order type for the POP line.

Recognition Allocation ID

Available as of Microsoft Dynamics GP 2015 R2.

Select the recognition allocation ID.

Revenue Source ID

Select the revenue source for SOP transactions.

Sales Order Type ID

Select the default order type for the SOP line.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Item Maintenance: Fields

COGS Deferrable

Select to defer the revenue and costs of goods sold (COGS) of an inventory item. When this check box is cleared, the revenue and COGS is not deferred. Available as of Microsoft Dynamics GP 2015 R2.

Default Offering Type

Select an offering type. You are asked if you want the sales account to be set to revenue deferral account and the inventory account set to expense deferral account from offering type.

Default Template ID

Select a default template.

Deferrable

Select to identify the items in this class as deferrable.

Event Based Template ID

Available when Enable Event Based is selected on the Advanced Rev. & Exp. Deferrals Setup window.

Select the event based template ID. This template is the default value for the event based recognition schedule for a sales line item. This value overrides the value specified in sales transaction setup.

Expense Order Type ID

Select the default order type for the purchase order processing line.

Expense Source ID

Select the expense source ID purchase order processing transactions.

Profit & Loss Setup ID

Available as of Microsoft Dynamics GP 2016 R2.

Select the Profit and Loss setup ID for a sales line transaction entry. The default value is from the Default Sales Transactions Setup window, but you can select a different ID.

When Deferral Posting Method is Profit and Loss on the ARED Setup window, the account associated with this ID are used for creating additional profit and loss distributions when a sales order processing posting occurs.

Recognition Allocation

Available as of Microsoft Dynamics GP 2015 R2.

Select to use the functionality associated with the Recognition Allocation module. The default setting is from the Advanced Rev. & Exp. Deferrals Setup window. You can change it as needed.

Recognition Allocation ID

Available as of Microsoft Dynamics GP 2015 R2.

Select the recognition allocation ID.

Recognition Schedule Type

Select the default event based recognition schedule type: Standard or Event Based. The default value is set up in the Advanced Rev. & Exp. Deferrals Setup window.

Revenue Order Type ID

Select the default order type for the SOP line.

Revenue Source ID

Select the revenue source for SOP transactions.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payables Transaction Entry Distribution: Buttons

Additional menu

When Recognition By Dist Type is selected for Use Accounts Payable in theAdvanced Rev. & Exp. Deferrals Setup window, a recognition schedule for a deferrable account is created when the transaction or batch is posted. Press Ctrl + X or select Additional > Rec Schedule to create a preliminary recognition schedule when a schedule does not exist for a line in this window, or to preview an existing schedule in the Recognition Schedule Entry window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payables Transaction Entry Distribution: Fields

Deferrable Transaction

Select to indicate the transaction is deferrable.

If the AP document is defferable, when you post the transaction, a recognition schedule is generated.

The check box is automatically selected when Use Account Payable and Recognition by Distribution Type are selected on the Advanced Rev. & Exp. Deferrals Setup window, and the vendor is set as Deferrable in the Vendor Maintenance window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Payables Transaction Entry: Fields

Assign For Recognition Schedule Cancel

Select to allow a schedule to be cancelled by applying a credit memo. Available when Document Type is Credit Memo.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Batch Entry: Buttons

Post

Posts the batch.

When you post a deferrable item or a deferrable transaction in a batch in this window, a recognition schedule is created. This functionality is available for transactions that are of type Shipment or Shipment/Invoice. For information on how the Recognition By Item and Recognition By Distrib Type options work, see the description for the Advanced Rev. & Exp. Deferrals Setup window.

When Recognition By Item is selected for this module in the Advanced Rev. & Exp. Deferrals Setup window, a recognition schedule for a sales transaction within the batch is created after the batch is posted.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Purchasing Distribution Entry: Fields

Deferrable Transaction

Select to indicate that the transaction is a deferrable transaction. This check box is automatically selected when the vendor is identified as Deferrable in the Vendor Maintenance window.

When you post a deferrable transaction in the related transaction entry or batch entry window and Use Purchasing Transaction and Recognize By Dist Type are selected in the Advanced Rev. & Exp. Deferrals Setup window, a recognition schedule is created. This functionality is available for transactions when Type is set to Shipment or Shipment/Invoice.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivings Item Detail Entry: Buttons

Additional menu

Select Additional > Rec Schedule (or Ctrl + X) to create a recognition schedule for a deferrable item that is the Shipment or Shipment/Invoice type.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivings Transaction Entry: Buttons

Post

Posts the transaction. When you post a deferrable item or a deferrable transaction that is the Shipment or Shipment/Invoice type, a recognition schedule is created.

Additional menu

Select Additional > Rec Schedule (or Ctrl + X) to create a recognition schedule for a deferrable item that is the Shipment or Shipment/Invoice type.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivings Transaction Entry: Fields

Type

Select the receiving type. When Shipment or Shipment/Invoice is selected, you can press Ctrl + X or select Additional > Rec Schedule to create a recognition schedule for the selected line item. The item must be deferrable.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Receivables Transaction Entry: Fields

Assign For Recognition Schedule Cancel

Select to allow a schedule to be canceled by applying a credit memo.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Distribution Entry: Buttons

ARED Profit and Loss

Available as of Microsoft Dynamics GP 2016 R2 , and when Deferral Posting Method is Profit and Loss on the ARED Setup window.

Opens the Profit and Loss Distribution window, where you can review the view the summarized set of journal entries to be created for all the deferral line items.

If you do not use the ARED alternate window, you can access this command from the Additional menu.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Distribution Entry: Fields

Deferrable Transaction

Select to indicate that the sales document is deferrable. If the customer is identified as deferrable in the Customer Maintenance window, this check box is automatically selected.

When you post a deferrable transaction in the related transaction entry or batch entry window and Use Sales Transaction and Recognize By Distribution Type are selected in the Advanced Rev. & Exp. Deferrals Setup window, a recognition schedule is created.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Distribution Entry: Fields

Deferrable Transaction

Select to indicate that the receivables document is deferrable. When you post a deferrable transaction, the software generates a recognition schedule by distribution.

If you selected Use Account Receivable and Recognition by Dist Type in the Advanced Rev. & Exp. Deferrals Setup window, and you selected Deferrable for the customer in the Customer Maintenance window, this option is selected by default.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Buttons

Additional menu

Press Ctrl + X or select Additional > Rec Schedule to create a preliminary recognition schedule for a deferrable item only in this window.

Post

When Recognition By Item is selected for this module in the Advanced Rev. & Exp. Deferrals Setup window, posts a sales transaction for a deferrable item and generates a recognition schedule.

When Use Tax Exclusive Amt for Deferral is selected in the Advanced Rev. & Exp. Deferrals Setup window, the recognition schedule for the sales transaction line item is based on the price of the item without taxes. When a price of the item without taxes is not available, the standard method is returned and the extended price of the item is used to create a recognition schedule that may not be tax exclusive.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Sales Transaction Entry: Fields

Bundle ID

Note icon. Note: The bundle transaction feature is available only in Microsoft Dynamics GP 2013 R2 and earlier versions of ARED. For Microsoft Dynamics GP 2015 and newer, use the MERA integration for multiple-element transactions.

Select a bundle ID for an item in the Sales Transaction window and tab out of the line to have the software recalculate the recognition amount for the item. Each time you select a bundle ID for another item, the recognition amounts for the items that belong to the same bundle are updated.

The total of the recognition amounts for a bundle is equal to the actual selling price of the bundle.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Class Distribution Type Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Class Distribution Type Setup: Fields

Vendor Class ID

Displays the class ID from the Vendor Class Setup window.

Module

Select Purchasing for purchasing deferrals or select Payable for payable deferrals.

Name

Displays the name of the vendor class ID.

Scrolling Window

Deferral Account Number

Select a deferral account number.

For a recognition schedule to be created in the Recognition Schedule Entry window, this Deferral Account Number must match the Microsoft Dynamics GP Deferral Account Number for the selected Distribution Type.

Distribution Type

Select a distribution type.

Recognition Account

Select a revenue recognition account.

Template ID

Select a template ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Class Purchase Setup: Buttons

OK

Saves any changes, and closes the window.

Cancel

Cancels all changes and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Class Purchase Setup: Fields

Contract ID

Select a contract ID.

Expense Order Type ID

Select an order type for the POP line.

Expense Source ID

Select an expense source for POP transactions.

Offering Type

Select an offering type.

Template ID

Select a template ID.

Vendor Class ID

Displays the vendor class ID from the Vendor Class Setup window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Class Setup: Buttons

Payable Deferral

Open the Vendor Class Distribution Type Setup window, when Use Accounts Payable is selected in the Advanced Rev. & Exp. Deferrals Setup window.

Purchasing Deferral

Depending on the option selected on the Advanced Rev. & Exp. Deferrals Setup window, different windows open:

  • Opens the Vendor Class Purchasing Setup window. When Recognition by Item is selected.
  • Opens the Vendor Class Distribution Type Setup window. When Recognition by Distribution Type is selected.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Class Setup: Fields

Deferrable

Select to indicate that the vendor is deferrable.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Distribution Type Setup: Buttons

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Distribution Type Setup: Fields

Vendor ID

Displays the class ID from the Vendor Maintenance window.

Module

Displays Purchasing for purchasing deferrals. Displays Payable for payable deferrals.

Name

Displays the name of the vendor ID.

Scrolling Window

Deferral Account Number

Select a deferral account number.

For a recognition schedule to be created in the Recognition Schedule Entry window, this Deferral Account Number must match the Microsoft Dynamics GP Deferral Account Number for the selected Distribution Type.

Distribution Type

Select a distribution type.

Recognition Account

Select a revenue recognition account.

Template ID

Select a template ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Maintenance: Buttons

Payable Deferral

Opens the Vendor Distribution Type Setup window with Payable module selected.

Purchasing Deferral

Depending on the option selected on the Advanced Rev. & Exp. Deferrals Setup window, different windows open:

  • When Recognition by Item is selected, opens the Vendor Purchasing Setup window.
  • When Recognition by Distribution Type is selected, opens the Vendor Distribution Type Setup window with Purchasing module selected,
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Maintenance: Fields

Deferrable

Select to indicate that the vendor is deferrable.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Purchasing Setup: Buttons

Cancel

Cancels all changes and closes the window.

OK

Saves any changes, and closes the window.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Vendor Purchasing Setup: Fields

Contract ID

Select the contract ID.

Expense Order Type ID

Select an expense order type ID for the POP line.

Expense Source ID

Select an expense source ID for POP transactions.

Offering Type ID

Select an offering type ID.

Template ID

Select the template ID.

Vendor ID

Select a vendor ID.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Changing the Recognition or Deferral Account for Multiple Schedules

Available as of Microsoft Dynamics GP 2015 R2.

To change the recognition or deferral account for multiple recognition schedules, follow these steps:

Note icon. Note: You can change the account for recognition schedules that have a status of Available.

  1. Open the Mass Schedule Processing window ( Transactions > Advanced Rev. & Exp. Deferrals > Mass Schedule Processing).
  2. Select the Schedule Origin and the Transaction Date.
  3. In Processing Action, select Modifying Recognition Account or Modifying Deferral Account.
  4. Select the Recognition Schedule Type.
  5. In Ranges, select Recognition Account or Deferral Account, specify the range of records you want to display, and select Insert.
  6. If you use Multi-Entity Management, select the entities you want.
  7. Select Redisplay, which updates the scrolling window with records that satisfy the criteria you entered.
  8. Select a New Recognition Account or New Deferral Account.
  9. Select the records you want to update, and select Process.

See also

Mass Schedule Processing

Placing a Hold on a Recognition Schedule

Removing a Hold from a Recognition Schedule

Reclassifying a Recognition Schedule

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Recognition Allocation Template

Available as of Microsoft Dynamics GP 2015 R2.

To create a recognition allocation template, follow these steps:

  1. Open the Recognition Allocation Template window (Cards > Advanced Rev. & Exp. Deferrals > Recognition Allocation Template).
  2. Specify a unique Allocation ID and Description.
  3. Select the Allocation Method.
  4. In the scrolling window, for each line do the following:
    1. Select the Recognition Account.
    2. If Allocation Method is By Percentage, specify the Allocation %. The total percentage must not exceed 100%.
    3. Select the Schedule Type.
    4. Select the Template.
  5. Select Save.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


About Binary Stream Dialog

Use this window to view the following information:

  • Binary Stream head office address and support contact
  • Microsoft Dynamics GP version number
  • Microsoft SQL Server version number
  • List of installed Binary Stream programs and their information

Tip: To print a report about the Binary Stream programs that you have installed, select Print.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Binary Stream Importer: Buttons

Note icon. Note: The importer is only available to the following Binary Stream programs: ARED.

Setup

Browse

Allows you to navigate to the folder location where the Excel and XML files are to be saved.

Excel Template

Create

Creates an Excel template.

Open

Opens the template that you selected in the file list.

Refresh List

Updates the file list with list of files currently in the Excel folder location.

Process

Process

Validates file to ensure that the format of the data can be imported, and then imports the data into the Binary Stream program. If the file validation fails, the data is not imported and an error message appears.

After the import process completes, a log report showing the results of the import is generated.

Refresh List

Updates the file list with list of files currently in the Excel folder location.

Validate

Validates the file to ensure that the format of the data can be imported into the Binary Stream program.

About

Online Help

Opens the documentation for the Binary Stream program. You then perform a search to get more information about the Binary Stream Importer and other content.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Binary Stream Importer: Fields

Note icon. Note: The importer is only available to the following Binary Stream programs: ARED.

Setup

Use this window to specify the file location for where the Excel and XML files are saved.

File Location

Specify the location where Excel and XML files are to be saved. Subfolders for Excel, Logs, XML, and XMLArchive files are automatically created.

Excel Template

Use this window to create Excel templates for your imports. You use these template files for entering data.

You must select a File Location on the Setup page before you can access this page.

Existing Excel Template

Select the Excel template you want to use to import data.

New Excel Template

Select the record type and specify a file name to create an Excel template for the data that you want to import.

Process

Use this window to validate and process the data imported from an existing import template.

Help & About

Use this window to access the documentation for your Binary Stream program and to review general information about the Binary Stream Importer, including a link to the Binary Stream Portal.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Documentation for Advanced Revenue & Expense Deferrals

Welcome to the documentation for Advanced Revenue & Expense Deferrals for Microsoft Dynamics GP.

The documentation provides information in the following categories:

  • Installation
  • Concepts
  • Examples
  • Workflows and Procedures
  • Windows
  • Integration

In the Contents tab, a book icon representing each category is available. Expand a book to view the articles within the category. If a book does not appear for a category, information within the category is not available for ARED.

For tips on how to find the content you want, see Using the documentation.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Windows

Articles within this category provide information about the functionality of the windows within ARED, including fields and buttons.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Using Alternate Forms and Reports

To be able to use the windows and reports from Advanced Revenue & Expense Deferrals in the Microsoft Dynamics GP modules that you have purchased and registered, you must enable the alternate ARED window and reports.

To use the alternate windows and reports, follow these steps:

  1. In Microsoft Dynamics GP, open the Alternate/Modified Forms and Reports window (Microsoft Dynamics GP > Tools > Setup > System > Alternate/Modified Forms and Reports).
  2. Specify an ID and Description for the set of alternate forms and reports that you are creating for your users.
    For example, in ID, type ARED_USER and in Description, type Alternate forms and reports for ARED.
  3. In Product, select Advanced Rev. & Exp. Deferrals.

    4. Note icon. Note: A known issue within Microsoft Dynamics GP prevents the list from showing all the windows where an alternate window for a program is available. For more information, review the Known Issues and Limitations.

  4. To use the ARED alternate forms instead of the Microsoft Dynamics GP version, do the following:
    1. In Type, select Windows.
    2. To display windows for a particular Microsoft Dynamics GP series, in Series, select the series you want to see.
    3. In Alternate/Modified Forms and Reports List, expand each Microsoft Dynamics GP series name, and then expand the window name.
    4. For each window where you want to use the ARED alternate form instead of the Microsoft Dynamics GP version, select the Advanced Rev. & Exp. Deferrals option.
      For example, select the ARED alternate version of the window in the selected Microsoft Dynamics GP series.
      Tip: To change to use all ARED alternate forms in a single action, set the Select box to Advanced Rev. & Exp. Deferrals, and then select Change All.

  5. To use the ARED alternate reports instead of the Microsoft Dynamics GP version, repeat the previous step with Type set to Reports.
    For example, select the ARED alternate version of the report in the selected Microsoft Dynamics GP series.

  6. When you are finished, select Save.
  7. Repeat these steps for each Microsoft Dynamics GP series for which you purchased the corresponding module.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Advanced Revenue & Expense Deferrals Installation Overview

Review this information for installing the Binary Stream program in your Microsoft Dynamics GP environment. When you install the latest version of Advanced Revenue & Expense Deferrals (ARED), you perform the following activities:

  • Downloading and extracting the installation files
  • Uninstalling the previous version and exporting modified forms and reports
  • Installing the latest version on Windows and in GP
  • Registering your software and importing modified forms and reports

Also, you can review information on shortcut and security setup, troubleshooting, and removing ARED.

Only a qualified and experienced Microsoft Dynamics GP consultant should install and configure third-party software for Microsoft Dynamics GP. If your authorized reseller cannot install this software, Binary Stream Software can recommend a suitable consultant.

Important: Before you begin the installation and as a best practice, back up your environment (including all Microsoft Dynamics GP folders and Microsoft Dynamics GP databases). If any issues arise during installation, the backup copy of your environment provides a starting point for restoring your environment.

Notes:

  • The Pathnames window is not currently supported.
  • If you are using the Advanced Recurring Contract Billing (ARCB) and Multiple Element Revenue Allocation (MERA) integrations, the order of installation is as follows:
    1. ARED
    2. MERA
    3. ARCB

    If you have a previous version of ARED installed, you must remove it. After ARED is removed, you can install, the software in the order indicated so that you can use the integrated functionality.

    The MERA integration is available as of ARED for Microsoft Dynamics GP 2015 and MERA build 504.
Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Registering Advanced Revenue & Expense Deferrals

After the program is installed in Microsoft Dynamics GP, the BSSI Registration window appears. You use the BSSI Registration window to type your registration key and activate the program. If you do not have a registration key, contact Binary Stream for assistance.

Note icon. Note: If you use ARED with the sample database (Fabrikam), you do not need a registration key.

To register the software, follow these steps:

  1. If the BSSI Registration window is not open, in Microsoft Dynamics GP, select Tools > Setup > System > Binary Stream Registration.
  2. Enter the registration key as follows:
    • For new customers with permanent keys, type the registration key value in Permanent Keys.
    • For demonstration users with trial keys, type the registration key value in Trial Keys.
    • For Microsoft Services Providers License Agreement (SPLA) users with SPLA keys, type the registration key value in Trial Keys.
  3. Check that Site Name shows your company name.

  4. If you have Trial Keys, you can complete this optional step.
    1. Select Notification Setup, which opens the User/Reg Key Notification Setup window.
    2. You can set the Number of Days before the trial key expiration date to notify each user. By default, all users are notified 30 days before the expiration date.
      • If you want all users to have the same number of days' notice, in Default Number of Days, specify the number of days' notice.
        The list is updated so that all user IDs have the same value in the Number of Days column.
      • If you want each user to have different number of days' notice, in the list, specify the Number of Days for each User ID.

      Note icon. Note: If the Number of Days for a user is set to zero (0), the trial key expiry warning does not appear for the specific user.
  5. To complete the registration, select OK .
  6. When the registration is completed, log off of Microsoft Dynamics GP, and log back on again.

Tip: If you want to access the registration at another time, create a shortcut to the BSSI Registration window in the Navigation pane on your Microsoft Dynamics GP home page.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Removing Advanced Revenue & Expense Deferrals

To remove Advanced Revenue & Expense Deferrals from your Microsoft Dynamics GP environment, you must perform the following activities in the order shown:

  1. Removing the product tables from all companies, or from one company
  2. Removing the product information and dictionaries
  3. Removing the product in Windows

Note icon. Note: The instructions vary depending on whether you remove Advanced Revenue & Expense Deferrals from all company databases or just one company database.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Setting Up User Security

For all users, except the system administrator (sa), you must set up a security task and a security role that gives user access to custom Advanced Revenue & Expense Deferrals windows (forms) and reports.

To set up security for a custom window, complete the following activities:

  1. Create a security task.
  2. Create a security role to allow access to the security task.
  3. Assign a security role to a user.

Note icon. Note: Depending on your security requirements, you might want to setup several security tasks.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Assigning a Security Role to a User

To assign a security role to a user, follow these steps:

  1. Open the User Security Setup window (Microsoft Dynamics GP > Tools > Setup > System > User Security).
  2. If you are asked for your password, type your password and select OK.
  3. In the User Security Setup window, select a User ID.
  4. Select a Company name.
  5. Under Roles, select the Security Role ID that you created (for example, ARED_ROLE).
  6. In Alternate/Modified Forms and Reports ID, select the alternate forms and reports ID you created.
  7. Select Save.
  8. Repeat these steps for all users and companies that use ARED.

See also

Setting Up User Security

Creating a Security Task

Creating a Security Role

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Security Role

To help facilitate the process of creating security roles, the following security roles are automatically created with your Advanced Revenue & Expense Deferrals installation:

To create a security role, follow these steps:

  1. Open the Security Role Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Roles).
  2. If you are asked for your password, type your password and select OK.
  3. In the Security Role Setup window, specify a Role ID, Role Name, and Role Description.
    For example, you could type ARED_ROLE in all three boxes.
  4. In the list, select the Security Task ID that you created (for example, ARED_TASKS).
  5. Select Save.

See also

Setting Up User Security

Creating a Security Task

Assigning a Security Role to a User

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Creating a Security Task

To help facilitate the process of creating security tasks, the following security tasks are automatically created with your Advanced Revenue & Expense Deferrals installation:

To create a security task, follow these steps:

  1. Open the Security Task Setup window (Microsoft Dynamics GP > Tools > Setup > System > Security Tasks).
  2. If you are asked for your password, type your password and select OK.
  3. In the Security Task Setup window, specify a Task ID, Task Name, and Task Description.
    For example, you could type ARED_TASKS in all three boxes.
  4. In Category, select Project.
  5. In Product, select Advanced Rev. & Exp. Deferrals.
  6. In Type, select Windows.
  7. In Series, select Project.
  8. Select Mark All to select all of the window titles in the Access List.
  9. If you do not want the task ID to have access to certain windows, clear the check box for the window name.

  10. In Type, change the value to Reports, and in Series, select Project.
  11. Select Mark All to select all of the report titles in the Access List.
  12. If you do not want the security task ID to have access to certain reports, clear the check box for the report name.

  13. Select Save.

See also

Setting Up User Security

Creating a Security Role

Assigning a Security Role to a User

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Buttons

Cancel

Closes the window.

Redisplay

Updates the scrolling window or list view.

Select

Selects the currently-highlighted record, closes this window, and updates the previous window with the information for the selected record.

You also can double-click the record in the scrolling window to select it.

Sort

Sorts the information in the window according to the column heading shown on the button.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window: Fields

Find by

Specify the name or identifier of the record you want. When you press Tab on the keyboard, the list scrolls to the record that most closely matches the text you type. The label for this field changes and is based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.


Lookup window

Button showing that window Overview page is currently viewed.

lookup button

Use this window to select the record you want to view or edit. The fields, buttons, and list view colunms differ based on the type of data you are looking up.

Closed Documentation Feedback

If this article was not helpful, please tell us why:

The topic contains an error.